def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'WMO Secretariat'},
            {'abbr': 'ammc', 'code': 1, 'title': 'Melbourne', 'units': 'WMC'},
            {'abbr': 2, 'code': 2, 'title': 'Melbourne', 'units': 'WMC'},
            {'abbr': 'rums', 'code': 4, 'title': 'Moscow', 'units': 'WMC'},
            {'abbr': 5, 'code': 5, 'title': 'Moscow', 'units': 'WMC'},
            {'abbr': 'kwbc',
             'code': 7,
             'title': 'US National Weather Service - NCEP',
             'units': 'WMC'},
            {'abbr': 8,
             'code': 8,
             'title': 'US National Weather Service - NWSTG',
             'units': 'WMC'},
            {'abbr': 9,
             'code': 9,
             'title': 'US National Weather Service - Other',
             'units': 'WMC'},
            {'abbr': 10, 'code': 10, 'title': 'Cairo', 'units': 'RSMC/RAFC'},
            {'abbr': 12, 'code': 12, 'title': 'Dakar', 'units': 'RSMC/RAFC'},
            {'abbr': 14, 'code': 14, 'title': 'Nairobi', 'units': 'RSMC/RAFC'},
            {'abbr': 16, 'code': 16, 'title': 'Atananarivo', 'units': 'RSMC'},
            {'abbr': 18, 'code': 18, 'title': 'Tunis-Casablanca', 'units': 'RSMC'},
            {'abbr': 20, 'code': 20, 'title': 'Las Palmas', 'units': 'RAFC'},
            {'abbr': 21, 'code': 21, 'title': 'Algiers', 'units': 'RSMC'},
            {'abbr': 22, 'code': 22, 'title': 'Lagos', 'units': 'RSMC'},
            {'abbr': 'fapr', 'code': 24, 'title': 'Pretoria', 'units': 'RSMC'},
            {'abbr': 26, 'code': 26, 'title': 'Khabarovsk', 'units': 'RSMC'},
            {'abbr': 'vabb', 'code': 28, 'title': 'New Delhi', 'units': 'IMD'},
            {'abbr': 'dems', 'code': 29, 'title': 'New Delhi', 'units': 'NCMRWF'},
            {'abbr': 30, 'code': 30, 'title': 'Novosibirsk', 'units': 'RSMC'},
            {'abbr': 32, 'code': 32, 'title': 'Tashkent', 'units': 'RSMC'},
            {'abbr': 33, 'code': 33, 'title': 'Jeddah', 'units': 'RSMC'},
            {'abbr': 'rjtd',
             'code': 34,
             'title': 'Japanese Meteorological Agency - Tokyo',
             'units': 'RSMC'},
            {'abbr': 36, 'code': 36, 'title': 'Bankok'},
            {'abbr': 37, 'code': 37, 'title': 'Ulan Bator'},
            {'abbr': 'babj', 'code': 38, 'title': 'Beijing', 'units': 'RSMC'},
            {'abbr': 'rksl', 'code': 40, 'title': 'Seoul'},
            {'abbr': 'sabm', 'code': 41, 'title': 'Buenos Aires', 'units': 'RSMC/RAFC'},
            {'abbr': 43, 'code': 43, 'title': 'Brasilia', 'units': 'RSMC/RAFC'},
            {'abbr': 45, 'code': 45, 'title': 'Santiago'},
            {'abbr': 'sbsj', 'code': 46, 'title': 'Brasilian Space Agency - INPE'},
            {'abbr': 51, 'code': 51, 'title': 'Miami', 'units': 'RSMC/RAFC'},
            {'abbr': 52, 'code': 52, 'title': 'National Hurricane Center, Miami'},
            {'abbr': 53,
             'code': 53,
             'title': 'Canadian Meteorological Service - Montreal',
             'units': 'RSMC'},
            {'abbr': 'cwao',
             'code': 54,
             'title': 'Canadian Meteorological Service - Montreal',
             'units': 'RSMC'},
            {'abbr': 55, 'code': 55, 'title': 'San Francisco'},
            {'abbr': 57, 'code': 57, 'title': 'U.S. Air Force - Global Weather Center'},
            {'abbr': 'fnmo',
             'code': 58,
             'title': 'US Navy - Fleet Numerical Oceanography Center'},
            {'abbr': 59, 'code': 59, 'title': 'NOAA Forecast Systems Lab, Boulder CO'},
            {'abbr': 60,
             'code': 60,
             'title': 'National Center for Atmospheric Research (NCAR), Boulder, CO'},
            {'abbr': 64, 'code': 64, 'title': 'Honolulu'},
            {'abbr': 65, 'code': 65, 'title': 'Darwin', 'units': 'RSMC'},
            {'abbr': 67, 'code': 67, 'title': 'Melbourne', 'units': 'RSMC'},
            {'abbr': 'nzkl', 'code': 69, 'title': 'Wellington', 'units': 'RSMC/RAFC'},
            {'abbr': 'egrr', 'code': 74, 'title': 'U.K. Met Office - Exeter'},
            {'abbr': 76, 'code': 76, 'title': 'Moscow', 'units': 'RSMC/RAFC'},
            {'abbr': 'edzw', 'code': 78, 'title': 'Offenbach', 'units': 'RSMC'},
            {'abbr': 'cnmc', 'code': 80, 'title': 'Rome', 'units': 'RSMC'},
            {'abbr': 'eswi', 'code': 82, 'title': 'Norrkoping'},
            {'abbr': 'lfpw', 'code': 84, 'title': 'French Weather Service - Toulouse'},
            {'abbr': 'lfpw', 'code': 85, 'title': 'French Weather Service - Toulouse'},
            {'abbr': 'efkl', 'code': 86, 'title': 'Helsinki'},
            {'abbr': 87, 'code': 87, 'title': 'Belgrade'},
            {'abbr': 'enmi', 'code': 88, 'title': 'Oslo'},
            {'abbr': 89, 'code': 89, 'title': 'Prague'},
            {'abbr': 90, 'code': 90, 'title': 'Episkopi'},
            {'abbr': 91, 'code': 91, 'title': 'Ankara'},
            {'abbr': 92, 'code': 92, 'title': 'Frankfurt/Main', 'units': 'RAFC'},
            {'abbr': 93, 'code': 93, 'title': 'London', 'units': 'WAFC'},
            {'abbr': 'ekmi', 'code': 94, 'title': 'Copenhagen'},
            {'abbr': 95, 'code': 95, 'title': 'Rota'},
            {'abbr': 96, 'code': 96, 'title': 'Athens'},
            {'abbr': 97, 'code': 97, 'title': 'European Space Agency', 'units': 'ESA'},
            {'abbr': 'ecmf',
             'code': 98,
             'title': 'European Centre for Medium-Range Weather Forecasts'},
            {'abbr': 99, 'code': 99, 'title': 'DeBilt, Netherlands'},
            {'abbr': 110, 'code': 110, 'title': 'Hong-Kong'},
            {'abbr': 160, 'code': 160, 'title': 'US NOAA/NESDIS'},
            {'abbr': 'nasa',
             'code': 173,
             'title': 'US National Aeronautics and Space Administration',
             'units': 'NASA'},
            {'abbr': 'wiix', 'code': 195, 'title': 'Indonesia', 'units': 'NMC'},
            {'abbr': 'niwa',
             'code': 204,
             'title': 'National Institute of Water and Atmospheric Research',
             'units': 'NIWA - New Zealand'},
            {'abbr': 210, 'code': 210, 'title': 'Frascati', 'units': 'ESA/ESRIN'},
            {'abbr': 211, 'code': 211, 'title': 'Lannion'},
            {'abbr': 212, 'code': 212, 'title': 'Lisboa'},
            {'abbr': 213, 'code': 213, 'title': 'Reykjavik'},
            {'abbr': 'lemm', 'code': 214, 'title': 'INM Madrid'},
            {'abbr': 'lssw', 'code': 215, 'title': 'Zurich'},
            {'abbr': 216, 'code': 216, 'title': 'Service ARGOS Toulouse'},
            {'abbr': 217, 'code': 217, 'title': 'Bratislava'},
            {'abbr': 'habp', 'code': 218, 'title': 'Budapest'},
            {'abbr': 219, 'code': 219, 'title': 'Ljubljana'},
            {'abbr': 220, 'code': 220, 'title': 'Warsaw'},
            {'abbr': 221, 'code': 221, 'title': 'Zagreb'},
            {'abbr': 222, 'code': 222, 'title': 'Albania', 'units': 'NMC'},
            {'abbr': 223, 'code': 223, 'title': 'Armenia', 'units': 'NMC'},
            {'abbr': 'lowm', 'code': 224, 'title': 'Austria'},
            {'abbr': 'ebum', 'code': 227, 'title': 'Belgium', 'units': 'NMC'},
            {'abbr': 228, 'code': 228, 'title': 'Bosnia and Herzegovina', 'units': 'NMC'},
            {'abbr': 229, 'code': 229, 'title': 'Bulgaria', 'units': 'NMC'},
            {'abbr': 230, 'code': 230, 'title': 'Cyprus', 'units': 'NMC'},
            {'abbr': 231, 'code': 231, 'title': 'Estonia', 'units': 'NMC'},
            {'abbr': 232, 'code': 232, 'title': 'Georgia', 'units': 'NMC'},
            {'abbr': 'eidb', 'code': 233, 'title': 'Dublin'},
            {'abbr': 234, 'code': 234, 'title': 'Israel', 'units': 'NMC'},
            {'abbr': 'ingv', 'code': 235, 'title': 'INGV'},
            {'abbr': 'crfc', 'code': 239, 'title': 'CERFAX'},
            {'abbr': 240, 'code': 240, 'title': 'Malta', 'units': 'NMC'},
            {'abbr': 241, 'code': 241, 'title': 'Monaco'},
            {'abbr': 242, 'code': 242, 'title': 'Romania', 'units': 'NMC'},
            {'abbr': 'vuwien', 'code': 244, 'title': 'VUWien'},
            {'abbr': 'knmi', 'code': 245, 'title': 'KNMI'},
            {'abbr': 'ifmk', 'code': 246, 'title': 'IfM-Kiel'},
            {'abbr': 'hadc', 'code': 247, 'title': 'Hadley Centre'},
            {'abbr': 'cosmo',
             'code': 250,
             'title': 'COnsortium for Small scale MOdelling',
             'units': 'COSMO'},
            {'abbr': 251,
             'code': 251,
             'title': 'Meteorological Cooperation on Operational NWP',
             'units': 'MetCoOp'},
            {'abbr': 'mpim',
             'code': 252,
             'title': 'Max Planck Institute for Meteorology',
             'units': 'MPI-M'},
            {'abbr': 'eums', 'code': 254, 'title': 'EUMETSAT Operation Centre'},
            {'abbr': 'consensus', 'code': 255, 'title': 'Consensus'},
            {'abbr': 256, 'code': 256, 'title': 'Angola', 'units': 'NMC'},
            {'abbr': 257, 'code': 257, 'title': 'Benin', 'units': 'NMC'},
            {'abbr': 258, 'code': 258, 'title': 'Botswana', 'units': 'NMC'},
            {'abbr': 259, 'code': 259, 'title': 'Burkina Faso', 'units': 'NMC'},
            {'abbr': 260, 'code': 260, 'title': 'Burundi', 'units': 'NMC'},
            {'abbr': 261, 'code': 261, 'title': 'Cameroon', 'units': 'NMC'},
            {'abbr': 262, 'code': 262, 'title': 'Cabo Verde', 'units': 'NMC'},
            {'abbr': 263,
             'code': 263,
             'title': 'Central African Republic',
             'units': 'NMC'},
            {'abbr': 264, 'code': 264, 'title': 'Chad', 'units': 'NMC'},
            {'abbr': 265, 'code': 265, 'title': 'Comoros', 'units': 'NMC'},
            {'abbr': 266,
             'code': 266,
             'title': 'Democratic Republic of the Congo',
             'units': 'NMC'},
            {'abbr': 267, 'code': 267, 'title': 'Djibouti', 'units': 'NMC'},
            {'abbr': 268, 'code': 268, 'title': 'Eritrea', 'units': 'NMC'},
            {'abbr': 269, 'code': 269, 'title': 'Ethiopia', 'units': 'NMC'},
            {'abbr': 270, 'code': 270, 'title': 'Gabon', 'units': 'NMC'},
            {'abbr': 271, 'code': 271, 'title': 'Gambia', 'units': 'NMC'},
            {'abbr': 272, 'code': 272, 'title': 'Ghana', 'units': 'NMC'},
            {'abbr': 273, 'code': 273, 'title': 'Guinea', 'units': 'NMC'},
            {'abbr': 274, 'code': 274, 'title': 'Guinea-Bissau', 'units': 'NMC'},
            {'abbr': 275, 'code': 275, 'title': 'Lesotho', 'units': 'NMC'},
            {'abbr': 276, 'code': 276, 'title': 'Liberia', 'units': 'NMC'},
            {'abbr': 277, 'code': 277, 'title': 'Malawi', 'units': 'NMC'},
            {'abbr': 278, 'code': 278, 'title': 'Mali', 'units': 'NMC'},
            {'abbr': 279, 'code': 279, 'title': 'Mauritania', 'units': 'NMC'},
            {'abbr': 280, 'code': 280, 'title': 'Namibia', 'units': 'NMC'},
            {'abbr': 281, 'code': 281, 'title': 'Nigeria', 'units': 'NMC'},
            {'abbr': 282, 'code': 282, 'title': 'Rwanda', 'units': 'NMC'},
            {'abbr': 283, 'code': 283, 'title': 'Sao Tome and Principe', 'units': 'NMC'},
            {'abbr': 284, 'code': 284, 'title': 'Sierra Leone', 'units': 'NMC'},
            {'abbr': 285, 'code': 285, 'title': 'Somalia', 'units': 'NMC'},
            {'abbr': 286, 'code': 286, 'title': 'Sudan', 'units': 'NMC'},
            {'abbr': 287, 'code': 287, 'title': 'Swaziland', 'units': 'NMC'},
            {'abbr': 288, 'code': 288, 'title': 'Togo', 'units': 'NMC'},
            {'abbr': 289, 'code': 289, 'title': 'Zambia', 'units': 'NMC'},
            {'abbr': 65535, 'code': 65535, 'title': 'Missing value'})
