def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Absent'},
            {'abbr': 'ammc', 'code': 1, 'title': 'Melbourne', 'units': 'WMC'},
            {'abbr': 2, 'code': 2, 'title': 'Melbourne', 'units': 'WMC'},
            {'abbr': 'rums', 'code': 4, 'title': 'Moscow', 'units': 'WMC'},
            {'abbr': 5, 'code': 5, 'title': 'Moscow', 'units': 'WMC'},
            {'abbr': 'kwbc',
             'code': 7,
             'title': 'US National Weather Service - NCEP',
             'units': 'WMC'},
            {'abbr': 8,
             'code': 8,
             'title': 'US National Weather Service - NWSTG',
             'units': 'WMC'},
            {'abbr': 9,
             'code': 9,
             'title': 'US National Weather Service - Other',
             'units': 'WMC'},
            {'abbr': 10, 'code': 10, 'title': 'Cairo', 'units': 'RSMC/RAFC'},
            {'abbr': 12, 'code': 12, 'title': 'Dakar', 'units': 'RSMC/RAFC'},
            {'abbr': 14, 'code': 14, 'title': 'Nairobi', 'units': 'RSMC/RAFC'},
            {'abbr': 16, 'code': 16, 'title': 'Atananarivo', 'units': 'RSMC'},
            {'abbr': 18, 'code': 18, 'title': 'Tunis-Casablanca', 'units': 'RSMC'},
            {'abbr': 20, 'code': 20, 'title': 'Las Palmas', 'units': 'RAFC'},
            {'abbr': 21, 'code': 21, 'title': 'Algiers', 'units': 'RSMC'},
            {'abbr': 22, 'code': 22, 'title': 'Lagos', 'units': 'RSMC'},
            {'abbr': 'fapr', 'code': 24, 'title': 'Pretoria', 'units': 'RSMC'},
            {'abbr': 26, 'code': 26, 'title': 'Khabarovsk', 'units': 'RSMC'},
            {'abbr': 'vabb', 'code': 28, 'title': 'New Delhi', 'units': 'IMD'},
            {'abbr': 'dems', 'code': 29, 'title': 'New Delhi', 'units': 'NCMRWF'},
            {'abbr': 30, 'code': 30, 'title': 'Novosibirsk', 'units': 'RSMC'},
            {'abbr': 32, 'code': 32, 'title': 'Tashkent', 'units': 'RSMC'},
            {'abbr': 33, 'code': 33, 'title': 'Jeddah', 'units': 'RSMC'},
            {'abbr': 'rjtd',
             'code': 34,
             'title': 'Japanese Meteorological Agency - Tokyo',
             'units': 'RSMC'},
            {'abbr': 36, 'code': 36, 'title': 'Bankok'},
            {'abbr': 37, 'code': 37, 'title': 'Ulan Bator'},
            {'abbr': 'babj', 'code': 38, 'title': 'Beijing', 'units': 'RSMC'},
            {'abbr': 'rksl', 'code': 40, 'title': 'Seoul'},
            {'abbr': 'sabm', 'code': 41, 'title': 'Buenos Aires', 'units': 'RSMC/RAFC'},
            {'abbr': 43, 'code': 43, 'title': 'Brasilia', 'units': 'RSMC/RAFC'},
            {'abbr': 45, 'code': 45, 'title': 'Santiago'},
            {'abbr': 'sbsj', 'code': 46, 'title': 'Brasilian Space Agency - INPE'},
            {'abbr': 51, 'code': 51, 'title': 'Miami', 'units': 'RSMC/RAFC'},
            {'abbr': 52, 'code': 52, 'title': 'National Hurricane Center, Miami'},
            {'abbr': 53,
             'code': 53,
             'title': 'Canadian Meteorological Service - Montreal',
             'units': 'RSMC'},
            {'abbr': 'cwao',
             'code': 54,
             'title': 'Canadian Meteorological Service - Montreal',
             'units': 'RSMC'},
            {'abbr': 55, 'code': 55, 'title': 'San Francisco'},
            {'abbr': 57, 'code': 57, 'title': 'U.S. Air Force - Global Weather Center'},
            {'abbr': 'fnmo',
             'code': 58,
             'title': 'US Navy - Fleet Numerical Oceanography Center'},
            {'abbr': 59, 'code': 59, 'title': 'NOAA Forecast Systems Lab, Boulder CO'},
            {'abbr': 60,
             'code': 60,
             'title': 'National Center for Atmospheric Research (NCAR), Boulder, CO'},
            {'abbr': 64, 'code': 64, 'title': 'Honolulu'},
            {'abbr': 65, 'code': 65, 'title': 'Darwin', 'units': 'RSMC'},
            {'abbr': 67, 'code': 67, 'title': 'Melbourne', 'units': 'RSMC'},
            {'abbr': 'nzkl', 'code': 69, 'title': 'Wellington', 'units': 'RSMC/RAFC'},
            {'abbr': 'egrr', 'code': 74, 'title': 'U.K. Met Office - Exeter'},
            {'abbr': 76, 'code': 76, 'title': 'Moscow', 'units': 'RSMC/RAFC'},
            {'abbr': 'edzw', 'code': 78, 'title': 'Offenbach', 'units': 'RSMC'},
            {'abbr': 'cnmc', 'code': 80, 'title': 'Rome', 'units': 'RSMC'},
            {'abbr': 'eswi', 'code': 82, 'title': 'Norrkoping'},
            {'abbr': 'lfpw', 'code': 84, 'title': 'French Weather Service - Toulouse'},
            {'abbr': 'lfpw', 'code': 85, 'title': 'French Weather Service - Toulouse'},
            {'abbr': 'efkl', 'code': 86, 'title': 'Helsinki'},
            {'abbr': 87, 'code': 87, 'title': 'Belgrade'},
            {'abbr': 'enmi', 'code': 88, 'title': 'Oslo'},
            {'abbr': 89, 'code': 89, 'title': 'Prague'},
            {'abbr': 90, 'code': 90, 'title': 'Episkopi'},
            {'abbr': 91, 'code': 91, 'title': 'Ankara'},
            {'abbr': 92, 'code': 92, 'title': 'Frankfurt/Main', 'units': 'RAFC'},
            {'abbr': 93, 'code': 93, 'title': 'London', 'units': 'WAFC'},
            {'abbr': 'ekmi', 'code': 94, 'title': 'Copenhagen'},
            {'abbr': 95, 'code': 95, 'title': 'Rota'},
            {'abbr': 96, 'code': 96, 'title': 'Athens'},
            {'abbr': 97, 'code': 97, 'title': 'European Space Agency', 'units': 'ESA'},
            {'abbr': 'ecmf',
             'code': 98,
             'title': 'European Centre for Medium-Range Weather Forecasts'},
            {'abbr': 99, 'code': 99, 'title': 'DeBilt, Netherlands'},
            {'abbr': 110, 'code': 110, 'title': 'Hong-Kong'},
            {'abbr': 160, 'code': 160, 'title': 'US NOAA/NESDIS'},
            {'abbr': 'nasa',
             'code': 173,
             'title': 'US National Aeronautics and Space Administration',
             'units': 'NASA'},
            {'abbr': 'wiix', 'code': 195, 'title': 'Indonesia', 'units': 'NMC'},
            {'abbr': 'niwa',
             'code': 204,
             'title': 'National Institute of Water and Atmospheric Research',
             'units': 'NIWA - New Zealand'},
            {'abbr': 210, 'code': 210, 'title': 'Frascati', 'units': 'ESA/ESRIN'},
            {'abbr': 211, 'code': 211, 'title': 'Lannion'},
            {'abbr': 212, 'code': 212, 'title': 'Lisboa'},
            {'abbr': 213, 'code': 213, 'title': 'Reykjavik'},
            {'abbr': 'lemm', 'code': 214, 'title': 'INM Madrid'},
            {'abbr': 'lssw', 'code': 215, 'title': 'Zurich'},
            {'abbr': 216, 'code': 216, 'title': 'Service ARGOS Toulouse'},
            {'abbr': 'habp', 'code': 218, 'title': 'Budapest'},
            {'abbr': 'lowm', 'code': 224, 'title': 'Austria'},
            {'abbr': 'ebum', 'code': 227, 'title': 'Belgium', 'units': 'NMC'},
            {'abbr': 'eidb', 'code': 233, 'title': 'Dublin'},
            {'abbr': 'ingv', 'code': 235, 'title': 'INGV'},
            {'abbr': 'crfc', 'code': 239, 'title': 'CERFAX'},
            {'abbr': 'vuwien', 'code': 244, 'title': 'VUWien'},
            {'abbr': 'knmi', 'code': 245, 'title': 'KNMI'},
            {'abbr': 'ifmk', 'code': 246, 'title': 'IfM-Kiel'},
            {'abbr': 'hadc', 'code': 247, 'title': 'Hadley Centre'},
            {'abbr': 'cosmo',
             'code': 250,
             'title': 'COnsortium for Small scale MOdelling',
             'units': 'COSMO'},
            {'abbr': 251,
             'code': 251,
             'title': 'Meteorological Cooperation on Operational NWP',
             'units': 'MetCoOp'},
            {'abbr': 'mpim',
             'code': 252,
             'title': 'Max Planck Institute for Meteorology',
             'units': 'MPI-M'},
            {'abbr': 'eums', 'code': 254, 'title': 'EUMETSAT Operation Centre'},
            {'abbr': 'consensus', 'code': 255, 'title': 'Consensus'})
