def load(h):
    return ({'abbr': 'Reserved', 'code': 0, 'title': 'RESERVED Reserved Reserved'},
            {'abbr': 'pres', 'code': 1, 'title': 'PRES Pressure Pa'},
            {'abbr': 'msl', 'code': 2, 'title': 'MSL Mean sea level pressure Pa'},
            {'abbr': 'ptend', 'code': 3, 'title': 'PTEND Pressure tendency Pa s**-1'},
            {'abbr': 'pv',
             'code': 4,
             'title': 'PV Potential vorticity K m**2 kg**-1 s**-1'},
            {'abbr': 'icaht',
             'code': 5,
             'title': 'ICAHT ICAO Standard Atmosphere reference height m'},
            {'abbr': 'z', 'code': 6, 'title': 'Z Geopotential m**2 s**-2'},
            {'abbr': 'gh', 'code': 7, 'title': 'GH Geopotential height gpm'},
            {'abbr': 'h', 'code': 8, 'title': 'H Geometrical height m'},
            {'abbr': 'hstdv', 'code': 9, 'title': 'HSTDV Standard deviation of height m'},
            {'abbr': 'tco3', 'code': 10, 'title': 'TCO3 Total column ozone Dobson'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature K'},
            {'abbr': 'vptmp',
             'code': 12,
             'title': 'VPTMP Virtual potential temperature K'},
            {'abbr': 'pt', 'code': 13, 'title': 'PT Potential temperature K'},
            {'abbr': 'papt',
             'code': 14,
             'title': 'PAPT Pseudo-adiabatic potential temperature K'},
            {'abbr': 'tmax', 'code': 15, 'title': 'TMAX Maximum temperature K'},
            {'abbr': 'tmin', 'code': 16, 'title': 'TMIN Minimum temperature K'},
            {'abbr': 'td', 'code': 17, 'title': 'TD Dew point temperature K'},
            {'abbr': 'depr',
             'code': 18,
             'title': 'DEPR Dew point depression (or deficit) K'},
            {'abbr': 'lapr', 'code': 19, 'title': 'LAPR Lapse rate K m**-1'},
            {'abbr': 'vis', 'code': 20, 'title': 'VIS Visibility m'},
            {'abbr': 'rdsp1', 'code': 21, 'title': 'RDSP1 Radar spectra (1) -'},
            {'abbr': 'rdsp2', 'code': 22, 'title': 'RDSP2 Radar spectra (2) -'},
            {'abbr': 'rdsp3', 'code': 23, 'title': 'RDSP3 Radar spectra (3) -'},
            {'abbr': 'pli', 'code': 24, 'title': 'PLI Parcel lifted index (to 500 hPa) K'},
            {'abbr': 'ta', 'code': 25, 'title': 'TA Temperature anomaly K'},
            {'abbr': 'presa', 'code': 26, 'title': 'PRESA Pressure anomaly Pa'},
            {'abbr': 'gpa', 'code': 27, 'title': 'GPA Geopotential height anomaly gpm'},
            {'abbr': 'wvsp1', 'code': 28, 'title': 'WVSP1 Wave spectra (1) -'},
            {'abbr': 'wvsp2', 'code': 29, 'title': 'WVSP2 Wave spectra (2) -'},
            {'abbr': 'wvsp3', 'code': 30, 'title': 'WVSP3 Wave spectra (3) -'},
            {'abbr': 'wdir', 'code': 31, 'title': 'WDIR Wind direction Degree true'},
            {'abbr': 'ws', 'code': 32, 'title': 'WS Wind speed m s**-1'},
            {'abbr': 'u', 'code': 33, 'title': 'U u-component of wind m s**-1'},
            {'abbr': 'v', 'code': 34, 'title': 'V v-component of wind m s**-1'},
            {'abbr': 'strf', 'code': 35, 'title': 'STRF Stream function m2 s**-1'},
            {'abbr': 'vp', 'code': 36, 'title': 'VP Velocity potential m2 s**-1'},
            {'abbr': 'mntsf',
             'code': 37,
             'title': 'MNTSF Montgomery stream function m**2 s**-1'},
            {'abbr': 'sgcvv',
             'code': 38,
             'title': 'SGCVV Sigma coordinate vertical velocity s**-1'},
            {'abbr': 'w', 'code': 39, 'title': 'W Pressure Vertical velocity Pa s**-1'},
            {'abbr': 'tw', 'code': 40, 'title': 'TW Vertical velocity m s**-1'},
            {'abbr': 'absv', 'code': 41, 'title': 'ABSV Absolute vorticity s**-1'},
            {'abbr': 'absd', 'code': 42, 'title': 'ABSD Absolute divergence s**-1'},
            {'abbr': 'vo', 'code': 43, 'title': 'VO Relative vorticity s**-1'},
            {'abbr': 'd', 'code': 44, 'title': 'D Relative divergence s**-1'},
            {'abbr': 'vucsh',
             'code': 45,
             'title': 'VUCSH Vertical u-component shear s**-1'},
            {'abbr': 'vvcsh',
             'code': 46,
             'title': 'VVCSH Vertical v-component shear s**-1'},
            {'abbr': 'dirc', 'code': 47, 'title': 'DIRC Direction of current Degree true'},
            {'abbr': 'spc', 'code': 48, 'title': 'SPC Speed of current m s**-1'},
            {'abbr': 'ucurr', 'code': 49, 'title': 'UCURR U-component of current m s**-1'},
            {'abbr': 'vcurr', 'code': 50, 'title': 'VCURR V-component of current m s**-1'},
            {'abbr': 'q', 'code': 51, 'title': 'Q Specific humidity kg kg**-1'},
            {'abbr': 'r', 'code': 52, 'title': 'R Relative humidity %'},
            {'abbr': 'mixr', 'code': 53, 'title': 'MIXR Humidity mixing ratio kg kg**-1'},
            {'abbr': 'pwat', 'code': 54, 'title': 'PWAT Precipitable water kg m**-2'},
            {'abbr': 'vp', 'code': 55, 'title': 'VP Vapour pressure Pa'},
            {'abbr': 'satd', 'code': 56, 'title': 'SATD Saturation deficit Pa'},
            {'abbr': 'e', 'code': 57, 'title': 'E Evaporation kg m**-2'},
            {'abbr': 'ciwc', 'code': 58, 'title': 'CIWC Cloud ice kg m**-2'},
            {'abbr': 'prate',
             'code': 59,
             'title': 'PRATE Precipitation rate kg m**-2 s**-1'},
            {'abbr': 'tstm', 'code': 60, 'title': 'TSTM Thunderstorm probability %'},
            {'abbr': 'tp', 'code': 61, 'title': 'TP Total precipitation kg m**-2'},
            {'abbr': 'lsp', 'code': 62, 'title': 'LSP Large scale precipitation kg m**-2'},
            {'abbr': 'acpcp',
             'code': 63,
             'title': 'ACPCP Convective precipitation (water) kg m**-2'},
            {'abbr': 'srweq',
             'code': 64,
             'title': 'SRWEQ Snow fall rate water equivalent kg m**-2 s**-1'},
            {'abbr': 'sf',
             'code': 65,
             'title': 'SF Water equivalent of accumulated snow depth kg m**-2'},
            {'abbr': 'sd', 'code': 66, 'title': 'SD Snow depth m'},
            {'abbr': 'mld', 'code': 67, 'title': 'MLD Mixed layer depth m'},
            {'abbr': 'tthdp', 'code': 68, 'title': 'TTHDP Transient thermocline depth m'},
            {'abbr': 'mthd', 'code': 69, 'title': 'MTHD Main thermocline depth m'},
            {'abbr': 'mtha', 'code': 70, 'title': 'MTHA Main thermocline anomaly m'},
            {'abbr': 'tcc',
             'code': 71,
             'title': 'TCC Total cloud cover',
             'units': '0 - 1'},
            {'abbr': 'ccc',
             'code': 72,
             'title': 'CCC Convective cloud cover',
             'units': '0 - 1'},
            {'abbr': 'lcc', 'code': 73, 'title': 'LCC Low cloud cover', 'units': '0 - 1'},
            {'abbr': 'mcc',
             'code': 74,
             'title': 'MCC Medium cloud cover',
             'units': '0 - 1'},
            {'abbr': 'hcc', 'code': 75, 'title': 'HCC High cloud cover', 'units': '0 - 1'},
            {'abbr': 'cwat', 'code': 76, 'title': 'CWAT Cloud water kg m**-2'},
            {'abbr': 'bli', 'code': 77, 'title': 'BLI Best lifted index (to 500 hPa) K'},
            {'abbr': 'csf', 'code': 78, 'title': 'CSF Convective snowfall kg m**-2'},
            {'abbr': 'lsf', 'code': 79, 'title': 'LSF Large scale snowfall kg m**-2'},
            {'abbr': 'wtmp', 'code': 80, 'title': 'WTMP Water temperature K'},
            {'abbr': 'lsm',
             'code': 81,
             'title': 'LSM Land cover (1=land, 0=sea)',
             'units': '0 - 1'},
            {'abbr': 'dslm',
             'code': 82,
             'title': 'DSLM Deviation of sea-level from mean m'},
            {'abbr': 'sr', 'code': 83, 'title': 'SR Surface roughness m'},
            {'abbr': 'al', 'code': 84, 'title': 'AL Albedo %'},
            {'abbr': 'st', 'code': 85, 'title': 'ST Soil temperature K'},
            {'abbr': 'sm', 'code': 86, 'title': 'SM Soil moisture content kg m**-2'},
            {'abbr': 'veg', 'code': 87, 'title': 'VEG Vegetation %'},
            {'abbr': 's', 'code': 88, 'title': 'S Salinity kg kg**-1'},
            {'abbr': 'den', 'code': 89, 'title': 'DEN Density kg m**-3'},
            {'abbr': 'ro', 'code': 90, 'title': 'RO Water run-off kg m**-2'},
            {'abbr': 'icec',
             'code': 91,
             'title': 'ICEC Ice cover (1=land, 0=sea)',
             'units': '0 - 1'},
            {'abbr': 'icetk', 'code': 92, 'title': 'ICETK Ice thickness m'},
            {'abbr': 'diced',
             'code': 93,
             'title': 'DICED Direction of ice drift Degree true'},
            {'abbr': 'siced', 'code': 94, 'title': 'SICED Speed of ice drift m s**-1'},
            {'abbr': 'uice', 'code': 95, 'title': 'UICE U-component of ice drift m s**-1'},
            {'abbr': 'vice', 'code': 96, 'title': 'VICE V-component of ice drift m s**-1'},
            {'abbr': 'iceg', 'code': 97, 'title': 'ICEG Ice growth rate m s**-1'},
            {'abbr': 'iced', 'code': 98, 'title': 'ICED Ice divergence s**-1'},
            {'abbr': 'snom', 'code': 99, 'title': 'SNOM Snow melt kg m**-2'},
            {'abbr': 'swh',
             'code': 100,
             'title': 'SWH Signific.height,combined wind waves+swell m'},
            {'abbr': 'mdww',
             'code': 101,
             'title': 'MDWW Mean Direction of wind waves Degree true'},
            {'abbr': 'shww',
             'code': 102,
             'title': 'SHWW Significant height of wind waves m'},
            {'abbr': 'mpww', 'code': 103, 'title': 'MPWW Mean period of wind waves s'},
            {'abbr': 'swdir',
             'code': 104,
             'title': 'SWDIR Direction of swell waves Degree true'},
            {'abbr': 'swell',
             'code': 105,
             'title': 'SWELL Significant height of swell waves m'},
            {'abbr': 'swper', 'code': 106, 'title': 'SWPER Mean period of swell waves s'},
            {'abbr': 'mdps',
             'code': 107,
             'title': 'MDPS Mean direction of primary swell Degree true'},
            {'abbr': 'mpps', 'code': 108, 'title': 'MPPS Mean period of primary swell s'},
            {'abbr': 'dirsw',
             'code': 109,
             'title': 'DIRSW Secondary wave direction Degree true'},
            {'abbr': 'swp', 'code': 110, 'title': 'SWP Secondary wave mean period s'},
            {'abbr': 'nswrs',
             'code': 111,
             'title': 'NSWRS Net short-wave radiation flux (surface) W m**-2'},
            {'abbr': 'nlwrs',
             'code': 112,
             'title': 'NLWRS Net long-wave radiation flux (surface) W m**-2'},
            {'abbr': 'nswrt',
             'code': 113,
             'title': 'NSWRT Net short-wave radiation flux (atmosph.top) W m**-2'},
            {'abbr': 'nlwrt',
             'code': 114,
             'title': 'NLWRT Net long-wave radiation flux (atmosph.top) W m**-2'},
            {'abbr': 'lwavr',
             'code': 115,
             'title': 'LWAVR Long-wave radiation flux W m**-2'},
            {'abbr': 'swavr',
             'code': 116,
             'title': 'SWAVR Short-wave radiation flux W m**-2'},
            {'abbr': 'grad', 'code': 117, 'title': 'GRAD Global radiation flux W m**-2'},
            {'abbr': 'btmp', 'code': 118, 'title': 'BTMP Brightness temperature K'},
            {'abbr': 'lwrad',
             'code': 119,
             'title': 'LWRAD Radiance (with respect to wave number) W m**-1 sr**-1'},
            {'abbr': 'swrad',
             'code': 120,
             'title': 'SWRAD Radiance (with respect to wave length) W m-**3 sr**-1'},
            {'abbr': 'slhf', 'code': 121, 'title': 'SLHF Latent heat flux W m**-2'},
            {'abbr': 'sshf', 'code': 122, 'title': 'SSHF Sensible heat flux W m**-2'},
            {'abbr': 'bld',
             'code': 123,
             'title': 'BLD Boundary layer dissipation W m**-2'},
            {'abbr': 'uflx',
             'code': 124,
             'title': 'UFLX Momentum flux, u-component N m**-2'},
            {'abbr': 'vflx',
             'code': 125,
             'title': 'VFLX Momentum flux, v-component N m**-2'},
            {'abbr': 'wmixe', 'code': 126, 'title': 'WMIXE Wind mixing energy J'},
            {'abbr': 'imgd', 'code': 127, 'title': 'IMGD Image data'},
            {'abbr': 'mofl', 'code': 128, 'title': 'MOFL Momentum flux Pa'},
            {'abbr': 'maxv', 'code': 135, 'title': 'MAXV Max wind speed (at 10m) m s**-1'},
            {'abbr': 'tland', 'code': 140, 'title': 'TLAND Temperature over land K'},
            {'abbr': 'qland',
             'code': 141,
             'title': 'QLAND Specific humidity over land kg kg**-1'},
            {'abbr': 'rhland',
             'code': 142,
             'title': 'RHLAND Relative humidity over land Fraction'},
            {'abbr': 'dptland', 'code': 143, 'title': 'DPTLAND Dew point over land K'},
            {'abbr': 'slfr', 'code': 160, 'title': 'SLFR Slope fraction -'},
            {'abbr': 'shfr', 'code': 161, 'title': 'SHFR Shadow fraction -'},
            {'abbr': 'rsha', 'code': 162, 'title': 'RSHA Shadow parameter A -'},
            {'abbr': 'rshb', 'code': 163, 'title': 'RSHB Shadow parameter B -'},
            {'abbr': 'susl', 'code': 165, 'title': 'SUSL Surface slope -'},
            {'abbr': 'skwf', 'code': 166, 'title': 'SKWF Sky wiew factor -'},
            {'abbr': 'frasp', 'code': 167, 'title': 'FRASP Fraction of aspect -'},
            {'abbr': 'asn', 'code': 190, 'title': 'ASN Snow albedo -'},
            {'abbr': 'dsn', 'code': 191, 'title': 'DSN Snow density -'},
            {'abbr': 'watcn',
             'code': 192,
             'title': 'WATCN Water on canopy level kg m**-2'},
            {'abbr': 'ssi', 'code': 193, 'title': 'SSI Surface soil ice m**3 m**-3'},
            {'abbr': 'sltyp', 'code': 195, 'title': 'SLTYP Soil type code -'},
            {'abbr': 'fol', 'code': 196, 'title': 'FOL Fraction of lake -'},
            {'abbr': 'fof', 'code': 197, 'title': 'FOF Fraction of forest -'},
            {'abbr': 'fool', 'code': 198, 'title': 'FOOL Fraction of open land -'},
            {'abbr': 'vgtyp',
             'code': 199,
             'title': 'VGTYP Vegetation type (Olsson land use) -'},
            {'abbr': 'tke', 'code': 200, 'title': 'TKE Turbulent Kinetic Energy J kg**-1'},
            {'abbr': 'mssso',
             'code': 208,
             'title': 'MSSSO Maximum slope of smallest scale orography rad'},
            {'abbr': 'sdsso',
             'code': 209,
             'title': 'SDSSO Standard deviation of smallest scale orography gpm'},
            {'abbr': 'gust', 'code': 228, 'title': 'GUST Max wind gust m s**-1'})
