def load(h):
    return ({'abbr': 'msl', 'code': 1, 'title': 'MSL Pressure reduced to MSL Pa'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature K'},
            {'abbr': 'tiw', 'code': 12, 'title': 'TIW Wet bulb temperature K'},
            {'abbr': 'mean2t24',
             'code': 13,
             'title': 'MEAN2T24 24 hour mean of 2 meter temperature K'},
            {'abbr': 'tmax', 'code': 15, 'title': 'TMAX Maximum temperature K'},
            {'abbr': 'tmin', 'code': 16, 'title': 'TMIN Minimum temperature K'},
            {'abbr': 'vis', 'code': 20, 'title': 'VIS Visibility m'},
            {'abbr': 'fg', 'code': 32, 'title': 'FG Wind gusts m/s'},
            {'abbr': 'u', 'code': 33, 'title': 'U u-component of wind m/s'},
            {'abbr': 'v', 'code': 34, 'title': 'V v-component of wind m/s'},
            {'abbr': 'r', 'code': 52, 'title': 'R Relative humidity %'},
            {'abbr': 'tcc', 'code': 71, 'title': 'TCC Total cloud cover fraction'},
            {'abbr': 'lcc', 'code': 73, 'title': 'LCC Low cloud cover fraction'},
            {'abbr': 'mcc', 'code': 74, 'title': 'MCC Medium cloud cove fraction'},
            {'abbr': 'hcc', 'code': 75, 'title': 'HCC High cloud cover fraction'},
            {'abbr': 'frsigc',
             'code': 77,
             'title': 'FRSIGC Fraction of significant clouds fraction'},
            {'abbr': 'cbsigc',
             'code': 78,
             'title': 'CBSIGC Cloud base of significant clouds m'},
            {'abbr': 'ctsigc',
             'code': 79,
             'title': 'CTSIGC Cloud top of significant clouds m'},
            {'abbr': 'vptmp',
             'code': 128,
             'title': 'VPTMP Virtual potential temperature K'},
            {'abbr': 'heatx', 'code': 129, 'title': 'HEATX Heat index K'},
            {'abbr': 'wcf', 'code': 130, 'title': 'WCF Wind chill factor K'},
            {'abbr': 'snohf',
             'code': 131,
             'title': 'SNOHF Snow phase change heat flux W/m2'},
            {'abbr': 'skt', 'code': 132, 'title': 'SKT Skin temperature K'},
            {'abbr': 'snoag', 'code': 133, 'title': 'SNOAG Snow age day'},
            {'abbr': 'absh', 'code': 134, 'title': 'ABSH Absolute humidity kg/m3'},
            {'abbr': 'ptype', 'code': 135, 'title': 'PTYPE Precipitation type code'},
            {'abbr': 'iliqw', 'code': 136, 'title': 'ILIQW Integrated liquid water kg/m2'},
            {'abbr': 'tcond', 'code': 137, 'title': 'TCOND Condensate kg/kg'},
            {'abbr': 'clwmr', 'code': 138, 'title': 'CLWMR Cloud mixing ratio kg/kg'},
            {'abbr': 'icmr', 'code': 139, 'title': 'ICMR Ice water mixing ratio kg/kg'},
            {'abbr': 'rwmr', 'code': 140, 'title': 'RWMR Rain mixing ratio kg/kg'},
            {'abbr': 'snmr', 'code': 141, 'title': 'SNMR Snow mixing ratio kg/kg'},
            {'abbr': 'mconv',
             'code': 142,
             'title': 'MCONV Horizontal moisture convergence kg/kg/s'},
            {'abbr': 'pwcat',
             'code': 143,
             'title': 'PWCAT Precipitable water category code'},
            {'abbr': 'hail', 'code': 144, 'title': 'HAIL Hail m'},
            {'abbr': 'prtype', 'code': 145, 'title': 'PRTYPE Type of precipitation code'},
            {'abbr': 'prsort', 'code': 146, 'title': 'PRSORT Sort of precipitation code'},
            {'abbr': 'grle', 'code': 150, 'title': 'GRLE Graupel kg/kg'},
            {'abbr': 'crain', 'code': 151, 'title': 'CRAIN Categorical rain code'},
            {'abbr': 'cfrzr',
             'code': 152,
             'title': 'CFRZR Categorical freezing rain code'},
            {'abbr': 'cicep', 'code': 153, 'title': 'CICEP Categorical ice pellets code'},
            {'abbr': 'csnow', 'code': 154, 'title': 'CSNOW Categorical snow code'},
            {'abbr': 'cprat',
             'code': 155,
             'title': 'CPRAT Convective precipitation rate kg/m2/s'},
            {'abbr': 'mconv',
             'code': 156,
             'title': 'MCONV Horizontal moisture divergence kg/kg/s'},
            {'abbr': 'cpofp',
             'code': 157,
             'title': 'CPOFP Percent frozen precipitation %'},
            {'abbr': 'pev', 'code': 158, 'title': 'PEV Potential evaporation kg/m2'},
            {'abbr': 'pevpr',
             'code': 159,
             'title': 'PEVPR Potential evaporation rate W/m2'},
            {'abbr': 'snowc', 'code': 160, 'title': 'SNOWC Snow cover %'},
            {'abbr': 'prec6h', 'code': 161, 'title': 'PREC6H 6 hour precipitation mm'},
            {'abbr': 'prec12h', 'code': 162, 'title': 'PREC12H 12 hour precipitation mm'},
            {'abbr': 'prec18h', 'code': 163, 'title': 'PREC18H 18 hour precipitation mm'},
            {'abbr': 'prec24h', 'code': 164, 'title': 'PREC24H 24 hour precipitation mm'},
            {'abbr': 'prec1h', 'code': 165, 'title': 'PREC1H 1 hour precipitation mm'},
            {'abbr': 'prec2h', 'code': 166, 'title': 'PREC2H 2 hour precipitation mm'},
            {'abbr': 'prec3h', 'code': 167, 'title': 'PREC3H 3 hour precipitation mm'},
            {'abbr': 'prec9h', 'code': 168, 'title': 'PREC9H 9 hour precipitation mm'},
            {'abbr': 'prec15h', 'code': 169, 'title': 'PREC15H 15 hour precipitation mm'},
            {'abbr': 'frsn6h', 'code': 171, 'title': 'FRSN6H 6 hour fresh snow cover cm'},
            {'abbr': 'frsn12h',
             'code': 172,
             'title': 'FRSN12H 12 hour fresh snow cover cm'},
            {'abbr': 'frsn18h',
             'code': 173,
             'title': 'FRSN18H 18 hour fresh snow cover cm'},
            {'abbr': 'frsn24h',
             'code': 174,
             'title': 'FRSN24H 24 hour fresh snow cover cm'},
            {'abbr': 'frsn1h', 'code': 175, 'title': 'FRSN1H 1 hour fresh snow cover cm'},
            {'abbr': 'frsn2h', 'code': 176, 'title': 'FRSN2H 2 hour fresh snow cover cm'},
            {'abbr': 'frsn3h', 'code': 177, 'title': 'FRSN3H 3 hour fresh snow cover cm'},
            {'abbr': 'frsn9h', 'code': 178, 'title': 'FRSN9H 9 hour fresh snow cover cm'},
            {'abbr': 'frsn15h',
             'code': 179,
             'title': 'FRSN15H 15 hour fresh snow cover cm'},
            {'abbr': 'prec6h_cor',
             'code': 181,
             'title': 'PREC6H_COR 6 hour precipitation, corrected mm'},
            {'abbr': 'prec12h_cor',
             'code': 182,
             'title': 'PREC12H_COR 12 hour precipitation, corrected mm'},
            {'abbr': 'prec18h_cor',
             'code': 183,
             'title': 'PREC18H_COR 18 hour precipitation, corrected mm'},
            {'abbr': 'prec24h_cor',
             'code': 184,
             'title': 'PREC24H_COR 24 hour precipitation, corrected mm'},
            {'abbr': 'prec1h_cor',
             'code': 185,
             'title': 'PREC1H_COR 1 hour precipitation, corrected mm'},
            {'abbr': 'prec2h_cor',
             'code': 186,
             'title': 'PREC2H_COR 2 hour precipitation, corrected mm'},
            {'abbr': 'prec3h_cor',
             'code': 187,
             'title': 'PREC3H_COR 3 hour precipitation, corrected mm'},
            {'abbr': 'prec9h_cor',
             'code': 188,
             'title': 'PREC9H_COR 9 hour precipitation, corrected mm'},
            {'abbr': 'prec15h_cor',
             'code': 189,
             'title': 'PREC15H_COR 15 hour precipitation, corrected mm'},
            {'abbr': 'frsn6h_cor',
             'code': 191,
             'title': 'FRSN6H_COR 6 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn12h_cor',
             'code': 192,
             'title': 'FRSN12H_COR 12 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn18h_cor',
             'code': 193,
             'title': 'FRSN18H_COR 18 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn24h_cor',
             'code': 194,
             'title': 'FRSN24H_COR 24 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn1h_cor',
             'code': 195,
             'title': 'FRSN1H_COR 1 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn2h_cor',
             'code': 196,
             'title': 'FRSN2H_COR 2 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn3h_cor',
             'code': 197,
             'title': 'FRSN3H_COR 3 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn9h_cor',
             'code': 198,
             'title': 'FRSN9H_COR 9 hour fresh snow cover, corrected cm'},
            {'abbr': 'frsn15h_cor',
             'code': 199,
             'title': 'FRSN15H_COR 15 hour fresh snow cover, corrected cm'},
            {'abbr': 'prec6h_sta',
             'code': 201,
             'title': 'PREC6H_STA 6 hour precipitation, standardized mm'},
            {'abbr': 'prec12h_sta',
             'code': 202,
             'title': 'PREC12H_STA 12 hour precipitation, standardized mm'},
            {'abbr': 'prec18h_sta',
             'code': 203,
             'title': 'PREC18H_STA 18 hour precipitation, standardized mm'},
            {'abbr': 'prec24h_sta',
             'code': 204,
             'title': 'PREC24H_STA 24 hour precipitation, standardized mm'},
            {'abbr': 'prec1h_sta',
             'code': 205,
             'title': 'PREC1H_STA 1 hour precipitation, standardized mm'},
            {'abbr': 'prec2h_sta',
             'code': 206,
             'title': 'PREC2H_STA 2 hour precipitation, standardized mm'},
            {'abbr': 'prec3h_sta',
             'code': 207,
             'title': 'PREC3H_STA 3 hour precipitation, standardized mm'},
            {'abbr': 'prec9h_sta',
             'code': 208,
             'title': 'PREC9H_STA 9 hour precipitation, standardized mm'},
            {'abbr': 'prec15h_sta',
             'code': 209,
             'title': 'PREC15H_STA 15 hour precipitation, standardized mm'},
            {'abbr': 'frsn6h_sta',
             'code': 211,
             'title': 'FRSN6H_STA 6 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn12h_sta',
             'code': 212,
             'title': 'FRSN12H_STA 12 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn18h_sta',
             'code': 213,
             'title': 'FRSN18H_STA 18 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn24h_sta',
             'code': 214,
             'title': 'FRSN24H_STA 24 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn1h_sta',
             'code': 215,
             'title': 'FRSN1H_STA 1 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn2h_sta',
             'code': 216,
             'title': 'FRSN2H_STA 2 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn3h_sta',
             'code': 217,
             'title': 'FRSN3H_STA 3 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn9h_sta',
             'code': 218,
             'title': 'FRSN9H_STA 9 hour fresh snow cover, standardized cm'},
            {'abbr': 'frsn15h_sta',
             'code': 219,
             'title': 'FRSN15H_STA 15 hour fresh snow cover, standardized cm'},
            {'abbr': 'prec6h_corsta',
             'code': 221,
             'title': 'PREC6H_CORSTA 6 hour precipitation, corrected and standardized mm'},
            {'abbr': 'prec12h_corsta',
             'code': 222,
             'title': 'PREC12H_CORSTA 12 hour precipitation, corrected and standardized '
                      'mm'},
            {'abbr': 'prec18h_corsta',
             'code': 223,
             'title': 'PREC18H_CORSTA 18 hour precipitation, corrected and standardized '
                      'mm'},
            {'abbr': 'prec24h_corsta',
             'code': 224,
             'title': 'PREC24H_CORSTA 24 hour precipitation, corrected and standardized '
                      'mm'},
            {'abbr': 'prec1h_corsta',
             'code': 225,
             'title': 'PREC1H_CORSTA 1 hour precipitation, corrected and standardized mm'},
            {'abbr': 'prec2h_corsta',
             'code': 226,
             'title': 'PREC2H_CORSTA 2 hour precipitation, corrected and standardized mm'},
            {'abbr': 'prec3h_corsta',
             'code': 227,
             'title': 'PREC3H_CORSTA 3 hour precipitation, corrected and standardized mm'},
            {'abbr': 'prec9h_corsta',
             'code': 228,
             'title': 'PREC9H_CORSTA 9 hour precipitation, corrected and standardized mm'},
            {'abbr': 'prec15h_corsta',
             'code': 229,
             'title': 'PREC15H_CORSTA 15 hour precipitation, corrected and standardized '
                      'mm'},
            {'abbr': 'frsn6h_corsta',
             'code': 231,
             'title': 'FRSN6H_CORSTA 6 hour fresh snow cover, corrected and standardized '
                      'cm'},
            {'abbr': 'frsn12h_corsta',
             'code': 232,
             'title': 'FRSN12H_CORSTA 12 hour fresh snow cover, corrected and '
                      'standardized cm'},
            {'abbr': 'frsn18h_corsta',
             'code': 233,
             'title': 'FRSN18H_CORSTA 18 hour fresh snow cover, corrected and '
                      'standardized cm'},
            {'abbr': 'frsn24h_corsta',
             'code': 234,
             'title': 'FRSN24H_CORSTA 24 hour fresh snow cover, corrected and '
                      'standardized cm'},
            {'abbr': 'frsn1h_corsta',
             'code': 235,
             'title': 'FRSN1H_CORSTA 1 hour fresh snow cover, corrected and standardized '
                      'cm'},
            {'abbr': 'frsn2h_corsta',
             'code': 236,
             'title': 'FRSN2H_CORSTA 2 hour fresh snow cover, corrected and standardized '
                      'cm'},
            {'abbr': 'frsn3h_corsta',
             'code': 237,
             'title': 'FRSN3H_CORSTA 3 hour fresh snow cover, corrected and standardized '
                      'cm'},
            {'abbr': 'frsn9h_corsta',
             'code': 238,
             'title': 'FRSN9H_CORSTA 9 hour fresh snow cover, corrected and standardized '
                      'cm'},
            {'abbr': 'frsn15h_corsta',
             'code': 239,
             'title': 'FRSN15H_CORSTA 15 hour fresh snow cover, corrected and '
                      'standardized cm'})
