def load(h):
    return ({'abbr': 'msl', 'code': 1, 'title': 'MSL Pressure reduced to MSL Pa'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature Deg C'},
            {'abbr': 'pt', 'code': 13, 'title': 'PT Potential temperature K'},
            {'abbr': 'ws1', 'code': 28, 'title': 'WS1 Wave spectra (1) -'},
            {'abbr': 'ws2', 'code': 29, 'title': 'WS2 Wave spectra (2) -'},
            {'abbr': 'ws3', 'code': 30, 'title': 'WS3 Wave spectra (3) -'},
            {'abbr': 'dir', 'code': 31, 'title': 'DIR Wind direction Deg true'},
            {'abbr': 'spd', 'code': 32, 'title': 'SPD Wind speed m/s'},
            {'abbr': 'u', 'code': 33, 'title': 'U U-component of Wind m/s'},
            {'abbr': 'v', 'code': 34, 'title': 'V V-component of Wind m/s'},
            {'abbr': 'strf', 'code': 35, 'title': 'STRF Stream function m2/s'},
            {'abbr': 'vp', 'code': 36, 'title': 'VP Velocity potential m2/s'},
            {'abbr': 'mntsf',
             'code': 37,
             'title': 'MNTSF Montgomery stream function m2/s2'},
            {'abbr': 'sigmw',
             'code': 38,
             'title': 'SIGMW Sigma coordinate vertical velocity 1/s'},
            {'abbr': 'wcur_pr',
             'code': 39,
             'title': 'WCUR_PR Z-component of velocity (pressure) Pa/s'},
            {'abbr': 'wcur_ge',
             'code': 40,
             'title': 'WCUR_GE Z-component of velocity (geometric) m/s'},
            {'abbr': 'absvor', 'code': 41, 'title': 'ABSVOR Absolute vorticity 1/s'},
            {'abbr': 'absdiv', 'code': 42, 'title': 'ABSDIV Absolute divergence 1/s'},
            {'abbr': 'relvor', 'code': 43, 'title': 'RELVOR Relative vorticity 1/s'},
            {'abbr': 'reldiv', 'code': 44, 'title': 'RELDIV Relative divergence 1/s'},
            {'abbr': 'vershu',
             'code': 45,
             'title': 'VERSHU Vertical u-component shear 1/s'},
            {'abbr': 'vershv',
             'code': 46,
             'title': 'VERSHV Vertical v-component shear 1/s'},
            {'abbr': 'dirhorcurr',
             'code': 47,
             'title': 'DIRHORCURR Direction of horizontal current Deg true'},
            {'abbr': 'spdhorcurr',
             'code': 48,
             'title': 'SPDHORCURR Speed of horizontal current m/s'},
            {'abbr': 'ucue', 'code': 49, 'title': 'UCUE U-comp of Current cm/s'},
            {'abbr': 'vcur', 'code': 50, 'title': 'VCUR V-comp of Current cm/s'},
            {'abbr': 'q', 'code': 51, 'title': 'Q Specific humidity g/kg'},
            {'abbr': 'hsnow', 'code': 66, 'title': 'HSNOW Snow Depth m'},
            {'abbr': 'mld', 'code': 67, 'title': 'MLD Mixed layer depth m'},
            {'abbr': 'tthdp', 'code': 68, 'title': 'TTHDP Transient thermocline depth m'},
            {'abbr': 'mthd', 'code': 69, 'title': 'MTHD Main thermocline depth m'},
            {'abbr': 'mtha', 'code': 70, 'title': 'MTHA Main thermocline anomaly m'},
            {'abbr': 'tcc', 'code': 71, 'title': 'TCC Total Cloud Cover Fraction'},
            {'abbr': 'wtmp', 'code': 80, 'title': 'WTMP Water temperature K'},
            {'abbr': 'zlev',
             'code': 82,
             'title': 'ZLEV Deviation of sea level from mean cm'},
            {'abbr': 's', 'code': 88, 'title': 'S Salinity psu'},
            {'abbr': 'den', 'code': 89, 'title': 'DEN Density kg/m3'},
            {'abbr': 'icec', 'code': 91, 'title': 'ICEC Ice Cover Fraction'},
            {'abbr': 'icetk', 'code': 92, 'title': 'ICETK Total ice thickness m'},
            {'abbr': 'diced',
             'code': 93,
             'title': 'DICED Direction of ice drift Deg true'},
            {'abbr': 'siced', 'code': 94, 'title': 'SICED Speed of ice drift m/s'},
            {'abbr': 'uice', 'code': 95, 'title': 'UICE U-component of ice drift cm/s'},
            {'abbr': 'vice', 'code': 96, 'title': 'VICE V-component of ice drift cm/s'},
            {'abbr': 'iceg', 'code': 97, 'title': 'ICEG Ice growth rate m/s'},
            {'abbr': 'iced', 'code': 98, 'title': 'ICED Ice divergence 1/s'},
            {'abbr': 'swh', 'code': 100, 'title': 'SWH Significant wave height m'},
            {'abbr': 'wvdir',
             'code': 101,
             'title': 'WVDIR Direction of Wind Waves Deg. true'},
            {'abbr': 'shww', 'code': 102, 'title': 'SHWW Sign Height Wind Waves m'},
            {'abbr': 'mpww', 'code': 103, 'title': 'MPWW Mean Period Wind Waves s'},
            {'abbr': 'swdir',
             'code': 104,
             'title': 'SWDIR Direction of Swell Waves Deg. true'},
            {'abbr': 'shps', 'code': 105, 'title': 'SHPS Sign Height Swell Waves m'},
            {'abbr': 'swper', 'code': 106, 'title': 'SWPER Mean Period Swell Waves s'},
            {'abbr': 'dirpw',
             'code': 107,
             'title': 'DIRPW Primary wave direction Deg true'},
            {'abbr': 'perpw', 'code': 108, 'title': 'PERPW Primary wave mean period s'},
            {'abbr': 'dirsw',
             'code': 109,
             'title': 'DIRSW Secondary wave direction Deg true'},
            {'abbr': 'persw', 'code': 110, 'title': 'PERSW Secondary wave mean period s'},
            {'abbr': 'mpw', 'code': 111, 'title': 'MPW Mean period of waves s'},
            {'abbr': 'wadir',
             'code': 112,
             'title': 'WADIR Mean direction of Waves Deg. true'},
            {'abbr': 'pp1d', 'code': 113, 'title': 'PP1D Peak period of 1D spectra s'},
            {'abbr': 'usurf', 'code': 130, 'title': 'USURF Skin velocity, x-comp. cm/s'},
            {'abbr': 'vsurf', 'code': 131, 'title': 'VSURF Skin velocity, y-comp. cm/s'},
            {'abbr': 'no3', 'code': 151, 'title': 'NO3 Nitrate -'},
            {'abbr': 'nh4', 'code': 152, 'title': 'NH4 Ammonium -'},
            {'abbr': 'po4', 'code': 153, 'title': 'PO4 Phosphate -'},
            {'abbr': 'o2', 'code': 154, 'title': 'O2 Oxygen -'},
            {'abbr': 'phpl', 'code': 155, 'title': 'PHPL Phytoplankton -'},
            {'abbr': 'zpl', 'code': 156, 'title': 'ZPL Zooplankton -'},
            {'abbr': 'dtr', 'code': 157, 'title': 'DTR Detritus -'},
            {'abbr': 'benn', 'code': 158, 'title': 'BENN Bentos nitrogen -'},
            {'abbr': 'benp', 'code': 159, 'title': 'BENP Bentos phosphorus -'},
            {'abbr': 'sio4', 'code': 160, 'title': 'SIO4 Silicate -'},
            {'abbr': 'sio2_bi', 'code': 161, 'title': 'SIO2_BI Biogenic silica -'},
            {'abbr': 'li_wacol', 'code': 162, 'title': 'LI_WACOL Light in water column -'},
            {'abbr': 'inorg_mat',
             'code': 163,
             'title': 'INORG_MAT Inorganic suspended matter -'},
            {'abbr': 'diat', 'code': 164, 'title': 'DIAT Diatomes (algae) -'},
            {'abbr': 'flag', 'code': 165, 'title': 'FLAG Flagellates (algae) -'},
            {'abbr': 'no3_agg', 'code': 166, 'title': 'NO3_AGG Nitrate (aggregated) -'},
            {'abbr': 'ffldg', 'code': 170, 'title': 'FFLDG Flash flood guidance kg/m2'},
            {'abbr': 'ffldro', 'code': 171, 'title': 'FFLDRO Flash flood runoff kg/m2'},
            {'abbr': 'rssc', 'code': 172, 'title': 'RSSC Remotely-sensed snow cover Code'},
            {'abbr': 'esct',
             'code': 173,
             'title': 'ESCT Elevation of snow-covered terrain Code'},
            {'abbr': 'swepon',
             'code': 174,
             'title': 'SWEPON Snow water equivalent per cent of normal %'},
            {'abbr': 'bgrun',
             'code': 175,
             'title': 'BGRUN Baseflow-groundwater runoff kg/m2'},
            {'abbr': 'ssrun', 'code': 176, 'title': 'SSRUN Storm surface runoff kg/m2'},
            {'abbr': 'cppop',
             'code': 180,
             'title': 'CPPOP Conditional per cent precipitation amount fractile for an '
                      'overall period kg/m2'},
            {'abbr': 'pposp',
             'code': 181,
             'title': 'PPOSP Per cent precipitation in a sub-period of an overall period '
                      '%'},
            {'abbr': 'pop',
             'code': 182,
             'title': 'POP Probability if 0.01 inch of precipitation %'},
            {'abbr': 'tsec',
             'code': 190,
             'title': 'TSEC Seconds prior to initial reference time (defined in section1) '
                      '(oceonography) s'},
            {'abbr': 'mosf',
             'code': 191,
             'title': 'MOSF Meridional overturning stream function m3/s'},
            {'abbr': 'tke', 'code': 200, 'title': 'TKE Turbulent Kinetic Energy J/kg'},
            {'abbr': 'dtke', 'code': 201, 'title': 'DTKE Dissipation rate of TKE W/kg'},
            {'abbr': 'km', 'code': 202, 'title': 'KM Eddy viscosity m2/s'},
            {'abbr': 'kh', 'code': 203, 'title': 'KH Eddy diffusivity m2/s'},
            {'abbr': 'hlev', 'code': 220, 'title': 'HLEV Level ice thickness m'},
            {'abbr': 'hrdg', 'code': 221, 'title': 'HRDG Ridged ice thickness m'},
            {'abbr': 'rh', 'code': 222, 'title': 'RH Ice ridge height m'},
            {'abbr': 'rd', 'code': 223, 'title': 'RD Ice ridge density 1/km'},
            {'abbr': 'ucurmean',
             'code': 231,
             'title': 'UCURMEAN U-mean (prev. timestep) cm/s'},
            {'abbr': 'vcurmean',
             'code': 232,
             'title': 'VCURMEAN V-mean (prev. timestep) cm/s'},
            {'abbr': 'wcurmean',
             'code': 233,
             'title': 'WCURMEAN W-mean (prev. timestep) m/s'},
            {'abbr': 'tsnow', 'code': 239, 'title': 'TSNOW Snow temperature Deg C'},
            {'abbr': 'depth', 'code': 243, 'title': 'DEPTH Total depth in meters m'})
