def load(h):
    return ({'abbr': 'c2h6', 'code': 1, 'title': 'C2H6 C2H6/Ethane -'},
            {'abbr': 'nc4h10', 'code': 2, 'title': 'NC4H10 NC4H10/N-butane -'},
            {'abbr': 'c2h4', 'code': 3, 'title': 'C2H4 C2H4/Ethene -'},
            {'abbr': 'c3h6', 'code': 4, 'title': 'C3H6 C3H6/Propene -'},
            {'abbr': 'oxylene', 'code': 5, 'title': 'OXYLENE OXYLENE/O-xylene -'},
            {'abbr': 'hcho', 'code': 6, 'title': 'HCHO HCHO/Formalydehyde -'},
            {'abbr': 'ch3cho', 'code': 7, 'title': 'CH3CHO CH3CHO/Acetaldehyde -'},
            {'abbr': 'ch3coc2h5',
             'code': 8,
             'title': 'CH3COC2H5 CH3COC2H5/Ethyl methyl keton -'},
            {'abbr': 'mglyox',
             'code': 9,
             'title': 'MGLYOX MGLYOX/Methyl-glyoxal (CH3COCHO) -'},
            {'abbr': 'glyox', 'code': 10, 'title': 'GLYOX GLYOX/Glyoxal (HCOCHO) -'},
            {'abbr': 'c5h8', 'code': 11, 'title': 'C5H8 C5H8/Isoprene -'},
            {'abbr': 'c2h5oh', 'code': 12, 'title': 'C2H5OH C2H5OH/Ethanol -'},
            {'abbr': 'ch3oh', 'code': 13, 'title': 'CH3OH CH3OH/Metanol -'},
            {'abbr': 'hcooh', 'code': 14, 'title': 'HCOOH HCOOH/Formic acid -'},
            {'abbr': 'ch3cooh', 'code': 15, 'title': 'CH3COOH CH3COOH/Acetic acid -'},
            {'abbr': 'nmvoc_c', 'code': 19, 'title': 'NMVOC_C NMVOC_C/Total NMVOC as C -'},
            {'abbr': 'pan', 'code': 21, 'title': 'PAN PAN/Peroxy acetyl nitrate -'},
            {'abbr': 'no3', 'code': 22, 'title': 'NO3 NO3/Nitrate radical -'},
            {'abbr': 'n2o5', 'code': 23, 'title': 'N2O5 N2O5/Dinitrogen pentoxide -'},
            {'abbr': 'onit', 'code': 24, 'title': 'ONIT ONIT/Organic nitrate -'},
            {'abbr': 'isonro2',
             'code': 25,
             'title': 'ISONRO2 ISONRO2/Isoprene-NO3 adduct -'},
            {'abbr': 'ho2no2', 'code': 26, 'title': 'HO2NO2 HO2NO2/HO2NO2 -'},
            {'abbr': 'mpan', 'code': 27, 'title': 'MPAN MPAN -'},
            {'abbr': 'isono3h', 'code': 28, 'title': 'ISONO3H ISONO3H -'},
            {'abbr': 'hono', 'code': 29, 'title': 'HONO HONO -'},
            {'abbr': 'ho2', 'code': 31, 'title': 'HO2 HO2/Hydroperhydroxyl radical -'},
            {'abbr': 'h2', 'code': 32, 'title': 'H2 H2/Molecular hydrogen -'},
            {'abbr': 'o', 'code': 33, 'title': 'O O/Oxygen atomic ground state (3P) -'},
            {'abbr': 'o1d',
             'code': 34,
             'title': 'O1D O1D/Oxygen atomic first singlet state -'},
            {'abbr': 'ch3o2', 'code': 41, 'title': 'CH3O2 CH3O2/Methyl peroxy radical -'},
            {'abbr': 'ch3o2h',
             'code': 42,
             'title': 'CH3O2H CH3O2H/Methyl hydroperoxide -'},
            {'abbr': 'c2h5o2',
             'code': 43,
             'title': 'C2H5O2 C2H5O2/Ethyl peroxy radical -'},
            {'abbr': 'ch3coo2',
             'code': 44,
             'title': 'CH3COO2 CH3COO2/Peroxy acetyl radical -'},
            {'abbr': 'secc4h9o2',
             'code': 45,
             'title': 'SECC4H9O2 SECC4H9O2/Buthyl peroxy radical -'},
            {'abbr': 'ch3cocho2ch3',
             'code': 46,
             'title': 'CH3COCHO2CH3 CH3COCHO2CH3/peroxy radical from MEK -'},
            {'abbr': 'acetol',
             'code': 47,
             'title': 'ACETOL ACETOL/acetol (hydroxy acetone) -'},
            {'abbr': 'ch2o2ch2oh', 'code': 48, 'title': 'CH2O2CH2OH CH2O2CH2OH -'},
            {'abbr': 'ch3cho2ch2oh',
             'code': 49,
             'title': 'CH3CHO2CH2OH CH3CHO2CH2OH/Peroxy radical from C3H6 plus OH -'},
            {'abbr': 'mal', 'code': 50, 'title': 'MAL MAL/CH3COCHCHCHO -'},
            {'abbr': 'malo2',
             'code': 51,
             'title': 'MALO2 MALO2/Peroxy radical from MAL plus oh -'},
            {'abbr': 'isro2',
             'code': 52,
             'title': 'ISRO2 ISRO2/Peroxy radical from isoprene plus oh -'},
            {'abbr': 'isoprod',
             'code': 53,
             'title': 'ISOPROD ISOPROD/Peroxy radical from ISOPROD -'},
            {'abbr': 'c2h5ooh',
             'code': 54,
             'title': 'C2H5OOH C2H5OOH/Ethyl hydroperoxide -'},
            {'abbr': 'ch3coo2h', 'code': 55, 'title': 'CH3COO2H CH3COO2H -'},
            {'abbr': 'oxyo2h',
             'code': 56,
             'title': 'OXYO2H OXYO2H/Hydroperoxide from OXYO2 -'},
            {'abbr': 'secc4h9o2h',
             'code': 57,
             'title': 'SECC4H9O2H SECC4H9O2H/Buthyl hydroperoxide -'},
            {'abbr': 'ch2oohch2oh', 'code': 58, 'title': 'CH2OOHCH2OH CH2OOHCH2OH -'},
            {'abbr': 'ch3choohch2oh',
             'code': 59,
             'title': 'CH3CHOOHCH2OH CH3CHOOHCH2OH//hydroperoxide from PRRO2 plus HO2 -'},
            {'abbr': 'ch3cocho2hch3',
             'code': 60,
             'title': 'CH3COCHO2HCH3 CH3COCHO2HCH3/hydroperoxide from MEKO2 plus HO2 -'},
            {'abbr': 'malo2h',
             'code': 61,
             'title': 'MALO2H MALO2H/Hydroperoxide from MALO2 plus ho2 -'},
            {'abbr': 'ipro2', 'code': 62, 'title': 'IPRO2 IPRO2 -'},
            {'abbr': 'xo2', 'code': 63, 'title': 'XO2 XO2 -'},
            {'abbr': 'oxyo2',
             'code': 64,
             'title': 'OXYO2 OXYO2/Peroxy radical from o-xylene plus oh -'},
            {'abbr': 'isro2h', 'code': 65, 'title': 'ISRO2H ISRO2H -'},
            {'abbr': 'mvk', 'code': 66, 'title': 'MVK MVK -'},
            {'abbr': 'mvko2', 'code': 67, 'title': 'MVKO2 MVKO2 -'},
            {'abbr': 'mvko2h', 'code': 68, 'title': 'MVKO2H MVKO2H -'},
            {'abbr': 'benzene', 'code': 70, 'title': 'BENZENE BENZENE -'},
            {'abbr': 'isni', 'code': 74, 'title': 'ISNI ISNI -'},
            {'abbr': 'isnir', 'code': 75, 'title': 'ISNIR ISNIR -'},
            {'abbr': 'isnirh', 'code': 76, 'title': 'ISNIRH ISNIRH -'},
            {'abbr': 'macr', 'code': 77, 'title': 'MACR MACR -'},
            {'abbr': 'aoh1', 'code': 78, 'title': 'AOH1 AOH1 -'},
            {'abbr': 'aoh1h', 'code': 79, 'title': 'AOH1H AOH1H -'},
            {'abbr': 'macro2', 'code': 80, 'title': 'MACRO2 MACRO2 -'},
            {'abbr': 'maco3h', 'code': 81, 'title': 'MACO3H MACO3H -'},
            {'abbr': 'macooh', 'code': 82, 'title': 'MACOOH MACOOH -'},
            {'abbr': 'ch2cch3', 'code': 83, 'title': 'CH2CCH3 CH2CCH3 -'},
            {'abbr': 'ch2co2hch3', 'code': 84, 'title': 'CH2CO2HCH3 CH2CO2HCH3 -'},
            {'abbr': 'bigene', 'code': 90, 'title': 'BIGENE BIGENE -'},
            {'abbr': 'bigalk', 'code': 91, 'title': 'BIGALK BIGALK -'},
            {'abbr': 'toluene', 'code': 92, 'title': 'TOLUENE TOLUENE -'},
            {'abbr': 'ch2chcn', 'code': 100, 'title': 'CH2CHCN CH2CHCN -'},
            {'abbr': 'ch32nnh2',
             'code': 101,
             'title': 'CH32NNH2 (CH3)2NNH2/Dimetylhydrazin -'},
            {'abbr': 'ch2oc2h3cl',
             'code': 102,
             'title': 'CH2OC2H3CL CH2OC2H3Cl/Epiklorhydrin -'},
            {'abbr': 'ch2oc2', 'code': 103, 'title': 'CH2OC2 CH2OC2/Etylenoxid -'},
            {'abbr': 'hf', 'code': 105, 'title': 'HF HF/Vaetefluorid -'},
            {'abbr': 'hcl', 'code': 106, 'title': 'HCL Hcl/Vaeteklorid -'},
            {'abbr': 'cs2', 'code': 107, 'title': 'CS2 CS2/Koldisulfid -'},
            {'abbr': 'ch3nh2', 'code': 108, 'title': 'CH3NH2 CH3NH2/Metylamin -'},
            {'abbr': 'sf6', 'code': 110, 'title': 'SF6 SF6/Sulphurhexafloride -'},
            {'abbr': 'hcn', 'code': 111, 'title': 'HCN HCN/Vaetecyanid -'},
            {'abbr': 'cocl2', 'code': 112, 'title': 'COCL2 COCl2/Fosgen -'},
            {'abbr': 'h2cchcl', 'code': 113, 'title': 'H2CCHCL H2CCHCl/Vinylklorid -'},
            {'abbr': 'va', 'code': 128, 'title': 'VA Volcanic ash Code'})
