def load(h):
    return ({'abbr': 'pres', 'code': 1, 'title': 'PRES Pressure Pa'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature K'},
            {'abbr': 'q', 'code': 51, 'title': 'Q Specific humidity kg/kg'},
            {'abbr': 'pwat', 'code': 54, 'title': 'PWAT Precipitable water kg/m2'},
            {'abbr': 'sd', 'code': 66, 'title': 'SD Snow depth m'},
            {'abbr': 'tcc', 'code': 71, 'title': 'TCC Total cloud cover fraction'},
            {'abbr': 'lcc', 'code': 73, 'title': 'LCC Low cloud cover fraction'},
            {'abbr': 'prob_scb',
             'code': 77,
             'title': 'PROB_SCB Probability for significant cloud base fraction'},
            {'abbr': 'scb', 'code': 78, 'title': 'SCB Significant cloud base m'},
            {'abbr': 'sct', 'code': 79, 'title': 'SCT Significant cloud top m'},
            {'abbr': 'al',
             'code': 84,
             'title': 'AL Albedo (lev 0=global radiation lev 1=UV radiation) fraction'},
            {'abbr': 'icec', 'code': 91, 'title': 'ICEC Ice concentration fraction'},
            {'abbr': 'uv_irr',
             'code': 116,
             'title': 'UV_IRR CIE-weighted UV irradiance mW/m2'},
            {'abbr': 'gl_irr', 'code': 117, 'title': 'GL_IRR Global irradiance W/m2'},
            {'abbr': 'bn_irr', 'code': 118, 'title': 'BN_IRR Beam normal irradiance W/m2'},
            {'abbr': 'sun_d', 'code': 119, 'title': 'SUN_D Sunshine duration min'},
            {'abbr': 'par', 'code': 120, 'title': 'PAR PAR W/m2'},
            {'abbr': 'evapt', 'code': 128, 'title': 'EVAPT Evapotranspiration 1/kg2/s'},
            {'abbr': 'mterh', 'code': 129, 'title': 'MTERH Model terrain height m'},
            {'abbr': 'landu', 'code': 130, 'title': 'LANDU Land use Code'},
            {'abbr': 'soilw',
             'code': 131,
             'title': 'SOILW Volumetric soil moisture content Proportion'},
            {'abbr': 'mstav', 'code': 132, 'title': 'MSTAV Moisture availability %'},
            {'abbr': 'sfexc', 'code': 133, 'title': 'SFEXC Exchange coefficient kg/m2/s'},
            {'abbr': 'w_i', 'code': 134, 'title': 'W_I Plant canopy surface water kg/m2'},
            {'abbr': 'bmixl',
             'code': 135,
             'title': 'BMIXL Blackadar mixing length scale m'},
            {'abbr': 'ccond', 'code': 136, 'title': 'CCOND Canopy conductance m/s'},
            {'abbr': 'prs_min',
             'code': 137,
             'title': 'PRS_MIN Minimal stomatal resistance s/m'},
            {'abbr': 'rcs',
             'code': 138,
             'title': 'RCS Solar parameter in canopy conductance Proportion'},
            {'abbr': 'rct',
             'code': 139,
             'title': 'RCT Temperature parameter in canopy conductance Proportion'},
            {'abbr': 'rcq',
             'code': 140,
             'title': 'RCQ Humidity parameter in canopy conductance Proportion'},
            {'abbr': 'rcsol',
             'code': 141,
             'title': 'RCSOL Soil moisture parameter in canopy conductance Proportion'},
            {'abbr': 'sm', 'code': 142, 'title': 'SM Soil moisture kg/m3'},
            {'abbr': 'w_cl',
             'code': 143,
             'title': 'W_CL Column-integrated soil water kg/m2'},
            {'abbr': 'hflux', 'code': 144, 'title': 'HFLUX Heat flux W/m2'},
            {'abbr': 'vsw', 'code': 145, 'title': 'VSW Volumetric soil moisture m3/m3'},
            {'abbr': 'wilt', 'code': 146, 'title': 'WILT Wilting point kg/m3'},
            {'abbr': 'vwiltm',
             'code': 147,
             'title': 'VWILTM Volumetric wilting point m3/m3'},
            {'abbr': 'rlyrs',
             'code': 148,
             'title': 'RLYRS Number of soil layers in root zone Numeric'},
            {'abbr': 'liqvsm',
             'code': 149,
             'title': 'LIQVSM Liquid volumetric soil moisture (non-frozen) m3/m3'},
            {'abbr': 'voltso',
             'code': 150,
             'title': 'VOLTSO Volumetric transpiration stress-onset (soil moisture) '
                      'm3/m3'},
            {'abbr': 'transo',
             'code': 151,
             'title': 'TRANSO Transpiration stress-onset (soil moisture) kg/m3'},
            {'abbr': 'voldec',
             'code': 152,
             'title': 'VOLDEC Volumetric direct evaporation cease (soil moisture) m3/m3'},
            {'abbr': 'direc',
             'code': 153,
             'title': 'DIREC Direct evaporation cease (soil moisture) kg/m3'},
            {'abbr': 'soilp', 'code': 154, 'title': 'SOILP Soil porosity m3/m3'},
            {'abbr': 'vsosm',
             'code': 155,
             'title': 'VSOSM Volumetric saturation of soil moisture kg/m3'},
            {'abbr': 'satosm',
             'code': 156,
             'title': 'SATOSM Saturation of soil moisture kg/m3'},
            {'abbr': 'prec_1h',
             'code': 165,
             'title': 'PREC_1H Accumulated precipitation, 1 hours mm'},
            {'abbr': 'snacc_1h',
             'code': 175,
             'title': 'SNACC_1H Accumulated fresh snow, 1 hours cm'},
            {'abbr': 'rad_sc', 'code': 180, 'title': 'RAD_SC Scaled radiance Numeric'},
            {'abbr': 'al_sc', 'code': 181, 'title': 'AL_SC Scaled albedo Numeric'},
            {'abbr': 'btmp_sc',
             'code': 182,
             'title': 'BTMP_SC Scaled brightness temperature Numeric'},
            {'abbr': 'pwat_sc',
             'code': 183,
             'title': 'PWAT_SC Scaled precipitable water Numeric'},
            {'abbr': 'li_sc', 'code': 184, 'title': 'LI_SC Scaled lifted index Numeric'},
            {'abbr': 'pctp_sc',
             'code': 185,
             'title': 'PCTP_SC Scaled cloud top pressure Numeric'},
            {'abbr': 'skt_sc',
             'code': 186,
             'title': 'SKT_SC Scaled skin temperature Numeric'},
            {'abbr': 'cmsk', 'code': 187, 'title': 'CMSK Cloud mask Code'},
            {'abbr': 'pst', 'code': 188, 'title': 'PST Pixel scene type Code'},
            {'abbr': 'fde', 'code': 189, 'title': 'FDE Fire detection indicator Code'},
            {'abbr': 'estp', 'code': 190, 'title': 'ESTP Estimated precipitation kg/m2'},
            {'abbr': 'irrate',
             'code': 191,
             'title': 'IRRATE Instananeous rain rate kg/m2/s'},
            {'abbr': 'ctoph', 'code': 192, 'title': 'CTOPH Cloud top height m'},
            {'abbr': 'ctophqi',
             'code': 193,
             'title': 'CTOPHQI Cloud top height quality indicator Code'},
            {'abbr': 'estu',
             'code': 194,
             'title': 'ESTU Estimated u component of wind m/s'},
            {'abbr': 'estv',
             'code': 195,
             'title': 'ESTV Estimated v component of wind m/s'},
            {'abbr': 'npixu', 'code': 196, 'title': 'NPIXU Number of pixel used Numeric'},
            {'abbr': 'solza', 'code': 197, 'title': 'SOLZA Solar zenith angle Degree'},
            {'abbr': 'raza', 'code': 198, 'title': 'RAZA Relative azimuth angle Degree'},
            {'abbr': 'rfl06',
             'code': 199,
             'title': 'RFL06 Reflectance in 0.6 micron channel %'},
            {'abbr': 'rfl08',
             'code': 200,
             'title': 'RFL08 Reflectance in 0.8 micron channel %'},
            {'abbr': 'rfl16',
             'code': 201,
             'title': 'RFL16 Reflectance in 1.6 micron channel %'},
            {'abbr': 'rfl39',
             'code': 202,
             'title': 'RFL39 Reflectance in 3.9 micron channel %'},
            {'abbr': 'toto3', 'code': 206, 'title': 'TOTO3 Total ozone Atm cm'},
            {'abbr': 'atmdiv', 'code': 210, 'title': 'ATMDIV Atmospheric divergence 1/s'},
            {'abbr': 'wssp', 'code': 211, 'title': 'WSSP Wind speed (space) m/s'})
