def load(h):
    return ({'abbr': 'pres', 'code': 1, 'title': 'PRES Pressure Pa'},
            {'abbr': 'msl', 'code': 2, 'title': 'MSL Pressure reduced to MSL Pa'},
            {'abbr': 'ptend', 'code': 3, 'title': 'PTEND Pressure tendency Pa/s'},
            {'abbr': 'pv', 'code': 4, 'title': 'PV Potential vorticity K*m2 / kg / s'},
            {'abbr': 'icaht',
             'code': 5,
             'title': 'ICAHT ICAO Standard Atmosphere reference height m'},
            {'abbr': 'z', 'code': 6, 'title': 'Z Geopotential m2/s2'},
            {'abbr': 'gh', 'code': 7, 'title': 'GH Geopotential height Gpm'},
            {'abbr': 'h', 'code': 8, 'title': 'H Geometric height m'},
            {'abbr': 'hstdv', 'code': 9, 'title': 'HSTDV Standard deviation of height m'},
            {'abbr': 'tco3', 'code': 10, 'title': 'TCO3 Total ozone Dobson'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature K'},
            {'abbr': 'vtmp', 'code': 12, 'title': 'VTMP Virtual temperature K'},
            {'abbr': 'pt', 'code': 13, 'title': 'PT Potential temperature K'},
            {'abbr': 'papt',
             'code': 14,
             'title': 'PAPT Pseudo-adiabatic potential temperature K'},
            {'abbr': 'tmax', 'code': 15, 'title': 'TMAX Maximum temperature K'},
            {'abbr': 'tmin', 'code': 16, 'title': 'TMIN Minimum temperature K'},
            {'abbr': 'dpt', 'code': 17, 'title': 'DPT Dew point temperature K'},
            {'abbr': 'depr',
             'code': 18,
             'title': 'DEPR Dew point depression (or deficit) K'},
            {'abbr': 'lapr', 'code': 19, 'title': 'LAPR Lapse rate K/m'},
            {'abbr': 'vis', 'code': 20, 'title': 'VIS Visibility m'},
            {'abbr': 'rdsp1', 'code': 21, 'title': 'RDSP1 Radar Spectra (1) -'},
            {'abbr': 'rdsp2', 'code': 22, 'title': 'RDSP2 Radar Spectra (2) -'},
            {'abbr': 'rdsp3', 'code': 23, 'title': 'RDSP3 Radar Spectra (3) -'},
            {'abbr': 'pli', 'code': 24, 'title': 'PLI Parcel lifted index (to 500 hPa) K'},
            {'abbr': 'ta', 'code': 25, 'title': 'TA Temperature anomaly K'},
            {'abbr': 'pa', 'code': 26, 'title': 'PA Pressure anomaly Pa'},
            {'abbr': 'gpa', 'code': 27, 'title': 'GPA Geopotential height anomaly Gpm'},
            {'abbr': 'wvsp1', 'code': 28, 'title': 'WVSP1 Wave Spectra (1) -'},
            {'abbr': 'wvsp2', 'code': 29, 'title': 'WVSP2 Wave Spectra (2) -'},
            {'abbr': 'wvsp3', 'code': 30, 'title': 'WVSP3 Wave Spectra (3) -'},
            {'abbr': 'wdir', 'code': 31, 'title': 'WDIR Wind direction Deg. true'},
            {'abbr': 'wins', 'code': 32, 'title': 'WINS Wind speed m/s'},
            {'abbr': 'u', 'code': 33, 'title': 'U u-component of wind m/s'},
            {'abbr': 'v', 'code': 34, 'title': 'V v-component of wind m/s'},
            {'abbr': 'strf', 'code': 35, 'title': 'STRF Stream function m2/s'},
            {'abbr': 'vp', 'code': 36, 'title': 'VP Velocity potential m2/s'},
            {'abbr': 'mntsf',
             'code': 37,
             'title': 'MNTSF Montgomery stream function m2/s2'},
            {'abbr': 'sigma',
             'code': 38,
             'title': 'SIGMA Sigma coord. vertical velocity 1/s'},
            {'abbr': 'omega',
             'code': 39,
             'title': 'OMEGA Pressure Vertical velocity Pa/s'},
            {'abbr': 'w', 'code': 40, 'title': 'W Geometric Vertical velocity m/s'},
            {'abbr': 'absv', 'code': 41, 'title': 'ABSV Absolute vorticity 1/s'},
            {'abbr': 'absd', 'code': 42, 'title': 'ABSD Absolute divergence 1/s'},
            {'abbr': 'vo', 'code': 43, 'title': 'VO Relative vorticity 1/s'},
            {'abbr': 'd', 'code': 44, 'title': 'D Relative divergence 1/s'},
            {'abbr': 'vusch', 'code': 45, 'title': 'VUSCH Vertical u-component shear 1/s'},
            {'abbr': 'vvsch', 'code': 46, 'title': 'VVSCH Vertical v-component shear 1/s'},
            {'abbr': 'dirc', 'code': 47, 'title': 'DIRC Direction of current Deg. true'},
            {'abbr': 'spc', 'code': 48, 'title': 'SPC Speed of current m/s'},
            {'abbr': 'ucurr', 'code': 49, 'title': 'UCURR u-component of current m/s'},
            {'abbr': 'vcurr', 'code': 50, 'title': 'VCURR v-component of current m/s'},
            {'abbr': 'q', 'code': 51, 'title': 'Q Specific humidity kg/kg'},
            {'abbr': 'r', 'code': 52, 'title': 'R Relative humidity %'},
            {'abbr': 'mixr', 'code': 53, 'title': 'MIXR Humidity mixing ratio kg/kg'},
            {'abbr': 'pwat', 'code': 54, 'title': 'PWAT Precipitable water kg/m2'},
            {'abbr': 'vp', 'code': 55, 'title': 'VP Vapour pressure Pa'},
            {'abbr': 'satd', 'code': 56, 'title': 'SATD Saturation deficit Pa'},
            {'abbr': 'e', 'code': 57, 'title': 'E Evaporation m of water equivalent'},
            {'abbr': 'cice', 'code': 58, 'title': 'CICE Cloud Ice kg/m2'},
            {'abbr': 'prate', 'code': 59, 'title': 'PRATE Precipitation rate kg/m2/s'},
            {'abbr': 'tstm', 'code': 60, 'title': 'TSTM Thunderstorm probability %'},
            {'abbr': 'tp', 'code': 61, 'title': 'TP Total precipitation kg/m2'},
            {'abbr': 'lsp', 'code': 62, 'title': 'LSP Large scale precipitation kg/m2'},
            {'abbr': 'acpcp', 'code': 63, 'title': 'ACPCP Convective precipitation kg/m2'},
            {'abbr': 'srweq',
             'code': 64,
             'title': 'SRWEQ Snowfall rate water equivalent kg/m2/s'},
            {'abbr': 'sdwe',
             'code': 65,
             'title': 'SDWE Water equiv. of accum. snow depth kg/m2'},
            {'abbr': 'sd', 'code': 66, 'title': 'SD Snow depth m'},
            {'abbr': 'mld', 'code': 67, 'title': 'MLD Mixed layer depth m'},
            {'abbr': 'tthdp', 'code': 68, 'title': 'TTHDP Transient thermocline depth m'},
            {'abbr': 'mthd', 'code': 69, 'title': 'MTHD Main thermocline depth m'},
            {'abbr': 'mtha', 'code': 70, 'title': 'MTHA Main thermocline anomaly m'},
            {'abbr': 'tcc', 'code': 71, 'title': 'TCC Total cloud cover %'},
            {'abbr': 'ccc', 'code': 72, 'title': 'CCC Convective cloud cover %'},
            {'abbr': 'lcc', 'code': 73, 'title': 'LCC Low cloud cover %'},
            {'abbr': 'mcc', 'code': 74, 'title': 'MCC Medium cloud cover %'},
            {'abbr': 'hcc', 'code': 75, 'title': 'HCC High cloud cover %'},
            {'abbr': 'cwat', 'code': 76, 'title': 'CWAT Cloud water kg/m2'},
            {'abbr': 'bli', 'code': 77, 'title': 'BLI Best lifted index (to 500 hPa) K'},
            {'abbr': 'snoc', 'code': 78, 'title': 'SNOC Convective snow kg/m2'},
            {'abbr': 'snol', 'code': 79, 'title': 'SNOL Large scale snow kg/m2'},
            {'abbr': 'wtmp', 'code': 80, 'title': 'WTMP Water Temperature K'},
            {'abbr': 'lsm',
             'code': 81,
             'title': 'LSM Land-sea mask (1=land 0=sea) (see note) Fraction'},
            {'abbr': 'dslm',
             'code': 82,
             'title': 'DSLM Deviation of sea level from mean m'},
            {'abbr': 'sr', 'code': 83, 'title': 'SR Surface roughness m'},
            {'abbr': 'al', 'code': 84, 'title': 'AL Albedo %'},
            {'abbr': 'st', 'code': 85, 'title': 'ST Soil temperature K'},
            {'abbr': 'ssw', 'code': 86, 'title': 'SSW Soil moisture content kg/m2'},
            {'abbr': 'veg', 'code': 87, 'title': 'VEG Vegetation %'},
            {'abbr': 's', 'code': 88, 'title': 'S Salinity kg/kg'},
            {'abbr': 'den', 'code': 89, 'title': 'DEN Density kg/m3'},
            {'abbr': 'watr', 'code': 90, 'title': 'WATR Water run off kg/m2'},
            {'abbr': 'icec',
             'code': 91,
             'title': 'ICEC Ice cover (ice=1 no ice=0)(see note) Fraction'},
            {'abbr': 'icetk', 'code': 92, 'title': 'ICETK Ice thickness m'},
            {'abbr': 'diced',
             'code': 93,
             'title': 'DICED Direction of ice drift deg. true'},
            {'abbr': 'siced', 'code': 94, 'title': 'SICED Speed of ice drift m/s'},
            {'abbr': 'uice', 'code': 95, 'title': 'UICE u-component of ice drift m/s'},
            {'abbr': 'vice', 'code': 96, 'title': 'VICE v-component of ice drift m/s'},
            {'abbr': 'iceg', 'code': 97, 'title': 'ICEG Ice growth rate m/s'},
            {'abbr': 'iced', 'code': 98, 'title': 'ICED Ice divergence /s'},
            {'abbr': 'snom', 'code': 99, 'title': 'SNOM Snow melt kg/m2'},
            {'abbr': 'swh',
             'code': 100,
             'title': 'SWH Significant height of combined wind waves and swell m'},
            {'abbr': 'wvdir',
             'code': 101,
             'title': 'WVDIR Direction of wind waves deg. true'},
            {'abbr': 'shww',
             'code': 102,
             'title': 'SHWW Significant height of wind waves m'},
            {'abbr': 'mpww', 'code': 103, 'title': 'MPWW Mean period of wind waves s'},
            {'abbr': 'swdir',
             'code': 104,
             'title': 'SWDIR Direction of swell waves deg. true'},
            {'abbr': 'swell',
             'code': 105,
             'title': 'SWELL Significant height of swell waves m'},
            {'abbr': 'swper', 'code': 106, 'title': 'SWPER Mean period of swell waves s'},
            {'abbr': 'prwd',
             'code': 107,
             'title': 'PRWD Primary wave direction deg. true'},
            {'abbr': 'perpw', 'code': 108, 'title': 'PERPW Primary wave mean period s'},
            {'abbr': 'dirsw',
             'code': 109,
             'title': 'DIRSW Secondary wave direction deg. true'},
            {'abbr': 'persw', 'code': 110, 'title': 'PERSW Secondary wave mean period s'},
            {'abbr': 'nswrs',
             'code': 111,
             'title': 'NSWRS Net short-wave radiation flux (surface) W/m2'},
            {'abbr': 'nlwrs',
             'code': 112,
             'title': 'NLWRS Net long wave radiation flux (surface) W/m2'},
            {'abbr': 'nswrt',
             'code': 113,
             'title': 'NSWRT Net short-wave radiation flux (top of atmos.) W/m2'},
            {'abbr': 'nlwrt',
             'code': 114,
             'title': 'NLWRT Net long wave radiation flux (top of atmos.) W/m2'},
            {'abbr': 'lwavr', 'code': 115, 'title': 'LWAVR Long wave radiation flux W/m2'},
            {'abbr': 'swavr',
             'code': 116,
             'title': 'SWAVR Short wave radiation flux W/m2'},
            {'abbr': 'grad', 'code': 117, 'title': 'GRAD Global radiation flux W/m2'},
            {'abbr': 'btmp', 'code': 118, 'title': 'BTMP Brightness temperature K'},
            {'abbr': 'lwrad',
             'code': 119,
             'title': 'LWRAD Radiance (with respect to wave number) W/m/sr'},
            {'abbr': 'swrad',
             'code': 120,
             'title': 'SWRAD Radiance (with respect to wave length) W/m3/sr'},
            {'abbr': 'lhtfl', 'code': 121, 'title': 'LHTFL Latent heat net flux W/m2'},
            {'abbr': 'shtfl', 'code': 122, 'title': 'SHTFL Sensible heat net flux W/m2'},
            {'abbr': 'bld', 'code': 123, 'title': 'BLD Boundary layer dissipation W/m2'},
            {'abbr': 'uflx', 'code': 124, 'title': 'UFLX Momentum flux, u component N/m2'},
            {'abbr': 'vflx', 'code': 125, 'title': 'VFLX Momentum flux, v component N/m2'},
            {'abbr': 'wmixe', 'code': 126, 'title': 'WMIXE Wind mixing energy J'},
            {'abbr': 'imgd', 'code': 127, 'title': 'IMGD Image data -'},
            {'abbr': 'mofl', 'code': 128, 'title': 'MOFL Momentum flux Pa'},
            {'abbr': 'qten', 'code': 129, 'title': 'QTEN Humidity tendencies ?'},
            {'abbr': 'radtop',
             'code': 130,
             'title': 'RADTOP Radiation at top of atmosphere ?'},
            {'abbr': 'ctt', 'code': 131, 'title': 'CTT Cloud top temperature, infrared K'},
            {'abbr': 'wvbt',
             'code': 132,
             'title': 'WVBT Water vapor brightness temperature K'},
            {'abbr': 'wvbt_corr',
             'code': 133,
             'title': 'WVBT_CORR Water vapor brightness temperature, correction K'},
            {'abbr': 'cwref',
             'code': 134,
             'title': 'CWREF Cloud water reflectivity Fraction'},
            {'abbr': 'maxgust', 'code': 135, 'title': 'MAXGUST Maximum wind m/s'},
            {'abbr': 'mingust', 'code': 136, 'title': 'MINGUST Minimum wind m/s'},
            {'abbr': 'icc', 'code': 137, 'title': 'ICC Integrated cloud condensate kg/m2'},
            {'abbr': 'sd', 'code': 138, 'title': 'SD Snow depth m'},
            {'abbr': 'sdol', 'code': 139, 'title': 'SDOL Open land snow depth m'},
            {'abbr': 'tland', 'code': 140, 'title': 'TLAND Temperature over land K'},
            {'abbr': 'qland',
             'code': 141,
             'title': 'QLAND Specific humidity over land kg/kg'},
            {'abbr': 'rhland',
             'code': 142,
             'title': 'RHLAND Relative humidity over land Fraction'},
            {'abbr': 'dptland', 'code': 143, 'title': 'DPTLAND Dew point over land K'},
            {'abbr': 'slfr', 'code': 160, 'title': 'SLFR Slope fraction Fraction'},
            {'abbr': 'shfr', 'code': 161, 'title': 'SHFR Shadow fraction Fraction'},
            {'abbr': 'rsha', 'code': 162, 'title': 'RSHA Shadow parameter RSHA -'},
            {'abbr': 'rshb', 'code': 163, 'title': 'RSHB Shadow parameter RSHB -'},
            {'abbr': 'movegro',
             'code': 164,
             'title': 'MOVEGRO Momentum vegetation roughness m'},
            {'abbr': 'susl', 'code': 165, 'title': 'SUSL Surface slope -'},
            {'abbr': 'skwf', 'code': 166, 'title': 'SKWF Sky wiew factor Fraction'},
            {'abbr': 'frasp', 'code': 167, 'title': 'FRASP Fraction of aspect -'},
            {'abbr': 'hero', 'code': 168, 'title': 'HERO Heat roughness m'},
            {'abbr': 'al_scorr',
             'code': 169,
             'title': 'AL_SCORR Albedo with solar angle correction Fraction'},
            {'abbr': 'swi', 'code': 189, 'title': 'SWI Soil wetness index -'},
            {'abbr': 'asn', 'code': 190, 'title': 'ASN Snow albedo Fraction'},
            {'abbr': 'dsn', 'code': 191, 'title': 'DSN Snow density -'},
            {'abbr': 'watcn', 'code': 192, 'title': 'WATCN Water on canopy level kg/m2'},
            {'abbr': 'ssi', 'code': 193, 'title': 'SSI Surface soil ice m3/m3'},
            {'abbr': 'frst',
             'code': 194,
             'title': 'FRST Fraction of surface type Fraction'},
            {'abbr': 'st', 'code': 195, 'title': 'ST Soil type code'},
            {'abbr': 'fol', 'code': 196, 'title': 'FOL Fraction of lake Fraction'},
            {'abbr': 'fof', 'code': 197, 'title': 'FOF Fraction of forest Fraction'},
            {'abbr': 'fool', 'code': 198, 'title': 'FOOL Fraction of open land Fraction'},
            {'abbr': 'vgtyp',
             'code': 199,
             'title': 'VGTYP Vegetation type (Olsson land use) -'},
            {'abbr': 'tke', 'code': 200, 'title': 'TKE Turbulent Kinetic Energy J/kg'},
            {'abbr': 'sdor',
             'code': 204,
             'title': 'SDOR Standard deviation of mesoscale orography gpm'},
            {'abbr': 'amo',
             'code': 205,
             'title': 'AMO Anisotrophic mesoscale orography -'},
            {'abbr': 'anmo',
             'code': 206,
             'title': 'ANMO X-angle of mesoscale orography rad'},
            {'abbr': 'mssso',
             'code': 208,
             'title': 'MSSSO Maximum slope of smallest scale orography rad'},
            {'abbr': 'sdsso',
             'code': 209,
             'title': 'SDSSO Standard deviation of smallest scale orography gpm'},
            {'abbr': 'iceex', 'code': 210, 'title': 'ICEEX Ice existence -'},
            {'abbr': 'lcl', 'code': 222, 'title': 'LCL Lifting condensation level m'},
            {'abbr': 'lnbuo', 'code': 223, 'title': 'LNBUO Level of neutral buoyancy m'},
            {'abbr': 'ci', 'code': 224, 'title': 'CI Convective inhibation J/kg'},
            {'abbr': 'cape', 'code': 225, 'title': 'CAPE CAPE J/kg'},
            {'abbr': 'ptype', 'code': 226, 'title': 'PTYPE Precipitation type code'},
            {'abbr': 'fricv', 'code': 227, 'title': 'FRICV Friction velocity m/s'},
            {'abbr': 'gust', 'code': 228, 'title': 'GUST Wind gust m/s'},
            {'abbr': 'anpr3',
             'code': 250,
             'title': 'ANPR3 Analysed 3-hour precipitation (-3h/0h) kg/m2'},
            {'abbr': 'anpr12',
             'code': 251,
             'title': 'ANPR12 Analysed 12-hour precipitation (-12h/0h) kg/m2'})
