def load(h):
    return ({'abbr': 'tsru',
             'code': 208,
             'title': 'TSRU Top solar radiation upward W m**-2'},
            {'abbr': 'ttru',
             'code': 209,
             'title': 'TTRU Top thermal radiation upward W m**-2'},
            {'abbr': 'tsuc',
             'code': 210,
             'title': 'TSUC Top solar radiation upward, clear sky W m**-2'},
            {'abbr': 'ttuc',
             'code': 211,
             'title': 'TTUC Top thermal radiation upward, clear sky W m**-2'},
            {'abbr': 'clw', 'code': 212, 'title': 'CLW Cloud liquid water kg kg**-1'},
            {'abbr': 'cf', 'code': 213, 'title': 'CF Cloud fraction', 'units': '0 - 1'},
            {'abbr': 'dhr',
             'code': 214,
             'title': 'DHR Diabatic heating by radiation K s**-1'},
            {'abbr': 'dhvd',
             'code': 215,
             'title': 'DHVD Diabatic heating by vertical diffusion K s**-1'},
            {'abbr': 'dhcc',
             'code': 216,
             'title': 'DHCC Diabatic heating by cumulus convection K s**-1'},
            {'abbr': 'dhlc',
             'code': 217,
             'title': 'DHLC Diabatic heating by large-scale condensation K s**-1'},
            {'abbr': 'vdzw',
             'code': 218,
             'title': 'VDZW Vertical diffusion of zonal wind m**2 s**-3'},
            {'abbr': 'vdmw',
             'code': 219,
             'title': 'VDMW Vertical diffusion of meridional wind m**2 s**-3'},
            {'abbr': 'ewgd',
             'code': 220,
             'title': 'EWGD East-West gravity wave drag m**2 s**-3'},
            {'abbr': 'nsgd',
             'code': 221,
             'title': 'NSGD North-South gravity wave drag m**2 s**-3'},
            {'abbr': 'ctzw',
             'code': 222,
             'title': 'CTZW Convective tendency of zonal wind m**2 s**-3'},
            {'abbr': 'ctmw',
             'code': 223,
             'title': 'CTMW Convective tendency of meridional wind m**2 s**-3'},
            {'abbr': 'vdh',
             'code': 224,
             'title': 'VDH Vertical diffusion of humidity kg kg**-1 s**-1'},
            {'abbr': 'htcc',
             'code': 225,
             'title': 'HTCC Humidity tendency by cumulus convection kg kg**-1 s**-1'},
            {'abbr': 'htlc',
             'code': 226,
             'title': 'HTLC Humidity tendency by large-scale condensation kg kg**-1 '
                      's**-1'},
            {'abbr': 'crnh',
             'code': 227,
             'title': 'CRNH Change from removal of negative humidity kg kg**-1 s**-1'},
            {'abbr': 'att',
             'code': 228,
             'title': 'ATT Adiabatic tendency of temperature K s**-1'},
            {'abbr': 'ath',
             'code': 229,
             'title': 'ATH Adiabatic tendency of humidity kg kg**-1 s**-1'},
            {'abbr': 'atzw',
             'code': 230,
             'title': 'ATZW Adiabatic tendency of zonal wind m**2 s**-3'},
            {'abbr': 'atmwax',
             'code': 231,
             'title': 'ATMWAX Adiabatic tendency of meridional wind m**2 s**-3'},
            {'abbr': 'mvv', 'code': 232, 'title': 'MVV Mean vertical velocity Pa s**-1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
