def load(h):
    return ({'abbr': '2tag2',
             'code': 1,
             'title': '2m temperature anomaly of at least +2K %'},
            {'abbr': '2tag1',
             'code': 2,
             'title': '2m temperature anomaly of at least +1K %'},
            {'abbr': '2tag0',
             'code': 3,
             'title': '2m temperature anomaly of at least 0K %'},
            {'abbr': '2talm1',
             'code': 4,
             'title': '2m temperature anomaly of at most -1K %'},
            {'abbr': '2talm2',
             'code': 5,
             'title': '2m temperature anomaly of at most -2K %'},
            {'abbr': 'tpag20',
             'code': 6,
             'title': 'Total precipitation anomaly of at least 20 mm %'},
            {'abbr': 'tpag10',
             'code': 7,
             'title': 'Total precipitation anomaly of at least 10 mm %'},
            {'abbr': 'tpag0',
             'code': 8,
             'title': 'Total precipitation anomaly of at least 0 mm %'},
            {'abbr': 'stag0',
             'code': 9,
             'title': 'Surface temperature anomaly of at least 0K %'},
            {'abbr': 'mslag0',
             'code': 10,
             'title': 'Mean sea level pressure anomaly of at least 0 Pa %'},
            {'abbr': 'h0dip',
             'code': 15,
             'title': 'Height of 0 degree isotherm probability percentage'},
            {'abbr': 'hslp',
             'code': 16,
             'title': 'Height of snowfall limit probability percentage'},
            {'abbr': 'saip',
             'code': 17,
             'title': 'Showalter index probability percentage'},
            {'abbr': 'whip', 'code': 18, 'title': 'Whiting index probability percentage'},
            {'abbr': 'talm2', 'code': 20, 'title': 'Temperature anomaly less than -2 K %'},
            {'abbr': 'tag2',
             'code': 21,
             'title': 'Temperature anomaly of at least +2 K %'},
            {'abbr': 'talm8', 'code': 22, 'title': 'Temperature anomaly less than -8 K %'},
            {'abbr': 'talm4', 'code': 23, 'title': 'Temperature anomaly less than -4 K %'},
            {'abbr': 'tag4',
             'code': 24,
             'title': 'Temperature anomaly greater than +4 K %'},
            {'abbr': 'tag8',
             'code': 25,
             'title': 'Temperature anomaly greater than +8 K %'},
            {'abbr': '10gp',
             'code': 49,
             'title': '10 metre wind gust probability percentage'},
            {'abbr': 'capep',
             'code': 59,
             'title': 'Convective available potential energy probability percentage'},
            {'abbr': 'tpg1',
             'code': 60,
             'title': 'Total precipitation of at least 1 mm %'},
            {'abbr': 'tpg5',
             'code': 61,
             'title': 'Total precipitation of at least 5 mm %'},
            {'abbr': 'tpg10',
             'code': 62,
             'title': 'Total precipitation of at least 10 mm %'},
            {'abbr': 'tpg20',
             'code': 63,
             'title': 'Total precipitation of at least 20 mm %'},
            {'abbr': 'tpl01',
             'code': 64,
             'title': 'Total precipitation less than 0.1 mm %'},
            {'abbr': 'tprl1',
             'code': 65,
             'title': 'Total precipitation rate less than 1 mm/day %'},
            {'abbr': 'tprg3',
             'code': 66,
             'title': 'Total precipitation rate of at least 3 mm/day %'},
            {'abbr': 'tprg5',
             'code': 67,
             'title': 'Total precipitation rate of at least 5 mm/day %'},
            {'abbr': '10spg10',
             'code': 68,
             'title': '10 metre wind speed of at least 10 m/s %'},
            {'abbr': '10spg15',
             'code': 69,
             'title': '10 metre wind speed of at least 15 m/s %'},
            {'abbr': '10fgg15',
             'code': 70,
             'title': '10 metre wind gust of at least 15 m/s %'},
            {'abbr': '10fgg20',
             'code': 71,
             'title': '10 metre wind gust of at least 20 m/s %'},
            {'abbr': '10fgg25',
             'code': 72,
             'title': '10 metre wind gust of at least 25 m/s %'},
            {'abbr': '2tl273',
             'code': 73,
             'title': '2 metre temperature less than 273.15 K %'},
            {'abbr': 'swhg2',
             'code': 74,
             'title': 'Significant wave height of at least 2 m %'},
            {'abbr': 'swhg4',
             'code': 75,
             'title': 'Significant wave height of at least 4 m %'},
            {'abbr': 'swhg6',
             'code': 76,
             'title': 'Significant wave height of at least 6 m %'},
            {'abbr': 'swhg8',
             'code': 77,
             'title': 'Significant wave height of at least 8 m %'},
            {'abbr': 'mwpg10', 'code': 79, 'title': 'Mean wave period of at least 10 s %'},
            {'abbr': 'mwpg12', 'code': 80, 'title': 'Mean wave period of at least 12 s %'},
            {'abbr': 'mwpg15', 'code': 81, 'title': 'Mean wave period of at least 15 s %'},
            {'abbr': 'tpg40',
             'code': 82,
             'title': 'Total precipitation of at least 40 mm %'},
            {'abbr': 'tpg60',
             'code': 83,
             'title': 'Total precipitation of at least 60 mm %'},
            {'abbr': 'tpg80',
             'code': 84,
             'title': 'Total precipitation of at least 80 mm %'},
            {'abbr': 'tpg100',
             'code': 85,
             'title': 'Total precipitation of at least 100 mm %'},
            {'abbr': 'tpg150',
             'code': 86,
             'title': 'Total precipitation of at least 150 mm %'},
            {'abbr': 'tpg200',
             'code': 87,
             'title': 'Total precipitation of at least 200 mm %'},
            {'abbr': 'tpg300',
             'code': 88,
             'title': 'Total precipitation of at least 300 mm %'},
            {'abbr': 'pts', 'code': 89, 'title': 'Probability of a tropical storm %'},
            {'abbr': 'ph', 'code': 90, 'title': 'Probability of a hurricane %'},
            {'abbr': 'ptd', 'code': 91, 'title': 'Probability of a tropical depression %'},
            {'abbr': 'cpts',
             'code': 92,
             'title': 'Climatological probability of a tropical storm %'},
            {'abbr': 'cph',
             'code': 93,
             'title': 'Climatological probability of a hurricane %'},
            {'abbr': 'cptd',
             'code': 94,
             'title': 'Climatological probability of a tropical depression %'},
            {'abbr': 'pats',
             'code': 95,
             'title': 'Probability anomaly of a tropical storm %'},
            {'abbr': 'pah', 'code': 96, 'title': 'Probability anomaly of a hurricane %'},
            {'abbr': 'patd',
             'code': 97,
             'title': 'Probability anomaly of a tropical depression %'},
            {'abbr': 'tpg25',
             'code': 98,
             'title': 'Total precipitation of at least 25 mm %'},
            {'abbr': 'tpg50',
             'code': 99,
             'title': 'Total precipitation of at least 50 mm %'},
            {'abbr': '10fgg10',
             'code': 100,
             'title': '10 metre wind gust of at least 10 m/s %'},
            {'abbr': 'zp', 'code': 129, 'title': 'Geopotential probability zp %'},
            {'abbr': 'tap',
             'code': 130,
             'title': 'Temperature anomaly probability percentage'},
            {'abbr': '2tp', 'code': 139, 'title': '2 metre temperature probability %'},
            {'abbr': 'sfp',
             'code': 144,
             'title': 'Snowfall (convective + stratiform) probability percentage'},
            {'abbr': 'tpp', 'code': 151, 'title': 'Total precipitation probability'},
            {'abbr': 'tccp',
             'code': 164,
             'title': 'Total cloud cover probability percentage'},
            {'abbr': '10sp',
             'code': 165,
             'title': '10 metre speed probability percentage'},
            {'abbr': '2tp',
             'code': 167,
             'title': '2 metre temperature probability percentage'},
            {'abbr': 'mx2tp',
             'code': 201,
             'title': 'Maximum 2 metre temperature probability percentage'},
            {'abbr': 'mn2tp',
             'code': 202,
             'title': 'Minimum 2 metre temperature probability percentage'},
            {'abbr': 'tpp',
             'code': 228,
             'title': 'Total precipitation probability percentage'},
            {'abbr': 'swhp',
             'code': 229,
             'title': 'Significant wave height probability percentage'},
            {'abbr': 'mwpp',
             'code': 232,
             'title': 'Mean wave period probability percentage'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
