def load(h):
    return ({'abbr': 80,
             'code': 80,
             'title': 'WX1 Wave experimental parameter 1',
             'units': '~'},
            {'abbr': 81,
             'code': 81,
             'title': 'WX2 Wave experimental parameter 2',
             'units': '~'},
            {'abbr': 82,
             'code': 82,
             'title': 'WX3 Wave experimental parameter 3',
             'units': '~'},
            {'abbr': 83,
             'code': 83,
             'title': 'WX4 Wave experimental parameter 4',
             'units': '~'},
            {'abbr': 84,
             'code': 84,
             'title': 'WX5 Wave experimental parameter 5',
             'units': '~'},
            {'abbr': 98,
             'code': 98,
             'title': 'WETA Wave induced mean sea level correction',
             'units': 'm'},
            {'abbr': 99,
             'code': 99,
             'title': 'WRAF Ratio of wave angular and frequency width',
             'units': 'dimensionless'},
            {'abbr': 100,
             'code': 100,
             'title': 'WNSLC Number of events in freak waves statistics',
             'units': 'dimensionless'},
            {'abbr': 101,
             'code': 101,
             'title': 'UTAUA U-component of atmospheric surface momentum flux',
             'units': 'N m**-2'},
            {'abbr': 102,
             'code': 102,
             'title': 'VTAUA V-component of atmospheric surface momentum flux',
             'units': 'N m**-2'},
            {'abbr': 103,
             'code': 103,
             'title': 'UTAUO U-component of surface momentum flux into ocean',
             'units': 'N m**-2'},
            {'abbr': 104,
             'code': 104,
             'title': 'VTAUO V-component of surface momentum flux into ocean',
             'units': 'N m**-2'},
            {'abbr': 105,
             'code': 105,
             'title': 'WPHIO Wave turbulent energy flux into ocean',
             'units': 'W m**-2'},
            {'abbr': 106,
             'code': 106,
             'title': 'WDW1 Wave directional width of first swell partition',
             'units': 'dimensionless'},
            {'abbr': 107,
             'code': 107,
             'title': 'WFW1 Wave frequency width of first swell partition',
             'units': 'dimensionless'},
            {'abbr': 108,
             'code': 108,
             'title': 'WDW2 Wave directional width of second swell partition',
             'units': 'dimensionless'},
            {'abbr': 109,
             'code': 109,
             'title': 'WFW2 Wave frequency width of second swell partition',
             'units': 'dimensionless'},
            {'abbr': 110,
             'code': 110,
             'title': 'WDW3 Wave directional width of third swell partition',
             'units': 'dimensionless'},
            {'abbr': 111,
             'code': 111,
             'title': 'WFW3 Wave frequency width of third swell partition',
             'units': 'dimensionless'},
            {'abbr': 112,
             'code': 112,
             'title': 'WEFXM Wave energy flux magnitude',
             'units': 'W m**-1'},
            {'abbr': 113,
             'code': 113,
             'title': 'WEFXD Wave energy flux mean direction',
             'units': 'Degree true'},
            {'abbr': 114,
             'code': 114,
             'title': 'H1012 Significant wave height of all waves with periods within the '
                      'inclusive range from 10 to 12 seconds',
             'units': 'm'},
            {'abbr': 115,
             'code': 115,
             'title': 'H1214 Significant wave height of all waves with periods within the '
                      'inclusive range from 12 to 14 seconds',
             'units': 'm'},
            {'abbr': 116,
             'code': 116,
             'title': 'H1417 Significant wave height of all waves with periods within the '
                      'inclusive range from 14 to 17 seconds',
             'units': 'm'},
            {'abbr': 117,
             'code': 117,
             'title': 'H1721 Significant wave height of all waves with periods within the '
                      'inclusive range from 17 to 21 seconds',
             'units': 'm'},
            {'abbr': 118,
             'code': 118,
             'title': 'H2125 Significant wave height of all waves with periods within the '
                      'inclusive range from 21 to 25 seconds',
             'units': 'm'},
            {'abbr': 119,
             'code': 119,
             'title': 'H2530 Significant wave height of all waves with periods within the '
                      'inclusive range from 25 to 30 seconds',
             'units': 'm'},
            {'abbr': 120,
             'code': 120,
             'title': 'SH10 Significant wave height of all waves with period larger than '
                      '10s',
             'units': 'm'},
            {'abbr': 121,
             'code': 121,
             'title': 'SWH1 Significant wave height of first swell partition',
             'units': 'm'},
            {'abbr': 122,
             'code': 122,
             'title': 'MWD1 Mean wave direction of first swell partition',
             'units': 'degrees'},
            {'abbr': 123,
             'code': 123,
             'title': 'MWP1 Mean wave period of first swell partition',
             'units': 's'},
            {'abbr': 124,
             'code': 124,
             'title': 'SWH2 Significant wave height of second swell partition',
             'units': 'm'},
            {'abbr': 125,
             'code': 125,
             'title': 'MWD2 Mean wave direction of second swell partition',
             'units': 'degrees'},
            {'abbr': 126,
             'code': 126,
             'title': 'MWP2 Mean wave period of second swell partition',
             'units': 's'},
            {'abbr': 127,
             'code': 127,
             'title': 'SWH3 Significant wave height of third swell partition',
             'units': 'm'},
            {'abbr': 128,
             'code': 128,
             'title': 'MWD3 Mean wave direction of third swell partition',
             'units': 'degrees'},
            {'abbr': 129,
             'code': 129,
             'title': 'MWP3 Mean wave period of third swell partition',
             'units': 's'},
            {'abbr': 200,
             'code': 200,
             'title': 'MAXSWH Maximum of significant wave height',
             'units': 'm'},
            {'abbr': 207,
             'code': 207,
             'title': 'WSS Wave Spectral Skewness',
             'units': 'dimensionless'},
            {'abbr': 208,
             'code': 208,
             'title': 'WSTAR Free convective velocity over the oceans',
             'units': 'm s**-1'},
            {'abbr': 209,
             'code': 209,
             'title': 'RHOAO Air density over the oceans',
             'units': 'kg m**-3'},
            {'abbr': 210,
             'code': 210,
             'title': 'MSWSI Mean square wave strain in sea ice',
             'units': '~'},
            {'abbr': 211,
             'code': 211,
             'title': 'PHIAW Normalized energy flux into waves',
             'units': 'dimensionless'},
            {'abbr': 212,
             'code': 212,
             'title': 'PHIOC Normalized energy flux into ocean',
             'units': 'dimensionless'},
            {'abbr': 213,
             'code': 213,
             'title': 'TLA Turbulent Langmuir number',
             'units': '~'},
            {'abbr': 214,
             'code': 214,
             'title': 'TAUOC Normalized stress into ocean',
             'units': 'dimensionless'},
            {'abbr': 215,
             'code': 215,
             'title': 'UST U-component stokes drift',
             'units': 'm s**-1'},
            {'abbr': 216,
             'code': 216,
             'title': 'VST V-component stokes drift',
             'units': 'm s**-1'},
            {'abbr': 217,
             'code': 217,
             'title': 'TMAX Period corresponding to maximum individual wave height',
             'units': 's'},
            {'abbr': 218,
             'code': 218,
             'title': 'HMAX Maximum individual wave height',
             'units': 'm'},
            {'abbr': 219, 'code': 219, 'title': 'WMB Model bathymetry', 'units': 'm'},
            {'abbr': 220,
             'code': 220,
             'title': 'MP1 Mean wave period based on first moment',
             'units': 's'},
            {'abbr': 221,
             'code': 221,
             'title': 'MP2 Mean zero-crossing wave period',
             'units': 's'},
            {'abbr': 222,
             'code': 222,
             'title': 'WDW Wave spectral directional width',
             'units': 'dimensionless'},
            {'abbr': 223,
             'code': 223,
             'title': 'P1WW Mean wave period based on first moment for wind waves',
             'units': 's'},
            {'abbr': 224,
             'code': 224,
             'title': 'P2WW Mean wave period based on second moment for wind waves',
             'units': 's'},
            {'abbr': 225,
             'code': 225,
             'title': 'DWWW Wave spectral directional width for wind waves',
             'units': 'dimensionless'},
            {'abbr': 226,
             'code': 226,
             'title': 'P1PS Mean wave period based on first moment for swell',
             'units': 's'},
            {'abbr': 227,
             'code': 227,
             'title': 'P2PS Mean wave period based on second moment for swell',
             'units': 's'},
            {'abbr': 228,
             'code': 228,
             'title': 'DWPS Wave spectral directional width for swell',
             'units': 'dimensionless'},
            {'abbr': 229,
             'code': 229,
             'title': 'SWH Significant height of combined wind waves and swell',
             'units': 'm'},
            {'abbr': 230,
             'code': 230,
             'title': 'MWD Mean wave direction',
             'units': 'Degree true'},
            {'abbr': 231, 'code': 231, 'title': 'PP1D Peak wave period', 'units': 's'},
            {'abbr': 232, 'code': 232, 'title': 'MWP Mean wave period', 'units': 's'},
            {'abbr': 233,
             'code': 233,
             'title': 'CDWW Coefficient of drag with waves',
             'units': 'dimensionless'},
            {'abbr': 234,
             'code': 234,
             'title': 'SHWW Significant height of wind waves',
             'units': 'm'},
            {'abbr': 235,
             'code': 235,
             'title': 'MDWW Mean direction of wind waves',
             'units': 'degrees'},
            {'abbr': 236,
             'code': 236,
             'title': 'MPWW Mean period of wind waves',
             'units': 's'},
            {'abbr': 237,
             'code': 237,
             'title': 'SHTS Significant height of total swell',
             'units': 'm'},
            {'abbr': 238,
             'code': 238,
             'title': 'MDTS Mean direction of total swell',
             'units': 'degrees'},
            {'abbr': 239,
             'code': 239,
             'title': 'MPTS Mean period of total swell',
             'units': 's'},
            {'abbr': 240,
             'code': 240,
             'title': 'SDHS Standard deviation wave height',
             'units': 'm'},
            {'abbr': 241,
             'code': 241,
             'title': 'MU10 Mean of 10 metre wind speed',
             'units': 'm s**-1'},
            {'abbr': 242,
             'code': 242,
             'title': 'MDWI Mean wind direction',
             'units': 'degrees'},
            {'abbr': 243,
             'code': 243,
             'title': 'SDU Standard deviation of 10 metre wind speed',
             'units': 'm s**-1'},
            {'abbr': 244,
             'code': 244,
             'title': 'MSQS Mean square slope of waves',
             'units': 'dimensionless'},
            {'abbr': 245,
             'code': 245,
             'title': 'WIND 10 metre wind speed',
             'units': 'm s**-1'},
            {'abbr': 246, 'code': 246, 'title': 'AWH Altimeter wave height', 'units': 'm'},
            {'abbr': 247,
             'code': 247,
             'title': 'ACWH Altimeter corrected wave height',
             'units': 'm'},
            {'abbr': 248,
             'code': 248,
             'title': 'ARRC Altimeter range relative correction',
             'units': '~'},
            {'abbr': 249,
             'code': 249,
             'title': 'DWI 10 metre wind direction',
             'units': 'degrees'},
            {'abbr': 250,
             'code': 250,
             'title': '2DSP 2D wave spectra (multiple)',
             'units': 'm**2 s radian**-1'},
            {'abbr': 251,
             'code': 251,
             'title': '2DFD 2D wave spectra (single)',
             'units': 'm**2 s radian**-1'},
            {'abbr': 252,
             'code': 252,
             'title': 'WSK Wave spectral kurtosis',
             'units': 'dimensionless'},
            {'abbr': 253,
             'code': 253,
             'title': 'BFI Benjamin-Feir index',
             'units': 'dimensionless'},
            {'abbr': 254,
             'code': 254,
             'title': 'WSP Wave spectral peakedness',
             'units': 'dimensionless'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
