def load(h):
    return ({'abbr': 'ocpt',
             'code': 129,
             'title': 'Ocean potential temperature',
             'units': 'deg C'},
            {'abbr': 'ocs', 'code': 130, 'title': 'Ocean salinity psu'},
            {'abbr': 'ocpd',
             'code': 131,
             'title': 'Ocean potential density kg m**-3 -1000'},
            {'abbr': 'ocu',
             'code': 133,
             'title': 'Ocean U wind component',
             'units': 'm s**-1'},
            {'abbr': 'ocv',
             'code': 134,
             'title': 'Ocean V wind component',
             'units': 'm s**-1'},
            {'abbr': 'ocw',
             'code': 135,
             'title': 'Ocean W wind component',
             'units': 'm s**-1'},
            {'abbr': 'rn', 'code': 137, 'title': 'Richardson number'},
            {'abbr': 'uv', 'code': 139, 'title': 'U*V product', 'units': 'm s**-2'},
            {'abbr': 'ut', 'code': 140, 'title': 'U*T product', 'units': 'm s**-1 deg C'},
            {'abbr': 'vt', 'code': 141, 'title': 'V*T product', 'units': 'm s**-1 deg C'},
            {'abbr': 'uu', 'code': 142, 'title': 'U*U product', 'units': 'm s**-2'},
            {'abbr': 'vv', 'code': 143, 'title': 'V*V product', 'units': 'm s**-2'},
            {'abbr': 144, 'code': 144, 'title': 'UV - U~V~', 'units': 'm s**-2'},
            {'abbr': 145, 'code': 145, 'title': 'UT - U~T~ m s**-1 deg C'},
            {'abbr': 146, 'code': 146, 'title': 'VT - V~T~', 'units': 'm s**-1 deg C'},
            {'abbr': 147, 'code': 147, 'title': 'UU - U~U~', 'units': 'm s**-2'},
            {'abbr': 148, 'code': 148, 'title': 'VV - V~V~', 'units': 'm s**-2'},
            {'abbr': 'sl', 'code': 152, 'title': 'Sea level', 'units': 'm'},
            {'abbr': 153, 'code': 153, 'title': 'Barotropic stream function'},
            {'abbr': 'mld', 'code': 154, 'title': 'Mixed layer depth', 'units': 'm'},
            {'abbr': 155, 'code': 155, 'title': 'Depth', 'units': 'm'},
            {'abbr': 168, 'code': 168, 'title': 'U stress', 'units': 'Pa'},
            {'abbr': 169, 'code': 169, 'title': 'V stress', 'units': 'Pa'},
            {'abbr': 170, 'code': 170, 'title': 'Turbulent kinetic energy input'},
            {'abbr': 'nsf', 'code': 171, 'title': 'Net surface heat flux'},
            {'abbr': 172, 'code': 172, 'title': 'Surface solar radiation'},
            {'abbr': 173, 'code': 173, 'title': 'P-E'},
            {'abbr': 180,
             'code': 180,
             'title': 'Diagnosed sea surface temperature error',
             'units': 'deg C'},
            {'abbr': 181,
             'code': 181,
             'title': 'Heat flux correction',
             'units': 'W m**-2'},
            {'abbr': 182,
             'code': 182,
             'title': 'Observed sea surface temperature',
             'units': 'deg C'},
            {'abbr': 183, 'code': 183, 'title': 'Observed heat flux', 'units': 'W m**-2'},
            {'abbr': None, 'code': 255, 'title': 'Indicates a missing value'})
