def load(h):
    return ({'abbr': 127, 'code': 127, 'title': 'AT Atmospheric tide'},
            {'abbr': 128, 'code': 128, 'title': 'BV Budget values'},
            {'abbr': 129, 'code': 129, 'title': 'Z Geopotential m**2 s**-2'},
            {'abbr': 130, 'code': 130, 'title': 'T Temperature K'},
            {'abbr': 131, 'code': 131, 'title': 'U U velocity m s**-1'},
            {'abbr': 132, 'code': 132, 'title': 'V V velocity m s**-1'},
            {'abbr': 133, 'code': 133, 'title': 'Q Specific humidity kg kg**-1'},
            {'abbr': 134, 'code': 134, 'title': 'SP Surface pressure Pa'},
            {'abbr': 135, 'code': 135, 'title': 'W Vertical velocity (pressure) Pa s**-1'},
            {'abbr': 136, 'code': 136, 'title': 'TCW Total column water kg m**-2'},
            {'abbr': 137, 'code': 137, 'title': 'PWC Precipitable water content kg m**-2'},
            {'abbr': 138, 'code': 138, 'title': 'VO Vorticity (relative) s**-1'},
            {'abbr': 139, 'code': 139, 'title': 'STL1 Soil temperature level 1 K'},
            {'abbr': 140, 'code': 140, 'title': 'SWL1 Soil wetness level 1 m'},
            {'abbr': 141, 'code': 141, 'title': 'SD Snow depth m of water'},
            {'abbr': 142,
             'code': 142,
             'title': 'LSP Large-scale precipitation kg m**-2 s**-1'},
            {'abbr': 143,
             'code': 143,
             'title': 'CP Convective precipitation kg m**-2 s**-1'},
            {'abbr': 144, 'code': 144, 'title': 'SF Snowfall kg m**-2 s**-1'},
            {'abbr': 145, 'code': 145, 'title': 'BLD Boundary layer dissipation W m**-2'},
            {'abbr': 146, 'code': 146, 'title': 'SSHF Surface sensible heat flux W m**-2'},
            {'abbr': 147, 'code': 147, 'title': 'SLHF Surface latent heat flux W m**-2'},
            {'abbr': 151, 'code': 151, 'title': 'MSL Mean sea level pressure Pa'},
            {'abbr': 152, 'code': 152, 'title': 'LNSP Logarithm of surface pressure'},
            {'abbr': 155, 'code': 155, 'title': 'D Divergence s**-1'},
            {'abbr': 156, 'code': 156, 'title': 'GH Height m'},
            {'abbr': 157, 'code': 157, 'title': 'R Relative humidity', 'units': '0 - 1'},
            {'abbr': 158,
             'code': 158,
             'title': 'TSP Tendency of surface pressure Pa s**-1'},
            {'abbr': 164, 'code': 164, 'title': 'TCC Total cloud cover', 'units': '0 - 1'},
            {'abbr': 165, 'code': 165, 'title': '10U 10 metre U wind component m s**-1'},
            {'abbr': 166, 'code': 166, 'title': '10V 10 metre V wind component m s**-1'},
            {'abbr': 167, 'code': 167, 'title': '2T 2 metre temperature K'},
            {'abbr': 168, 'code': 168, 'title': '2D 2 metre dewpoint temperature K'},
            {'abbr': 170, 'code': 170, 'title': 'STL2 Soil temperature level 2 K'},
            {'abbr': 171, 'code': 171, 'title': 'SWL2 Soil wetness level 2 m'},
            {'abbr': 172, 'code': 172, 'title': 'LSM Land-sea mask', 'units': '0 - 1'},
            {'abbr': 173, 'code': 173, 'title': 'SR Surface roughness m'},
            {'abbr': 174, 'code': 174, 'title': 'AL Albedo', 'units': '0 - 1'},
            {'abbr': 176, 'code': 176, 'title': 'SSR Surface solar radiation W m**-2'},
            {'abbr': 177, 'code': 177, 'title': 'STR Surface thermal radiation W m**-2'},
            {'abbr': 178, 'code': 178, 'title': 'TSR Top solar radiation W m**-2'},
            {'abbr': 179, 'code': 179, 'title': 'TTR Top thermal radiation W m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSS East-West surface stress N m**-2 s**-1'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSS North-South surface stress N m**-2 s**-1'},
            {'abbr': 182, 'code': 182, 'title': 'E Evaporation kg m**-2 s**-1'},
            {'abbr': 183, 'code': 183, 'title': 'STL3 Soil temperature level 3 K'},
            {'abbr': 184, 'code': 184, 'title': 'SWL3 Soil wetness level 3 m'},
            {'abbr': 185,
             'code': 185,
             'title': 'CCC Convective cloud cover',
             'units': '0 - 1'},
            {'abbr': 186, 'code': 186, 'title': 'LCC Low cloud cover', 'units': '0 - 1'},
            {'abbr': 187,
             'code': 187,
             'title': 'MCC Medium cloud cover',
             'units': '0 - 1'},
            {'abbr': 188, 'code': 188, 'title': 'HCC High cloud cover', 'units': '0 - 1'},
            {'abbr': 190,
             'code': 190,
             'title': 'EWOV East-West component of sub-gridscale orographic variance '
                      'm**2'},
            {'abbr': 191,
             'code': 191,
             'title': 'NSOV North-South component of sub-gridscale orographic variance '
                      'm**2'},
            {'abbr': 192,
             'code': 192,
             'title': 'NWOV North-West/South-East component of sub-gridscale orographic '
                      'variance m**2'},
            {'abbr': 193,
             'code': 193,
             'title': 'NEOV North-East/South-West component of sub-gridscale orographic '
                      'variance m**2'},
            {'abbr': 195,
             'code': 195,
             'title': 'LGWS Latitudinal component of gravity wave stress N m**-2 s'},
            {'abbr': 196,
             'code': 196,
             'title': 'MGWS Meridional component of gravity wave stress N m**-2 s'},
            {'abbr': 197, 'code': 197, 'title': 'GWD Gravity wave dissipation W m**-2 s'},
            {'abbr': 198, 'code': 198, 'title': 'SRC Skin reservoir content m of water'},
            {'abbr': 199, 'code': 199, 'title': 'VEG Percentage of vegetation %'},
            {'abbr': 200,
             'code': 200,
             'title': 'VSO Variance of sub-gridscale orography m**2'},
            {'abbr': 201,
             'code': 201,
             'title': 'MX2T Maximum temperature at 2 metres during averaging time K'},
            {'abbr': 202,
             'code': 202,
             'title': 'MN2T Minimum temperature at 2 metres during averaging time K'},
            {'abbr': 204, 'code': 204, 'title': 'PAW Precipitation analysis weights'},
            {'abbr': 205, 'code': 205, 'title': 'RO Runoff kg m**-2 s**-1'},
            {'abbr': 206,
             'code': 206,
             'title': 'ZZ Standard deviation of geopotential m**2 s**-2'},
            {'abbr': 207,
             'code': 207,
             'title': 'TZ Covariance of temperature and geopotential K m**2 s**-2'},
            {'abbr': 208, 'code': 208, 'title': 'TT Standard deviation of temperature K'},
            {'abbr': 209,
             'code': 209,
             'title': 'QZ Covariance of specific humidity and geopotential m**2 s**-2'},
            {'abbr': 210,
             'code': 210,
             'title': 'QT Covariance of specific humidity and temperature K'},
            {'abbr': 211,
             'code': 211,
             'title': 'QQ Standard deviation of specific humidity',
             'units': '0 - 1'},
            {'abbr': 212,
             'code': 212,
             'title': 'UZ Covariance of U component and geopotential m**3 s**-3'},
            {'abbr': 213,
             'code': 213,
             'title': 'UT Covariance of U component and temperature K m s**-1'},
            {'abbr': 214,
             'code': 214,
             'title': 'UQ Covariance of U component and specific humidity m s**-1'},
            {'abbr': 215,
             'code': 215,
             'title': 'UU Standard deviation of U velocity m s**-1'},
            {'abbr': 216,
             'code': 216,
             'title': 'VZ Covariance of V component and geopotential m**3 s**-3'},
            {'abbr': 217,
             'code': 217,
             'title': 'VT Covariance of V component and temperature K m s**-1'},
            {'abbr': 218,
             'code': 218,
             'title': 'VQ Covariance of V component and specific humidity m s**-1'},
            {'abbr': 219,
             'code': 219,
             'title': 'VU Covariance of V component and U component m**2 s**-2'},
            {'abbr': 220,
             'code': 220,
             'title': 'VV Standard deviation of V component m s**-1'},
            {'abbr': 221,
             'code': 221,
             'title': 'WZ Covariance of W component and geopotential Pa m**2 s**-3'},
            {'abbr': 222,
             'code': 222,
             'title': 'WT Covariance of W component and temperature K Pa s**-1'},
            {'abbr': 223,
             'code': 223,
             'title': 'WQ Covariance of W component and specific humidity Pa s**-1'},
            {'abbr': 224,
             'code': 224,
             'title': 'WU Covariance of W component and U component Pa m s**-2'},
            {'abbr': 225,
             'code': 225,
             'title': 'WV Covariance of W component and V component Pa m s**-2'},
            {'abbr': 226,
             'code': 226,
             'title': 'WW Standard deviation of vertical velocity Pa s**-1'},
            {'abbr': 228, 'code': 228, 'title': 'TP Total precipitation m'},
            {'abbr': 229,
             'code': 229,
             'title': 'IEWS Instantaneous X surface stress N m**-2'},
            {'abbr': 230,
             'code': 230,
             'title': 'INSS Instantaneous Y surface stress N m**-2'},
            {'abbr': 231,
             'code': 231,
             'title': 'ISHF Instantaneous surface heat flux W m**-2'},
            {'abbr': 232,
             'code': 232,
             'title': 'IE Instantaneous moisture flux kg m**-2 s**-1'},
            {'abbr': 233, 'code': 233, 'title': 'ASQ Apparent surface humidity kg kg**-1'},
            {'abbr': 234,
             'code': 234,
             'title': 'LSRH Logarithm of surface roughness length for heat'},
            {'abbr': 235, 'code': 235, 'title': 'SKT Skin temperature K'},
            {'abbr': 236, 'code': 236, 'title': 'STL4 Soil temperature level 4 K'},
            {'abbr': 237, 'code': 237, 'title': 'SWL4 Soil wetness level 4 m'},
            {'abbr': 238, 'code': 238, 'title': 'TSN Temperature of snow layer K'},
            {'abbr': 239, 'code': 239, 'title': 'CSF Convective snowfall kg m**-2 s**-1'},
            {'abbr': 240, 'code': 240, 'title': 'LSF Large scale snowfall kg m**-2 s**-1'},
            {'abbr': 241,
             'code': 241,
             'title': 'CLWCER Cloud liquid water content kg kg**-1'},
            {'abbr': 242, 'code': 242, 'title': 'CC Cloud cover', 'units': '0 - 1'},
            {'abbr': 243, 'code': 243, 'title': 'FAL Forecast albedo'},
            {'abbr': 244, 'code': 244, 'title': 'FSR Forecast surface roughness m'},
            {'abbr': 245,
             'code': 245,
             'title': 'FLSR Forecast logarithm of surface roughness for heat'},
            {'abbr': 246, 'code': 246, 'title': '10WS 10 metre wind speed m s**-1'},
            {'abbr': 247, 'code': 247, 'title': 'MOFL Momentum flux N m**-2'},
            {'abbr': 249, 'code': 249, 'title': '- Gravity wave dissipation flux W m**-2'},
            {'abbr': 254,
             'code': 254,
             'title': 'HSD Heaviside beta function',
             'units': '0 - 1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
