def load(h):
    return ({'abbr': 45,
             'code': 45,
             'title': 'WVF Water vapour flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 51,
             'code': 51,
             'title': '- Surface geopotential',
             'units': 'm**2 s**-2'},
            {'abbr': 52, 'code': 52, 'title': 'SP Surface pressure', 'units': 'Pa'},
            {'abbr': 53,
             'code': 53,
             'title': '- Vertical integral of mass of atmosphere',
             'units': 'kg m**-2'},
            {'abbr': 54,
             'code': 54,
             'title': '- Vertical integral of temperature',
             'units': 'K kg m**-2'},
            {'abbr': 55,
             'code': 55,
             'title': '- Vertical integral of water vapour',
             'units': 'kg m**-2'},
            {'abbr': 56,
             'code': 56,
             'title': '- Vertical integral of cloud liquid water',
             'units': 'kg m**-2'},
            {'abbr': 57,
             'code': 57,
             'title': '- Vertical integral of cloud frozen water',
             'units': 'kg m**-2'},
            {'abbr': 58,
             'code': 58,
             'title': '- Vertical integral of ozone',
             'units': 'kg m**-2'},
            {'abbr': 59,
             'code': 59,
             'title': '- Vertical integral of kinetic energy',
             'units': 'J m**-2'},
            {'abbr': 60,
             'code': 60,
             'title': '- Vertical integral of thermal energy',
             'units': 'J m**-2'},
            {'abbr': 61,
             'code': 61,
             'title': '- Vertical integral of potential+internal energy',
             'units': 'J m**-2'},
            {'abbr': 62,
             'code': 62,
             'title': '- Vertical integral of potential+internal+latent energy',
             'units': 'J m**-2'},
            {'abbr': 63,
             'code': 63,
             'title': '- Vertical integral of total energy',
             'units': 'J m**-2'},
            {'abbr': 64,
             'code': 64,
             'title': '- Vertical integral of energy conversion',
             'units': 'J m**-2'},
            {'abbr': 65,
             'code': 65,
             'title': '- Vertical integral of eastward mass flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 66,
             'code': 66,
             'title': '- Vertical integral of northward mass flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 67,
             'code': 67,
             'title': '- Vertical integral of eastward kinetic energy flux',
             'units': 'J m**-2'},
            {'abbr': 68,
             'code': 68,
             'title': '- Vertical integral of northward kinetic energy flux',
             'units': 'J m**-2'},
            {'abbr': 69,
             'code': 69,
             'title': '- Vertical integral of eastward heat flux',
             'units': 'J m**-2'},
            {'abbr': 70,
             'code': 70,
             'title': '- Vertical integral of northward heat flux',
             'units': 'J m**-2'},
            {'abbr': 71,
             'code': 71,
             'title': '- Vertical integral of eastward water vapour flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 72,
             'code': 72,
             'title': '- Vertical integral of northward water vapour flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 73,
             'code': 73,
             'title': '- Vertical integral of eastward geopotential flux',
             'units': 'J m**-2'},
            {'abbr': 74,
             'code': 74,
             'title': '- Vertical integral of northward geopotential flux',
             'units': 'J m**-2'},
            {'abbr': 75,
             'code': 75,
             'title': '- Vertical integral of eastward total energy flux',
             'units': 'J m**-2'},
            {'abbr': 76,
             'code': 76,
             'title': '- Vertical integral of northward total energy flux',
             'units': 'J m**-2'},
            {'abbr': 77,
             'code': 77,
             'title': '- Vertical integral of eastward ozone flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 78,
             'code': 78,
             'title': '- Vertical integral of northward ozone flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 79,
             'code': 79,
             'title': '- Vertical integral of divergence of cloud liquid water flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 80,
             'code': 80,
             'title': '- Vertical integral of divergence of cloud frozen water flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 81,
             'code': 81,
             'title': '- Vertical integral of divergence of mass flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 82,
             'code': 82,
             'title': '- Vertical integral of divergence of kinetic energy flux',
             'units': 'J m**-2'},
            {'abbr': 83,
             'code': 83,
             'title': '- Vertical integral of divergence of thermal energy flux',
             'units': 'J m**-2'},
            {'abbr': 84,
             'code': 84,
             'title': '- Vertical integral of divergence of moisture flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 85,
             'code': 85,
             'title': '- Vertical integral of divergence of geopotential flux',
             'units': 'J m**-2'},
            {'abbr': 86,
             'code': 86,
             'title': '- Vertical integral of divergence of total energy flux',
             'units': 'J m**-2'},
            {'abbr': 87,
             'code': 87,
             'title': '- Vertical integral of divergence of ozone flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 88,
             'code': 88,
             'title': '- Vertical integral of eastward cloud liquid water flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 89,
             'code': 89,
             'title': '- Vertical integral of northward cloud liquid water flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 90,
             'code': 90,
             'title': '- Vertical integral of eastward cloud frozen water flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 91,
             'code': 91,
             'title': '- Vertical integral of northward cloud frozen water flux',
             'units': 'kg m**-1 s**-1'},
            {'abbr': 92,
             'code': 92,
             'title': '- Vertical integral of mass tendency',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 100,
             'code': 100,
             'title': '- Tendency of short wave radiation',
             'units': 'K'},
            {'abbr': 101,
             'code': 101,
             'title': '- Tendency of long wave radiation',
             'units': 'K'},
            {'abbr': 102,
             'code': 102,
             'title': '- Tendency of clear sky short wave radiation',
             'units': 'K'},
            {'abbr': 103,
             'code': 103,
             'title': '- Tendency of clear sky long wave radiation',
             'units': 'K'},
            {'abbr': 104,
             'code': 104,
             'title': '- Updraught mass flux',
             'units': 'kg m**-2'},
            {'abbr': 105,
             'code': 105,
             'title': '- Downdraught mass flux',
             'units': 'kg m**-2'},
            {'abbr': 106,
             'code': 106,
             'title': '- Updraught detrainment rate',
             'units': 'kg m**-3'},
            {'abbr': 107,
             'code': 107,
             'title': '- Downdraught detrainment rate',
             'units': 'kg m**-3'},
            {'abbr': 108,
             'code': 108,
             'title': '- Total precipitation flux',
             'units': 'kg m**-2'},
            {'abbr': 109,
             'code': 109,
             'title': '- Turbulent diffusion coefficient for heat',
             'units': 'm**2'},
            {'abbr': 110,
             'code': 110,
             'title': '- Tendency of temperature due to physics',
             'units': 'K'},
            {'abbr': 111,
             'code': 111,
             'title': '- Tendency of specific humidity due to physics',
             'units': 'kg kg**-1'},
            {'abbr': 112,
             'code': 112,
             'title': '- Tendency of u component due to physics',
             'units': 'm s**-1'},
            {'abbr': 113,
             'code': 113,
             'title': '- Tendency of v component due to physics',
             'units': 'm s**-1'},
            {'abbr': 114,
             'code': 114,
             'title': 'UTENDD U-tendency from dynamics',
             'units': 'm s**-1'},
            {'abbr': 115,
             'code': 115,
             'title': 'VTENDD V-tendency from dynamics',
             'units': 'm s**-1'},
            {'abbr': 116,
             'code': 116,
             'title': 'TTENDD T-tendency from dynamics',
             'units': 'K'},
            {'abbr': 117,
             'code': 117,
             'title': 'QTENDD q-tendency from dynamics',
             'units': 'kg kg**-1'},
            {'abbr': 118,
             'code': 118,
             'title': 'TTENDR T-tendency from radiation',
             'units': 'K'},
            {'abbr': 119,
             'code': 119,
             'title': 'UTENDTS U-tendency from turbulent diffusion + subgrid orography',
             'units': 'm s**-1'},
            {'abbr': 120,
             'code': 120,
             'title': 'VTENDTS V-tendency from turbulent diffusion + subgrid orography',
             'units': 'm s**-1'},
            {'abbr': 121,
             'code': 121,
             'title': 'TTENDTS T-tendency from turbulent diffusion + subgrid orography',
             'units': 'K'},
            {'abbr': 122,
             'code': 122,
             'title': 'QTENDT q-tendency from turbulent diffusion',
             'units': 'kg kg**-1'},
            {'abbr': 123,
             'code': 123,
             'title': 'UTENDS U-tendency from subgrid orography',
             'units': 'm s**-1'},
            {'abbr': 124,
             'code': 124,
             'title': 'VTENDS V-tendency from subgrid orography',
             'units': 'm s**-1'},
            {'abbr': 125,
             'code': 125,
             'title': 'TTENDS T-tendency from subgrid orography',
             'units': 'K'},
            {'abbr': 126,
             'code': 126,
             'title': 'UTENDCDS U-tendency from convection (deep+shallow)',
             'units': 'm s**-1'},
            {'abbr': 127,
             'code': 127,
             'title': 'VTENDCDS V-tendency from convection (deep+shallow)',
             'units': 'm s**-1'},
            {'abbr': 128,
             'code': 128,
             'title': 'TTENDCDS T-tendency from convection (deep+shallow)',
             'units': 'K'},
            {'abbr': 129,
             'code': 129,
             'title': 'QTENDCDS q-tendency from convection (deep+shallow)',
             'units': 'kg kg**-1'},
            {'abbr': 130,
             'code': 130,
             'title': 'LPC Liquid Precipitation flux from convection',
             'units': 'kg m**-2'},
            {'abbr': 131,
             'code': 131,
             'title': 'IPC Ice Precipitation flux from convection',
             'units': 'kg m**-2'},
            {'abbr': 132,
             'code': 132,
             'title': 'TTENDCS T-tendency from cloud scheme',
             'units': 'K'},
            {'abbr': 133,
             'code': 133,
             'title': 'QTENDCS q-tendency from cloud scheme',
             'units': 'kg kg**-1'},
            {'abbr': 134,
             'code': 134,
             'title': 'QLTENDCS ql-tendency from cloud scheme',
             'units': 'kg kg**-1'},
            {'abbr': 135,
             'code': 135,
             'title': 'QITENDCS qi-tendency from cloud scheme',
             'units': 'kg kg**-1'},
            {'abbr': 136,
             'code': 136,
             'title': 'LPCS Liquid Precip flux from cloud scheme (stratiform)',
             'units': 'kg m**-2'},
            {'abbr': 137,
             'code': 137,
             'title': 'IPCS Ice Precip flux from cloud scheme (stratiform)',
             'units': 'kg m**-2'},
            {'abbr': 138,
             'code': 138,
             'title': 'UTENDCS U-tendency from shallow convection',
             'units': 'm s**-1'},
            {'abbr': 139,
             'code': 139,
             'title': 'VTENDCS V-tendency from shallow convection',
             'units': 'm s**-1'},
            {'abbr': 140,
             'code': 140,
             'title': 'TTENDSC T-tendency from shallow convection',
             'units': 'K'},
            {'abbr': 141,
             'code': 141,
             'title': 'QTENDSC q-tendency from shallow convection',
             'units': 'kg kg**-1'},
            {'abbr': 206,
             'code': 206,
             'title': '- Variance of geopotential',
             'units': 'm**4 s**-4'},
            {'abbr': 207,
             'code': 207,
             'title': '- Covariance of geopotential/temperature',
             'units': 'm**2 K s**-2'},
            {'abbr': 208,
             'code': 208,
             'title': '- Variance of temperature',
             'units': 'K**2'},
            {'abbr': 209,
             'code': 209,
             'title': '- Covariance of geopotential/specific humidity',
             'units': 'm**2 s**-2'},
            {'abbr': 210,
             'code': 210,
             'title': '- Covariance of temperature/specific humidity',
             'units': 'K'},
            {'abbr': 211, 'code': 211, 'title': '- Variance of specific humidity'},
            {'abbr': 212,
             'code': 212,
             'title': '- Covariance of u component/geopotential',
             'units': 'm**3 s**-3'},
            {'abbr': 213,
             'code': 213,
             'title': '- Covariance of u component/temperature',
             'units': 'm s**-1 K'},
            {'abbr': 214,
             'code': 214,
             'title': '- Covariance of u component/specific humidity',
             'units': 'm s**-1'},
            {'abbr': 215,
             'code': 215,
             'title': '- Variance of u component',
             'units': 'm**2 s**-2'},
            {'abbr': 216,
             'code': 216,
             'title': '- Covariance of v component/geopotential',
             'units': 'm**3 s**-3'},
            {'abbr': 217,
             'code': 217,
             'title': '- Covariance of v component/temperature',
             'units': 'm s**-1 K'},
            {'abbr': 218,
             'code': 218,
             'title': '- Covariance of v component/specific humidity',
             'units': 'm s**-1'},
            {'abbr': 219,
             'code': 219,
             'title': '- Covariance of v component/u component',
             'units': 'm**2 s**-2'},
            {'abbr': 220,
             'code': 220,
             'title': '- Variance of v component',
             'units': 'm**2 s**-2'},
            {'abbr': 221,
             'code': 221,
             'title': '- Covariance of omega/geopotential',
             'units': 'm**2 Pa s**-3'},
            {'abbr': 222,
             'code': 222,
             'title': '- Covariance of omega/temperature',
             'units': 'Pa s**-1 K'},
            {'abbr': 223,
             'code': 223,
             'title': '- Covariance of omega/specific humidity',
             'units': 'Pa s**-1'},
            {'abbr': 224,
             'code': 224,
             'title': '- Covariance of omega/u component',
             'units': 'm Pa s**-2'},
            {'abbr': 225,
             'code': 225,
             'title': '- Covariance of omega/v component',
             'units': 'm Pa s**-2'},
            {'abbr': 226,
             'code': 226,
             'title': '- Variance of omega',
             'units': 'Pa**2 s**-2'},
            {'abbr': 227,
             'code': 227,
             'title': '- Variance of surface pressure',
             'units': 'Pa**2'},
            {'abbr': 229,
             'code': 229,
             'title': '- Variance of relative humidity',
             'units': 'dimensionless'},
            {'abbr': 230,
             'code': 230,
             'title': '- Covariance of u component/ozone',
             'units': 'm s**-1'},
            {'abbr': 231,
             'code': 231,
             'title': '- Covariance of v component/ozone',
             'units': 'm s**-1'},
            {'abbr': 232,
             'code': 232,
             'title': '- Covariance of omega/ozone',
             'units': 'Pa s**-1'},
            {'abbr': 233,
             'code': 233,
             'title': '- Variance of ozone',
             'units': 'dimensionless'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
