def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': 'SPI03 Standardised precipitation index valid in the last 3 months',
             'units': 'dimensionless'},
            {'abbr': 2,
             'code': 2,
             'title': 'SPI06 Standardised precipitation index valid in the last 6 months',
             'units': 'dimensionless'},
            {'abbr': 3,
             'code': 3,
             'title': 'SPI12 Standardised precipitation index valid in the last 12 months',
             'units': 'dimensionless'},
            {'abbr': 129, 'code': 129, 'title': 'Z Geopotential', 'units': 'm**2 s**-2'},
            {'abbr': 130, 'code': 130, 'title': 'T Temperature', 'units': 'K'},
            {'abbr': 131,
             'code': 131,
             'title': 'U U component of wind',
             'units': 'm s**-1'},
            {'abbr': 132,
             'code': 132,
             'title': 'V V component of wind',
             'units': 'm s**-1'},
            {'abbr': 133,
             'code': 133,
             'title': 'Q Specific humidity',
             'units': 'kg kg**-1'},
            {'abbr': 135,
             'code': 135,
             'title': 'W Vertical velocity',
             'units': 'Pa s**-1'},
            {'abbr': 138,
             'code': 138,
             'title': 'VO Vorticity (relative)',
             'units': 's**-1'},
            {'abbr': 139,
             'code': 139,
             'title': 'STL1 Soil temperature level 1',
             'units': 'K'},
            {'abbr': 140,
             'code': 140,
             'title': 'SWL1 Soil wetness level 1',
             'units': 'm of water equivalent'},
            {'abbr': 141,
             'code': 141,
             'title': 'SD Snow depth',
             'units': 'm of water equivalent'},
            {'abbr': 142,
             'code': 142,
             'title': 'LSP Large-scale precipitation',
             'units': 'm'},
            {'abbr': 143,
             'code': 143,
             'title': 'CP Convective precipitation',
             'units': 'm'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSHF Surface sensible heat flux',
             'units': 'J m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'SLHF Surface latent heat flux',
             'units': 'J m**-2'},
            {'abbr': 149, 'code': 149, 'title': 'TSW Total soil moisture', 'units': 'm'},
            {'abbr': 151,
             'code': 151,
             'title': 'MSL Mean sea level pressure',
             'units': 'Pa'},
            {'abbr': 155, 'code': 155, 'title': 'D Divergence', 'units': 's**-1'},
            {'abbr': 157, 'code': 157, 'title': 'R Relative humidity', 'units': '%'},
            {'abbr': 164,
             'code': 164,
             'title': 'TCC Total cloud cover',
             'units': '(0 - 1)'},
            {'abbr': 171, 'code': 171, 'title': 'SWL2 Soil wetness level 2', 'units': 'm'},
            {'abbr': 176,
             'code': 176,
             'title': 'SSR Surface net solar radiation',
             'units': 'J m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'STR Surface net thermal radiation',
             'units': 'J m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'TTR Top net thermal radiation',
             'units': 'J m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSS Eastward turbulent surface stress',
             'units': 'N m**-2 s'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSS Northward turbulent surface stress',
             'units': 'N m**-2 s'},
            {'abbr': 182,
             'code': 182,
             'title': 'E Evaporation',
             'units': 'm of water equivalent'},
            {'abbr': 184,
             'code': 184,
             'title': 'SWL3 Soil wetness level 3',
             'units': 'm of water equivalent'},
            {'abbr': 185,
             'code': 185,
             'title': 'CCC Convective cloud cover',
             'units': '(0 - 1)'},
            {'abbr': 201,
             'code': 201,
             'title': 'MX2T Maximum temperature at 2 metres since previous '
                      'post-processing',
             'units': 'K'},
            {'abbr': 202,
             'code': 202,
             'title': 'MN2T Minimum temperature at 2 metres since previous '
                      'post-processing',
             'units': 'K'},
            {'abbr': 228, 'code': 228, 'title': 'TP Total precipitation', 'units': 'm'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
