def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': '- Stream function anomaly',
             'units': 'm**2 s**-1'},
            {'abbr': 2,
             'code': 2,
             'title': '- Velocity potential anomaly',
             'units': 'm**2 s**-1'},
            {'abbr': 3,
             'code': 3,
             'title': '- Potential temperature anomaly',
             'units': 'K'},
            {'abbr': 4,
             'code': 4,
             'title': '- Equivalent potential temperature anomaly',
             'units': 'K'},
            {'abbr': 5,
             'code': 5,
             'title': '- Saturated equivalent potential temperature anomaly',
             'units': 'K'},
            {'abbr': 11,
             'code': 11,
             'title': '- U component of divergent wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 12,
             'code': 12,
             'title': '- V component of divergent wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 13,
             'code': 13,
             'title': '- U component of rotational wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 14,
             'code': 14,
             'title': '- V component of rotational wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 21,
             'code': 21,
             'title': '- Unbalanced component of temperature anomaly',
             'units': 'K'},
            {'abbr': 22,
             'code': 22,
             'title': '- Unbalanced component of logarithm of surface pressure anomaly'},
            {'abbr': 23,
             'code': 23,
             'title': '- Unbalanced component of divergence anomaly',
             'units': 's**-1'},
            {'abbr': 24,
             'code': 24,
             'title': '- Lake mix-layer temperature anomaly',
             'units': 'K'},
            {'abbr': 25, 'code': 25, 'title': '- Lake ice depth anomaly', 'units': 'm'},
            {'abbr': 26, 'code': 26, 'title': '- Lake cover anomaly', 'units': '0 - 1'},
            {'abbr': 27,
             'code': 27,
             'title': '- Low vegetation cover anomaly',
             'units': '0 - 1'},
            {'abbr': 28,
             'code': 28,
             'title': '- High vegetation cover anomaly',
             'units': '0 - 1'},
            {'abbr': 29, 'code': 29, 'title': '- Type of low vegetation anomaly'},
            {'abbr': 30, 'code': 30, 'title': '- Type of high vegetation anomaly'},
            {'abbr': 31, 'code': 31, 'title': '- Sea-ice cover anomaly', 'units': '0 - 1'},
            {'abbr': 32, 'code': 32, 'title': '- Snow albedo anomaly', 'units': '0 - 1'},
            {'abbr': 33,
             'code': 33,
             'title': '- Snow density anomaly',
             'units': 'kg m**-3'},
            {'abbr': 34,
             'code': 34,
             'title': '- Sea surface temperature anomaly',
             'units': 'K'},
            {'abbr': 35,
             'code': 35,
             'title': '- Ice surface temperature anomaly layer 1',
             'units': 'K'},
            {'abbr': 36,
             'code': 36,
             'title': '- Ice surface temperature anomaly layer 2',
             'units': 'K'},
            {'abbr': 37,
             'code': 37,
             'title': '- Ice surface temperature anomaly layer 3',
             'units': 'K'},
            {'abbr': 38,
             'code': 38,
             'title': '- Ice surface temperature anomaly layer 4',
             'units': 'K'},
            {'abbr': 39,
             'code': 39,
             'title': '- Volumetric soil water anomaly layer 1',
             'units': 'm**3 m**-3'},
            {'abbr': 40,
             'code': 40,
             'title': '- Volumetric soil water anomaly layer 2',
             'units': 'm**3 m**-3'},
            {'abbr': 41,
             'code': 41,
             'title': '- Volumetric soil water anomaly layer 3',
             'units': 'm**3 m**-3'},
            {'abbr': 42,
             'code': 42,
             'title': '- Volumetric soil water anomaly layer 4',
             'units': 'm**3 m**-3'},
            {'abbr': 43, 'code': 43, 'title': '- Soil type anomaly'},
            {'abbr': 44, 'code': 44, 'title': '- Snow evaporation anomaly m of water'},
            {'abbr': 45, 'code': 45, 'title': '- Snowmelt anomaly m of water'},
            {'abbr': 46, 'code': 46, 'title': '- Solar duration anomaly s'},
            {'abbr': 47,
             'code': 47,
             'title': '- Direct solar radiation anomaly',
             'units': 'w m**-2'},
            {'abbr': 48,
             'code': 48,
             'title': '- Magnitude of surface stress anomaly',
             'units': 'N m**-2 s'},
            {'abbr': 49,
             'code': 49,
             'title': '- 10 metre wind gust anomaly',
             'units': 'm s**-1'},
            {'abbr': 50,
             'code': 50,
             'title': '- Large-scale precipitation fraction anomaly',
             'units': 's'},
            {'abbr': 51,
             'code': 51,
             'title': '- Maximum 2 metre temperature in the last 24 hours anomaly',
             'units': 'K'},
            {'abbr': 52,
             'code': 52,
             'title': '- Minimum 2 metre temperature in the last 24 hours anomaly',
             'units': 'K'},
            {'abbr': 53,
             'code': 53,
             'title': '- Montgomery potential anomaly',
             'units': 'm**2 s**-2'},
            {'abbr': 54, 'code': 54, 'title': '- Pressure anomaly', 'units': 'Pa'},
            {'abbr': 55,
             'code': 55,
             'title': '- Mean 2 metre temperature in the last 24 hours anomaly',
             'units': 'K'},
            {'abbr': 56,
             'code': 56,
             'title': '- Mean 2 metre dewpoint temperature in the last 24 hours anomaly',
             'units': 'K'},
            {'abbr': 57,
             'code': 57,
             'title': '- Downward UV radiation at the surface anomaly',
             'units': 'w m**-2'},
            {'abbr': 58,
             'code': 58,
             'title': '- Photosynthetically active radiation at the surface anomaly',
             'units': 'w m**-2'},
            {'abbr': 59,
             'code': 59,
             'title': '- Convective available potential energy anomaly',
             'units': 'J kg**-1'},
            {'abbr': 60,
             'code': 60,
             'title': '- Potential vorticity anomaly',
             'units': 'K m**2 kg**-1 s**-1'},
            {'abbr': 61,
             'code': 61,
             'title': '- Total precipitation from observations anomaly',
             'units': 'Millimetres*100 + number of stations'},
            {'abbr': 62, 'code': 62, 'title': '- Observation count anomaly'},
            {'abbr': 63,
             'code': 63,
             'title': '- Start time for skin temperature difference anomaly',
             'units': 's'},
            {'abbr': 64,
             'code': 64,
             'title': '- Finish time for skin temperature difference anomaly',
             'units': 's'},
            {'abbr': 65,
             'code': 65,
             'title': '- Skin temperature difference anomaly',
             'units': 'K'},
            {'abbr': 78,
             'code': 78,
             'title': '- Total column liquid water anomaly',
             'units': 'kg m**-2'},
            {'abbr': 79,
             'code': 79,
             'title': '- Total column ice water anomaly',
             'units': 'kg m**-2'},
            {'abbr': 125,
             'code': 125,
             'title': '- Vertically integrated total energy anomaly',
             'units': 'J m**-2'},
            {'abbr': 126,
             'code': 126,
             'title': '- Generic parameter for sensitive area prediction Various'},
            {'abbr': 127, 'code': 127, 'title': '- Atmospheric tide anomaly'},
            {'abbr': 128, 'code': 128, 'title': '- Budget values anomaly'},
            {'abbr': 129,
             'code': 129,
             'title': '- Geopotential anomaly',
             'units': 'm**2 s**-2'},
            {'abbr': 130, 'code': 130, 'title': '- Temperature anomaly', 'units': 'K'},
            {'abbr': 131,
             'code': 131,
             'title': '- U component of wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 132,
             'code': 132,
             'title': '- V component of wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 133,
             'code': 133,
             'title': '- Specific humidity anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 134,
             'code': 134,
             'title': '- Surface pressure anomaly',
             'units': 'Pa'},
            {'abbr': 135,
             'code': 135,
             'title': '- Vertical velocity (pressure) anomaly',
             'units': 'Pa s**-1'},
            {'abbr': 136,
             'code': 136,
             'title': '- Total column water anomaly',
             'units': 'kg m**-2'},
            {'abbr': 137,
             'code': 137,
             'title': '- Total column water vapour anomaly',
             'units': 'kg m**-2'},
            {'abbr': 138,
             'code': 138,
             'title': '- Relative vorticity anomaly',
             'units': 's**-1'},
            {'abbr': 139,
             'code': 139,
             'title': '- Soil temperature anomaly level 1',
             'units': 'K'},
            {'abbr': 140,
             'code': 140,
             'title': '- Soil wetness anomaly level 1',
             'units': 'm of water'},
            {'abbr': 141,
             'code': 141,
             'title': '- Snow depth anomaly m of water equivalent'},
            {'abbr': 142,
             'code': 142,
             'title': '- Stratiform precipitation (Large-scale precipitation) anomaly',
             'units': 'm'},
            {'abbr': 143,
             'code': 143,
             'title': '- Convective precipitation anomaly',
             'units': 'm'},
            {'abbr': 144,
             'code': 144,
             'title': '- Snowfall (convective + stratiform) anomaly m of water '
                      'equivalent'},
            {'abbr': 145,
             'code': 145,
             'title': '- Boundary layer dissipation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 146,
             'code': 146,
             'title': '- Surface sensible heat flux anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 147,
             'code': 147,
             'title': '- Surface latent heat flux anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 148, 'code': 148, 'title': '- Charnock anomaly'},
            {'abbr': 149,
             'code': 149,
             'title': '- Surface net radiation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 150, 'code': 150, 'title': '- Top net radiation anomaly'},
            {'abbr': 151,
             'code': 151,
             'title': '- Mean sea level pressure anomaly',
             'units': 'Pa'},
            {'abbr': 152, 'code': 152, 'title': '- Logarithm of surface pressure anomaly'},
            {'abbr': 153,
             'code': 153,
             'title': '- Short-wave heating rate anomaly',
             'units': 'K'},
            {'abbr': 154,
             'code': 154,
             'title': '- Long-wave heating rate anomaly',
             'units': 'K'},
            {'abbr': 155,
             'code': 155,
             'title': '- Relative divergence anomaly',
             'units': 's**-1'},
            {'abbr': 156, 'code': 156, 'title': '- Height anomaly', 'units': 'm'},
            {'abbr': 157,
             'code': 157,
             'title': '- Relative humidity anomaly',
             'units': '%'},
            {'abbr': 158,
             'code': 158,
             'title': '- Tendency of surface pressure anomaly',
             'units': 'Pa s**-1'},
            {'abbr': 159,
             'code': 159,
             'title': '- Boundary layer height anomaly',
             'units': 'm'},
            {'abbr': 160,
             'code': 160,
             'title': '- Standard deviation of orography anomaly'},
            {'abbr': 161,
             'code': 161,
             'title': '- Anisotropy of sub-gridscale orography anomaly'},
            {'abbr': 162,
             'code': 162,
             'title': '- Angle of sub-gridscale orography anomaly'},
            {'abbr': 163,
             'code': 163,
             'title': '- Slope of sub-gridscale orography anomaly'},
            {'abbr': 164,
             'code': 164,
             'title': '- Total cloud cover anomaly',
             'units': '0 - 1'},
            {'abbr': 165,
             'code': 165,
             'title': '- 10 metre U wind component anomaly',
             'units': 'm s**-1'},
            {'abbr': 166,
             'code': 166,
             'title': '- 10 metre V wind component anomaly',
             'units': 'm s**-1'},
            {'abbr': 167,
             'code': 167,
             'title': '- 2 metre temperature anomaly',
             'units': 'K'},
            {'abbr': 168,
             'code': 168,
             'title': '- 2 metre dewpoint temperature anomaly',
             'units': 'K'},
            {'abbr': 169,
             'code': 169,
             'title': '- Surface solar radiation downwards anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 170,
             'code': 170,
             'title': '- Soil temperature anomaly level 2',
             'units': 'K'},
            {'abbr': 171,
             'code': 171,
             'title': '- Soil wetness anomaly level 2 m of water'},
            {'abbr': 172, 'code': 172, 'title': '- Land-sea mask', 'units': '0 - 1'},
            {'abbr': 173,
             'code': 173,
             'title': '- Surface roughness anomaly',
             'units': 'm'},
            {'abbr': 174, 'code': 174, 'title': '- Albedo anomaly', 'units': '0 - 1'},
            {'abbr': 175,
             'code': 175,
             'title': '- Surface thermal radiation downwards anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 176,
             'code': 176,
             'title': '- Surface solar radiation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 177,
             'code': 177,
             'title': '- Surface thermal radiation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 178,
             'code': 178,
             'title': '- Top solar radiation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 179,
             'code': 179,
             'title': '- Top thermal radiation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 180,
             'code': 180,
             'title': '- East-West surface stress anomaly',
             'units': 'N m**-2 s'},
            {'abbr': 181,
             'code': 181,
             'title': '- North-South surface stress anomaly',
             'units': 'N m**-2 s'},
            {'abbr': 182,
             'code': 182,
             'title': '- Evaporation anomaly',
             'units': 'm of water anomaly'},
            {'abbr': 183,
             'code': 183,
             'title': '- Soil temperature anomaly level 3',
             'units': 'K'},
            {'abbr': 184,
             'code': 184,
             'title': '- Soil wetness anomaly level 3 m of water'},
            {'abbr': 185,
             'code': 185,
             'title': '- Convective cloud cover anomaly',
             'units': '0 - 1'},
            {'abbr': 186,
             'code': 186,
             'title': '- Low cloud cover anomaly',
             'units': '0 - 1'},
            {'abbr': 187,
             'code': 187,
             'title': '- Medium cloud cover anomaly',
             'units': '0 - 1'},
            {'abbr': 188,
             'code': 188,
             'title': '- High cloud cover anomaly',
             'units': '0 - 1'},
            {'abbr': 189,
             'code': 189,
             'title': '- Sunshine duration anomaly',
             'units': 's'},
            {'abbr': 190,
             'code': 190,
             'title': '- East-West component of sub-gridscale orographic variance anomaly',
             'units': 'm**2'},
            {'abbr': 191,
             'code': 191,
             'title': '- North-South component of sub-gridscale orographic variance '
                      'anomaly',
             'units': 'm**2'},
            {'abbr': 192,
             'code': 192,
             'title': '- North-West/South-East component of sub-gridscale orographic '
                      'variance anomaly',
             'units': 'm**2'},
            {'abbr': 193,
             'code': 193,
             'title': '- North-East/South-West component of sub-gridscale orographic '
                      'variance anomaly',
             'units': 'm**2'},
            {'abbr': 194,
             'code': 194,
             'title': '- Brightness temperature anomaly',
             'units': 'K'},
            {'abbr': 195,
             'code': 195,
             'title': '- Longitudinal component of gravity wave stress anomaly',
             'units': 'N m**-2 s'},
            {'abbr': 196,
             'code': 196,
             'title': '- Meridional component of gravity wave stress anomaly',
             'units': 'N m**-2 s'},
            {'abbr': 197,
             'code': 197,
             'title': '- Gravity wave dissipation anomaly',
             'units': 'W m**-2 s'},
            {'abbr': 198,
             'code': 198,
             'title': '- Skin reservoir content anomaly',
             'units': 'm of water'},
            {'abbr': 199,
             'code': 199,
             'title': '- Vegetation fraction anomaly',
             'units': '0 - 1'},
            {'abbr': 200,
             'code': 200,
             'title': '- Variance of sub-gridscale orography anomaly',
             'units': 'm**2'},
            {'abbr': 201,
             'code': 201,
             'title': '- Maximum temperature at 2 metres anomaly',
             'units': 'K'},
            {'abbr': 202,
             'code': 202,
             'title': '- Minimum temperature at 2 metres anomaly',
             'units': 'K'},
            {'abbr': 203,
             'code': 203,
             'title': '- Ozone mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 204, 'code': 204, 'title': '- Precipitation analysis weights'},
            {'abbr': 205, 'code': 205, 'title': '- Runoff', 'units': 'm'},
            {'abbr': 206,
             'code': 206,
             'title': '- Total column ozone',
             'units': 'kg m**-2'},
            {'abbr': 207,
             'code': 207,
             'title': '10SIA 10 metre wind speed',
             'units': 'm s**-1'},
            {'abbr': 208,
             'code': 208,
             'title': '- Top net solar radiation, clear sky',
             'units': 'W m**-2 s'},
            {'abbr': 209,
             'code': 209,
             'title': '- Top net thermal radiation, clear sky',
             'units': 'W m**-2 s'},
            {'abbr': 210,
             'code': 210,
             'title': '- Surface net solar radiation, clear sky',
             'units': 'W m**-2 s'},
            {'abbr': 211,
             'code': 211,
             'title': '- Surface net thermal radiation, clear sky',
             'units': 'W m**-2 s'},
            {'abbr': 212, 'code': 212, 'title': '- Solar insolation', 'units': 'W m**-2'},
            {'abbr': 214,
             'code': 214,
             'title': '- Diabatic heating by radiation',
             'units': 'K'},
            {'abbr': 215,
             'code': 215,
             'title': '- Diabatic heating by vertical diffusion',
             'units': 'K'},
            {'abbr': 216,
             'code': 216,
             'title': '- Diabatic heating by cumulus convection',
             'units': 'K'},
            {'abbr': 217,
             'code': 217,
             'title': '- Diabatic heating by large-scale condensation',
             'units': 'K'},
            {'abbr': 218,
             'code': 218,
             'title': '- Vertical diffusion of zonal wind',
             'units': 'm s**-1'},
            {'abbr': 219,
             'code': 219,
             'title': '- Vertical diffusion of meridional wind',
             'units': 'm s**-1'},
            {'abbr': 220,
             'code': 220,
             'title': '- East-West gravity wave drag tendency',
             'units': 'm s**-1'},
            {'abbr': 221,
             'code': 221,
             'title': '- North-South gravity wave drag tendency',
             'units': 'm s**-1'},
            {'abbr': 222,
             'code': 222,
             'title': '- Convective tendency of zonal wind',
             'units': 'm s**-1'},
            {'abbr': 223,
             'code': 223,
             'title': '- Convective tendency of meridional wind',
             'units': 'm s**-1'},
            {'abbr': 224,
             'code': 224,
             'title': '- Vertical diffusion of humidity anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 225,
             'code': 225,
             'title': '- Humidity tendency by cumulus convection anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 226,
             'code': 226,
             'title': '- Humidity tendency by large-scale condensation anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 227,
             'code': 227,
             'title': '- Change from removal of negative humidity anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 228,
             'code': 228,
             'title': '- Total precipitation anomaly',
             'units': 'm'},
            {'abbr': 229,
             'code': 229,
             'title': '- Instantaneous X surface stress anomaly',
             'units': 'N m**-2'},
            {'abbr': 230,
             'code': 230,
             'title': '- Instantaneous Y surface stress anomaly',
             'units': 'N m**-2'},
            {'abbr': 231,
             'code': 231,
             'title': '- Instantaneous surface heat flux anomaly',
             'units': 'W m**-2'},
            {'abbr': 232,
             'code': 232,
             'title': '- Instantaneous moisture flux anomaly',
             'units': 'kg m**-2 s'},
            {'abbr': 233,
             'code': 233,
             'title': '- Apparent surface humidity anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 234,
             'code': 234,
             'title': '- Logarithm of surface roughness length for heat anomaly'},
            {'abbr': 235,
             'code': 235,
             'title': '- Skin temperature anomaly',
             'units': 'K'},
            {'abbr': 236,
             'code': 236,
             'title': '- Soil temperature level 4 anomaly',
             'units': 'K'},
            {'abbr': 237,
             'code': 237,
             'title': '- Soil wetness level 4 anomaly',
             'units': 'm'},
            {'abbr': 238,
             'code': 238,
             'title': '- Temperature of snow layer anomaly',
             'units': 'K'},
            {'abbr': 239,
             'code': 239,
             'title': '- Convective snowfall anomaly',
             'units': 'm of water equivalent'},
            {'abbr': 240,
             'code': 240,
             'title': '- Large scale snowfall anomaly',
             'units': 'm of water equivalent'},
            {'abbr': 241,
             'code': 241,
             'title': '- Accumulated cloud fraction tendency anomaly',
             'units': '-1 to 1'},
            {'abbr': 242,
             'code': 242,
             'title': '- Accumulated liquid water tendency anomaly',
             'units': '-1 to 1'},
            {'abbr': 243,
             'code': 243,
             'title': '- Forecast albedo anomaly',
             'units': '0 - 1'},
            {'abbr': 244,
             'code': 244,
             'title': '- Forecast surface roughness anomaly',
             'units': 'm'},
            {'abbr': 245,
             'code': 245,
             'title': '- Forecast logarithm of surface roughness for heat anomaly'},
            {'abbr': 246,
             'code': 246,
             'title': '- Cloud liquid water content anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 247,
             'code': 247,
             'title': '- Cloud ice water content anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 248, 'code': 248, 'title': '- Cloud cover anomaly', 'units': '0 - 1'},
            {'abbr': 249,
             'code': 249,
             'title': '- Accumulated ice water tendency anomaly',
             'units': '-1 to 1'},
            {'abbr': 250, 'code': 250, 'title': '- Ice age anomaly', 'units': '0 - 1'},
            {'abbr': 251,
             'code': 251,
             'title': '- Adiabatic tendency of temperature anomaly',
             'units': 'K'},
            {'abbr': 252,
             'code': 252,
             'title': '- Adiabatic tendency of humidity anomaly',
             'units': 'kg kg**-1'},
            {'abbr': 253,
             'code': 253,
             'title': '- Adiabatic tendency of zonal wind anomaly',
             'units': 'm s**-1'},
            {'abbr': 254,
             'code': 254,
             'title': '- Adiabatic tendency of meridional wind anomaly',
             'units': 'm s**-1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
