def load(h):
    return ({'abbr': 8,
             'code': 8,
             'title': 'MSROR Mean surface runoff rate',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'MSSROR Mean sub-surface runoff rate',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 44,
             'code': 44,
             'title': 'ESRATE Snow evaporation',
             'units': 'm of water s**-1'},
            {'abbr': 45, 'code': 45, 'title': '- Snowmelt', 'units': 'm of water s**-1'},
            {'abbr': 48,
             'code': 48,
             'title': '- Magnitude of turbulent surface stress',
             'units': 'N m**-2'},
            {'abbr': 50,
             'code': 50,
             'title': 'MLSPFR Mean large-scale precipitation fraction',
             'units': '~'},
            {'abbr': 142,
             'code': 142,
             'title': 'MLSPRT Mean large-scale precipitation rate',
             'units': 'm s**-1'},
            {'abbr': 143,
             'code': 143,
             'title': 'CPRATE Mean convective precipitation rate',
             'units': 'm s**-1'},
            {'abbr': 144,
             'code': 144,
             'title': '- Snowfall (convective + stratiform)',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 145,
             'code': 145,
             'title': 'BLDRATE Boundary layer dissipation',
             'units': 'W m**-2'},
            {'abbr': 146,
             'code': 146,
             'title': 'MSSHFL Mean surface sensible heat flux',
             'units': 'W m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'MSLHFL Mean surface latent heat flux',
             'units': 'W m**-2'},
            {'abbr': 149,
             'code': 149,
             'title': 'MSNRF Mean surface net radiation flux',
             'units': 'W m**-2'},
            {'abbr': 153,
             'code': 153,
             'title': 'MSWHR Mean short-wave heating rate',
             'units': 'K s**-1'},
            {'abbr': 154,
             'code': 154,
             'title': 'MLWHR Mean long-wave heating rate',
             'units': 'K s**-1'},
            {'abbr': 169,
             'code': 169,
             'title': 'MSDSRF Mean surface downward solar radiation flux',
             'units': 'W m**-2'},
            {'abbr': 175,
             'code': 175,
             'title': 'MSDTRF Mean surface downward thermal radiation flux',
             'units': 'W m**-2'},
            {'abbr': 176,
             'code': 176,
             'title': 'MSNSRF Mean surface net solar radiation flux',
             'units': 'W m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'MSNTRF Mean surface net thermal radiation flux',
             'units': 'W m**-2'},
            {'abbr': 178,
             'code': 178,
             'title': 'MTNSRF Mean top net solar radiation flux',
             'units': 'W m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'MTNTRF Mean top net thermal radiation flux',
             'units': 'W m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSSRA East-West surface stress rate of accumulation',
             'units': 'N m**-2'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSSRA North-South surface stress rate of accumulation',
             'units': 'N m**-2'},
            {'abbr': 182,
             'code': 182,
             'title': 'ERATE Evaporation',
             'units': 'm of water s**-1'},
            {'abbr': 189, 'code': 189, 'title': '- Sunshine duration', 'units': '~'},
            {'abbr': 195,
             'code': 195,
             'title': '- Longitudinal component of gravity wave stress',
             'units': 'N m**-2'},
            {'abbr': 196,
             'code': 196,
             'title': '- Meridional component of gravity wave stress',
             'units': 'N m**-2'},
            {'abbr': 197,
             'code': 197,
             'title': 'GWDRATE Gravity wave dissipation',
             'units': 'W m**-2'},
            {'abbr': 205,
             'code': 205,
             'title': 'MRORT Mean runoff rate',
             'units': 'm s**-1'},
            {'abbr': 208,
             'code': 208,
             'title': '- Top net solar radiation, clear sky',
             'units': 'W m**-2'},
            {'abbr': 209,
             'code': 209,
             'title': '- Top net thermal radiation, clear sky',
             'units': 'W m**-2'},
            {'abbr': 210,
             'code': 210,
             'title': '- Surface net solar radiation, clear sky',
             'units': 'W m**-2'},
            {'abbr': 211,
             'code': 211,
             'title': '- Surface net thermal radiation, clear sky',
             'units': 'W m**-2'},
            {'abbr': 212,
             'code': 212,
             'title': 'SOIRA Solar insolation rate of accumulation',
             'units': 'W m**-2'},
            {'abbr': 228,
             'code': 228,
             'title': 'TPRATE Mean total precipitation rate',
             'units': 'm s**-1'},
            {'abbr': 239,
             'code': 239,
             'title': '- Convective snowfall',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 240,
             'code': 240,
             'title': '- Large scale snowfall',
             'units': 'm of water equivalent s**-1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
