def load(h):
    return ({'abbr': 8,
             'code': 8,
             'title': 'MSRORA Mean surface runoff rate anomaly',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'MSSRORA Mean sub-surface runoff rate anomaly',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 44,
             'code': 44,
             'title': '- Snow evaporation anomaly',
             'units': 'm of water s**-1'},
            {'abbr': 45,
             'code': 45,
             'title': '- Snowmelt anomaly',
             'units': 'm of water s**-1'},
            {'abbr': 48,
             'code': 48,
             'title': '- Magnitude of turbulent surface stress anomaly',
             'units': 'N m**-2'},
            {'abbr': 50,
             'code': 50,
             'title': '- Large-scale precipitation fraction anomaly',
             'units': '~'},
            {'abbr': 142,
             'code': 142,
             'title': 'LSPARA Stratiform precipitation (Large-scale precipitation) '
                      'anomalous rate of accumulation',
             'units': 'm s**-1'},
            {'abbr': 143,
             'code': 143,
             'title': 'MCPRA Mean convective precipitation rate anomaly',
             'units': 'm s**-1'},
            {'abbr': 144,
             'code': 144,
             'title': 'SFARA Snowfall (convective + stratiform) anomalous rate of '
                      'accumulation',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 145,
             'code': 145,
             'title': '- Boundary layer dissipation anomaly',
             'units': 'J m**-2'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSHFARA Surface sensible heat flux anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'SLHFARA Surface latent heat flux anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 149,
             'code': 149,
             'title': '- Surface net radiation anomaly',
             'units': 'J m**-2'},
            {'abbr': 153,
             'code': 153,
             'title': '- Short-wave heating rate anomaly',
             'units': 'K s**-1'},
            {'abbr': 154,
             'code': 154,
             'title': '- Long-wave heating rate anomaly',
             'units': 'K s**-1'},
            {'abbr': 169,
             'code': 169,
             'title': 'SSRDARA Surface solar radiation downwards anomalous rate of '
                      'accumulation',
             'units': 'J m**-2'},
            {'abbr': 175,
             'code': 175,
             'title': 'STRDARA Surface thermal radiation downwards anomalous rate of '
                      'accumulation',
             'units': 'J m**-2'},
            {'abbr': 176,
             'code': 176,
             'title': 'SSRARA Surface solar radiation anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'STRARA Surface thermal radiation anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 178,
             'code': 178,
             'title': 'TSRARA Top solar radiation anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'TTRARA Top thermal radiation anomalous rate of accumulation',
             'units': 'J m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSSARA East-West surface stress anomalous rate of accumulation',
             'units': 'N m**-2'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSSARA North-South surface stress anomalous rate of accumulation',
             'units': 'N m**-2'},
            {'abbr': 182,
             'code': 182,
             'title': 'EVARA Evaporation anomalous rate of accumulation',
             'units': 'm of water s**-1'},
            {'abbr': 189,
             'code': 189,
             'title': 'SUNDARA Sunshine duration anomalous rate of accumulation',
             'units': 'dimensionless'},
            {'abbr': 195,
             'code': 195,
             'title': '- Longitudinal component of gravity wave stress anomaly',
             'units': 'N m**-2'},
            {'abbr': 196,
             'code': 196,
             'title': '- Meridional component of gravity wave stress anomaly',
             'units': 'N m**-2'},
            {'abbr': 197,
             'code': 197,
             'title': '- Gravity wave dissipation anomaly',
             'units': 'J m**-2'},
            {'abbr': 205,
             'code': 205,
             'title': 'ROARA Runoff anomalous rate of accumulation',
             'units': 'm s**-1'},
            {'abbr': 208,
             'code': 208,
             'title': '- Top net solar radiation, clear sky anomaly',
             'units': 'J m**-2'},
            {'abbr': 209,
             'code': 209,
             'title': '- Top net thermal radiation, clear sky anomaly',
             'units': 'J m**-2'},
            {'abbr': 210,
             'code': 210,
             'title': '- Surface net solar radiation, clear sky anomaly',
             'units': 'J m**-2'},
            {'abbr': 211,
             'code': 211,
             'title': '- Surface net thermal radiation, clear sky anomaly',
             'units': 'J m**-2'},
            {'abbr': 212,
             'code': 212,
             'title': 'SOIARA Solar insolation anomalous rate of accumulation',
             'units': 'W m**-2 s**-1'},
            {'abbr': 228,
             'code': 228,
             'title': 'TPARA Total precipitation anomalous rate of accumulation',
             'units': 'm s**-1'},
            {'abbr': 239,
             'code': 239,
             'title': '- Convective snowfall anomaly',
             'units': 'm of water equivalent s**-1'},
            {'abbr': 240,
             'code': 240,
             'title': '- Large scale snowfall anomaly',
             'units': 'm of water equivalent s**-1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
