def load(h):
    return ({'abbr': 129, 'code': 129, 'title': 'Z Geopotential', 'units': 'm**2 s**-2'},
            {'abbr': 130, 'code': 130, 'title': 'T Temperature', 'units': 'K'},
            {'abbr': 131,
             'code': 131,
             'title': 'U U component of wind',
             'units': 'm s**-1'},
            {'abbr': 132,
             'code': 132,
             'title': 'V V component of wind',
             'units': 'm s**-1'},
            {'abbr': 133,
             'code': 133,
             'title': 'Q Specific humidity',
             'units': 'kg kg**-1'},
            {'abbr': 134, 'code': 134, 'title': 'SP Surface pressure', 'units': 'Pa'},
            {'abbr': 138,
             'code': 138,
             'title': 'VO Vorticity (relative)',
             'units': 's**-1'},
            {'abbr': 139,
             'code': 139,
             'title': 'STL1 Soil temperature level 1',
             'units': 'K'},
            {'abbr': 141, 'code': 141, 'title': 'SDSIEN Snow depth', 'units': 'kg m**-2'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSHF Surface sensible heat flux',
             'units': 'J m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'SLHF Surface latent heat flux',
             'units': 'J m**-2'},
            {'abbr': 151,
             'code': 151,
             'title': 'MSL Mean sea level pressure',
             'units': 'Pa'},
            {'abbr': 155, 'code': 155, 'title': 'D Divergence', 'units': 's**-1'},
            {'abbr': 157, 'code': 157, 'title': 'R Relative humidity', 'units': '%'},
            {'abbr': 164, 'code': 164, 'title': 'TCC Total cloud cover', 'units': '0 - 1'},
            {'abbr': 165,
             'code': 165,
             'title': '10U 10 metre U wind component',
             'units': 'm s**-1'},
            {'abbr': 166,
             'code': 166,
             'title': '10V 10 metre V wind component',
             'units': 'm s**-1'},
            {'abbr': 167, 'code': 167, 'title': '2T 2 metre temperature', 'units': 'K'},
            {'abbr': 168,
             'code': 168,
             'title': '2D 2 metre dewpoint temperature',
             'units': 'K'},
            {'abbr': 169,
             'code': 169,
             'title': 'SSRD Surface solar radiation downwards',
             'units': 'J m**-2'},
            {'abbr': 170, 'code': 170, 'title': 'CAP Field capacity', 'units': '0 - 1'},
            {'abbr': 171,
             'code': 171,
             'title': 'WILTSIEN Wilting point',
             'units': '0 - 1'},
            {'abbr': 172, 'code': 172, 'title': 'LSM Land-sea mask', 'units': '0 - 1'},
            {'abbr': 173, 'code': 173, 'title': 'SR Roughness length', 'units': '0 - 1'},
            {'abbr': 174, 'code': 174, 'title': 'AL Albedo', 'units': '0 - 1'},
            {'abbr': 175,
             'code': 175,
             'title': 'STRD Surface thermal radiation downwards',
             'units': 'J m**-2'},
            {'abbr': 176,
             'code': 176,
             'title': 'SSR Surface net solar radiation',
             'units': 'J m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'STR Surface net thermal radiation',
             'units': 'J m**-2'},
            {'abbr': 178,
             'code': 178,
             'title': 'TSR Top net solar radiation',
             'units': 'J m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'TTR Top net thermal radiation',
             'units': 'J m**-2'},
            {'abbr': 182,
             'code': 182,
             'title': 'E Evaporation',
             'units': 'm of water equivalent'},
            {'abbr': 201,
             'code': 201,
             'title': 'MX2T Maximum temperature at 2 metres since previous '
                      'post-processing',
             'units': 'K'},
            {'abbr': 202,
             'code': 202,
             'title': 'MN2T Minimum temperature at 2 metres since previous '
                      'post-processing',
             'units': 'K'},
            {'abbr': 228, 'code': 228, 'title': 'TP Total precipitation', 'units': 'm'},
            {'abbr': 229,
             'code': 229,
             'title': 'TSM Total soil moisture',
             'units': 'm**3 m**-3'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
