def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': 'STRFDIFF Stream function difference',
             'units': 'm**2 s**-1'},
            {'abbr': 2,
             'code': 2,
             'title': 'VPOTDIFF Velocity potential difference',
             'units': 'm**2 s**-1'},
            {'abbr': 3,
             'code': 3,
             'title': 'PTDIFF Potential temperature difference',
             'units': 'K'},
            {'abbr': 4,
             'code': 4,
             'title': 'EQPTDIFF Equivalent potential temperature difference',
             'units': 'K'},
            {'abbr': 5,
             'code': 5,
             'title': 'SEPTDIFF Saturated equivalent potential temperature difference',
             'units': 'K'},
            {'abbr': 11,
             'code': 11,
             'title': 'UDVWDIFF U component of divergent wind difference',
             'units': 'm s**-1'},
            {'abbr': 12,
             'code': 12,
             'title': 'VDVWDIFF V component of divergent wind difference',
             'units': 'm s**-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'URTWDIFF U component of rotational wind difference',
             'units': 'm s**-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'VRTWDIFF V component of rotational wind difference',
             'units': 'm s**-1'},
            {'abbr': 21,
             'code': 21,
             'title': 'UCTPDIFF Unbalanced component of temperature difference',
             'units': 'K'},
            {'abbr': 22,
             'code': 22,
             'title': 'UCLNDIFF Unbalanced component of logarithm of surface pressure '
                      'difference',
             'units': '~'},
            {'abbr': 23,
             'code': 23,
             'title': 'UCDVDIFF Unbalanced component of divergence difference',
             'units': 's**-1'},
            {'abbr': 24,
             'code': 24,
             'title': '- Reserved for future unbalanced components',
             'units': '~'},
            {'abbr': 25,
             'code': 25,
             'title': '- Reserved for future unbalanced components',
             'units': '~'},
            {'abbr': 26,
             'code': 26,
             'title': 'CLDIFF Lake cover difference',
             'units': '0 - 1'},
            {'abbr': 27,
             'code': 27,
             'title': 'CVLDIFF Low vegetation cover difference',
             'units': '0 - 1'},
            {'abbr': 28,
             'code': 28,
             'title': 'CVHDIFF High vegetation cover difference',
             'units': '0 - 1'},
            {'abbr': 29,
             'code': 29,
             'title': 'TVLDIFF Type of low vegetation difference',
             'units': '~'},
            {'abbr': 30,
             'code': 30,
             'title': 'TVHDIFF Type of high vegetation difference',
             'units': '~'},
            {'abbr': 31,
             'code': 31,
             'title': 'SICDIFF Sea-ice cover difference',
             'units': '0 - 1'},
            {'abbr': 32,
             'code': 32,
             'title': 'ASNDIFF Snow albedo difference',
             'units': '0 - 1'},
            {'abbr': 33,
             'code': 33,
             'title': 'RSNDIFF Snow density difference',
             'units': 'kg m**-3'},
            {'abbr': 34,
             'code': 34,
             'title': 'SSTDIFF Sea surface temperature difference',
             'units': 'K'},
            {'abbr': 35,
             'code': 35,
             'title': 'ISTL1DIFF Ice surface temperature layer 1 difference',
             'units': 'K'},
            {'abbr': 36,
             'code': 36,
             'title': 'ISTL2DIFF Ice surface temperature layer 2 difference',
             'units': 'K'},
            {'abbr': 37,
             'code': 37,
             'title': 'ISTL3DIFF Ice surface temperature layer 3 difference',
             'units': 'K'},
            {'abbr': 38,
             'code': 38,
             'title': 'ISTL4DIFF Ice surface temperature layer 4 difference',
             'units': 'K'},
            {'abbr': 39,
             'code': 39,
             'title': 'SWVL1DIFF Volumetric soil water layer 1 difference',
             'units': 'm**3 m**-3'},
            {'abbr': 40,
             'code': 40,
             'title': 'SWVL2DIFF Volumetric soil water layer 2 difference',
             'units': 'm**3 m**-3'},
            {'abbr': 41,
             'code': 41,
             'title': 'SWVL3DIFF Volumetric soil water layer 3 difference',
             'units': 'm**3 m**-3'},
            {'abbr': 42,
             'code': 42,
             'title': 'SWVL4DIFF Volumetric soil water layer 4 difference',
             'units': 'm**3 m**-3'},
            {'abbr': 43,
             'code': 43,
             'title': 'SLTDIFF Soil type difference',
             'units': '~'},
            {'abbr': 44,
             'code': 44,
             'title': 'ESDIFF Snow evaporation difference',
             'units': 'kg m**-2'},
            {'abbr': 45,
             'code': 45,
             'title': 'SMLTDIFF Snowmelt difference',
             'units': 'kg m**-2'},
            {'abbr': 46,
             'code': 46,
             'title': 'SDURDIFF Solar duration difference',
             'units': 's'},
            {'abbr': 47,
             'code': 47,
             'title': 'DSRPDIFF Direct solar radiation difference',
             'units': 'J m**-2'},
            {'abbr': 48,
             'code': 48,
             'title': 'MAGSSDIFF Magnitude of surface stress difference',
             'units': 'N m**-2 s'},
            {'abbr': 49,
             'code': 49,
             'title': '10FGDIFF 10 metre wind gust difference',
             'units': 'm s**-1'},
            {'abbr': 50,
             'code': 50,
             'title': 'LSPFDIFF Large-scale precipitation fraction difference',
             'units': 's'},
            {'abbr': 51,
             'code': 51,
             'title': 'MX2T24DIFF Maximum 2 metre temperature difference',
             'units': 'K'},
            {'abbr': 52,
             'code': 52,
             'title': 'MN2T24DIFF Minimum 2 metre temperature difference',
             'units': 'K'},
            {'abbr': 53,
             'code': 53,
             'title': 'MONTDIFF Montgomery potential difference',
             'units': 'm**2 s**-2'},
            {'abbr': 54,
             'code': 54,
             'title': 'PRESDIFF Pressure difference',
             'units': 'Pa'},
            {'abbr': 55,
             'code': 55,
             'title': 'MEAN2T24DIFF Mean 2 metre temperature in the last 24 hours '
                      'difference',
             'units': 'K'},
            {'abbr': 56,
             'code': 56,
             'title': 'MN2D24DIFF Mean 2 metre dewpoint temperature in the last 24 hours '
                      'difference',
             'units': 'K'},
            {'abbr': 57,
             'code': 57,
             'title': 'UVBDIFF Downward UV radiation at the surface difference',
             'units': 'J m**-2'},
            {'abbr': 58,
             'code': 58,
             'title': 'PARDIFF Photosynthetically active radiation at the surface '
                      'difference',
             'units': 'J m**-2'},
            {'abbr': 59,
             'code': 59,
             'title': 'CAPEDIFF Convective available potential energy difference',
             'units': 'J kg**-1'},
            {'abbr': 60,
             'code': 60,
             'title': 'PVDIFF Potential vorticity difference',
             'units': 'K m**2 kg**-1 s**-1'},
            {'abbr': 61,
             'code': 61,
             'title': 'TPODIFF Total precipitation from observations difference',
             'units': 'Millimetres*100 + number of stations'},
            {'abbr': 62,
             'code': 62,
             'title': 'OBCTDIFF Observation count difference',
             'units': '~'},
            {'abbr': 63,
             'code': 63,
             'title': '- Start time for skin temperature difference',
             'units': 's'},
            {'abbr': 64,
             'code': 64,
             'title': '- Finish time for skin temperature difference',
             'units': 's'},
            {'abbr': 65,
             'code': 65,
             'title': '- Skin temperature difference',
             'units': 'K'},
            {'abbr': 66,
             'code': 66,
             'title': '- Leaf area index, low vegetation',
             'units': 'm**2 m**-2'},
            {'abbr': 67,
             'code': 67,
             'title': '- Leaf area index, high vegetation',
             'units': 'm**2 m**-2'},
            {'abbr': 68,
             'code': 68,
             'title': '- Minimum stomatal resistance, low vegetation',
             'units': 's m**-1'},
            {'abbr': 69,
             'code': 69,
             'title': '- Minimum stomatal resistance, high vegetation',
             'units': 's m**-1'},
            {'abbr': 70,
             'code': 70,
             'title': '- Biome cover, low vegetation',
             'units': '0 - 1'},
            {'abbr': 71,
             'code': 71,
             'title': '- Biome cover, high vegetation',
             'units': '0 - 1'},
            {'abbr': 78,
             'code': 78,
             'title': '- Total column liquid water',
             'units': 'kg m**-2'},
            {'abbr': 79,
             'code': 79,
             'title': '- Total column ice water',
             'units': 'kg m**-2'},
            {'abbr': 80, 'code': 80, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 81, 'code': 81, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 82, 'code': 82, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 83, 'code': 83, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 84, 'code': 84, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 85, 'code': 85, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 86, 'code': 86, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 87, 'code': 87, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 88, 'code': 88, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 89, 'code': 89, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 90, 'code': 90, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 91, 'code': 91, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 92, 'code': 92, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 93, 'code': 93, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 94, 'code': 94, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 95, 'code': 95, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 96, 'code': 96, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 97, 'code': 97, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 98, 'code': 98, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 99, 'code': 99, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 100, 'code': 100, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 101, 'code': 101, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 102, 'code': 102, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 103, 'code': 103, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 104, 'code': 104, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 105, 'code': 105, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 106, 'code': 106, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 107, 'code': 107, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 108, 'code': 108, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 109, 'code': 109, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 110, 'code': 110, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 111, 'code': 111, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 112, 'code': 112, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 113, 'code': 113, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 114, 'code': 114, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 115, 'code': 115, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 116, 'code': 116, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 117, 'code': 117, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 118, 'code': 118, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 119, 'code': 119, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 120, 'code': 120, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 121,
             'code': 121,
             'title': 'MX2T6DIFF Maximum temperature at 2 metres difference',
             'units': 'K'},
            {'abbr': 122,
             'code': 122,
             'title': 'MN2T6DIFF Minimum temperature at 2 metres difference',
             'units': 'K'},
            {'abbr': 123,
             'code': 123,
             'title': '10FG6DIFF 10 metre wind gust in the last 6 hours difference',
             'units': 'm s**-1'},
            {'abbr': 125,
             'code': 125,
             'title': '- Vertically integrated total energy',
             'units': 'J m**-2'},
            {'abbr': 126,
             'code': 126,
             'title': '- Generic parameter for sensitive area prediction',
             'units': 'Various'},
            {'abbr': 127,
             'code': 127,
             'title': 'ATDIFF Atmospheric tide difference',
             'units': '~'},
            {'abbr': 128,
             'code': 128,
             'title': 'BVDIFF Budget values difference',
             'units': '~'},
            {'abbr': 129,
             'code': 129,
             'title': 'ZDIFF Geopotential difference',
             'units': 'm**2 s**-2'},
            {'abbr': 130,
             'code': 130,
             'title': 'TDIFF Temperature difference',
             'units': 'K'},
            {'abbr': 131,
             'code': 131,
             'title': 'UDIFF U component of wind difference',
             'units': 'm s**-1'},
            {'abbr': 132,
             'code': 132,
             'title': 'VDIFF V component of wind difference',
             'units': 'm s**-1'},
            {'abbr': 133,
             'code': 133,
             'title': 'QDIFF Specific humidity difference',
             'units': 'kg kg**-1'},
            {'abbr': 134,
             'code': 134,
             'title': 'SPDIFF Surface pressure difference',
             'units': 'Pa'},
            {'abbr': 135,
             'code': 135,
             'title': 'WDIFF Vertical velocity (pressure) difference',
             'units': 'Pa s**-1'},
            {'abbr': 136,
             'code': 136,
             'title': 'TCWDIFF Total column water difference',
             'units': 'kg m**-2'},
            {'abbr': 137,
             'code': 137,
             'title': 'TCWVDIFF Total column water vapour difference',
             'units': 'kg m**-2'},
            {'abbr': 138,
             'code': 138,
             'title': 'VODIFF Vorticity (relative) difference',
             'units': 's**-1'},
            {'abbr': 139,
             'code': 139,
             'title': 'STL1DIFF Soil temperature level 1 difference',
             'units': 'K'},
            {'abbr': 140,
             'code': 140,
             'title': 'SWL1DIFF Soil wetness level 1 difference',
             'units': 'kg m**-2'},
            {'abbr': 141,
             'code': 141,
             'title': 'SDDIFF Snow depth difference',
             'units': 'm of water equivalent'},
            {'abbr': 142,
             'code': 142,
             'title': 'LSPDIFF Stratiform precipitation (Large-scale precipitation) '
                      'difference',
             'units': 'm'},
            {'abbr': 143,
             'code': 143,
             'title': 'CPDIFF Convective precipitation difference',
             'units': 'm'},
            {'abbr': 144,
             'code': 144,
             'title': 'SFDIFF Snowfall (convective + stratiform) difference',
             'units': 'm of water equivalent'},
            {'abbr': 145,
             'code': 145,
             'title': 'BLDDIFF Boundary layer dissipation difference',
             'units': 'J m**-2'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSHFDIFF Surface sensible heat flux difference',
             'units': 'J m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'SLHFDIFF Surface latent heat flux difference',
             'units': 'J m**-2'},
            {'abbr': 148,
             'code': 148,
             'title': 'CHNKDIFF Charnock difference',
             'units': '~'},
            {'abbr': 149,
             'code': 149,
             'title': 'SNRDIFF Surface net radiation difference',
             'units': 'J m**-2'},
            {'abbr': 150,
             'code': 150,
             'title': 'TNRDIFF Top net radiation difference',
             'units': '~'},
            {'abbr': 151,
             'code': 151,
             'title': 'MSLDIFF Mean sea level pressure difference',
             'units': 'Pa'},
            {'abbr': 152,
             'code': 152,
             'title': 'LNSPDIFF Logarithm of surface pressure difference',
             'units': 'kg m**-2'},
            {'abbr': 153,
             'code': 153,
             'title': 'SWHRDIFF Short-wave heating rate difference',
             'units': 'K'},
            {'abbr': 154,
             'code': 154,
             'title': 'LWHRDIFF Long-wave heating rate difference',
             'units': 'K'},
            {'abbr': 155,
             'code': 155,
             'title': 'DDIFF Divergence difference',
             'units': 's**-1'},
            {'abbr': 156, 'code': 156, 'title': 'GHDIFF Height difference', 'units': 'm'},
            {'abbr': 157,
             'code': 157,
             'title': 'RDIFF Relative humidity difference',
             'units': '%'},
            {'abbr': 158,
             'code': 158,
             'title': 'TSPDIFF Tendency of surface pressure difference',
             'units': 'Pa s**-1'},
            {'abbr': 159,
             'code': 159,
             'title': 'BLHDIFF Boundary layer height difference',
             'units': 'm'},
            {'abbr': 160,
             'code': 160,
             'title': 'SDORDIFF Standard deviation of orography difference',
             'units': '~'},
            {'abbr': 161,
             'code': 161,
             'title': 'ISORDIFF Anisotropy of sub-gridscale orography difference',
             'units': '~'},
            {'abbr': 162,
             'code': 162,
             'title': 'ANORDIFF Angle of sub-gridscale orography difference',
             'units': 'radians'},
            {'abbr': 163,
             'code': 163,
             'title': 'SLORDIFF Slope of sub-gridscale orography difference',
             'units': '~'},
            {'abbr': 164,
             'code': 164,
             'title': 'TCCDIFF Total cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 165,
             'code': 165,
             'title': '10UDIFF 10 metre U wind component difference',
             'units': 'm s**-1'},
            {'abbr': 166,
             'code': 166,
             'title': '10VDIFF 10 metre V wind component difference',
             'units': 'm s**-1'},
            {'abbr': 167,
             'code': 167,
             'title': '2TDIFF 2 metre temperature difference',
             'units': 'K'},
            {'abbr': 168,
             'code': 168,
             'title': '2DDIFF 2 metre dewpoint temperature difference',
             'units': 'K'},
            {'abbr': 169,
             'code': 169,
             'title': 'SSRDDIFF Surface solar radiation downwards difference',
             'units': 'J m**-2'},
            {'abbr': 170,
             'code': 170,
             'title': 'STL2DIFF Soil temperature level 2 difference',
             'units': 'K'},
            {'abbr': 171,
             'code': 171,
             'title': 'SWL2DIFF Soil wetness level 2 difference',
             'units': 'kg m**-2'},
            {'abbr': 172,
             'code': 172,
             'title': 'LSMDIFF Land-sea mask difference',
             'units': '0 - 1'},
            {'abbr': 173,
             'code': 173,
             'title': 'SRDIFF Surface roughness difference',
             'units': 'm'},
            {'abbr': 174,
             'code': 174,
             'title': 'ALDIFF Albedo difference',
             'units': '0 - 1'},
            {'abbr': 175,
             'code': 175,
             'title': 'STRDDIFF Surface thermal radiation downwards difference',
             'units': 'J m**-2'},
            {'abbr': 176,
             'code': 176,
             'title': 'SSRDIFF Surface net solar radiation difference',
             'units': 'J m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'STRDIFF Surface net thermal radiation difference',
             'units': 'J m**-2'},
            {'abbr': 178,
             'code': 178,
             'title': 'TSRDIFF Top net solar radiation difference',
             'units': 'J m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'TTRDIFF Top net thermal radiation difference',
             'units': 'J m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSSDIFF East-West surface stress difference',
             'units': 'N m**-2 s'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSSDIFF North-South surface stress difference',
             'units': 'N m**-2 s'},
            {'abbr': 182,
             'code': 182,
             'title': 'EDIFF Evaporation difference',
             'units': 'kg m**-2'},
            {'abbr': 183,
             'code': 183,
             'title': 'STL3DIFF Soil temperature level 3 difference',
             'units': 'K'},
            {'abbr': 184,
             'code': 184,
             'title': 'SWL3DIFF Soil wetness level 3 difference',
             'units': 'kg m**-2'},
            {'abbr': 185,
             'code': 185,
             'title': 'CCCDIFF Convective cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 186,
             'code': 186,
             'title': 'LCCDIFF Low cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 187,
             'code': 187,
             'title': 'MCCDIFF Medium cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 188,
             'code': 188,
             'title': 'HCCDIFF High cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 189,
             'code': 189,
             'title': 'SUNDDIFF Sunshine duration difference',
             'units': 's'},
            {'abbr': 190,
             'code': 190,
             'title': 'EWOVDIFF East-West component of sub-gridscale orographic variance '
                      'difference',
             'units': 'm**2'},
            {'abbr': 191,
             'code': 191,
             'title': 'NSOVDIFF North-South component of sub-gridscale orographic '
                      'variance difference',
             'units': 'm**2'},
            {'abbr': 192,
             'code': 192,
             'title': 'NWOVDIFF North-West/South-East component of sub-gridscale '
                      'orographic variance difference',
             'units': 'm**2'},
            {'abbr': 193,
             'code': 193,
             'title': 'NEOVDIFF North-East/South-West component of sub-gridscale '
                      'orographic variance difference',
             'units': 'm**2'},
            {'abbr': 194,
             'code': 194,
             'title': 'BTMPDIFF Brightness temperature difference',
             'units': 'K'},
            {'abbr': 195,
             'code': 195,
             'title': 'LGWSDIFF Longitudinal component of gravity wave stress difference',
             'units': 'N m**-2 s'},
            {'abbr': 196,
             'code': 196,
             'title': 'MGWSDIFF Meridional component of gravity wave stress difference',
             'units': 'N m**-2 s'},
            {'abbr': 197,
             'code': 197,
             'title': 'GWDDIFF Gravity wave dissipation difference',
             'units': 'J m**-2'},
            {'abbr': 198,
             'code': 198,
             'title': 'SRCDIFF Skin reservoir content difference',
             'units': 'kg m**-2'},
            {'abbr': 199,
             'code': 199,
             'title': 'VEGDIFF Vegetation fraction difference',
             'units': '0 - 1'},
            {'abbr': 200,
             'code': 200,
             'title': 'VSODIFF Variance of sub-gridscale orography difference',
             'units': 'm**2'},
            {'abbr': 201,
             'code': 201,
             'title': 'MX2TDIFF Maximum temperature at 2 metres since previous '
                      'post-processing difference',
             'units': 'K'},
            {'abbr': 202,
             'code': 202,
             'title': 'MN2TDIFF Minimum temperature at 2 metres since previous '
                      'post-processing difference',
             'units': 'K'},
            {'abbr': 203,
             'code': 203,
             'title': 'O3DIFF Ozone mass mixing ratio difference',
             'units': 'kg kg**-1'},
            {'abbr': 204,
             'code': 204,
             'title': 'PAWDIFF Precipitation analysis weights difference',
             'units': '~'},
            {'abbr': 205, 'code': 205, 'title': 'RODIFF Runoff difference', 'units': 'm'},
            {'abbr': 206,
             'code': 206,
             'title': 'TCO3DIFF Total column ozone difference',
             'units': 'kg m**-2'},
            {'abbr': 207,
             'code': 207,
             'title': '10SIDIFF 10 metre wind speed difference',
             'units': 'm s**-1'},
            {'abbr': 208,
             'code': 208,
             'title': 'TSRCDIFF Top net solar radiation, clear sky difference',
             'units': 'J m**-2'},
            {'abbr': 209,
             'code': 209,
             'title': 'TTRCDIFF Top net thermal radiation, clear sky difference',
             'units': 'J m**-2'},
            {'abbr': 210,
             'code': 210,
             'title': 'SSRCDIFF Surface net solar radiation, clear sky difference',
             'units': 'J m**-2'},
            {'abbr': 211,
             'code': 211,
             'title': 'STRCDIFF Surface net thermal radiation, clear sky difference',
             'units': 'J m**-2'},
            {'abbr': 212,
             'code': 212,
             'title': 'TISRDIFF TOA incident solar radiation difference',
             'units': 'J m**-2'},
            {'abbr': 214,
             'code': 214,
             'title': 'DHRDIFF Diabatic heating by radiation difference',
             'units': 'K'},
            {'abbr': 215,
             'code': 215,
             'title': 'DHVDDIFF Diabatic heating by vertical diffusion difference',
             'units': 'K'},
            {'abbr': 216,
             'code': 216,
             'title': 'DHCCDIFF Diabatic heating by cumulus convection difference',
             'units': 'K'},
            {'abbr': 217,
             'code': 217,
             'title': 'DHLCDIFF Diabatic heating large-scale condensation difference',
             'units': 'K'},
            {'abbr': 218,
             'code': 218,
             'title': 'VDZWDIFF Vertical diffusion of zonal wind difference',
             'units': 'm s**-1'},
            {'abbr': 219,
             'code': 219,
             'title': 'VDMWDIFF Vertical diffusion of meridional wind difference',
             'units': 'm s**-1'},
            {'abbr': 220,
             'code': 220,
             'title': 'EWGDDIFF East-West gravity wave drag tendency difference',
             'units': 'm s**-1'},
            {'abbr': 221,
             'code': 221,
             'title': 'NSGDDIFF North-South gravity wave drag tendency difference',
             'units': 'm s**-1'},
            {'abbr': 222,
             'code': 222,
             'title': 'CTZWDIFF Convective tendency of zonal wind difference',
             'units': 'm s**-1'},
            {'abbr': 223,
             'code': 223,
             'title': 'CTMWDIFF Convective tendency of meridional wind difference',
             'units': 'm s**-1'},
            {'abbr': 224,
             'code': 224,
             'title': 'VDHDIFF Vertical diffusion of humidity difference',
             'units': 'kg kg**-1'},
            {'abbr': 225,
             'code': 225,
             'title': 'HTCCDIFF Humidity tendency by cumulus convection difference',
             'units': 'kg kg**-1'},
            {'abbr': 226,
             'code': 226,
             'title': 'HTLCDIFF Humidity tendency by large-scale condensation difference',
             'units': 'kg kg**-1'},
            {'abbr': 227,
             'code': 227,
             'title': 'CRNHDIFF Change from removal of negative humidity difference',
             'units': 'kg kg**-1'},
            {'abbr': 228,
             'code': 228,
             'title': 'TPDIFF Total precipitation difference',
             'units': 'm'},
            {'abbr': 229,
             'code': 229,
             'title': 'IEWSDIFF Instantaneous X surface stress difference',
             'units': 'N m**-2'},
            {'abbr': 230,
             'code': 230,
             'title': 'INSSDIFF Instantaneous Y surface stress difference',
             'units': 'N m**-2'},
            {'abbr': 231,
             'code': 231,
             'title': 'ISHFDIFF Instantaneous surface heat flux difference',
             'units': 'J m**-2'},
            {'abbr': 232,
             'code': 232,
             'title': 'IEDIFF Instantaneous moisture flux difference',
             'units': 'kg m**-2 s'},
            {'abbr': 233,
             'code': 233,
             'title': 'ASQDIFF Apparent surface humidity difference',
             'units': 'kg kg**-1'},
            {'abbr': 234,
             'code': 234,
             'title': 'LSRHDIFF Logarithm of surface roughness length for heat difference',
             'units': '~'},
            {'abbr': 235,
             'code': 235,
             'title': 'SKTDIFF Skin temperature difference',
             'units': 'K'},
            {'abbr': 236,
             'code': 236,
             'title': 'STL4DIFF Soil temperature level 4 difference',
             'units': 'K'},
            {'abbr': 237,
             'code': 237,
             'title': 'SWL4DIFF Soil wetness level 4 difference',
             'units': 'm'},
            {'abbr': 238,
             'code': 238,
             'title': 'TSNDIFF Temperature of snow layer difference',
             'units': 'K'},
            {'abbr': 239,
             'code': 239,
             'title': 'CSFDIFF Convective snowfall difference',
             'units': 'm of water equivalent'},
            {'abbr': 240,
             'code': 240,
             'title': 'LSFDIFF Large scale snowfall difference',
             'units': 'm of water equivalent'},
            {'abbr': 241,
             'code': 241,
             'title': 'ACFDIFF Accumulated cloud fraction tendency difference',
             'units': '(-1 to 1)'},
            {'abbr': 242,
             'code': 242,
             'title': 'ALWDIFF Accumulated liquid water tendency difference',
             'units': '(-1 to 1)'},
            {'abbr': 243,
             'code': 243,
             'title': 'FALDIFF Forecast albedo difference',
             'units': '0 - 1'},
            {'abbr': 244,
             'code': 244,
             'title': 'FSRDIFF Forecast surface roughness difference',
             'units': 'm'},
            {'abbr': 245,
             'code': 245,
             'title': 'FLSRDIFF Forecast logarithm of surface roughness for heat '
                      'difference',
             'units': '~'},
            {'abbr': 246,
             'code': 246,
             'title': 'CLWCDIFF Specific cloud liquid water content difference',
             'units': 'kg kg**-1'},
            {'abbr': 247,
             'code': 247,
             'title': 'CIWCDIFF Specific cloud ice water content difference',
             'units': 'kg kg**-1'},
            {'abbr': 248,
             'code': 248,
             'title': 'CCDIFF Cloud cover difference',
             'units': '0 - 1'},
            {'abbr': 249,
             'code': 249,
             'title': 'AIWDIFF Accumulated ice water tendency difference',
             'units': '(-1 to 1)'},
            {'abbr': 250,
             'code': 250,
             'title': 'ICEDIFF Ice age difference',
             'units': '0 - 1'},
            {'abbr': 251,
             'code': 251,
             'title': 'ATTEDIFF Adiabatic tendency of temperature difference',
             'units': 'K'},
            {'abbr': 252,
             'code': 252,
             'title': 'ATHEDIFF Adiabatic tendency of humidity difference',
             'units': 'kg kg**-1'},
            {'abbr': 253,
             'code': 253,
             'title': 'ATZEDIFF Adiabatic tendency of zonal wind difference',
             'units': 'm s**-1'},
            {'abbr': 254,
             'code': 254,
             'title': 'ATMWDIFF Adiabatic tendency of meridional wind difference',
             'units': 'm s**-1'})
