def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': '- downward shortwave radiant flux density',
             'units': 'J m**-2'},
            {'abbr': 2,
             'code': 2,
             'title': '- upward shortwave radiant flux density',
             'units': 'J m**-2'},
            {'abbr': 3,
             'code': 3,
             'title': '- downward longwave radiant flux density',
             'units': 'J m**-2'},
            {'abbr': 4,
             'code': 4,
             'title': '- upward longwave radiant flux density',
             'units': 'J m**-2'},
            {'abbr': 5,
             'code': 5,
             'title': 'APAB_S downwd photosynthetic active radiant flux density',
             'units': 'J m**-2'},
            {'abbr': 6, 'code': 6, 'title': '- net shortwave flux', 'units': 'J m**-2'},
            {'abbr': 7, 'code': 7, 'title': '- net longwave flux', 'units': 'J m**-2'},
            {'abbr': 8,
             'code': 8,
             'title': '- total net radiative flux density',
             'units': 'J m**-2'},
            {'abbr': 9,
             'code': 9,
             'title': '- downw shortw radiant flux density, cloudfree part',
             'units': 'J m**-2'},
            {'abbr': 10,
             'code': 10,
             'title': '- upw shortw radiant flux density, cloudy part',
             'units': 'J m**-2'},
            {'abbr': 11,
             'code': 11,
             'title': '- downw longw radiant flux density, cloudfree part',
             'units': 'J m**-2'},
            {'abbr': 12,
             'code': 12,
             'title': '- upw longw radiant flux density, cloudy part',
             'units': 'J m**-2'},
            {'abbr': 13,
             'code': 13,
             'title': 'SOHR_RAD shortwave radiative heating rate',
             'units': 'K s**-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'THHR_RAD longwave radiative heating rate',
             'units': 'K s**-1'},
            {'abbr': 15,
             'code': 15,
             'title': '- total radiative heating rate',
             'units': 'J m**-2'},
            {'abbr': 16,
             'code': 16,
             'title': '- soil heat flux, surface',
             'units': 'J m**-2'},
            {'abbr': 17,
             'code': 17,
             'title': '- soil heat flux, bottom of layer',
             'units': 'J m**-2'},
            {'abbr': 29,
             'code': 29,
             'title': 'CLC fractional cloud cover',
             'units': '0-1'},
            {'abbr': 30, 'code': 30, 'title': '- cloud cover, grid scale', 'units': '0-1'},
            {'abbr': 31,
             'code': 31,
             'title': 'QC specific cloud water content',
             'units': 'kg kg**-1'},
            {'abbr': 32,
             'code': 32,
             'title': '- cloud water content, grid scale, vert integrated',
             'units': 'kg m**-2'},
            {'abbr': 33,
             'code': 33,
             'title': 'QI specific cloud ice content, grid scale',
             'units': 'kg kg**-1'},
            {'abbr': 34,
             'code': 34,
             'title': '- cloud ice content, grid scale, vert integrated',
             'units': 'kg m**-2'},
            {'abbr': 35,
             'code': 35,
             'title': '- specific rainwater content, grid scale',
             'units': 'kg kg**-1'},
            {'abbr': 36,
             'code': 36,
             'title': '- specific snow content, grid scale',
             'units': 'kg kg**-1'},
            {'abbr': 37,
             'code': 37,
             'title': '- specific rainwater content, gs, vert. integrated',
             'units': 'kg m**-2'},
            {'abbr': 38,
             'code': 38,
             'title': '- specific snow content, gs, vert. integrated',
             'units': 'kg m**-2'},
            {'abbr': 41,
             'code': 41,
             'title': 'TWATER total column water',
             'units': 'kg m**-2'},
            {'abbr': 42,
             'code': 42,
             'title': '- vert. integral of divergence of tot. water content',
             'units': 'kg m**-2'},
            {'abbr': 50,
             'code': 50,
             'title': 'CH_CM_CL cloud covers CH_CM_CL (000...888)',
             'units': '0-1'},
            {'abbr': 51, 'code': 51, 'title': '- cloud cover CH (0..8)', 'units': '0-1'},
            {'abbr': 52, 'code': 52, 'title': '- cloud cover CM (0..8)', 'units': '0-1'},
            {'abbr': 53, 'code': 53, 'title': '- cloud cover CL (0..8)', 'units': '0-1'},
            {'abbr': 54,
             'code': 54,
             'title': '- total cloud cover (0..8)',
             'units': '0-1'},
            {'abbr': 55, 'code': 55, 'title': '- fog (0..8)', 'units': '0-1'},
            {'abbr': 56, 'code': 56, 'title': '- fog', 'units': '0-1'},
            {'abbr': 60,
             'code': 60,
             'title': '- cloud cover, convective cirrus',
             'units': '0-1'},
            {'abbr': 61,
             'code': 61,
             'title': '- specific cloud water content, convective clouds',
             'units': 'kg kg**-1'},
            {'abbr': 62,
             'code': 62,
             'title': '- cloud water content, conv clouds, vert integrated',
             'units': 'kg m**-2'},
            {'abbr': 63,
             'code': 63,
             'title': '- specific cloud ice content, convective clouds',
             'units': 'kg kg**-1'},
            {'abbr': 64,
             'code': 64,
             'title': '- cloud ice content, conv clouds, vert integrated',
             'units': 'kg m**-2'},
            {'abbr': 65,
             'code': 65,
             'title': '- convective mass flux',
             'units': 'kg s**-1 m**-2'},
            {'abbr': 66,
             'code': 66,
             'title': '- Updraft velocity, convection',
             'units': 'm s**-1'},
            {'abbr': 67,
             'code': 67,
             'title': '- entrainment parameter, convection',
             'units': 'm**-1'},
            {'abbr': 68,
             'code': 68,
             'title': 'HBAS_CON cloud base, convective clouds (above msl)',
             'units': 'm'},
            {'abbr': 69,
             'code': 69,
             'title': 'HTOP_CON cloud top, convective clouds (above msl)',
             'units': 'm'},
            {'abbr': 70,
             'code': 70,
             'title': '- convective layers (00...77) (BKE)',
             'units': '0-1'},
            {'abbr': 71, 'code': 71, 'title': '- KO-index', 'units': 'dimensionless'},
            {'abbr': 72,
             'code': 72,
             'title': 'BAS_CON convection base index',
             'units': 'dimensionless'},
            {'abbr': 73,
             'code': 73,
             'title': 'TOP_CON convection top index',
             'units': 'dimensionless'},
            {'abbr': 74,
             'code': 74,
             'title': 'DT_CON convective temperature tendency',
             'units': 'K s**-1'},
            {'abbr': 75,
             'code': 75,
             'title': 'DQV_CON convective tendency of specific humidity',
             'units': 's**-1'},
            {'abbr': 76,
             'code': 76,
             'title': '- convective tendency of total heat',
             'units': 'J kg**-1 s**-1'},
            {'abbr': 77,
             'code': 77,
             'title': '- convective tendency of total water',
             'units': 's**-1'},
            {'abbr': 78,
             'code': 78,
             'title': 'DU_CON convective momentum tendency (X-component)',
             'units': 'm s**-2'},
            {'abbr': 79,
             'code': 79,
             'title': 'DV_CON convective momentum tendency (Y-component)',
             'units': 'm s**-2'},
            {'abbr': 80,
             'code': 80,
             'title': '- convective vorticity tendency',
             'units': 's**-2'},
            {'abbr': 81,
             'code': 81,
             'title': '- convective divergence tendency',
             'units': 's**-2'},
            {'abbr': 82,
             'code': 82,
             'title': 'HTOP_DC top of dry convection (above msl)',
             'units': 'm'},
            {'abbr': 83,
             'code': 83,
             'title': '- dry convection top index',
             'units': 'dimensionless'},
            {'abbr': 84,
             'code': 84,
             'title': 'HZEROCL height of 0 degree Celsius isotherm above msl',
             'units': 'm'},
            {'abbr': 85,
             'code': 85,
             'title': 'SNOWLMT height of snow-fall limit',
             'units': 'm'},
            {'abbr': 99,
             'code': 99,
             'title': 'QRS_GSP spec. content of precip. particles',
             'units': 'kg kg**-1'},
            {'abbr': 100,
             'code': 100,
             'title': 'PRR_GSP surface precipitation rate, rain, grid scale',
             'units': 'kg s**-1 m**-2'},
            {'abbr': 101,
             'code': 101,
             'title': 'PRS_GSP surface precipitation rate, snow, grid scale',
             'units': 'kg s**-1 m**-2'},
            {'abbr': 102,
             'code': 102,
             'title': 'RAIN_GSP surface precipitation amount, rain, grid scale',
             'units': 'kg m**-2'},
            {'abbr': 111,
             'code': 111,
             'title': 'PRR_CON surface precipitation rate, rain, convective',
             'units': 'kg s**-1 m**-2'},
            {'abbr': 112,
             'code': 112,
             'title': 'PRS_CON surface precipitation rate, snow, convective',
             'units': 'kg s**-1 m**-2'},
            {'abbr': 113,
             'code': 113,
             'title': 'RAIN_CON surface precipitation amount, rain, convective',
             'units': 'kg m**-2'},
            {'abbr': 139,
             'code': 139,
             'title': 'PP deviation of pressure from reference value',
             'units': 'Pa'},
            {'abbr': 150,
             'code': 150,
             'title': '- coefficient of horizontal diffusion',
             'units': 'm**2 s**-1'},
            {'abbr': 187,
             'code': 187,
             'title': 'VMAX_10M Maximum wind velocity',
             'units': 'm s**-1'},
            {'abbr': 200,
             'code': 200,
             'title': 'W_I water content of interception store',
             'units': 'kg m**-2'},
            {'abbr': 203, 'code': 203, 'title': 'T_SNOW snow temperature', 'units': 'K'},
            {'abbr': 215,
             'code': 215,
             'title': 'T_ICE ice surface temperature',
             'units': 'K'},
            {'abbr': 241,
             'code': 241,
             'title': 'CAPE_CON convective available potential energy',
             'units': 'J kg**-1'},
            {'abbr': None, 'code': 255, 'title': '- Indicates a missing value'})
