def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': 'AERMR01 Sea Salt Aerosol (0.03 - 0.5 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 2,
             'code': 2,
             'title': 'AERMR02 Sea Salt Aerosol (0.5 - 5 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 3,
             'code': 3,
             'title': 'AERMR03 Sea Salt Aerosol (5 - 20 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 4,
             'code': 4,
             'title': 'AERMR04 Dust Aerosol (0.03 - 0.55 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 5,
             'code': 5,
             'title': 'AERMR05 Dust Aerosol (0.55 - 0.9 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 6,
             'code': 6,
             'title': 'AERMR06 Dust Aerosol (0.9 - 20 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 7,
             'code': 7,
             'title': 'AERMR07 Hydrophilic Organic Matter Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 8,
             'code': 8,
             'title': 'AERMR08 Hydrophobic Organic Matter Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'AERMR09 Hydrophilic Black Carbon Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 10,
             'code': 10,
             'title': 'AERMR10 Hydrophobic Black Carbon Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 11,
             'code': 11,
             'title': 'AERMR11 Sulphate Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 12,
             'code': 12,
             'title': 'AERMR12 SO2 precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'AERMR13 Volcanic ash aerosol mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'AERMR14 Volcanic sulphate aerosol mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 15,
             'code': 15,
             'title': 'AERMR15 Volcanic SO2 precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 16,
             'code': 16,
             'title': 'AERGN01 Aerosol type 1 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 17,
             'code': 17,
             'title': 'AERGN02 Aerosol type 2 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 18,
             'code': 18,
             'title': 'AERGN03 Aerosol type 3 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 19,
             'code': 19,
             'title': 'AERGN04 Aerosol type 4 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 20,
             'code': 20,
             'title': 'AERGN05 Aerosol type 5 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 21,
             'code': 21,
             'title': 'AERGN06 Aerosol type 6 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 22,
             'code': 22,
             'title': 'AERGN07 Aerosol type 7 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 23,
             'code': 23,
             'title': 'AERGN08 Aerosol type 8 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 24,
             'code': 24,
             'title': 'AERGN09 Aerosol type 9 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 25,
             'code': 25,
             'title': 'AERGN10 Aerosol type 10 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 26,
             'code': 26,
             'title': 'AERGN11 Aerosol type 11 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 27,
             'code': 27,
             'title': 'AERGN12 Aerosol type 12 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 28,
             'code': 28,
             'title': 'AERPR03 SO4 aerosol precursor mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 29,
             'code': 29,
             'title': 'AERWV01 Water vapour mixing ratio for hydrophilic aerosols in mode '
                      '1',
             'units': 'kg kg**-1'},
            {'abbr': 30,
             'code': 30,
             'title': 'AERWV02 Water vapour mixing ratio for hydrophilic aerosols in mode '
                      '2',
             'units': 'kg kg**-1'},
            {'abbr': 31,
             'code': 31,
             'title': 'AERLS01 Aerosol type 1 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 32,
             'code': 32,
             'title': 'AERLS02 Aerosol type 2 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 33,
             'code': 33,
             'title': 'AERLS03 Aerosol type 3 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 34,
             'code': 34,
             'title': 'AERLS04 Aerosol type 4 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 35,
             'code': 35,
             'title': 'AERLS05 Aerosol type 5 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 36,
             'code': 36,
             'title': 'AERLS06 Aerosol type 6 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 37,
             'code': 37,
             'title': 'AERLS07 Aerosol type 7 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 38,
             'code': 38,
             'title': 'AERLS08 Aerosol type 8 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 39,
             'code': 39,
             'title': 'AERLS09 Aerosol type 9 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 40,
             'code': 40,
             'title': 'AERLS10 Aerosol type 10 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 41,
             'code': 41,
             'title': 'AERLS11 Aerosol type 11 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 42,
             'code': 42,
             'title': 'AERLS12 Aerosol type 12 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 43,
             'code': 43,
             'title': 'EMDMS DMS surface emission',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 44,
             'code': 44,
             'title': 'AERWV03 Water vapour mixing ratio for hydrophilic aerosols in mode '
                      '3',
             'units': 'kg kg**-1'},
            {'abbr': 45,
             'code': 45,
             'title': 'AERWV04 Water vapour mixing ratio for hydrophilic aerosols in mode '
                      '4',
             'units': 'kg kg**-1'},
            {'abbr': 46,
             'code': 46,
             'title': 'AERPR Aerosol precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 47,
             'code': 47,
             'title': 'AERSM Aerosol small mode mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 48,
             'code': 48,
             'title': 'AERLG Aerosol large mode mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 49,
             'code': 49,
             'title': 'AODPR Aerosol precursor optical depth',
             'units': 'dimensionless'},
            {'abbr': 50,
             'code': 50,
             'title': 'AODSM Aerosol small mode optical depth',
             'units': 'dimensionless'},
            {'abbr': 51,
             'code': 51,
             'title': 'AODLG Aerosol large mode optical depth',
             'units': 'dimensionless'},
            {'abbr': 52,
             'code': 52,
             'title': 'AERDEP Dust emission potential',
             'units': 'kg s**2 m**-5'},
            {'abbr': 53,
             'code': 53,
             'title': 'AERLTS Lifting threshold speed',
             'units': 'm s**-1'},
            {'abbr': 54, 'code': 54, 'title': 'AERSCC Soil clay content', 'units': '%'},
            {'abbr': 55, 'code': 55, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 56, 'code': 56, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 57,
             'code': 57,
             'title': 'OCNUC Mixing ration of organic carbon aerosol, nucleation mode',
             'units': 'kg kg**-1'},
            {'abbr': 58,
             'code': 58,
             'title': 'MONOT Monoterpene precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 59,
             'code': 59,
             'title': 'SOAPR Secondary organic precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 60,
             'code': 60,
             'title': 'INJH Injection height (from IS4FIRES)',
             'units': 'm'},
            {'abbr': 61, 'code': 61, 'title': 'CO2 Carbon Dioxide', 'units': 'kg kg**-1'},
            {'abbr': 62, 'code': 62, 'title': 'CH4 Methane', 'units': 'kg kg**-1'},
            {'abbr': 63, 'code': 63, 'title': 'N2O Nitrous oxide', 'units': 'kg kg**-1'},
            {'abbr': 64,
             'code': 64,
             'title': 'TCCO2 CO2 column-mean molar fraction',
             'units': 'ppm'},
            {'abbr': 65,
             'code': 65,
             'title': 'TCCH4 CH4 column-mean molar fraction',
             'units': 'ppb'},
            {'abbr': 66,
             'code': 66,
             'title': 'TCN2O Total column Nitrous oxide',
             'units': 'kg m**-2'},
            {'abbr': 67,
             'code': 67,
             'title': 'CO2OF Ocean flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 68,
             'code': 68,
             'title': 'CO2NBF Natural biosphere flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 69,
             'code': 69,
             'title': 'CO2APF Anthropogenic emissions of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 70,
             'code': 70,
             'title': 'CH4F Methane Surface Fluxes',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 71,
             'code': 71,
             'title': 'KCH4 Methane loss rate due to radical hydroxyl (OH)',
             'units': 's**-1'},
            {'abbr': 72,
             'code': 72,
             'title': 'PM1 Particulate matter d < 1 um',
             'units': 'kg m**-3'},
            {'abbr': 73,
             'code': 73,
             'title': 'PM2P5 Particulate matter d < 2.5 um',
             'units': 'kg m**-3'},
            {'abbr': 74,
             'code': 74,
             'title': 'PM10 Particulate matter d < 10 um',
             'units': 'kg m**-3'},
            {'abbr': 79,
             'code': 79,
             'title': 'VAFIRE Wildfire viewing angle of observation',
             'units': 'deg'},
            {'abbr': 80,
             'code': 80,
             'title': 'CO2FIRE Wildfire flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 81,
             'code': 81,
             'title': 'COFIRE Wildfire flux of Carbon Monoxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 82,
             'code': 82,
             'title': 'CH4FIRE Wildfire flux of Methane',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 83,
             'code': 83,
             'title': 'NMHCFIRE Wildfire flux of Non-Methane Hydro-Carbons',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 84,
             'code': 84,
             'title': 'H2FIRE Wildfire flux of Hydrogen',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 85,
             'code': 85,
             'title': 'NOXFIRE Wildfire flux of Nitrogen Oxides NOx',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 86,
             'code': 86,
             'title': 'N2OFIRE Wildfire flux of Nitrous Oxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 87,
             'code': 87,
             'title': 'PM2P5FIRE Wildfire flux of Particulate Matter PM2.5',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 88,
             'code': 88,
             'title': 'TPMFIRE Wildfire flux of Total Particulate Matter',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 89,
             'code': 89,
             'title': 'TCFIRE Wildfire flux of Total Carbon in Aerosols',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 90,
             'code': 90,
             'title': 'OCFIRE Wildfire flux of Organic Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 91,
             'code': 91,
             'title': 'BCFIRE Wildfire flux of Black Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 92,
             'code': 92,
             'title': 'CFIRE Wildfire overall flux of burnt Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 93,
             'code': 93,
             'title': 'C4FFIRE Wildfire fraction of C4 plants',
             'units': 'dimensionless'},
            {'abbr': 94,
             'code': 94,
             'title': 'VEGFIRE Wildfire vegetation map index',
             'units': 'dimensionless'},
            {'abbr': 95,
             'code': 95,
             'title': 'CCFIRE Wildfire Combustion Completeness',
             'units': 'dimensionless'},
            {'abbr': 96,
             'code': 96,
             'title': 'FLFIRE Wildfire Fuel Load: Carbon per unit area',
             'units': 'kg m**-2'},
            {'abbr': 97,
             'code': 97,
             'title': 'OFFIRE Wildfire fraction of area observed',
             'units': 'dimensionless'},
            {'abbr': 98,
             'code': 98,
             'title': 'NOFRP Number of positive FRP pixels per grid cell',
             'units': '~'},
            {'abbr': 99,
             'code': 99,
             'title': 'FRPFIRE Wildfire radiative power',
             'units': 'W m**-2'},
            {'abbr': 100,
             'code': 100,
             'title': 'CRFIRE Wildfire combustion rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 101,
             'code': 101,
             'title': 'MAXFRPFIRE Wildfire radiative power maximum',
             'units': 'W'},
            {'abbr': 102,
             'code': 102,
             'title': 'SO2FIRE Wildfire flux of Sulfur Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 103,
             'code': 103,
             'title': 'CH3OHFIRE Wildfire Flux of Methanol (CH3OH)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 104,
             'code': 104,
             'title': 'C2H5OHFIRE Wildfire Flux of Ethanol (C2H5OH)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 105,
             'code': 105,
             'title': 'C3H8FIRE Wildfire Flux of Propane (C3H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 106,
             'code': 106,
             'title': 'C2H4FIRE Wildfire Flux of Ethene (C2H4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 107,
             'code': 107,
             'title': 'C3H6FIRE Wildfire Flux of Propene (C3H6)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 108,
             'code': 108,
             'title': 'C5H8FIRE Wildfire Flux of Isoprene (C5H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 109,
             'code': 109,
             'title': 'TERPENESFIRE Wildfire Flux of Terpenes (C5H8)n',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 110,
             'code': 110,
             'title': 'TOLUENEFIRE Wildfire Flux of Toluene_lump (C7H8+ C6H6 + C8H10)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 111,
             'code': 111,
             'title': 'HIALKENESFIRE Wildfire Flux of Higher Alkenes (CnH2n, C>=4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 112,
             'code': 112,
             'title': 'HIALKANESFIRE Wildfire Flux of Higher Alkanes (CnH2n+2, C>=4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 113,
             'code': 113,
             'title': 'CH2OFIRE Wildfire Flux of Formaldehyde (CH2O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 114,
             'code': 114,
             'title': 'C2H4OFIRE Wildfire Flux of Acetaldehyde (C2H4O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 115,
             'code': 115,
             'title': 'C3H6OFIRE Wildfire Flux of Acetone (C3H6O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 116,
             'code': 116,
             'title': 'NH3FIRE Wildfire Flux of Ammonia (NH3)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 117,
             'code': 117,
             'title': 'C2H6SFIRE Wildfire Flux of Dimethyl Sulfide (DMS) (C2H6S)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 118,
             'code': 118,
             'title': 'C2H6FIRE Wildfire Flux of Ethane (C2H6)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 119,
             'code': 119,
             'title': 'MAMI Mean altitude of maximum injection',
             'units': 'm'},
            {'abbr': 120, 'code': 120, 'title': 'APT Altitude of plume top', 'units': 'm'},
            {'abbr': 121,
             'code': 121,
             'title': 'NO2 Nitrogen dioxide',
             'units': 'kg kg**-1'},
            {'abbr': 122,
             'code': 122,
             'title': 'SO2 Sulphur dioxide',
             'units': 'kg kg**-1'},
            {'abbr': 123,
             'code': 123,
             'title': 'CO Carbon monoxide',
             'units': 'kg kg**-1'},
            {'abbr': 124, 'code': 124, 'title': 'HCHO Formaldehyde', 'units': 'kg kg**-1'},
            {'abbr': 125,
             'code': 125,
             'title': 'TCNO2 Total column Nitrogen dioxide',
             'units': 'kg m**-2'},
            {'abbr': 126,
             'code': 126,
             'title': 'TCSO2 Total column Sulphur dioxide',
             'units': 'kg m**-2'},
            {'abbr': 127,
             'code': 127,
             'title': 'TCCO Total column Carbon monoxide',
             'units': 'kg m**-2'},
            {'abbr': 128,
             'code': 128,
             'title': 'TCHCHO Total column Formaldehyde',
             'units': 'kg m**-2'},
            {'abbr': 129,
             'code': 129,
             'title': 'NOX Nitrogen Oxides',
             'units': 'kg kg**-1'},
            {'abbr': 130,
             'code': 130,
             'title': 'TCNOX Total Column Nitrogen Oxides',
             'units': 'kg m**-2'},
            {'abbr': 131,
             'code': 131,
             'title': 'GRG1 Reactive tracer 1 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 132,
             'code': 132,
             'title': 'TCGRG1 Total column GRG tracer 1',
             'units': 'kg m**-2'},
            {'abbr': 133,
             'code': 133,
             'title': 'GRG2 Reactive tracer 2 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 134,
             'code': 134,
             'title': 'TCGRG2 Total column GRG tracer 2',
             'units': 'kg m**-2'},
            {'abbr': 135,
             'code': 135,
             'title': 'GRG3 Reactive tracer 3 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 136,
             'code': 136,
             'title': 'TCGRG3 Total column GRG tracer 3',
             'units': 'kg m**-2'},
            {'abbr': 137,
             'code': 137,
             'title': 'GRG4 Reactive tracer 4 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 138,
             'code': 138,
             'title': 'TCGRG4 Total column GRG tracer 4',
             'units': 'kg m**-2'},
            {'abbr': 139,
             'code': 139,
             'title': 'GRG5 Reactive tracer 5 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 140,
             'code': 140,
             'title': 'TCGRG5 Total column GRG tracer 5',
             'units': 'kg m**-2'},
            {'abbr': 141,
             'code': 141,
             'title': 'GRG6 Reactive tracer 6 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 142,
             'code': 142,
             'title': 'TCGRG6 Total column GRG tracer 6',
             'units': 'kg m**-2'},
            {'abbr': 143,
             'code': 143,
             'title': 'GRG7 Reactive tracer 7 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 144,
             'code': 144,
             'title': 'TCGRG7 Total column GRG tracer 7',
             'units': 'kg m**-2'},
            {'abbr': 145,
             'code': 145,
             'title': 'GRG8 Reactive tracer 8 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 146,
             'code': 146,
             'title': 'TCGRG8 Total column GRG tracer 8',
             'units': 'kg m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'GRG9 Reactive tracer 9 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 148,
             'code': 148,
             'title': 'TCGRG9 Total column GRG tracer 9',
             'units': 'kg m**-2'},
            {'abbr': 149,
             'code': 149,
             'title': 'GRG10 Reactive tracer 10 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 150,
             'code': 150,
             'title': 'TCGRG10 Total column GRG tracer 10',
             'units': 'kg m**-2'},
            {'abbr': 151,
             'code': 151,
             'title': 'SFNOX Surface flux Nitrogen oxides',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 152,
             'code': 152,
             'title': 'SFNO2 Surface flux Nitrogen dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 153,
             'code': 153,
             'title': 'SFSO2 Surface flux Sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 154,
             'code': 154,
             'title': 'SFCO2 Surface flux Carbon monoxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 155,
             'code': 155,
             'title': 'SFHCHO Surface flux Formaldehyde',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 156,
             'code': 156,
             'title': 'SFGO3 Surface flux GEMS Ozone',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 157,
             'code': 157,
             'title': 'SFGR1 Surface flux reactive tracer 1',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 158,
             'code': 158,
             'title': 'SFGR2 Surface flux reactive tracer 2',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 159,
             'code': 159,
             'title': 'SFGR3 Surface flux reactive tracer 3',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 160,
             'code': 160,
             'title': 'SFGR4 Surface flux reactive tracer 4',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 161,
             'code': 161,
             'title': 'SFGR5 Surface flux reactive tracer 5',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 162,
             'code': 162,
             'title': 'SFGR6 Surface flux reactive tracer 6',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 163,
             'code': 163,
             'title': 'SFGR7 Surface flux reactive tracer 7',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 164,
             'code': 164,
             'title': 'SFGR8 Surface flux reactive tracer 8',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 165,
             'code': 165,
             'title': 'SFGR9 Surface flux reactive tracer 9',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 166,
             'code': 166,
             'title': 'SFGR10 Surface flux reactive tracer 10',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 181, 'code': 181, 'title': 'RA Radon', 'units': 'kg kg**-1'},
            {'abbr': 182,
             'code': 182,
             'title': 'SF6 Sulphur Hexafluoride',
             'units': 'kg kg**-1'},
            {'abbr': 183,
             'code': 183,
             'title': 'TCRA Total column Radon',
             'units': 'kg m**-2'},
            {'abbr': 184,
             'code': 184,
             'title': 'TCSF6 Total column Sulphur Hexafluoride',
             'units': 'kg m**-2'},
            {'abbr': 185,
             'code': 185,
             'title': 'SF6APF Anthropogenic Emissions of Sulphur Hexafluoride',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 186,
             'code': 186,
             'title': 'ALUVPI UV visible albedo for direct radiation, isotropic component',
             'units': '0 - 1'},
            {'abbr': 187,
             'code': 187,
             'title': 'ALUVPV UV visible albedo for direct radiation, volumetric '
                      'component',
             'units': '0 - 1'},
            {'abbr': 188,
             'code': 188,
             'title': 'ALUVPG UV visible albedo for direct radiation, geometric component',
             'units': '0 - 1'},
            {'abbr': 189,
             'code': 189,
             'title': 'ALNIPI Near IR albedo for direct radiation, isotropic component',
             'units': '0 - 1'},
            {'abbr': 190,
             'code': 190,
             'title': 'ALNIPV Near IR albedo for direct radiation, volumetric component',
             'units': '0 - 1'},
            {'abbr': 191,
             'code': 191,
             'title': 'ALNIPG Near IR albedo for direct radiation, geometric component',
             'units': '0 - 1'},
            {'abbr': 192,
             'code': 192,
             'title': 'ALUVDI UV visible albedo for diffuse radiation, isotropic '
                      'component',
             'units': '0 - 1'},
            {'abbr': 193,
             'code': 193,
             'title': 'ALUVDV UV visible albedo for diffuse radiation, volumetric '
                      'component',
             'units': '0 - 1'},
            {'abbr': 194,
             'code': 194,
             'title': 'ALUVDG UV visible albedo for diffuse radiation, geometric '
                      'component',
             'units': '0 - 1'},
            {'abbr': 195,
             'code': 195,
             'title': 'ALNIDI Near IR albedo for diffuse radiation, isotropic component',
             'units': '0 - 1'},
            {'abbr': 196,
             'code': 196,
             'title': 'ALNIDV Near IR albedo for diffuse radiation, volumetric component',
             'units': '0 - 1'},
            {'abbr': 197,
             'code': 197,
             'title': 'ALNIDG Near IR albedo for diffuse radiation, geometric component',
             'units': '0 - 1'},
            {'abbr': 203, 'code': 203, 'title': 'GO3 GEMS Ozone', 'units': 'kg kg**-1'},
            {'abbr': 206,
             'code': 206,
             'title': 'GTCO3 GEMS Total column ozone',
             'units': 'kg m**-2'},
            {'abbr': 207,
             'code': 207,
             'title': 'AOD550 Total Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 208,
             'code': 208,
             'title': 'SSAOD550 Sea Salt Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 209,
             'code': 209,
             'title': 'DUAOD550 Dust Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 210,
             'code': 210,
             'title': 'OMAOD550 Organic Matter Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 211,
             'code': 211,
             'title': 'BCAOD550 Black Carbon Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 212,
             'code': 212,
             'title': 'SUAOD550 Sulphate Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 213,
             'code': 213,
             'title': 'AOD469 Total Aerosol Optical Depth at 469nm',
             'units': '~'},
            {'abbr': 214,
             'code': 214,
             'title': 'AOD670 Total Aerosol Optical Depth at 670nm',
             'units': '~'},
            {'abbr': 215,
             'code': 215,
             'title': 'AOD865 Total Aerosol Optical Depth at 865nm',
             'units': '~'},
            {'abbr': 216,
             'code': 216,
             'title': 'AOD1240 Total Aerosol Optical Depth at 1240nm',
             'units': '~'},
            {'abbr': 217,
             'code': 217,
             'title': 'AOD340 Total aerosol optical depth at 340 nm',
             'units': '~'},
            {'abbr': 218,
             'code': 218,
             'title': 'AOD355 Total aerosol optical depth at 355 nm',
             'units': '~'},
            {'abbr': 219,
             'code': 219,
             'title': 'AOD380 Total aerosol optical depth at 380 nm',
             'units': '~'},
            {'abbr': 220,
             'code': 220,
             'title': 'AOD400 Total aerosol optical depth at 400 nm',
             'units': '~'},
            {'abbr': 221,
             'code': 221,
             'title': 'AOD440 Total aerosol optical depth at 440 nm',
             'units': '~'},
            {'abbr': 222,
             'code': 222,
             'title': 'AOD500 Total aerosol optical depth at 500 nm',
             'units': '~'},
            {'abbr': 223,
             'code': 223,
             'title': 'AOD532 Total aerosol optical depth at 532 nm',
             'units': '~'},
            {'abbr': 224,
             'code': 224,
             'title': 'AOD645 Total aerosol optical depth at 645 nm',
             'units': '~'},
            {'abbr': 225,
             'code': 225,
             'title': 'AOD800 Total aerosol optical depth at 800 nm',
             'units': '~'},
            {'abbr': 226,
             'code': 226,
             'title': 'AOD858 Total aerosol optical depth at 858 nm',
             'units': '~'},
            {'abbr': 227,
             'code': 227,
             'title': 'AOD1020 Total aerosol optical depth at 1020 nm',
             'units': '~'},
            {'abbr': 228,
             'code': 228,
             'title': 'AOD1064 Total aerosol optical depth at 1064 nm',
             'units': '~'},
            {'abbr': 229,
             'code': 229,
             'title': 'AOD1640 Total aerosol optical depth at 1640 nm',
             'units': '~'},
            {'abbr': 230,
             'code': 230,
             'title': 'AOD2130 Total aerosol optical depth at 2130 nm',
             'units': '~'},
            {'abbr': 231,
             'code': 231,
             'title': 'C7H8FIRE Wildfire Flux of Toluene (C7H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 232,
             'code': 232,
             'title': 'C6H6FIRE Wildfire Flux of Benzene (C6H6)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 233,
             'code': 233,
             'title': 'C8H10FIRE Wildfire Flux of Xylene (C8H10)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 234,
             'code': 234,
             'title': 'C4H8FIRE Wildfire Flux of Butenes (C4H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 235,
             'code': 235,
             'title': 'C5H10FIRE Wildfire Flux of Pentenes (C5H10)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 236,
             'code': 236,
             'title': 'C6H12FIRE Wildfire Flux of Hexene (C6H12)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 237,
             'code': 237,
             'title': 'C8H16FIRE Wildfire Flux of Octene (C8H16)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 238,
             'code': 238,
             'title': 'C4H10FIRE Wildfire Flux of Butanes (C4H10)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 239,
             'code': 239,
             'title': 'C5H12FIRE Wildfire Flux of Pentanes (C5H12)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 240,
             'code': 240,
             'title': 'C6H14FIRE Wildfire Flux of Hexanes (C6H14)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 241,
             'code': 241,
             'title': 'C7H16FIRE Wildfire Flux of Heptane (C7H16)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 242,
             'code': 242,
             'title': 'APB Altitude of plume bottom',
             'units': 'm'},
            {'abbr': 243,
             'code': 243,
             'title': 'VSUAOD550 Volcanic sulphate aerosol optical depth at 550 nm',
             'units': '~'},
            {'abbr': 244,
             'code': 244,
             'title': 'VASHAOD550 Volcanic ash optical depth at 550 nm',
             'units': '~'},
            {'abbr': 245,
             'code': 245,
             'title': 'TAEDEC550 Profile of total aerosol dry extinction coefficient',
             'units': 'm**-1'},
            {'abbr': 246,
             'code': 246,
             'title': 'TAEDAB550 Profile of total aerosol dry absorption coefficient',
             'units': 'm**-1'},
            {'abbr': 247,
             'code': 247,
             'title': 'AERMR16 Nitrate fine mode aerosol mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 248,
             'code': 248,
             'title': 'AERMR17 Nitrate coarse mode aerosol mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 249,
             'code': 249,
             'title': 'AERMR18 Ammonium aerosol mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 250,
             'code': 250,
             'title': 'NIAOD550 Nitrate aerosol optical depth at 550 nm',
             'units': 'dimensionless'},
            {'abbr': 251,
             'code': 251,
             'title': 'AMAOD550 Ammonium aerosol optical depth at 550 nm',
             'units': 'dimensionless'})
