def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': 'AERMR01DIFF Sea Salt Aerosol (0.03 - 0.5 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 2,
             'code': 2,
             'title': 'AERMR02DIFF Sea Salt Aerosol (0.5 - 5 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 3,
             'code': 3,
             'title': 'AERMR03DIFF Sea Salt Aerosol (5 - 20 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 4,
             'code': 4,
             'title': 'AERMR04DIFF Dust Aerosol (0.03 - 0.55 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 5,
             'code': 5,
             'title': 'AERMR05DIFF Dust Aerosol (0.55 - 0.9 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 6,
             'code': 6,
             'title': 'AERMR06DIFF Dust Aerosol (0.9 - 20 um) Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 7,
             'code': 7,
             'title': 'AERMR07DIFF Hydrophilic Organic Matter Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 8,
             'code': 8,
             'title': 'AERMR08DIFF Hydrophobic Organic Matter Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'AERMR09DIFF Hydrophilic Black Carbon Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 10,
             'code': 10,
             'title': 'AERMR10DIFF Hydrophobic Black Carbon Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 11,
             'code': 11,
             'title': 'AERMR11DIFF Sulphate Aerosol Mixing Ratio',
             'units': 'kg kg**-1'},
            {'abbr': 12,
             'code': 12,
             'title': 'AERMR12DIFF Aerosol type 12 mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'AERMR13DIFF Aerosol type 13 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'AERMR14DIFF Aerosol type 14 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 15,
             'code': 15,
             'title': 'AERMR15DIFF Aerosol type 15 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 16,
             'code': 16,
             'title': 'AERGN01DIFF Aerosol type 1 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 17,
             'code': 17,
             'title': 'AERGN02DIFF Aerosol type 2 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 18,
             'code': 18,
             'title': 'AERGN03DIFF Aerosol type 3 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 19,
             'code': 19,
             'title': 'AERGN04DIFF Aerosol type 4 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 20,
             'code': 20,
             'title': 'AERGN05DIFF Aerosol type 5 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 21,
             'code': 21,
             'title': 'AERGN06DIFF Aerosol type 6 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 22,
             'code': 22,
             'title': 'AERGN07DIFF Aerosol type 7 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 23,
             'code': 23,
             'title': 'AERGN08DIFF Aerosol type 8 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 24,
             'code': 24,
             'title': 'AERGN09DIFF Aerosol type 9 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 25,
             'code': 25,
             'title': 'AERGN10DIFF Aerosol type 10 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 26,
             'code': 26,
             'title': 'AERGN11DIFF Aerosol type 11 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 27,
             'code': 27,
             'title': 'AERGN12DIFF Aerosol type 12 source/gain accumulated',
             'units': 'kg m**-2'},
            {'abbr': 28,
             'code': 28,
             'title': 'AERPR03DIFF SO4 aerosol precursor mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 29,
             'code': 29,
             'title': 'AERWV01DIFF Water vapour mixing ratio for hydrophilic aerosols in '
                      'mode 1',
             'units': 'kg kg**-1'},
            {'abbr': 30,
             'code': 30,
             'title': 'AERWV02DIFF Water vapour mixing ratio for hydrophilic aerosols in '
                      'mode 2',
             'units': 'kg kg**-1'},
            {'abbr': 31,
             'code': 31,
             'title': 'AERLS01DIFF Aerosol type 1 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 32,
             'code': 32,
             'title': 'AERLS02DIFF Aerosol type 2 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 33,
             'code': 33,
             'title': 'AERLS03DIFF Aerosol type 3 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 34,
             'code': 34,
             'title': 'AERLS04DIFF Aerosol type 4 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 35,
             'code': 35,
             'title': 'AERLS05DIFF Aerosol type 5 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 36,
             'code': 36,
             'title': 'AERLS06DIFF Aerosol type 6 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 37,
             'code': 37,
             'title': 'AERLS07DIFF Aerosol type 7 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 38,
             'code': 38,
             'title': 'AERLS08DIFF Aerosol type 8 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 39,
             'code': 39,
             'title': 'AERLS09DIFF Aerosol type 9 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 40,
             'code': 40,
             'title': 'AERLS10DIFF Aerosol type 10 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 41,
             'code': 41,
             'title': 'AERLS11DIFF Aerosol type 11 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 42,
             'code': 42,
             'title': 'AERLS12DIFF Aerosol type 12 sink/loss accumulated',
             'units': 'kg m**-2'},
            {'abbr': 43,
             'code': 43,
             'title': 'EMDMSDIFF DMS surface emission',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 44,
             'code': 44,
             'title': 'AERWV03DIFF Water vapour mixing ratio for hydrophilic aerosols in '
                      'mode 3',
             'units': 'kg kg**-1'},
            {'abbr': 45,
             'code': 45,
             'title': 'AERWV04DIFF Water vapour mixing ratio for hydrophilic aerosols in '
                      'mode 4',
             'units': 'kg kg**-1'},
            {'abbr': 46,
             'code': 46,
             'title': 'AERPRDIFF Aerosol precursor mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 47,
             'code': 47,
             'title': 'AERSMDIFF Aerosol small mode mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 48,
             'code': 48,
             'title': 'AERLGDIFF Aerosol large mode mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 49,
             'code': 49,
             'title': 'AODPRDIFF Aerosol precursor optical depth',
             'units': 'dimensionless'},
            {'abbr': 50,
             'code': 50,
             'title': 'AODSMDIFF Aerosol small mode optical depth',
             'units': 'dimensionless'},
            {'abbr': 51,
             'code': 51,
             'title': 'AODLGDIFF Aerosol large mode optical depth',
             'units': 'dimensionless'},
            {'abbr': 52,
             'code': 52,
             'title': 'AERDEPDIFF Dust emission potential',
             'units': 'kg s**2 m**-5'},
            {'abbr': 53,
             'code': 53,
             'title': 'AERLTSDIFF Lifting threshold speed',
             'units': 'm s**-1'},
            {'abbr': 54,
             'code': 54,
             'title': 'AERSCCDIFF Soil clay content',
             'units': '%'},
            {'abbr': 55, 'code': 55, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 56, 'code': 56, 'title': '- Experimental product', 'units': '~'},
            {'abbr': 61,
             'code': 61,
             'title': 'CO2DIFF Carbon Dioxide',
             'units': 'kg kg**-1'},
            {'abbr': 62, 'code': 62, 'title': 'CH4DIFF Methane', 'units': 'kg kg**-1'},
            {'abbr': 63,
             'code': 63,
             'title': 'N2ODIFF Nitrous oxide',
             'units': 'kg kg**-1'},
            {'abbr': 64,
             'code': 64,
             'title': 'TCCO2DIFF Total column Carbon Dioxide',
             'units': 'kg m**-2'},
            {'abbr': 65,
             'code': 65,
             'title': 'TCCH4DIFF Total column Methane',
             'units': 'kg m**-2'},
            {'abbr': 66,
             'code': 66,
             'title': 'TCN2ODIFF Total column Nitrous oxide',
             'units': 'kg m**-2'},
            {'abbr': 67,
             'code': 67,
             'title': 'CO2OFDIFF Ocean flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 68,
             'code': 68,
             'title': 'CO2NBFDIFF Natural biosphere flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 69,
             'code': 69,
             'title': 'CO2APFDIFF Anthropogenic emissions of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 70,
             'code': 70,
             'title': 'CH4FDIFF Methane Surface Fluxes',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 71,
             'code': 71,
             'title': 'KCH4DIFF Methane loss rate due to radical hydroxyl (OH)',
             'units': 's**-1'},
            {'abbr': 80,
             'code': 80,
             'title': 'CO2FIREDIFF Wildfire flux of Carbon Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 81,
             'code': 81,
             'title': 'COFIREDIFF Wildfire flux of Carbon Monoxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 82,
             'code': 82,
             'title': 'CH4FIREDIFF Wildfire flux of Methane',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 83,
             'code': 83,
             'title': 'NMHCFIREDIFF Wildfire flux of Non-Methane Hydro-Carbons',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 84,
             'code': 84,
             'title': 'H2FIREDIFF Wildfire flux of Hydrogen',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 85,
             'code': 85,
             'title': 'NOXFIREDIFF Wildfire flux of Nitrogen Oxides NOx',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 86,
             'code': 86,
             'title': 'N2OFIREDIFF Wildfire flux of Nitrous Oxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 87,
             'code': 87,
             'title': 'PM2P5FIREDIFF Wildfire flux of Particulate Matter PM2.5',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 88,
             'code': 88,
             'title': 'TPMFIREDIFF Wildfire flux of Total Particulate Matter',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 89,
             'code': 89,
             'title': 'TCFIREDIFF Wildfire flux of Total Carbon in Aerosols',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 90,
             'code': 90,
             'title': 'OCFIREDIFF Wildfire flux of Organic Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 91,
             'code': 91,
             'title': 'BCFIREDIFF Wildfire flux of Black Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 92,
             'code': 92,
             'title': 'CFIREDIFF Wildfire overall flux of burnt Carbon',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 93,
             'code': 93,
             'title': 'C4FFIREDIFF Wildfire fraction of C4 plants',
             'units': 'dimensionless'},
            {'abbr': 94,
             'code': 94,
             'title': 'VEGFIREDIFF Wildfire vegetation map index',
             'units': 'dimensionless'},
            {'abbr': 95,
             'code': 95,
             'title': 'CCFIREDIFF Wildfire Combustion Completeness',
             'units': 'dimensionless'},
            {'abbr': 96,
             'code': 96,
             'title': 'FLFIREDIFF Wildfire Fuel Load: Carbon per unit area',
             'units': 'kg m**-2'},
            {'abbr': 97,
             'code': 97,
             'title': 'OFFIREDIFF Wildfire fraction of area observed',
             'units': 'dimensionless'},
            {'abbr': 98,
             'code': 98,
             'title': 'OAFIREDIFF Wildfire observed area',
             'units': 'm**2'},
            {'abbr': 99,
             'code': 99,
             'title': 'FRPFIREDIFF Wildfire radiative power',
             'units': 'W m**-2'},
            {'abbr': 100,
             'code': 100,
             'title': 'CRFIREDIFF Wildfire combustion rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 101,
             'code': 101,
             'title': 'MAXFRPFIREDIFF Wildfire radiative power maximum',
             'units': 'W'},
            {'abbr': 102,
             'code': 102,
             'title': 'SO2FIREDIFF Wildfire flux of Sulfur Dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 103,
             'code': 103,
             'title': 'CH3OHFIREDIFF Wildfire Flux of Methanol (CH3OH)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 104,
             'code': 104,
             'title': 'C2H5OHFIREDIFF Wildfire Flux of Ethanol (C2H5OH)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 105,
             'code': 105,
             'title': 'C3H8FIREDIFF Wildfire Flux of Propane (C3H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 106,
             'code': 106,
             'title': 'C2H4FIREDIFF Wildfire Flux of Ethene (C2H4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 107,
             'code': 107,
             'title': 'C3H6FIREDIFF Wildfire Flux of Propene (C3H6)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 108,
             'code': 108,
             'title': 'C5H8FIREDIFF Wildfire Flux of Isoprene (C5H8)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 109,
             'code': 109,
             'title': 'TERPENESFIREDIFF Wildfire Flux of Terpenes (C5H8)n',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 110,
             'code': 110,
             'title': 'TOLUENEFIREDIFF Wildfire Flux of Toluene_lump (C7H8+ C6H6 + C8H10)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 111,
             'code': 111,
             'title': 'HIALKENESFIREDIFF Wildfire Flux of Higher Alkenes (CnH2n, C>=4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 112,
             'code': 112,
             'title': 'HIALKANESFIREDIFF Wildfire Flux of Higher Alkanes (CnH2n+2, C>=4)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 113,
             'code': 113,
             'title': 'CH2OFIREDIFF Wildfire Flux of Formaldehyde (CH2O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 114,
             'code': 114,
             'title': 'C2H4OFIREDIFF Wildfire Flux of Acetaldehyde (C2H4O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 115,
             'code': 115,
             'title': 'C3H6OFIREDIFF Wildfire Flux of Acetone (C3H6O)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 116,
             'code': 116,
             'title': 'NH3FIREDIFF Wildfire Flux of Ammonia (NH3)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 117,
             'code': 117,
             'title': 'C2H6SFIREDIFF Wildfire Flux of Dimethyl Sulfide (DMS) (C2H6S)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 118,
             'code': 118,
             'title': 'C2H6FIREDIFF Wildfire Flux of Ethane (C2H6)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 119,
             'code': 119,
             'title': 'ALEDIFF Altitude of emitter',
             'units': 'm'},
            {'abbr': 120,
             'code': 120,
             'title': 'APTDIFF Altitude of plume top',
             'units': 'm'},
            {'abbr': 121,
             'code': 121,
             'title': 'NO2DIFF Nitrogen dioxide',
             'units': 'kg kg**-1'},
            {'abbr': 122,
             'code': 122,
             'title': 'SO2DIFF Sulphur dioxide',
             'units': 'kg kg**-1'},
            {'abbr': 123,
             'code': 123,
             'title': 'CODIFF Carbon monoxide',
             'units': 'kg kg**-1'},
            {'abbr': 124,
             'code': 124,
             'title': 'HCHODIFF Formaldehyde',
             'units': 'kg kg**-1'},
            {'abbr': 125,
             'code': 125,
             'title': 'TCNO2DIFF Total column Nitrogen dioxide',
             'units': 'kg m**-2'},
            {'abbr': 126,
             'code': 126,
             'title': 'TCSO2DIFF Total column Sulphur dioxide',
             'units': 'kg m**-2'},
            {'abbr': 127,
             'code': 127,
             'title': 'TCCODIFF Total column Carbon monoxide',
             'units': 'kg m**-2'},
            {'abbr': 128,
             'code': 128,
             'title': 'TCHCHODIFF Total column Formaldehyde',
             'units': 'kg m**-2'},
            {'abbr': 129,
             'code': 129,
             'title': 'NOXDIFF Nitrogen Oxides',
             'units': 'kg kg**-1'},
            {'abbr': 130,
             'code': 130,
             'title': 'TCNOXDIFF Total Column Nitrogen Oxides',
             'units': 'kg m**-2'},
            {'abbr': 131,
             'code': 131,
             'title': 'GRG1DIFF Reactive tracer 1 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 132,
             'code': 132,
             'title': 'TCGRG1DIFF Total column GRG tracer 1',
             'units': 'kg m**-2'},
            {'abbr': 133,
             'code': 133,
             'title': 'GRG2DIFF Reactive tracer 2 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 134,
             'code': 134,
             'title': 'TCGRG2DIFF Total column GRG tracer 2',
             'units': 'kg m**-2'},
            {'abbr': 135,
             'code': 135,
             'title': 'GRG3DIFF Reactive tracer 3 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 136,
             'code': 136,
             'title': 'TCGRG3DIFF Total column GRG tracer 3',
             'units': 'kg m**-2'},
            {'abbr': 137,
             'code': 137,
             'title': 'GRG4DIFF Reactive tracer 4 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 138,
             'code': 138,
             'title': 'TCGRG4DIFF Total column GRG tracer 4',
             'units': 'kg m**-2'},
            {'abbr': 139,
             'code': 139,
             'title': 'GRG5DIFF Reactive tracer 5 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 140,
             'code': 140,
             'title': 'TCGRG5DIFF Total column GRG tracer 5',
             'units': 'kg m**-2'},
            {'abbr': 141,
             'code': 141,
             'title': 'GRG6DIFF Reactive tracer 6 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 142,
             'code': 142,
             'title': 'TCGRG6DIFF Total column GRG tracer 6',
             'units': 'kg m**-2'},
            {'abbr': 143,
             'code': 143,
             'title': 'GRG7DIFF Reactive tracer 7 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 144,
             'code': 144,
             'title': 'TCGRG7DIFF Total column GRG tracer 7',
             'units': 'kg m**-2'},
            {'abbr': 145,
             'code': 145,
             'title': 'GRG8DIFF Reactive tracer 8 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 146,
             'code': 146,
             'title': 'TCGRG8DIFF Total column GRG tracer 8',
             'units': 'kg m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'GRG9DIFF Reactive tracer 9 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 148,
             'code': 148,
             'title': 'TCGRG9DIFF Total column GRG tracer 9',
             'units': 'kg m**-2'},
            {'abbr': 149,
             'code': 149,
             'title': 'GRG10DIFF Reactive tracer 10 mass mixing ratio',
             'units': 'kg kg**-1'},
            {'abbr': 150,
             'code': 150,
             'title': 'TCGRG10DIFF Total column GRG tracer 10',
             'units': 'kg m**-2'},
            {'abbr': 151,
             'code': 151,
             'title': 'SFNOXDIFF Surface flux Nitrogen oxides',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 152,
             'code': 152,
             'title': 'SFNO2DIFF Surface flux Nitrogen dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 153,
             'code': 153,
             'title': 'SFSO2DIFF Surface flux Sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 154,
             'code': 154,
             'title': 'SFCO2DIFF Surface flux Carbon monoxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 155,
             'code': 155,
             'title': 'SFHCHODIFF Surface flux Formaldehyde',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 156,
             'code': 156,
             'title': 'SFGO3DIFF Surface flux GEMS Ozone',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 157,
             'code': 157,
             'title': 'SFGR1DIFF Surface flux reactive tracer 1',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 158,
             'code': 158,
             'title': 'SFGR2DIFF Surface flux reactive tracer 2',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 159,
             'code': 159,
             'title': 'SFGR3DIFF Surface flux reactive tracer 3',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 160,
             'code': 160,
             'title': 'SFGR4DIFF Surface flux reactive tracer 4',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 161,
             'code': 161,
             'title': 'SFGR5DIFF Surface flux reactive tracer 5',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 162,
             'code': 162,
             'title': 'SFGR6DIFF Surface flux reactive tracer 6',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 163,
             'code': 163,
             'title': 'SFGR7DIFF Surface flux reactive tracer 7',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 164,
             'code': 164,
             'title': 'SFGR8DIFF Surface flux reactive tracer 8',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 165,
             'code': 165,
             'title': 'SFGR9DIFF Surface flux reactive tracer 9',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 166,
             'code': 166,
             'title': 'SFGR10DIFF Surface flux reactive tracer 10',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 181, 'code': 181, 'title': 'RADIFF Radon', 'units': 'kg kg**-1'},
            {'abbr': 182,
             'code': 182,
             'title': 'SF6DIFF Sulphur Hexafluoride',
             'units': 'kg kg**-1'},
            {'abbr': 183,
             'code': 183,
             'title': 'TCRADIFF Total column Radon',
             'units': 'kg m**-2'},
            {'abbr': 184,
             'code': 184,
             'title': 'TCSF6DIFF Total column Sulphur Hexafluoride',
             'units': 'kg m**-2'},
            {'abbr': 185,
             'code': 185,
             'title': 'SF6APFDIFF Anthropogenic Emissions of Sulphur Hexafluoride',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 203,
             'code': 203,
             'title': 'GO3DIFF GEMS Ozone',
             'units': 'kg kg**-1'},
            {'abbr': 206,
             'code': 206,
             'title': 'GTCO3DIFF GEMS Total column ozone',
             'units': 'kg m**-2'},
            {'abbr': 207,
             'code': 207,
             'title': 'AOD550DIFF Total Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 208,
             'code': 208,
             'title': 'SSAOD550DIFF Sea Salt Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 209,
             'code': 209,
             'title': 'DUAOD550DIFF Dust Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 210,
             'code': 210,
             'title': 'OMAOD550DIFF Organic Matter Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 211,
             'code': 211,
             'title': 'BCAOD550DIFF Black Carbon Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 212,
             'code': 212,
             'title': 'SUAOD550DIFF Sulphate Aerosol Optical Depth at 550nm',
             'units': '~'},
            {'abbr': 213,
             'code': 213,
             'title': 'AOD469DIFF Total Aerosol Optical Depth at 469nm',
             'units': '~'},
            {'abbr': 214,
             'code': 214,
             'title': 'AOD670DIFF Total Aerosol Optical Depth at 670nm',
             'units': '~'},
            {'abbr': 215,
             'code': 215,
             'title': 'AOD865DIFF Total Aerosol Optical Depth at 865nm',
             'units': '~'},
            {'abbr': 216,
             'code': 216,
             'title': 'AOD1240DIFF Total Aerosol Optical Depth at 1240nm',
             'units': '~'})
