def load(h):
    return ({'abbr': 1,
             'code': 1,
             'title': 'AERSRCSSS Source/gain of sea salt aerosol (0.03 - 0.5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 2,
             'code': 2,
             'title': 'AERSRCSSM Source/gain of sea salt aerosol (0.5 - 5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 3,
             'code': 3,
             'title': 'AERSRCSSL Source/gain of sea salt aerosol (5 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 4,
             'code': 4,
             'title': 'AERDDPSSS Dry deposition of sea salt aerosol (0.03 - 0.5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 5,
             'code': 5,
             'title': 'AERDDPSSM Dry deposition of sea salt aerosol (0.5 - 5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 6,
             'code': 6,
             'title': 'AERDDPSSL Dry deposition of sea salt aerosol (5 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 7,
             'code': 7,
             'title': 'AERSDMSSS Sedimentation of sea salt aerosol (0.03 - 0.5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 8,
             'code': 8,
             'title': 'AERSDMSSM Sedimentation of sea salt aerosol (0.5 - 5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'AERSDMSSL Sedimentation of sea salt aerosol (5 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 10,
             'code': 10,
             'title': 'AERWDLSSSS Wet deposition of sea salt aerosol (0.03 - 0.5 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 11,
             'code': 11,
             'title': 'AERWDLSSSM Wet deposition of sea salt aerosol (0.5 - 5 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 12,
             'code': 12,
             'title': 'AERWDLSSSL Wet deposition of sea salt aerosol (5 - 20 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'AERWDCCSSS Wet deposition of sea salt aerosol (0.03 - 0.5 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'AERWDCCSSM Wet deposition of sea salt aerosol (0.5 - 5 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 15,
             'code': 15,
             'title': 'AERWDCCSSL Wet deposition of sea salt aerosol (5 - 20 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 16,
             'code': 16,
             'title': 'AERNGTSSS Negative fixer of sea salt aerosol (0.03 - 0.5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 17,
             'code': 17,
             'title': 'AERNGTSSM Negative fixer of sea salt aerosol (0.5 - 5 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 18,
             'code': 18,
             'title': 'AERNGTSSL Negative fixer of sea salt aerosol (5 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 19,
             'code': 19,
             'title': 'AERMSSSSS Vertically integrated mass of sea salt aerosol (0.03 - '
                      '0.5 um)',
             'units': 'kg m**-2'},
            {'abbr': 20,
             'code': 20,
             'title': 'AERMSSSSM Vertically integrated mass of sea salt aerosol (0.5 - 5 '
                      'um)',
             'units': 'kg m**-2'},
            {'abbr': 21,
             'code': 21,
             'title': 'AERMSSSSL Vertically integrated mass of sea salt aerosol (5 - 20 '
                      'um)',
             'units': 'kg m**-2'},
            {'abbr': 22,
             'code': 22,
             'title': 'AERODSSS Sea salt aerosol (0.03 - 0.5 um) optical depth',
             'units': '~'},
            {'abbr': 23,
             'code': 23,
             'title': 'AERODSSM Sea salt aerosol (0.5 - 5 um) optical depth',
             'units': '~'},
            {'abbr': 24,
             'code': 24,
             'title': 'AERODSSL Sea salt aerosol (5 - 20 um) optical depth',
             'units': '~'},
            {'abbr': 25,
             'code': 25,
             'title': 'AERSRCDUS Source/gain of dust aerosol (0.03 - 0.55 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 26,
             'code': 26,
             'title': 'AERSRCDUM Source/gain of dust aerosol (0.55 - 9 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 27,
             'code': 27,
             'title': 'AERSRCDUL Source/gain of dust aerosol (9 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 28,
             'code': 28,
             'title': 'AERDDPDUS Dry deposition of dust aerosol (0.03 - 0.55 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 29,
             'code': 29,
             'title': 'AERDDPDUM Dry deposition of dust aerosol (0.55 - 9 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 30,
             'code': 30,
             'title': 'AERDDPDUL Dry deposition of dust aerosol (9 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 31,
             'code': 31,
             'title': 'AERSDMDUS Sedimentation of dust aerosol (0.03 - 0.55 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 32,
             'code': 32,
             'title': 'AERSDMDUM Sedimentation of dust aerosol (0.55 - 9 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 33,
             'code': 33,
             'title': 'AERSDMDUL Sedimentation of dust aerosol (9 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 34,
             'code': 34,
             'title': 'AERWDLSDUS Wet deposition of dust aerosol (0.03 - 0.55 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 35,
             'code': 35,
             'title': 'AERWDLSDUM Wet deposition of dust aerosol (0.55 - 9 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 36,
             'code': 36,
             'title': 'AERWDLSDUL Wet deposition of dust aerosol (9 - 20 um) by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 37,
             'code': 37,
             'title': 'AERWDCCDUS Wet deposition of dust aerosol (0.03 - 0.55 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 38,
             'code': 38,
             'title': 'AERWDCCDUM Wet deposition of dust aerosol (0.55 - 9 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 39,
             'code': 39,
             'title': 'AERWDCCDUL Wet deposition of dust aerosol (9 - 20 um) by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 40,
             'code': 40,
             'title': 'AERNGTDUS Negative fixer of dust aerosol (0.03 - 0.55 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 41,
             'code': 41,
             'title': 'AERNGTDUM Negative fixer of dust aerosol (0.55 - 9 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 42,
             'code': 42,
             'title': 'AERNGTDUL Negative fixer of dust aerosol (9 - 20 um)',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 43,
             'code': 43,
             'title': 'AERMSSDUS Vertically integrated mass of dust aerosol (0.03 - 0.55 '
                      'um)',
             'units': 'kg m**-2'},
            {'abbr': 44,
             'code': 44,
             'title': 'AERMSSDUM Vertically integrated mass of dust aerosol (0.55 - 9 um)',
             'units': 'kg m**-2'},
            {'abbr': 45,
             'code': 45,
             'title': 'AERMSSDUL Vertically integrated mass of dust aerosol (9 - 20 um)',
             'units': 'kg m**-2'},
            {'abbr': 46,
             'code': 46,
             'title': 'AERODDUS Dust aerosol (0.03 - 0.55 um) optical depth',
             'units': '~'},
            {'abbr': 47,
             'code': 47,
             'title': 'AERODDUM Dust aerosol (0.55 - 9 um) optical depth',
             'units': '~'},
            {'abbr': 48,
             'code': 48,
             'title': 'AERODDUL Dust aerosol (9 - 20 um) optical depth',
             'units': '~'},
            {'abbr': 49,
             'code': 49,
             'title': 'AERSRCOMHPHOB Source/gain of hydrophobic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 50,
             'code': 50,
             'title': 'AERSRCOMHPHIL Source/gain of hydrophilic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 51,
             'code': 51,
             'title': 'AERDDPOMHPHOB Dry deposition of hydrophobic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 52,
             'code': 52,
             'title': 'AERDDPOMHPHIL Dry deposition of hydrophilic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 53,
             'code': 53,
             'title': 'AERSDMOMHPHOB Sedimentation of hydrophobic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 54,
             'code': 54,
             'title': 'AERSDMOMHPHIL Sedimentation of hydrophilic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 55,
             'code': 55,
             'title': 'AERWDLSOMHPHOB Wet deposition of hydrophobic organic matter '
                      'aerosol by large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 56,
             'code': 56,
             'title': 'AERWDLSOMHPHIL Wet deposition of hydrophilic organic matter '
                      'aerosol by large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 57,
             'code': 57,
             'title': 'AERWDCCOMHPHOB Wet deposition of hydrophobic organic matter '
                      'aerosol by convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 58,
             'code': 58,
             'title': 'AERWDCCOMHPHIL Wet deposition of hydrophilic organic matter '
                      'aerosol by convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 59,
             'code': 59,
             'title': 'AERNGTOMHPHOB Negative fixer of hydrophobic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 60,
             'code': 60,
             'title': 'AERNGTOMHPHIL Negative fixer of hydrophilic organic matter aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 61,
             'code': 61,
             'title': 'AERMSSOMHPHOB Vertically integrated mass of hydrophobic organic '
                      'matter aerosol',
             'units': 'kg m**-2'},
            {'abbr': 62,
             'code': 62,
             'title': 'AERMSSOMHPHIL Vertically integrated mass of hydrophilic organic '
                      'matter aerosol',
             'units': 'kg m**-2'},
            {'abbr': 63,
             'code': 63,
             'title': 'AERODOMHPHOB Hydrophobic organic matter aerosol optical depth',
             'units': '~'},
            {'abbr': 64,
             'code': 64,
             'title': 'AERODOMHPHIL Hydrophilic organic matter aerosol optical depth',
             'units': '~'},
            {'abbr': 65,
             'code': 65,
             'title': 'AERSRCBCHPHOB Source/gain of hydrophobic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 66,
             'code': 66,
             'title': 'AERSRCBCHPHIL Source/gain of hydrophilic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 67,
             'code': 67,
             'title': 'AERDDPBCHPHOB Dry deposition of hydrophobic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 68,
             'code': 68,
             'title': 'AERDDPBCHPHIL Dry deposition of hydrophilic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 69,
             'code': 69,
             'title': 'AERSDMBCHPHOB Sedimentation of hydrophobic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 70,
             'code': 70,
             'title': 'AERSDMBCHPHIL Sedimentation of hydrophilic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 71,
             'code': 71,
             'title': 'AERWDLSBCHPHOB Wet deposition of hydrophobic black carbon aerosol '
                      'by large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 72,
             'code': 72,
             'title': 'AERWDLSBCHPHIL Wet deposition of hydrophilic black carbon aerosol '
                      'by large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 73,
             'code': 73,
             'title': 'AERWDCCBCHPHOB Wet deposition of hydrophobic black carbon aerosol '
                      'by convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 74,
             'code': 74,
             'title': 'AERWDCCBCHPHIL Wet deposition of hydrophilic black carbon aerosol '
                      'by convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 75,
             'code': 75,
             'title': 'AERNGTBCHPHOB Negative fixer of hydrophobic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 76,
             'code': 76,
             'title': 'AERNGTBCHPHIL Negative fixer of hydrophilic black carbon aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 77,
             'code': 77,
             'title': 'AERMSSBCHPHOB Vertically integrated mass of hydrophobic black '
                      'carbon aerosol',
             'units': 'kg m**-2'},
            {'abbr': 78,
             'code': 78,
             'title': 'AERMSSBCHPHIL Vertically integrated mass of hydrophilic black '
                      'carbon aerosol',
             'units': 'kg m**-2'},
            {'abbr': 79,
             'code': 79,
             'title': 'AERODBCHPHOB Hydrophobic black carbon aerosol optical depth',
             'units': '~'},
            {'abbr': 80,
             'code': 80,
             'title': 'AERODBCHPHIL Hydrophilic black carbon aerosol optical depth',
             'units': '~'},
            {'abbr': 81,
             'code': 81,
             'title': 'AERSRCSU Source/gain of sulphate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 82,
             'code': 82,
             'title': 'AERDDPSU Dry deposition of sulphate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 83,
             'code': 83,
             'title': 'AERSDMSU Sedimentation of sulphate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 84,
             'code': 84,
             'title': 'AERWDLSSU Wet deposition of sulphate aerosol by large-scale '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 85,
             'code': 85,
             'title': 'AERWDCCSU Wet deposition of sulphate aerosol by convective '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 86,
             'code': 86,
             'title': 'AERNGTSU Negative fixer of sulphate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 87,
             'code': 87,
             'title': 'AERMSSSU Vertically integrated mass of sulphate aerosol',
             'units': 'kg m**-2'},
            {'abbr': 88,
             'code': 88,
             'title': 'AERODSU Sulphate aerosol optical depth',
             'units': '~'},
            {'abbr': 89,
             'code': 89,
             'title': 'ACCAOD550 Accumulated total aerosol optical depth at 550 nm',
             'units': 's'},
            {'abbr': 90,
             'code': 90,
             'title': 'ALUVPSN Effective (snow effect included) UV visible albedo for '
                      'direct radiation',
             'units': '0 - 1'},
            {'abbr': 91,
             'code': 91,
             'title': 'AERDEP10SI 10 metre wind speed dust emission potential',
             'units': 'kg s**2 m**-5'},
            {'abbr': 92,
             'code': 92,
             'title': 'AERDEP10FG 10 metre wind gustiness dust emission potential',
             'units': 'kg s**2 m**-5'},
            {'abbr': 93,
             'code': 93,
             'title': 'AOT532 Total aerosol optical thickness at 532 nm',
             'units': 'dimensionless'},
            {'abbr': 94,
             'code': 94,
             'title': 'NAOT532 Natural (sea-salt and dust) aerosol optical thickness at '
                      '532 nm',
             'units': 'dimensionless'},
            {'abbr': 95,
             'code': 95,
             'title': 'AAOT532 Antropogenic (black carbon, organic matter, sulphate) '
                      'aerosol optical thickness at 532 nm',
             'units': 'dimensionless'},
            {'abbr': 96,
             'code': 96,
             'title': 'AODABS340 Total absorption aerosol optical depth at 340 nm',
             'units': '~'},
            {'abbr': 97,
             'code': 97,
             'title': 'AODABS355 Total absorption aerosol optical depth at 355 nm',
             'units': '~'},
            {'abbr': 98,
             'code': 98,
             'title': 'AODABS380 Total absorption aerosol optical depth at 380 nm',
             'units': '~'},
            {'abbr': 99,
             'code': 99,
             'title': 'AODABS400 Total absorption aerosol optical depth at 400 nm',
             'units': '~'},
            {'abbr': 100,
             'code': 100,
             'title': 'AODABS440 Total absorption aerosol optical depth at 440 nm',
             'units': '~'},
            {'abbr': 101,
             'code': 101,
             'title': 'AODABS469 Total absorption aerosol optical depth at 469 nm',
             'units': '~'},
            {'abbr': 102,
             'code': 102,
             'title': 'AODABS500 Total absorption aerosol optical depth at 500 nm',
             'units': '~'},
            {'abbr': 103,
             'code': 103,
             'title': 'AODABS532 Total absorption aerosol optical depth at 532 nm',
             'units': '~'},
            {'abbr': 104,
             'code': 104,
             'title': 'AODABS550 Total absorption aerosol optical depth at 550 nm',
             'units': '~'},
            {'abbr': 105,
             'code': 105,
             'title': 'AODABS645 Total absorption aerosol optical depth at 645 nm',
             'units': '~'},
            {'abbr': 106,
             'code': 106,
             'title': 'AODABS670 Total absorption aerosol optical depth at 670 nm',
             'units': '~'},
            {'abbr': 107,
             'code': 107,
             'title': 'AODABS800 Total absorption aerosol optical depth at 800 nm',
             'units': '~'},
            {'abbr': 108,
             'code': 108,
             'title': 'AODABS858 Total absorption aerosol optical depth at 858 nm',
             'units': '~'},
            {'abbr': 109,
             'code': 109,
             'title': 'AODABS865 Total absorption aerosol optical depth at 865 nm',
             'units': '~'},
            {'abbr': 110,
             'code': 110,
             'title': 'AODABS1020 Total absorption aerosol optical depth at 1020 nm',
             'units': '~'},
            {'abbr': 111,
             'code': 111,
             'title': 'AODABS1064 Total absorption aerosol optical depth at 1064 nm',
             'units': '~'},
            {'abbr': 112,
             'code': 112,
             'title': 'AODABS1240 Total absorption aerosol optical depth at 1240 nm',
             'units': '~'},
            {'abbr': 113,
             'code': 113,
             'title': 'AODABS1640 Total absorption aerosol optical depth at 1640 nm',
             'units': '~'},
            {'abbr': 114,
             'code': 114,
             'title': 'AODFM340 Total fine mode (r < 0.5 um) aerosol optical depth at 340 '
                      'nm',
             'units': '~'},
            {'abbr': 115,
             'code': 115,
             'title': 'AODFM355 Total fine mode (r < 0.5 um) aerosol optical depth at 355 '
                      'nm',
             'units': '~'},
            {'abbr': 116,
             'code': 116,
             'title': 'AODFM380 Total fine mode (r < 0.5 um) aerosol optical depth at 380 '
                      'nm',
             'units': '~'},
            {'abbr': 117,
             'code': 117,
             'title': 'AODFM400 Total fine mode (r < 0.5 um) aerosol optical depth at 400 '
                      'nm',
             'units': '~'},
            {'abbr': 118,
             'code': 118,
             'title': 'AODFM440 Total fine mode (r < 0.5 um) aerosol optical depth at 440 '
                      'nm',
             'units': '~'},
            {'abbr': 119,
             'code': 119,
             'title': 'AODFM469 Total fine mode (r < 0.5 um) aerosol optical depth at 469 '
                      'nm',
             'units': '~'},
            {'abbr': 120,
             'code': 120,
             'title': 'AODFM500 Total fine mode (r < 0.5 um) aerosol optical depth at 500 '
                      'nm',
             'units': '~'},
            {'abbr': 121,
             'code': 121,
             'title': 'AODFM532 Total fine mode (r < 0.5 um) aerosol optical depth at 532 '
                      'nm',
             'units': '~'},
            {'abbr': 122,
             'code': 122,
             'title': 'AODFM550 Total fine mode (r < 0.5 um) aerosol optical depth at 550 '
                      'nm',
             'units': '~'},
            {'abbr': 123,
             'code': 123,
             'title': 'AODFM645 Total fine mode (r < 0.5 um) aerosol optical depth at 645 '
                      'nm',
             'units': '~'},
            {'abbr': 124,
             'code': 124,
             'title': 'AODFM670 Total fine mode (r < 0.5 um) aerosol optical depth at 670 '
                      'nm',
             'units': '~'},
            {'abbr': 125,
             'code': 125,
             'title': 'AODFM800 Total fine mode (r < 0.5 um) aerosol optical depth at 800 '
                      'nm',
             'units': '~'},
            {'abbr': 126,
             'code': 126,
             'title': 'AODFM858 Total fine mode (r < 0.5 um) aerosol optical depth at 858 '
                      'nm',
             'units': '~'},
            {'abbr': 127,
             'code': 127,
             'title': 'AODFM865 Total fine mode (r < 0.5 um) aerosol optical depth at 865 '
                      'nm',
             'units': '~'},
            {'abbr': 128,
             'code': 128,
             'title': 'AODFM1020 Total fine mode (r < 0.5 um) aerosol optical depth at '
                      '1020 nm',
             'units': '~'},
            {'abbr': 129,
             'code': 129,
             'title': 'AODFM1064 Total fine mode (r < 0.5 um) aerosol optical depth at '
                      '1064 nm',
             'units': '~'},
            {'abbr': 130,
             'code': 130,
             'title': 'AODFM1240 Total fine mode (r < 0.5 um) aerosol optical depth at '
                      '1240 nm',
             'units': '~'},
            {'abbr': 131,
             'code': 131,
             'title': 'AODFM1640 Total fine mode (r < 0.5 um) aerosol optical depth at '
                      '1640 nm',
             'units': '~'},
            {'abbr': 132,
             'code': 132,
             'title': 'SSA340 Single scattering albedo at 340 nm',
             'units': '0 - 1'},
            {'abbr': 133,
             'code': 133,
             'title': 'SSA355 Single scattering albedo at 355 nm',
             'units': '0 - 1'},
            {'abbr': 134,
             'code': 134,
             'title': 'SSA380 Single scattering albedo at 380 nm',
             'units': '0 - 1'},
            {'abbr': 135,
             'code': 135,
             'title': 'SSA400 Single scattering albedo at 400 nm',
             'units': '0 - 1'},
            {'abbr': 136,
             'code': 136,
             'title': 'SSA440 Single scattering albedo at 440 nm',
             'units': '0 - 1'},
            {'abbr': 137,
             'code': 137,
             'title': 'SSA469 Single scattering albedo at 469 nm',
             'units': '0 - 1'},
            {'abbr': 138,
             'code': 138,
             'title': 'SSA500 Single scattering albedo at 500 nm',
             'units': '0 - 1'},
            {'abbr': 139,
             'code': 139,
             'title': 'SSA532 Single scattering albedo at 532 nm',
             'units': '0 - 1'},
            {'abbr': 140,
             'code': 140,
             'title': 'SSA550 Single scattering albedo at 550 nm',
             'units': '0 - 1'},
            {'abbr': 141,
             'code': 141,
             'title': 'SSA645 Single scattering albedo at 645 nm',
             'units': '0 - 1'},
            {'abbr': 142,
             'code': 142,
             'title': 'SSA670 Single scattering albedo at 670 nm',
             'units': '0 - 1'},
            {'abbr': 143,
             'code': 143,
             'title': 'SSA800 Single scattering albedo at 800 nm',
             'units': '0 - 1'},
            {'abbr': 144,
             'code': 144,
             'title': 'SSA858 Single scattering albedo at 858 nm',
             'units': '0 - 1'},
            {'abbr': 145,
             'code': 145,
             'title': 'SSA865 Single scattering albedo at 865 nm',
             'units': '0 - 1'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSA1020 Single scattering albedo at 1020 nm',
             'units': '0 - 1'},
            {'abbr': 147,
             'code': 147,
             'title': 'SSA1064 Single scattering albedo at 1064 nm',
             'units': '0 - 1'},
            {'abbr': 148,
             'code': 148,
             'title': 'SSA1240 Single scattering albedo at 1240 nm',
             'units': '0 - 1'},
            {'abbr': 149,
             'code': 149,
             'title': 'SSA1640 Single scattering albedo at 1640 nm',
             'units': '0 - 1'},
            {'abbr': 150,
             'code': 150,
             'title': 'ASYMMETRY340 Asymmetry factor at 340 nm',
             'units': '~'},
            {'abbr': 151,
             'code': 151,
             'title': 'ASYMMETRY355 Asymmetry factor at 355 nm',
             'units': '~'},
            {'abbr': 152,
             'code': 152,
             'title': 'ASYMMETRY380 Asymmetry factor at 380 nm',
             'units': '~'},
            {'abbr': 153,
             'code': 153,
             'title': 'ASYMMETRY400 Asymmetry factor at 400 nm',
             'units': '~'},
            {'abbr': 154,
             'code': 154,
             'title': 'ASYMMETRY440 Asymmetry factor at 440 nm',
             'units': '~'},
            {'abbr': 155,
             'code': 155,
             'title': 'ASYMMETRY469 Asymmetry factor at 469 nm',
             'units': '~'},
            {'abbr': 156,
             'code': 156,
             'title': 'ASYMMETRY500 Asymmetry factor at 500 nm',
             'units': '~'},
            {'abbr': 157,
             'code': 157,
             'title': 'ASYMMETRY532 Asymmetry factor at 532 nm',
             'units': '~'},
            {'abbr': 158,
             'code': 158,
             'title': 'ASYMMETRY550 Asymmetry factor at 550 nm',
             'units': '~'},
            {'abbr': 159,
             'code': 159,
             'title': 'ASYMMETRY645 Asymmetry factor at 645 nm',
             'units': '~'},
            {'abbr': 160,
             'code': 160,
             'title': 'ASYMMETRY670 Asymmetry factor at 670 nm',
             'units': '~'},
            {'abbr': 161,
             'code': 161,
             'title': 'ASYMMETRY800 Asymmetry factor at 800 nm',
             'units': '~'},
            {'abbr': 162,
             'code': 162,
             'title': 'ASYMMETRY858 Asymmetry factor at 858 nm',
             'units': '~'},
            {'abbr': 163,
             'code': 163,
             'title': 'ASYMMETRY865 Asymmetry factor at 865 nm',
             'units': '~'},
            {'abbr': 164,
             'code': 164,
             'title': 'ASYMMETRY1020 Asymmetry factor at 1020 nm',
             'units': '~'},
            {'abbr': 165,
             'code': 165,
             'title': 'ASYMMETRY1064 Asymmetry factor at 1064 nm',
             'units': '~'},
            {'abbr': 166,
             'code': 166,
             'title': 'ASYMMETRY1240 Asymmetry factor at 1240 nm',
             'units': '~'},
            {'abbr': 167,
             'code': 167,
             'title': 'ASYMMETRY1640 Asymmetry factor at 1640 nm',
             'units': '~'},
            {'abbr': 168,
             'code': 168,
             'title': 'AERSRCSO2 Source/gain of sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 169,
             'code': 169,
             'title': 'AERDDPSO2 Dry deposition of sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 170,
             'code': 170,
             'title': 'AERSDMSO2 Sedimentation of sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 171,
             'code': 171,
             'title': 'AERWDLSSO2 Wet deposition of sulphur dioxide by large-scale '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 172,
             'code': 172,
             'title': 'AERWDCCSO2 Wet deposition of sulphur dioxide by convective '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 173,
             'code': 173,
             'title': 'AERNGTSO2 Negative fixer of sulphur dioxide',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 174,
             'code': 174,
             'title': 'AERMSSSO2 Vertically integrated mass of sulphur dioxide',
             'units': 'kg m**-2'},
            {'abbr': 175,
             'code': 175,
             'title': 'AERODSO2 Sulphur dioxide optical depth',
             'units': '~'},
            {'abbr': 176,
             'code': 176,
             'title': 'AODABS2130 Total absorption aerosol optical depth at 2130 nm',
             'units': '~'},
            {'abbr': 177,
             'code': 177,
             'title': 'AODFM2130 Total fine mode (r < 0.5 um) aerosol optical depth at '
                      '2130 nm',
             'units': '~'},
            {'abbr': 178,
             'code': 178,
             'title': 'SSA2130 Single scattering albedo at 2130 nm',
             'units': '0 - 1'},
            {'abbr': 179,
             'code': 179,
             'title': 'ASYMMETRY2130 Asymmetry factor at 2130 nm',
             'units': '~'},
            {'abbr': 180,
             'code': 180,
             'title': 'AEREXT355 Aerosol extinction coefficient at 355 nm',
             'units': 'm**-1'},
            {'abbr': 181,
             'code': 181,
             'title': 'AEREXT532 Aerosol extinction coefficient at 532 nm',
             'units': 'm**-1'},
            {'abbr': 182,
             'code': 182,
             'title': 'AEREXT1064 Aerosol extinction coefficient at 1064 nm',
             'units': 'm**-1'},
            {'abbr': 183,
             'code': 183,
             'title': 'AERBACKSCATTOA355 Aerosol backscatter coefficient at 355 nm (from '
                      'top of atmosphere)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 184,
             'code': 184,
             'title': 'AERBACKSCATTOA532 Aerosol backscatter coefficient at 532 nm (from '
                      'top of atmosphere)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 185,
             'code': 185,
             'title': 'AERBACKSCATTOA1064 Aerosol backscatter coefficient at 1064 nm '
                      '(from top of atmosphere)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 186,
             'code': 186,
             'title': 'AERBACKSCATGND355 Aerosol backscatter coefficient at 355 nm (from '
                      'ground)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 187,
             'code': 187,
             'title': 'AERBACKSCATGND532 Aerosol backscatter coefficient at 532 nm (from '
                      'ground)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 188,
             'code': 188,
             'title': 'AERBACKSCATGND1064 Aerosol backscatter coefficient at 1064 nm '
                      '(from ground)',
             'units': 'm**-1 sr**-1'},
            {'abbr': 189,
             'code': 189,
             'title': 'AERSRCNIF Source/gain of fine-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 190,
             'code': 190,
             'title': 'AERSRCNIC Source/gain of coarse-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 191,
             'code': 191,
             'title': 'AERDDPNIF Dry deposition of fine-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 192,
             'code': 192,
             'title': 'AERDDPNIC Dry deposition of coarse-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 193,
             'code': 193,
             'title': 'AERSDMNIF Sedimentation of fine-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 194,
             'code': 194,
             'title': 'AERSDMNIC Sedimentation of coarse-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 195,
             'code': 195,
             'title': 'AERWDLNIF Wet deposition of fine-mode nitrate aerosol by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 196,
             'code': 196,
             'title': 'AERWDLNIC Wet deposition of coarse-mode nitrate aerosol by '
                      'large-scale precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 197,
             'code': 197,
             'title': 'AERWDCNIF Wet deposition of fine-mode nitrate aerosol by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 198,
             'code': 198,
             'title': 'AERWDCNIC Wet deposition of coarse-mode nitrate aerosol by '
                      'convective precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 199,
             'code': 199,
             'title': 'AERNGTNIF Negative fixer of fine-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 200,
             'code': 200,
             'title': 'AERNGTNIC Negative fixer of coarse-mode nitrate aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 201,
             'code': 201,
             'title': 'AERMSSNIF Vertically integrated mass of fine-mode nitrate aerosol',
             'units': 'kg m**-2'},
            {'abbr': 202,
             'code': 202,
             'title': 'AERMSSNIC Vertically integrated mass of coarse-mode nitrate '
                      'aerosol',
             'units': 'kg m**-2'},
            {'abbr': 203,
             'code': 203,
             'title': 'AERODNIF Fine-mode nitrate aerosol optical depth at 550 nm',
             'units': 'dimensionless'},
            {'abbr': 204,
             'code': 204,
             'title': 'AERODNIC Coarse-mode nitrate aerosol optical depth at 550 nm',
             'units': 'dimensionless'},
            {'abbr': 205,
             'code': 205,
             'title': 'AERSRCAM Source/gain of ammonium aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 206,
             'code': 206,
             'title': 'AERDDPAM Dry deposition of ammonium aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 207,
             'code': 207,
             'title': 'AERSDMAM Sedimentation of ammonium aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 208,
             'code': 208,
             'title': 'AERWDLAM Wet deposition of ammonium aerosol by large-scale '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 209,
             'code': 209,
             'title': 'AERWDCAM Wet deposition of ammonium aerosol by convective '
                      'precipitation',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 210,
             'code': 210,
             'title': 'AERNGTAM Negative fixer of ammonium aerosol',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 211,
             'code': 211,
             'title': 'AERMSSAM Vertically integrated mass of ammonium aerosol',
             'units': 'kg m**-2'})
