def load(h):
    return ({'abbr': 8,
             'code': 8,
             'title': 'SROVAR Surface runoff (variable resolution)',
             'units': 'm'},
            {'abbr': 9,
             'code': 9,
             'title': 'SSROVAR Sub-surface runoff (variable resolution)',
             'units': 'm'},
            {'abbr': 20,
             'code': 20,
             'title': 'PARCSVAR Clear sky surface photosynthetically active radiation '
                      '(variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 21,
             'code': 21,
             'title': 'FDIRVAR Total sky direct solar radiation at surface (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 22,
             'code': 22,
             'title': 'CDIRVAR Clear-sky direct solar radiation at surface (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 44,
             'code': 44,
             'title': 'ESVAR Snow evaporation (variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 45,
             'code': 45,
             'title': 'SMLTVAR Snowmelt (variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 46,
             'code': 46,
             'title': 'SDURVAR Solar duration (variable resolution)',
             'units': 's'},
            {'abbr': 47,
             'code': 47,
             'title': 'DSRPVAR Direct solar radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 50,
             'code': 50,
             'title': 'LSPFVAR Large-scale precipitation fraction (variable resolution)',
             'units': 's'},
            {'abbr': 57,
             'code': 57,
             'title': 'UVBVAR Downward UV radiation at the surface (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 58,
             'code': 58,
             'title': 'PARVAR Photosynthetically active radiation at the surface '
                      '(variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 80,
             'code': 80,
             'title': 'ACO2NEEVAR Accumulated Carbon Dioxide Net Ecosystem Exchange '
                      '(variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 81,
             'code': 81,
             'title': 'ACO2GPPVAR Accumulated Carbon Dioxide Gross Primary Production '
                      '(variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 82,
             'code': 82,
             'title': 'ACO2RECVAR Accumulated Carbon Dioxide Ecosystem Respiration '
                      '(variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 129,
             'code': 129,
             'title': 'SSRDCVAR Surface solar radiation downward clear-sky (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 130,
             'code': 130,
             'title': 'STRDCVAR Surface thermal radiation downward clear-sky (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 142,
             'code': 142,
             'title': 'LSPVAR Stratiform precipitation (Large-scale precipitation) '
                      '(variable resolution)',
             'units': 'm'},
            {'abbr': 143,
             'code': 143,
             'title': 'CPVAR Convective precipitation (variable resolution)',
             'units': 'm'},
            {'abbr': 144,
             'code': 144,
             'title': 'SFVAR Snowfall (convective + stratiform) (variable resolution)',
             'units': 'm of water equivalent'},
            {'abbr': 145,
             'code': 145,
             'title': 'BLDVAR Boundary layer dissipation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 146,
             'code': 146,
             'title': 'SSHFVAR Surface sensible heat flux (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 147,
             'code': 147,
             'title': 'SLHFVAR Surface latent heat flux (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 169,
             'code': 169,
             'title': 'SSRDVAR Surface solar radiation downwards (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 174,
             'code': 174,
             'title': 'ALVAR Albedo (variable resolution)',
             'units': '0 - 1'},
            {'abbr': 175,
             'code': 175,
             'title': 'STRDVAR Surface thermal radiation downwards (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 176,
             'code': 176,
             'title': 'SSRVAR Surface net solar radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 177,
             'code': 177,
             'title': 'STRVAR Surface net thermal radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 178,
             'code': 178,
             'title': 'TSRVAR Top net solar radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 179,
             'code': 179,
             'title': 'TTRVAR Top net thermal radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 180,
             'code': 180,
             'title': 'EWSSVAR East-West surface stress (variable resolution)',
             'units': 'N m**-2 s'},
            {'abbr': 181,
             'code': 181,
             'title': 'NSSSVAR North-South surface stress (variable resolution)',
             'units': 'N m**-2 s'},
            {'abbr': 182,
             'code': 182,
             'title': 'EVAR Evaporation (variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 189,
             'code': 189,
             'title': 'SUNDVAR Sunshine duration (variable resolution)',
             'units': 's'},
            {'abbr': 195,
             'code': 195,
             'title': 'LGWSVAR Longitudinal component of gravity wave stress (variable '
                      'resolution)',
             'units': 'N m**-2 s'},
            {'abbr': 196,
             'code': 196,
             'title': 'MGWSVAR Meridional component of gravity wave stress (variable '
                      'resolution)',
             'units': 'N m**-2 s'},
            {'abbr': 197,
             'code': 197,
             'title': 'GWDVAR Gravity wave dissipation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 198,
             'code': 198,
             'title': 'SRCVAR Skin reservoir content (variable resolution)',
             'units': 'kg m**-2'},
            {'abbr': 205,
             'code': 205,
             'title': 'ROVAR Runoff (variable resolution)',
             'units': 'm'},
            {'abbr': 208,
             'code': 208,
             'title': 'TSRCVAR Top net solar radiation, clear sky (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 209,
             'code': 209,
             'title': 'TTRCVAR Top net thermal radiation, clear sky (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 210,
             'code': 210,
             'title': 'SSRCVAR Surface net solar radiation, clear sky (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 211,
             'code': 211,
             'title': 'STRCVAR Surface net thermal radiation, clear sky (variable '
                      'resolution)',
             'units': 'J m**-2'},
            {'abbr': 212,
             'code': 212,
             'title': 'TISRVAR TOA incident solar radiation (variable resolution)',
             'units': 'J m**-2'},
            {'abbr': 213,
             'code': 213,
             'title': 'VIMDVAR Vertically integrated moisture divergence (variable '
                      'resolution)',
             'units': 'kg m**-2'},
            {'abbr': 216,
             'code': 216,
             'title': 'FZRAVAR Accumulated freezing rain (variable resolution)',
             'units': 'm'},
            {'abbr': 228,
             'code': 228,
             'title': 'TPVAR Total precipitation (variable resolution)',
             'units': 'm'},
            {'abbr': 239,
             'code': 239,
             'title': 'CSFVAR Convective snowfall (variable resolution)',
             'units': 'm of water equivalent'},
            {'abbr': 240,
             'code': 240,
             'title': 'LSFVAR Large-scale snowfall (variable resolution)',
             'units': 'm of water equivalent'},
            {'abbr': 251,
             'code': 251,
             'title': 'PEVVAR Potential evaporation (variable resolution)',
             'units': 'm'})
