def load(h):
    return ({'abbr': 20,
             'code': 20,
             'title': '- Mean surface runoff rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 21,
             'code': 21,
             'title': '- Mean sub-surface runoff rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 22,
             'code': 22,
             'title': '- Mean surface photosynthetically active radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 23,
             'code': 23,
             'title': '- Mean snow evaporation rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 24,
             'code': 24,
             'title': '- Mean snowmelt rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 25,
             'code': 25,
             'title': '- Mean magnitude of surface stress',
             'units': 'N m**-2'},
            {'abbr': 26,
             'code': 26,
             'title': '- Mean large-scale precipitation fraction',
             'units': 'Proportion'},
            {'abbr': 27,
             'code': 27,
             'title': '- Mean surface downward UV radiation flux',
             'units': 'W m**-2'},
            {'abbr': 28,
             'code': 28,
             'title': '- Mean surface photosynthetically active radiation flux',
             'units': 'W m**-2'},
            {'abbr': 29,
             'code': 29,
             'title': '- Mean large-scale precipitation rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 30,
             'code': 30,
             'title': '- Mean convective precipitation rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 31,
             'code': 31,
             'title': '- Mean snowfall rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 32,
             'code': 32,
             'title': '- Mean boundary layer dissipation',
             'units': 'W m**-2'},
            {'abbr': 33,
             'code': 33,
             'title': '- Mean surface sensible heat flux',
             'units': 'W m**-2'},
            {'abbr': 34,
             'code': 34,
             'title': '- Mean surface latent heat flux',
             'units': 'W m**-2'},
            {'abbr': 35,
             'code': 35,
             'title': '- Mean surface downward short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 36,
             'code': 36,
             'title': '- Mean surface downward long-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 37,
             'code': 37,
             'title': '- Mean surface net short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 38,
             'code': 38,
             'title': '- Mean surface net long-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 39,
             'code': 39,
             'title': '- Mean top net short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 40,
             'code': 40,
             'title': '- Mean top net long-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 41,
             'code': 41,
             'title': '- Mean eastward turbulent surface stress',
             'units': 'N m**-2'},
            {'abbr': 42,
             'code': 42,
             'title': '- Mean northward turbulent surface stress',
             'units': 'N m**-2'},
            {'abbr': 43,
             'code': 43,
             'title': '- Mean evaporation rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 44,
             'code': 44,
             'title': '- Sunshine duration fraction',
             'units': 'Proportion'},
            {'abbr': 45,
             'code': 45,
             'title': '- Mean eastward gravity wave surface stress',
             'units': 'N m**-2'},
            {'abbr': 46,
             'code': 46,
             'title': '- Mean northward gravity wave surface stress',
             'units': 'N m**-2'},
            {'abbr': 47,
             'code': 47,
             'title': '- Mean gravity wave dissipation',
             'units': 'W m**-2'},
            {'abbr': 48,
             'code': 48,
             'title': '- Mean runoff rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 49,
             'code': 49,
             'title': '- Mean top net short-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 50,
             'code': 50,
             'title': '- Mean top net long-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 51,
             'code': 51,
             'title': '- Mean surface net short-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 52,
             'code': 52,
             'title': '- Mean surface net long-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 53,
             'code': 53,
             'title': '- Mean top downward short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 54,
             'code': 54,
             'title': '- Mean vertically integrated moisture divergence',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 55,
             'code': 55,
             'title': '- Mean total precipitation rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 56,
             'code': 56,
             'title': '- Mean convective snowfall rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 57,
             'code': 57,
             'title': '- Mean large-scale snowfall rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 58,
             'code': 58,
             'title': '- Mean surface direct short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 59,
             'code': 59,
             'title': '- Mean surface direct short-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 60,
             'code': 60,
             'title': '- Mean surface diffuse short-wave radiation flux',
             'units': 'W m**-2'},
            {'abbr': 61,
             'code': 61,
             'title': '- Mean surface diffuse short-wave radiation flux, clear sky',
             'units': 'W m**-2'},
            {'abbr': 62,
             'code': 62,
             'title': '- Mean carbon dioxide net ecosystem exchange flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 63,
             'code': 63,
             'title': '- Mean carbon dioxide gross primary production flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 64,
             'code': 64,
             'title': '- Mean carbon dioxide ecosystem respiration flux',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 65,
             'code': 65,
             'title': '- Mean rain rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 66,
             'code': 66,
             'title': '- Mean convective rain rate',
             'units': 'kg m**-2 s**-1'},
            {'abbr': 67,
             'code': 67,
             'title': '- Mean large-scale rain rate',
             'units': 'kg m**-2 s**-1'})
