def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Reserved'},
            {'abbr': 'surf',
             'code': 1,
             'title': 'Surface',
             'units': 'of the Earth, which includes sea surface'},
            {'abbr': 'bcld', 'code': 2, 'title': 'Cloud base level'},
            {'abbr': 'tcld', 'code': 3, 'title': 'Cloud top level'},
            {'abbr': 'isot', 'code': 4, 'title': '0 deg (C) isotherm level'},
            {'abbr': 5,
             'code': 5,
             'title': 'Adiabatic condensation level',
             'units': 'parcel lifted from surface'},
            {'abbr': 6, 'code': 6, 'title': 'Maximum wind speed level'},
            {'abbr': 7, 'code': 7, 'title': 'Tropopause level'},
            {'abbr': 'tatm', 'code': 8, 'title': 'Nominal top of atmosphere'},
            {'abbr': 9, 'code': 9, 'title': 'Sea bottom'},
            {'abbr': 'pl',
             'code': 100,
             'title': 'Isobaric level pressure in hectoPascals (hPa)',
             'units': '2 octets'},
            {'abbr': 101,
             'code': 101,
             'title': 'Layer between two isobaric levels pressure of top (kPa) pressure '
                      'of bottom',
             'units': 'kPa'},
            {'abbr': 'msl', 'code': 102, 'title': 'Mean sea level 0 0'},
            {'abbr': 'hmsl',
             'code': 103,
             'title': 'Fixed height level height above mean sea level (MSL) in meters'},
            {'abbr': 104,
             'code': 104,
             'title': 'Layer between two height levels above msl height of top (hm) above '
                      'mean sea level height of bottom (hm) above mean sea level'},
            {'abbr': 'hl',
             'code': 105,
             'title': 'Fixed height above ground height in meters',
             'units': '2 octets'},
            {'abbr': 'lhl',
             'code': 106,
             'title': 'Layer between two height levels above ground height of top (hm) '
                      'above ground height of bottom (hm) above ground'},
            {'abbr': 107,
             'code': 107,
             'title': 'Sigma level sigma value in 1/10000',
             'units': '2 octets'},
            {'abbr': 108,
             'code': 108,
             'title': 'Layer between two sigma levels sigma value at top in 1/100 sigma '
                      'value at bottom in 1/100'},
            {'abbr': 'ml',
             'code': 109,
             'title': 'Hybrid level level number',
             'units': '2 octets'},
            {'abbr': 110,
             'code': 110,
             'title': 'Layer between two hybrid levels level number of top level number '
                      'of bottom'},
            {'abbr': 111,
             'code': 111,
             'title': 'Depth below land surface centimeters',
             'units': '2 octets'},
            {'abbr': 'ldl',
             'code': 112,
             'title': 'Layer between two depths below land surface depth of upper surface '
                      '(cm) depth of lower surface',
             'units': 'cm'},
            {'abbr': 'pt',
             'code': 113,
             'title': 'Isentropic (theta) level Potential Temp. degrees K',
             'units': '2 octets'},
            {'abbr': 114,
             'code': 114,
             'title': 'Layer between two isentropic levels 475K minus theta of top in '
                      'Deg. K 475K minus theta of bottom in Deg. K'},
            {'abbr': 115,
             'code': 115,
             'title': 'Level at specified pressure difference from ground to level hPa',
             'units': '2 octets'},
            {'abbr': 116,
             'code': 116,
             'title': 'Layer between two levels at specified pressure differences from '
                      'ground to levels pressure difference from ground to top level hPa '
                      'pressure difference from ground to bottom level hPa'},
            {'abbr': 'pv',
             'code': 117,
             'title': 'Potential vorticity surface 10-9 K m2 kg-1 s-1'},
            {'abbr': 121,
             'code': 121,
             'title': 'Layer between two isobaric surfaces (high precision) 1100 hPa '
                      'minus pressure of top, in hPa 1100 hPa minus pressure of bottom, '
                      'in hPa'},
            {'abbr': 125,
             'code': 125,
             'title': 'Height level above ground (high precision) centimeters',
             'units': '2 octets'},
            {'abbr': 128,
             'code': 128,
             'title': 'Layer between two sigma levels (high precision) 1.1 minus sigma of '
                      'top, in 1/1000 of sigma 1.1 minus sigma of bottom, in 1/1000 of '
                      'sigma'},
            {'abbr': 141,
             'code': 141,
             'title': 'Layer between two isobaric surfaces (mixed precision) pressure of '
                      'top, in kPa 1100hPa minus pressure of bottom, in hPa'},
            {'abbr': 'dp',
             'code': 160,
             'title': 'Depth below sea level meters',
             'units': '2 octets'},
            {'abbr': 'nd',
             'code': 191,
             'title': 'Northern Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'ned',
             'code': 192,
             'title': 'Northern-Eastern Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'ed',
             'code': 193,
             'title': 'Eastern Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'sed',
             'code': 194,
             'title': 'Southern-Eastern Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'sd',
             'code': 195,
             'title': 'Southern Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'swd',
             'code': 196,
             'title': 'Southern-Western Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'wd',
             'code': 197,
             'title': 'Western Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'nwd',
             'code': 198,
             'title': 'Northern-Western Direction',
             'units': 'SMHI Extension'},
            {'abbr': 'atm',
             'code': 200,
             'title': 'Entire atmosphere considered as a single layer 0',
             'units': '2 octets'},
            {'abbr': 201,
             'code': 201,
             'title': 'Entire ocean considered as a single layer 0',
             'units': '2 octets'})
