def load(h):
    return ({'abbr': 'p', 'code': 1, 'title': 'P Pressure Pa'},
            {'abbr': 'msl', 'code': 2, 'title': 'MSL Mean sea level pressure Pa'},
            {'abbr': 3, 'code': 3, 'title': 'None Pressure tendency Pa s**-1'},
            {'abbr': 'pv',
             'code': 4,
             'title': 'PV Potential vorticity K m**2 kg**-1 s**-1'},
            {'abbr': 5,
             'code': 5,
             'title': 'None ICAO Standard Atmosphere reference height m'},
            {'abbr': 'z', 'code': 6, 'title': 'Z Geopotential m**2 s**-2'},
            {'abbr': 'gh', 'code': 7, 'title': 'GH Geopotential height gpm'},
            {'abbr': 'h', 'code': 8, 'title': 'H Geometrical height m'},
            {'abbr': 9, 'code': 9, 'title': 'None Standard deviation of height m'},
            {'abbr': 'tco3',
             'code': 10,
             'title': 'TCO3 Total (column) ozone Dobson',
             'units': 'kg m**-2'},
            {'abbr': 't', 'code': 11, 'title': 'T Temperature K'},
            {'abbr': 12, 'code': 12, 'title': 'None Virtual temperature K'},
            {'abbr': 13, 'code': 13, 'title': 'None Potential temperature K'},
            {'abbr': 14,
             'code': 14,
             'title': 'None Pseudo-adiabatic potential temperature K'},
            {'abbr': 15, 'code': 15, 'title': 'None Maximum temperature K'},
            {'abbr': 16, 'code': 16, 'title': 'None Minimum temperature K'},
            {'abbr': 17, 'code': 17, 'title': 'None Dew-point temperature K'},
            {'abbr': 18, 'code': 18, 'title': 'None Dew-point depression (or deficit) K'},
            {'abbr': 19, 'code': 19, 'title': 'None Lapse rate K s**-1'},
            {'abbr': 20, 'code': 20, 'title': 'None Visibility m'},
            {'abbr': 21, 'code': 21, 'title': 'None Radar spectra (1) -'},
            {'abbr': 22, 'code': 22, 'title': 'None Radar spectra (2) -'},
            {'abbr': 23, 'code': 23, 'title': 'None Radar spectra (3) -'},
            {'abbr': 24, 'code': 24, 'title': 'None Parcel lifted index (to 500 hPa) K'},
            {'abbr': 25, 'code': 25, 'title': 'None Temperature anomaly K'},
            {'abbr': 26, 'code': 26, 'title': 'None Pressure anomaly Pa'},
            {'abbr': 27, 'code': 27, 'title': 'None Geopotential height anomaly gpm'},
            {'abbr': 28, 'code': 28, 'title': 'None Wave spectra (1) -'},
            {'abbr': 29, 'code': 29, 'title': 'None Wave spectra (2) -'},
            {'abbr': 30, 'code': 30, 'title': 'None Wave spectra (3) -'},
            {'abbr': 31, 'code': 31, 'title': 'None Wind direction Degree true'},
            {'abbr': 32, 'code': 32, 'title': 'None Wind speed m s**-1'},
            {'abbr': 'u', 'code': 33, 'title': 'U U-component of wind m s**-1'},
            {'abbr': 'v', 'code': 34, 'title': 'V V-component of wind m s**-1'},
            {'abbr': 35, 'code': 35, 'title': 'None Stream Function m**2 s**-1'},
            {'abbr': 36, 'code': 36, 'title': 'None Velocity Potential m**2 s**-1'},
            {'abbr': 37,
             'code': 37,
             'title': 'None Montgomery stream Function m**2 s**-1'},
            {'abbr': 38,
             'code': 38,
             'title': 'None Sigma coordinate vertical velocity s**-1'},
            {'abbr': 'w', 'code': 39, 'title': 'W Vertical velocity Pa s**-1'},
            {'abbr': 40, 'code': 40, 'title': 'None Vertical velocity m s**-1'},
            {'abbr': 41, 'code': 41, 'title': 'None Absolute vorticity s**-1'},
            {'abbr': 42, 'code': 42, 'title': 'None Absolute divergence s**-1'},
            {'abbr': 'vo', 'code': 43, 'title': 'VO Relative vorticity s**-1'},
            {'abbr': 'd', 'code': 44, 'title': 'D Relative divergence s**-1'},
            {'abbr': 45, 'code': 45, 'title': 'None Vertical u-component shear s**-1'},
            {'abbr': 46, 'code': 46, 'title': 'None Vertical v-component shear s**-1'},
            {'abbr': 47, 'code': 47, 'title': 'None Direction of current Degree true'},
            {'abbr': 48, 'code': 48, 'title': 'None Speed of current m s**-1'},
            {'abbr': 49, 'code': 49, 'title': 'None U-component of current m s**-1'},
            {'abbr': 50, 'code': 50, 'title': 'None V-component of current m s**-1'},
            {'abbr': 'q', 'code': 51, 'title': 'Q Specific humidity kg kg**-1'},
            {'abbr': 'r', 'code': 52, 'title': 'R Relative humidity %'},
            {'abbr': 53, 'code': 53, 'title': 'None Humidity mixing ratio kg m**-2'},
            {'abbr': 54, 'code': 54, 'title': 'None Precipitable water kg m**-2'},
            {'abbr': 55, 'code': 55, 'title': 'None Vapour pressure Pa'},
            {'abbr': 56, 'code': 56, 'title': 'None Saturation deficit Pa'},
            {'abbr': 'e', 'code': 57, 'title': 'E Evaporation kg m**-2'},
            {'abbr': 'ciwc', 'code': 58, 'title': 'CIWC Cloud ice kg m**-2'},
            {'abbr': 59, 'code': 59, 'title': 'None Precipitation rate kg m**-2 s**-1'},
            {'abbr': 60, 'code': 60, 'title': 'None Thunderstorm probability %'},
            {'abbr': 'tp', 'code': 61, 'title': 'TP Total precipitation kg m**-2'},
            {'abbr': 62, 'code': 62, 'title': 'LSP Large scale precipitation kg m**-2'},
            {'abbr': 63,
             'code': 63,
             'title': 'None Convective precipitation (water) kg m**-2'},
            {'abbr': 64,
             'code': 64,
             'title': 'None Snow fall rate water equivalent kg m**-2 s**-1'},
            {'abbr': 'sf',
             'code': 65,
             'title': 'SF Water equivalentof accumulated snow depth kg m**-2'},
            {'abbr': 'sd',
             'code': 66,
             'title': 'SD Snow depth m',
             'units': 'of water equivalent'},
            {'abbr': 67, 'code': 67, 'title': 'None Mixed layer depth m'},
            {'abbr': 68, 'code': 68, 'title': 'None Transient thermocline depth m'},
            {'abbr': 69, 'code': 69, 'title': 'None Main thermocline depth m'},
            {'abbr': 70, 'code': 70, 'title': 'None Main thermocline anomaly m'},
            {'abbr': 'tcc', 'code': 71, 'title': 'TCC Total cloud cover %'},
            {'abbr': 'ccc', 'code': 72, 'title': 'CCC Convective cloud cover %'},
            {'abbr': 'lcc', 'code': 73, 'title': 'LCC Low cloud cover %'},
            {'abbr': 'mcc', 'code': 74, 'title': 'MCC Medium cloud cover %'},
            {'abbr': 'hcc', 'code': 75, 'title': 'HCC High cloud cover %'},
            {'abbr': 'clwc',
             'code': 76,
             'title': 'CLWC Cloud liquid water content kg kg**-1'},
            {'abbr': 77, 'code': 77, 'title': 'None Best lifted index (to 500 hPa) K'},
            {'abbr': 'csf', 'code': 78, 'title': 'CSF Convective snow-fall kg m**-2'},
            {'abbr': 'lsf', 'code': 79, 'title': 'LSF Large scale snow-fall kg m**-2'},
            {'abbr': 80, 'code': 80, 'title': 'None Water temperature K'},
            {'abbr': 'lsm',
             'code': 81,
             'title': 'LSM Land cover (1=land, 0=sea)',
             'units': '0 - 1'},
            {'abbr': 82, 'code': 82, 'title': 'None Deviation of sea-level from mean m'},
            {'abbr': 'sr', 'code': 83, 'title': 'SR Surface roughness m'},
            {'abbr': 'al', 'code': 84, 'title': 'AL Albedo -'},
            {'abbr': 'st', 'code': 85, 'title': 'ST Surface temperature of soil K'},
            {'abbr': 'ssw', 'code': 86, 'title': 'SSW Soil moisture content kg m**-2'},
            {'abbr': 'veg', 'code': 87, 'title': 'VEG Percentage of vegetation %'},
            {'abbr': 88, 'code': 88, 'title': 'None Salinity kg kg**-1'},
            {'abbr': 89, 'code': 89, 'title': 'None Density kg m**-3'},
            {'abbr': 'ro', 'code': 90, 'title': 'RO Water run-off kg m**-2'},
            {'abbr': 91,
             'code': 91,
             'title': 'None Ice cover (1=land, 0=sea)',
             'units': '0 - 1'},
            {'abbr': 92, 'code': 92, 'title': 'None Ice thickness m'},
            {'abbr': 93, 'code': 93, 'title': 'None Direction of ice drift Degree true'},
            {'abbr': 94, 'code': 94, 'title': 'None Speed of ice drift m s*-1'},
            {'abbr': 95, 'code': 95, 'title': 'None U-component of ice drift m s**-1'},
            {'abbr': 96, 'code': 96, 'title': 'None V-component of ice drift m s**-1'},
            {'abbr': 97, 'code': 97, 'title': 'None Ice growth rate m s**-1'},
            {'abbr': 98, 'code': 98, 'title': 'None Ice divergence s**-1'},
            {'abbr': 99, 'code': 99, 'title': 'None Snow melt kg m**-2'},
            {'abbr': 'swh',
             'code': 100,
             'title': 'SWH Signific.height,combined wind waves+swell m'},
            {'abbr': 'mdww',
             'code': 101,
             'title': 'MDWW Mean direction of wind waves Degree true'},
            {'abbr': 'shww',
             'code': 102,
             'title': 'SHWW Significant height of wind waves m'},
            {'abbr': 'mpww', 'code': 103, 'title': 'MPWW Mean period of wind waves s'},
            {'abbr': 104,
             'code': 104,
             'title': 'None Direction of swell waves Degree true'},
            {'abbr': 105,
             'code': 105,
             'title': 'None Significant height of swell waves m'},
            {'abbr': 106, 'code': 106, 'title': 'None Mean period of swell waves s'},
            {'abbr': 'mdps',
             'code': 107,
             'title': 'MDPS Mean direction of primary swell Degree true'},
            {'abbr': 'mpps', 'code': 108, 'title': 'MPPS Mean period of primary swell s'},
            {'abbr': 109,
             'code': 109,
             'title': 'None Secondary wave direction Degree true'},
            {'abbr': 110, 'code': 110, 'title': 'None Secondary wave period s'},
            {'abbr': 111,
             'code': 111,
             'title': 'None Net short-wave radiation flux (surface) W m**-2'},
            {'abbr': 112,
             'code': 112,
             'title': 'None Net long-wave radiation flux (surface) W m**-2'},
            {'abbr': 113,
             'code': 113,
             'title': 'None Net short-wave radiation flux(atmosph.top) W m**-2'},
            {'abbr': 114,
             'code': 114,
             'title': 'None Net long-wave radiation flux(atmosph.top) W m**-2'},
            {'abbr': 115, 'code': 115, 'title': 'None Long-wave radiation flux W m**-2'},
            {'abbr': 116, 'code': 116, 'title': 'None Short-wave radiation flux W m**-2'},
            {'abbr': 117, 'code': 117, 'title': 'None Global radiation flux W m**-2'},
            {'abbr': 118, 'code': 118, 'title': 'None Brightness temperature K'},
            {'abbr': 119,
             'code': 119,
             'title': 'None Radiance (with respect to wave number) W m**-1 sr**-1'},
            {'abbr': 120,
             'code': 120,
             'title': 'None Radiance (with respect to wave length) W m**-1 sr**-1'},
            {'abbr': 'slhf',
             'code': 121,
             'title': 'SLHF (surface) Latent heat flux W m**-2'},
            {'abbr': 'sshf',
             'code': 122,
             'title': 'SSHF (surface) Sensible heat flux W m**-2'},
            {'abbr': 'bld',
             'code': 123,
             'title': 'BLD Boundary layer dissipation W m**-2'},
            {'abbr': 124, 'code': 124, 'title': 'None Momentum flux, u-component N m**-2'},
            {'abbr': 125, 'code': 125, 'title': 'None Momentum flux, v-component N m**-2'},
            {'abbr': 126, 'code': 126, 'title': 'None Wind mixing energy J'},
            {'abbr': 127, 'code': 127, 'title': 'None Image data -'},
            {'abbr': 'lsm', 'code': 148, 'title': 'LSM LandSeaMask'},
            {'abbr': 160, 'code': 160, 'title': 'Unknown'},
            {'abbr': '-', 'code': 255, 'title': '- Indicates a missing value -'})
