def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'none'},
            {'abbr': 1, 'code': 1, 'title': 'Atm. conc. [g/kg]'},
            {'abbr': 2, 'code': 2, 'title': 'Log Atm. conc. [g/kg]'},
            {'abbr': 3, 'code': 3, 'title': 'Atm. conc. [g/m3]'},
            {'abbr': 3, 'code': 3, 'title': 'Atm. conc. [g/m3]'},
            {'abbr': 4, 'code': 4, 'title': 'Log Atm. conc. [g/m3]'},
            {'abbr': 7, 'code': 7, 'title': 'Atm. conc. [number/m3]'},
            {'abbr': 9, 'code': 9, 'title': 'Atm. conc. [Bq/m3]'},
            {'abbr': 10, 'code': 10, 'title': 'Log Atm. conc. [Bq/m3]'},
            {'abbr': 11, 'code': 11, 'title': 'Atm. conc. at reference height [g/kg]'},
            {'abbr': 12, 'code': 12, 'title': 'Atm. conc. at reference height [g/m3]'},
            {'abbr': 13, 'code': 13, 'title': 'Log Atm. conc. at reference height [g/m3]'},
            {'abbr': 14, 'code': 14, 'title': 'Total column [g/m2]'},
            {'abbr': 14, 'code': 14, 'title': 'Column up to 6000m [g/m2]'},
            {'abbr': 14, 'code': 14, 'title': 'Column up above 6000m [g/m2]'},
            {'abbr': 14, 'code': 14, 'title': 'Max in column up to 6000m [g/m3]'},
            {'abbr': 14, 'code': 14, 'title': 'Max in column above 6000m [g/m3]'},
            {'abbr': 15, 'code': 15, 'title': 'Level at max in column up to 6000m [m]'},
            {'abbr': 15, 'code': 15, 'title': 'Level at max in column above 6000m [m]'},
            {'abbr': 21, 'code': 21, 'title': 'Integrated atm. conc. s [g/kg]'},
            {'abbr': 22, 'code': 22, 'title': 'Log Integrated atm. conc. s [g/kg]'},
            {'abbr': 23, 'code': 23, 'title': 'Integrated atm. conc. s [g/m3]'},
            {'abbr': 24,
             'code': 24,
             'title': 'Logarith of Integrated atm. conc. s [g/m3]'},
            {'abbr': 27, 'code': 27, 'title': 'Integrated atm. conc. s [number/m3]'},
            {'abbr': 29, 'code': 29, 'title': 'Integrated atm. conc. s [Bq/m3]'},
            {'abbr': 30, 'code': 30, 'title': 'Log Integrated atm. conc. s [Bq/m3]'},
            {'abbr': 51, 'code': 51, 'title': 'Conc. in liquid water [g/m3]'},
            {'abbr': 53, 'code': 53, 'title': 'Conc. in liquid water Equivalents/m3'},
            {'abbr': 54, 'code': 54, 'title': 'Conc. in liquid water [number/m3]'},
            {'abbr': 55, 'code': 55, 'title': 'Conc. in liquid water [Bq/m3]'},
            {'abbr': 61, 'code': 61, 'title': 'Conc. in ice water [g/m3]'},
            {'abbr': 63, 'code': 63, 'title': 'Conc. in ice water Equivalents/m3'},
            {'abbr': 64, 'code': 64, 'title': 'Conc. in ice water [number/m3]'},
            {'abbr': 65, 'code': 65, 'title': 'Conc. in ice water [Bq/m3]'},
            {'abbr': 71,
             'code': 71,
             'title': 'Conc. in precipitation [g/m3]',
             'units': 'mg/l'},
            {'abbr': 73, 'code': 73, 'title': 'Conc. in precipitation Equivalents/m3'},
            {'abbr': 74, 'code': 74, 'title': 'Conc. in precipitation [number/m3]'},
            {'abbr': 75, 'code': 75, 'title': 'Conc. in precipitation [Bq/m3]'},
            {'abbr': 81, 'code': 81, 'title': 'Dry deposition [g/m2]'},
            {'abbr': 82, 'code': 82, 'title': 'Log Dry deposition [g/m2]'},
            {'abbr': 84, 'code': 84, 'title': 'Dry deposition [number/m2]'},
            {'abbr': 85, 'code': 85, 'title': 'Dry deposition [Bq/m2]'},
            {'abbr': 91, 'code': 91, 'title': 'Wet deposition [g/m2]'},
            {'abbr': 92, 'code': 92, 'title': 'Log Wet deposition [g/m2]'},
            {'abbr': 94, 'code': 94, 'title': 'Wet deposition [number/m2]'},
            {'abbr': 95, 'code': 95, 'title': 'Wet deposition [Bq/m2]'},
            {'abbr': 101, 'code': 101, 'title': 'Total deposition [g/m2]'},
            {'abbr': 102, 'code': 102, 'title': 'Log Total deposition [g/m2]'},
            {'abbr': 104, 'code': 104, 'title': 'Total deposition [number/m2]'},
            {'abbr': 105, 'code': 105, 'title': 'Total deposition [Bq/m2]'},
            {'abbr': 110, 'code': 110, 'title': 'Emissions [ton]'},
            {'abbr': 111, 'code': 111, 'title': 'Emissions [kg]'},
            {'abbr': 112, 'code': 112, 'title': 'Emissions [g]'},
            {'abbr': 114, 'code': 114, 'title': 'Emissions [number]'},
            {'abbr': 115, 'code': 115, 'title': 'Emissions [Bq]'},
            {'abbr': 121, 'code': 121, 'title': 'Emissions [kg/s]'},
            {'abbr': 122, 'code': 122, 'title': 'Emissions [g/s]'},
            {'abbr': 124, 'code': 124, 'title': 'Emissions [number/s]'},
            {'abbr': 125, 'code': 125, 'title': 'Emissions [Bq/s]'},
            {'abbr': 131, 'code': 131, 'title': 'Emissions [kg/(m2 s)]'},
            {'abbr': 132, 'code': 132, 'title': 'Emissions [g/(m2 s)]'},
            {'abbr': 134, 'code': 134, 'title': 'Emissions [number/(m2 s)]'},
            {'abbr': 135, 'code': 135, 'title': 'Emissions [Bq/(m2 s)]'},
            {'abbr': 136, 'code': 136, 'title': 'Surface emissions [kg/(m2 s)]'},
            {'abbr': 137, 'code': 137, 'title': 'Surface emissions [g/(m2 s)]'},
            {'abbr': 138, 'code': 138, 'title': 'Surface emissions [number/(m2 s)]'},
            {'abbr': 139, 'code': 139, 'title': 'Surface emissions [Bq/(m2 s)]'},
            {'abbr': 150, 'code': 150, 'title': 'Inhalation dose [nSv]'},
            {'abbr': 151, 'code': 151, 'title': 'Ground dose [nSv]'},
            {'abbr': 152, 'code': 152, 'title': 'Infinite cloud dose [nSv]'},
            {'abbr': 153, 'code': 153, 'title': 'Sum of cloud and ground dose [nSv]'},
            {'abbr': 201, 'code': 201, 'title': 'Dry deposition velocity [m/s]'},
            {'abbr': 202, 'code': 202, 'title': 'Settling velocity [m/s]'},
            {'abbr': 203, 'code': 203, 'title': 'Scavenging coefficient [1/s]'},
            {'abbr': 205, 'code': 205, 'title': 'Degree hours or days for last day [K]'},
            {'abbr': 206, 'code': 206, 'title': 'Current degree days [K]'},
            {'abbr': 207, 'code': 207, 'title': 'Critical degree days [K]'},
            {'abbr': 208, 'code': 208, 'title': 'Accum pollen emission [grains/m2]'},
            {'abbr': 209, 'code': 209, 'title': 'Correction factor [fraction]'},
            {'abbr': 210, 'code': 210, 'title': 'Aerosol optical depth []'},
            {'abbr': 240,
             'code': 240,
             'title': 'Deposition arrival since 1 Jan 1971 [days]'},
            {'abbr': 241,
             'code': 241,
             'title': 'Latest deposition since 1 Jan 1971 [days]'},
            {'abbr': 242,
             'code': 242,
             'title': 'Time of max activity since 1 Jan 1971 [days]'},
            {'abbr': 243, 'code': 243, 'title': 'Max radioactive activity [Bq/m2]'},
            {'abbr': 244, 'code': 244, 'title': 'Log Max radioactive activity'},
            {'abbr': 250, 'code': 250, 'title': 'Relative occurrence []'},
            {'abbr': 251, 'code': 251, 'title': 'statistics [kg]'},
            {'abbr': 252, 'code': 252, 'title': 'statistics [mol]'},
            {'abbr': None, 'code': 255, 'title': 'missing value'})
