import pyeccodes.accessors as _


def load(h):

    _.Template('grib1/grid_[gridDefinition].def').load(h)
    h.add(_.Constant('numberOfVerticalCoordinateValues', 0))
    h.add(_.Constant('neitherPresent', 255))
    h.alias('NV', 'numberOfVerticalCoordinateValues')
    h.alias('numberOfCoordinatesValues', 'numberOfVerticalCoordinateValues')
    h.add(_.Constant('pvlLocation', 255))
    h.add(_.Constant('dataRepresentationType', 0))
    h.add(_.Constant('gridDefinitionTemplateNumber', 0))
    h.alias('numberOfPointsAlongAParallel', 'Ni')
    h.alias('numberOfPointsAlongAMeridian', 'Nj')
    h.add(_.Scale('latitudeOfFirstGridPointInDegrees', _.Get('latitudeOfFirstGridPoint'), _.Get('oneConstant'), _.Get('grib1divider'), _.Get('truncateDegrees')))
    h.alias('geography.latitudeOfFirstGridPointInDegrees', 'latitudeOfFirstGridPointInDegrees')
    h.alias('La1', 'latitudeOfFirstGridPoint')
    h.add(_.Scale('longitudeOfFirstGridPointInDegrees', _.Get('longitudeOfFirstGridPoint'), _.Get('oneConstant'), _.Get('grib1divider'), _.Get('truncateDegrees')))
    h.alias('geography.longitudeOfFirstGridPointInDegrees', 'longitudeOfFirstGridPointInDegrees')
    h.alias('Lo1', 'longitudeOfFirstGridPoint')
    h.add(_.Constant('resolutionAndComponentFlags', 128))
    h.add(_.Constant('ijDirectionIncrementGiven', 1))
    h.alias('iDirectionIncrementGiven', 'ijDirectionIncrementGiven')
    h.alias('jDirectionIncrementGiven', 'ijDirectionIncrementGiven')
    h.alias('DiGiven', 'ijDirectionIncrementGiven')
    h.alias('DjGiven', 'ijDirectionIncrementGiven')
    h.add(_.Constant('earthIsOblate', 0))
    h.add(_.Constant('resolutionAndComponentFlags3', 0))
    h.add(_.Constant('resolutionAndComponentFlags4', 0))
    h.add(_.Constant('uvRelativeToGrid', 0))
    h.add(_.Constant('resolutionAndComponentFlags6', 0))
    h.add(_.Constant('resolutionAndComponentFlags7', 0))
    h.add(_.Constant('resolutionAndComponentFlags8', 0))
    h.add(_.Scale('latitudeOfLastGridPointInDegrees', _.Get('latitudeOfLastGridPoint'), _.Get('oneConstant'), _.Get('grib1divider'), _.Get('truncateDegrees')))
    h.alias('geography.latitudeOfLastGridPointInDegrees', 'latitudeOfLastGridPointInDegrees')
    h.alias('La2', 'latitudeOfLastGridPoint')
    h.add(_.Scale('longitudeOfLastGridPointInDegrees', _.Get('longitudeOfLastGridPoint'), _.Get('oneConstant'), _.Get('grib1divider'), _.Get('truncateDegrees')))
    h.alias('geography.longitudeOfLastGridPointInDegrees', 'longitudeOfLastGridPointInDegrees')
    h.alias('Lo2', 'longitudeOfLastGridPoint')
    h.alias('Dj', 'jDirectionIncrement')
    h.alias('Di', 'iDirectionIncrement')
    h.add(_.Constant('scanningMode', 64))
    h.add(_.Constant('iScansNegatively', 0))
    h.add(_.Constant('jScansPositively', 1))
    h.add(_.Constant('jPointsAreConsecutive', 0))
    h.add(_.Constant('iScansPositively', 1))
    h.add(_.Constant('scanningMode4', 0))
    h.add(_.Constant('scanningMode5', 0))
    h.add(_.Constant('scanningMode6', 0))
    h.add(_.Constant('scanningMode7', 0))
    h.add(_.Constant('scanningMode8', 0))
    h.add(_.Latlon_increment('jDirectionIncrementInDegrees', _.Get('ijDirectionIncrementGiven'), _.Get('jDirectionIncrement'), _.Get('jScansPositively'), _.Get('latitudeOfFirstGridPointInDegrees'), _.Get('latitudeOfLastGridPointInDegrees'), _.Get('numberOfPointsAlongAMeridian'), _.Get('oneConstant'), _.Get('grib1divider'), 0))
    h.alias('geography.jDirectionIncrementInDegrees', 'jDirectionIncrementInDegrees')
    h.add(_.Latlon_increment('iDirectionIncrementInDegrees', _.Get('ijDirectionIncrementGiven'), _.Get('iDirectionIncrement'), _.Get('iScansPositively'), _.Get('longitudeOfFirstGridPointInDegrees'), _.Get('longitudeOfLastGridPointInDegrees'), _.Get('Ni'), _.Get('oneConstant'), _.Get('grib1divider'), 1))
    h.alias('geography.iDirectionIncrementInDegrees', 'iDirectionIncrementInDegrees')
    h.alias('latitudeFirstInDegrees', 'latitudeOfFirstGridPointInDegrees')
    h.alias('longitudeFirstInDegrees', 'longitudeOfFirstGridPointInDegrees')
    h.alias('latitudeLastInDegrees', 'latitudeOfLastGridPointInDegrees')
    h.alias('longitudeLastInDegrees', 'longitudeOfLastGridPointInDegrees')
    h.alias('DiInDegrees', 'iDirectionIncrementInDegrees')
    h.alias('DjInDegrees', 'jDirectionIncrementInDegrees')
    h.alias('numberOfPoints', 'numberOfDataPoints')
    h.add(_.Constant('PVPresent', 0))
    h.add(_.Constant('PLPresent', 0))
    h.add(_.Constant('reducedGrid', 0))
    h.add(_.Constant('numberOfUnusedBitsAtEndOfSection3', 0))
    h.add(_.Constant('tableReference', 0))
    h.add(_.Gds_not_present_bitmap('bitmap', _.Get('missingValue'), _.Get('numberOfValues'), _.Get('numberOfPoints'), _.Get('latitudeOfFirstGridPoint'), _.Get('Ni'), _.Get('numberOfUnusedBitsAtEndOfSection3')))
