def load(h):
    return ({'abbr': 0,
             'code': 0,
             'title': 'Mass density (concentration)',
             'units': 'kg m-3'},
            {'abbr': 1,
             'code': 1,
             'title': 'Column-integrated mass density',
             'units': 'kg m-2'},
            {'abbr': 2,
             'code': 2,
             'title': 'Mass mixing ratio (mass fraction in air)',
             'units': 'kg/kg'},
            {'abbr': 3,
             'code': 3,
             'title': 'Atmosphere emission mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 4,
             'code': 4,
             'title': 'Atmosphere net production mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 5,
             'code': 5,
             'title': 'Atmosphere net production and emission mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 6,
             'code': 6,
             'title': 'Surface dry deposition mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 7,
             'code': 7,
             'title': 'Surface wet deposition mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 8,
             'code': 8,
             'title': 'Atmosphere re-emission mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 9,
             'code': 9,
             'title': 'Wet deposition by large-scale precipitation mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 10,
             'code': 10,
             'title': 'Wet deposition by convective precipitation mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 11,
             'code': 11,
             'title': 'Sedimentation mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 12,
             'code': 12,
             'title': 'Dry deposition mass flux',
             'units': 'kg m-2 s-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'Transfer from hydrophobic to hydrophilic',
             'units': 'kg kg-1 s-1'},
            {'abbr': 14,
             'code': 14,
             'title': 'Transfer from SO2 (Sulphur dioxide) to SO4 (sulphate)',
             'units': 'kg kg-1 s-1'},
            {'abbr': 50, 'code': 50, 'title': 'Amount in atmosphere', 'units': 'mol'},
            {'abbr': 51, 'code': 51, 'title': 'Concentration in air', 'units': 'mol m-3'},
            {'abbr': 52,
             'code': 52,
             'title': 'Volume mixing ratio (fraction in air)',
             'units': 'mol/mol'},
            {'abbr': 53,
             'code': 53,
             'title': 'Chemical gross production rate of concentration',
             'units': 'mol m-3 s-1'},
            {'abbr': 54,
             'code': 54,
             'title': 'Chemical gross destruction rate of concentration',
             'units': 'mol m-3 s-1'},
            {'abbr': 55, 'code': 55, 'title': 'Surface flux', 'units': 'mol m-2 s-1'},
            {'abbr': 56,
             'code': 56,
             'title': 'Changes of amount in atmosphere',
             'units': 'mol/s'},
            {'abbr': 57,
             'code': 57,
             'title': 'Total yearly average burden of the atmosphere',
             'units': 'mol'},
            {'abbr': 58,
             'code': 58,
             'title': 'Total yearly averaged atmospheric loss',
             'units': 'mol/s'},
            {'abbr': 59,
             'code': 59,
             'title': 'Aerosol number concentration',
             'units': 'm-3'},
            {'abbr': 100,
             'code': 100,
             'title': 'Surface area density (aerosol)',
             'units': '/m'},
            {'abbr': 101, 'code': 101, 'title': 'Vertical visual range', 'units': 'm'},
            {'abbr': 102,
             'code': 102,
             'title': 'Aerosol optical thickness',
             'units': 'Numeric'},
            {'abbr': 103,
             'code': 103,
             'title': 'Single scattering albedo',
             'units': 'Numeric'},
            {'abbr': 104, 'code': 104, 'title': 'Asymmetry factor', 'units': 'Numeric'},
            {'abbr': 105,
             'code': 105,
             'title': 'Aerosol extinction coefficient',
             'units': 'm-1'},
            {'abbr': 106,
             'code': 106,
             'title': 'Aerosol absorption coefficient',
             'units': 'm-1'},
            {'abbr': 107,
             'code': 107,
             'title': 'Aerosol lidar backscatter from satellite',
             'units': 'm-1 sr-1'},
            {'abbr': 108,
             'code': 108,
             'title': 'Aerosol lidar backscatter from the ground',
             'units': 'm-1 sr-1'},
            {'abbr': 109,
             'code': 109,
             'title': 'Aerosol lidar extinction from satellite',
             'units': 'm-1'},
            {'abbr': 110,
             'code': 110,
             'title': 'Aerosol lidar extinction from the ground',
             'units': 'm-1'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
