def load(h):
    return ({'abbr': 0,
             'code': 0,
             'title': 'Wind direction (from which blowing)',
             'units': 'degree true'},
            {'abbr': 1, 'code': 1, 'title': 'Wind speed', 'units': 'm/s'},
            {'abbr': 2, 'code': 2, 'title': 'u-component of wind', 'units': 'm/s'},
            {'abbr': 3, 'code': 3, 'title': 'v-component of wind', 'units': 'm/s'},
            {'abbr': 4, 'code': 4, 'title': 'Stream function', 'units': 'm2 s-1'},
            {'abbr': 5, 'code': 5, 'title': 'Velocity potential', 'units': 'm2 s-1'},
            {'abbr': 6,
             'code': 6,
             'title': 'Montgomery stream function',
             'units': 'm2 s-2'},
            {'abbr': 7,
             'code': 7,
             'title': 'Sigma coordinate vertical velocity',
             'units': '/s'},
            {'abbr': 8,
             'code': 8,
             'title': 'Vertical velocity (pressure)',
             'units': 'Pa/s'},
            {'abbr': 9,
             'code': 9,
             'title': 'Vertical velocity (geometric)',
             'units': 'm/s'},
            {'abbr': 10, 'code': 10, 'title': 'Absolute vorticity', 'units': '/s'},
            {'abbr': 11, 'code': 11, 'title': 'Absolute divergence', 'units': '/s'},
            {'abbr': 12, 'code': 12, 'title': 'Relative vorticity', 'units': '/s'},
            {'abbr': 13, 'code': 13, 'title': 'Relative divergence', 'units': '/s'},
            {'abbr': 14,
             'code': 14,
             'title': 'Potential vorticity',
             'units': 'K m2 kg-1 s-1'},
            {'abbr': 15, 'code': 15, 'title': 'Vertical u-component shear', 'units': '/s'},
            {'abbr': 16, 'code': 16, 'title': 'Vertical v-component shear', 'units': '/s'},
            {'abbr': 17,
             'code': 17,
             'title': 'Momentum flux, u-component',
             'units': 'N m-2'},
            {'abbr': 18,
             'code': 18,
             'title': 'Momentum flux, v-component',
             'units': 'N m-2'},
            {'abbr': 19, 'code': 19, 'title': 'Wind mixing energy', 'units': 'J'},
            {'abbr': 20,
             'code': 20,
             'title': 'Boundary layer dissipation',
             'units': 'W m-2'},
            {'abbr': 21, 'code': 21, 'title': 'Maximum wind speed', 'units': 'm/s'},
            {'abbr': 22, 'code': 22, 'title': 'Wind speed (gust)', 'units': 'm/s'},
            {'abbr': 23,
             'code': 23,
             'title': 'u-component of wind (gust)',
             'units': 'm/s'},
            {'abbr': 24,
             'code': 24,
             'title': 'v-component of wind (gust)',
             'units': 'm/s'},
            {'abbr': 25, 'code': 25, 'title': 'Vertical speed shear', 'units': '/s'},
            {'abbr': 26,
             'code': 26,
             'title': 'Horizontal momentum flux',
             'units': 'N m-2'},
            {'abbr': 27, 'code': 27, 'title': 'u-component storm motion', 'units': 'm/s'},
            {'abbr': 28, 'code': 28, 'title': 'v-component storm motion', 'units': 'm/s'},
            {'abbr': 29, 'code': 29, 'title': 'Drag coefficient', 'units': 'Numeric'},
            {'abbr': 30, 'code': 30, 'title': 'Frictional velocity', 'units': 'm/s'},
            {'abbr': 31,
             'code': 31,
             'title': 'Turbulent diffusion coefficient for momentum',
             'units': 'm2/s'},
            {'abbr': 32,
             'code': 32,
             'title': 'Eta coordinate vertical velocity',
             'units': '/s'},
            {'abbr': 33, 'code': 33, 'title': 'Wind fetch', 'units': 'm'},
            {'abbr': 34, 'code': 34, 'title': 'Normal wind component', 'units': 'm s-1'},
            {'abbr': 35,
             'code': 35,
             'title': 'Tangential wind component',
             'units': 'm s-1'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
