def load(h):
    return ({'abbr': 0,
             'code': 0,
             'title': 'Land cover (0 = sea, 1 = land)',
             'units': 'Proportion'},
            {'abbr': 1, 'code': 1, 'title': 'Surface roughness', 'units': 'm'},
            {'abbr': 2, 'code': 2, 'title': 'Soil temperature', 'units': 'K'},
            {'abbr': 3, 'code': 3, 'title': 'Soil moisture content', 'units': 'kg m-2'},
            {'abbr': 4, 'code': 4, 'title': 'Vegetation', 'units': '%'},
            {'abbr': 5, 'code': 5, 'title': 'Water runoff', 'units': 'kg m-2'},
            {'abbr': 6, 'code': 6, 'title': 'Evapotranspiration', 'units': 'kg-2 s-1'},
            {'abbr': 7, 'code': 7, 'title': 'Model terrain height', 'units': 'm'},
            {'abbr': 8, 'code': 8, 'title': 'Land use', 'units': 'Code table 4.212'},
            {'abbr': 9,
             'code': 9,
             'title': 'Volumetric soil moisture content',
             'units': 'Proportion'},
            {'abbr': 10, 'code': 10, 'title': 'Ground heat flux', 'units': 'W m-2'},
            {'abbr': 11, 'code': 11, 'title': 'Moisture availability', 'units': '%'},
            {'abbr': 12,
             'code': 12,
             'title': 'Exchange coefficient',
             'units': 'kg m-2 s-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'Plant canopy surface water',
             'units': 'kg m-2'},
            {'abbr': 14,
             'code': 14,
             'title': "Blackadar's mixing length scale",
             'units': 'm'},
            {'abbr': 15, 'code': 15, 'title': 'Canopy conductance', 'units': 'm/s'},
            {'abbr': 16,
             'code': 16,
             'title': 'Minimal stomatal resistance',
             'units': 's/m'},
            {'abbr': 17, 'code': 17, 'title': 'Wilting point', 'units': 'Proportion'},
            {'abbr': 18,
             'code': 18,
             'title': 'Solar parameter in canopy conductance',
             'units': 'Proportion'},
            {'abbr': 19,
             'code': 19,
             'title': 'Temperature parameter in canopy',
             'units': 'Proportion'},
            {'abbr': 20,
             'code': 20,
             'title': 'Humidity parameter in canopy conductance',
             'units': 'Proportion'},
            {'abbr': 21,
             'code': 21,
             'title': 'Soil moisture parameter in canopy conductance',
             'units': 'Proportion'},
            {'abbr': 22, 'code': 22, 'title': 'Soil moisture', 'units': 'kg m-3'},
            {'abbr': 23,
             'code': 23,
             'title': 'Column-integrated soil water',
             'units': 'kg m-2'},
            {'abbr': 24, 'code': 24, 'title': 'Heat flux', 'units': 'W m-2'},
            {'abbr': 25,
             'code': 25,
             'title': 'Volumetric soil moisture',
             'units': 'm3 m-3'},
            {'abbr': 26, 'code': 26, 'title': 'Wilting point', 'units': 'kg m-3'},
            {'abbr': 27,
             'code': 27,
             'title': 'Volumetric wilting point',
             'units': 'm3 m-3'},
            {'abbr': 28, 'code': 28, 'title': 'Leaf area index', 'units': 'Numeric'},
            {'abbr': 29,
             'code': 29,
             'title': 'Evergreen forest cover',
             'units': 'Proportion'},
            {'abbr': 30,
             'code': 30,
             'title': 'Deciduous forest cover',
             'units': 'Proportion'},
            {'abbr': 31,
             'code': 31,
             'title': 'Normalized differential vegetation index (NDVI)',
             'units': 'Numeric'},
            {'abbr': 32, 'code': 32, 'title': 'Root depth of vegetation', 'units': 'm'},
            {'abbr': 33,
             'code': 33,
             'title': 'Water runoff and drainage',
             'units': 'kg m-2'},
            {'abbr': 34, 'code': 34, 'title': 'Surface water runoff', 'units': 'kg m-2'},
            {'abbr': 35, 'code': 35, 'title': 'Tile class', 'units': 'Code table 4.243'},
            {'abbr': 36, 'code': 36, 'title': 'Tile fraction', 'units': 'Proportion'},
            {'abbr': 37, 'code': 37, 'title': 'Tile percentage', 'units': '%'},
            {'abbr': 38,
             'code': 38,
             'title': 'Soil volumetric ice content (water equivalent)',
             'units': 'm3 m-3'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
