def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Reserved'},
            {'abbr': 'sfc', 'code': 1, 'title': 'Ground or water surface', 'units': '-'},
            {'abbr': 2, 'code': 2, 'title': 'Cloud base level', 'units': '-'},
            {'abbr': 3, 'code': 3, 'title': 'Level of cloud tops', 'units': '-'},
            {'abbr': 4, 'code': 4, 'title': 'Level of 0 degree C isotherm', 'units': '-'},
            {'abbr': 5,
             'code': 5,
             'title': 'Level of adiabatic condensation lifted from the surface',
             'units': '-'},
            {'abbr': 6, 'code': 6, 'title': 'Maximum wind level', 'units': '-'},
            {'abbr': 7, 'code': 7, 'title': 'Tropopause', 'units': '-'},
            {'abbr': 'sfc',
             'code': 8,
             'title': 'Nominal top of the atmosphere',
             'units': '-'},
            {'abbr': 9, 'code': 9, 'title': 'Sea bottom', 'units': '-'},
            {'abbr': 10, 'code': 10, 'title': 'Entire atmosphere', 'units': '-'},
            {'abbr': 11, 'code': 11, 'title': 'Cumulonimbus (CB) base', 'units': 'm'},
            {'abbr': 12, 'code': 12, 'title': 'Cumulonimbus (CB) top', 'units': 'm'},
            {'abbr': 13,
             'code': 13,
             'title': 'Lowest level where vertically integrated cloud cover exceeds the '
                      'specified percentage (cloud base for a given percentage cloud '
                      'cover)',
             'units': '%'},
            {'abbr': 14, 'code': 14, 'title': 'Level of free convection', 'units': 'LFC'},
            {'abbr': 15,
             'code': 15,
             'title': 'Convective condensation level',
             'units': 'CCL'},
            {'abbr': 16,
             'code': 16,
             'title': 'Level of neutral buoyancy or equilibrium level',
             'units': 'LNB'},
            {'abbr': 20, 'code': 20, 'title': 'Isothermal level', 'units': 'K'},
            {'abbr': 21,
             'code': 21,
             'title': 'Lowest level where mass density exceeds the specified value (base '
                      'for a given threshold of mass density)',
             'units': 'kg m-3'},
            {'abbr': 22,
             'code': 22,
             'title': 'Highest level where mass density exceeds the specified value (top '
                      'for a given threshold of mass density)',
             'units': 'kg m-3'},
            {'abbr': 23,
             'code': 23,
             'title': 'Lowest level where air concentration exceeds the specified value '
                      '(base for a given threshold of air concentration)',
             'units': 'Bq m-3'},
            {'abbr': 24,
             'code': 24,
             'title': 'Highest level where air concentration exceeds the specified value '
                      '(top for a given threshold of air concentration)',
             'units': 'Bq m-3'},
            {'abbr': 25,
             'code': 25,
             'title': 'Highest level where radar reflectivity exceeds the specified value '
                      '(echo top for a given threshold of reflectivity)',
             'units': 'dBZ'},
            {'abbr': 'pl', 'code': 100, 'title': 'Isobaric surface', 'units': 'Pa'},
            {'abbr': 'sfc', 'code': 101, 'title': 'Mean sea level'},
            {'abbr': 102,
             'code': 102,
             'title': 'Specific altitude above mean sea level',
             'units': 'm'},
            {'abbr': 'sfc',
             'code': 103,
             'title': 'Specified height level above ground',
             'units': 'm'},
            {'abbr': 104, 'code': 104, 'title': 'Sigma level', 'units': 'sigma value'},
            {'abbr': 'ml', 'code': 105, 'title': 'Hybrid level', 'units': '-'},
            {'abbr': 'sfc',
             'code': 106,
             'title': 'Depth below land surface',
             'units': 'm'},
            {'abbr': 'pt', 'code': 107, 'title': 'Isentropic (theta) level', 'units': 'K'},
            {'abbr': 108,
             'code': 108,
             'title': 'Level at specified pressure difference from ground to level',
             'units': 'Pa'},
            {'abbr': 'pv',
             'code': 109,
             'title': 'Potential vorticity surface',
             'units': 'K m2 kg-1 s-1'},
            {'abbr': 110, 'code': 110, 'title': 'Reserved'},
            {'abbr': 111, 'code': 111, 'title': 'Eta level', 'units': '-'},
            {'abbr': 112, 'code': 112, 'title': 'Reserved'},
            {'abbr': 113, 'code': 113, 'title': 'Logarithmic hybrid level'},
            {'abbr': 114, 'code': 114, 'title': 'Snow level', 'units': 'Numeric'},
            {'abbr': 115, 'code': 115, 'title': 'Sigma height level'},
            {'abbr': 117, 'code': 117, 'title': 'Mixed layer depth', 'units': 'm'},
            {'abbr': 'hhl', 'code': 118, 'title': 'Hybrid height level', 'units': '-'},
            {'abbr': 'hpl', 'code': 119, 'title': 'Hybrid pressure level', 'units': '-'},
            {'abbr': 150, 'code': 150, 'title': 'Generalized vertical height coordinate'},
            {'abbr': 'sol', 'code': 151, 'title': 'Soil level', 'units': 'Numeric'},
            {'abbr': 160, 'code': 160, 'title': 'Depth below sea level', 'units': 'm'},
            {'abbr': 161, 'code': 161, 'title': 'Depth below water surface', 'units': 'm'},
            {'abbr': 162, 'code': 162, 'title': 'Lake or river bottom', 'units': '-'},
            {'abbr': 163, 'code': 163, 'title': 'Bottom of sediment layer', 'units': '-'},
            {'abbr': 164,
             'code': 164,
             'title': 'Bottom of thermally active sediment layer',
             'units': '-'},
            {'abbr': 165,
             'code': 165,
             'title': 'Bottom of sediment layer penetrated by thermal wave',
             'units': '-'},
            {'abbr': 166, 'code': 166, 'title': 'Mixing layer', 'units': '-'},
            {'abbr': 167, 'code': 167, 'title': 'Bottom of root zone', 'units': '-'},
            {'abbr': 174,
             'code': 174,
             'title': 'Top surface of ice on sea, lake or river'},
            {'abbr': 175,
             'code': 175,
             'title': 'Top surface of ice, under snow cover, on sea, lake or river'},
            {'abbr': 176,
             'code': 176,
             'title': 'Bottom surface (underside) ice on sea, lake or river'},
            {'abbr': 'sfc',
             'code': 177,
             'title': 'Deep soil',
             'units': 'of indefinite depth'},
            {'abbr': 179,
             'code': 179,
             'title': 'Top surface of glacier ice and inland ice'},
            {'abbr': 180,
             'code': 180,
             'title': 'Deep inland or glacier ice',
             'units': 'of indefinite depth'},
            {'abbr': 181,
             'code': 181,
             'title': 'Grid tile land fraction as a model surface'},
            {'abbr': 182,
             'code': 182,
             'title': 'Grid tile water fraction as a model surface'},
            {'abbr': 183,
             'code': 183,
             'title': 'Grid tile ice fraction on sea, lake or river as a model surface'},
            {'abbr': 184,
             'code': 184,
             'title': 'Grid tile glacier ice and inland ice fraction as a model surface'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
