def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Wave spectra (1)', 'units': '-'},
            {'abbr': 1, 'code': 1, 'title': 'Wave spectra (2)', 'units': '-'},
            {'abbr': 2, 'code': 2, 'title': 'Wave spectra (3)', 'units': '-'},
            {'abbr': 3,
             'code': 3,
             'title': 'Significant height of combined wind waves and swell',
             'units': 'm'},
            {'abbr': 4,
             'code': 4,
             'title': 'Direction of wind waves',
             'units': 'degree true'},
            {'abbr': 5,
             'code': 5,
             'title': 'Significant height of wind waves',
             'units': 'm'},
            {'abbr': 6, 'code': 6, 'title': 'Mean period of wind waves', 'units': 's'},
            {'abbr': 7,
             'code': 7,
             'title': 'Direction of swell waves',
             'units': 'degree true'},
            {'abbr': 8,
             'code': 8,
             'title': 'Significant height of swell waves',
             'units': 'm'},
            {'abbr': 9, 'code': 9, 'title': 'Mean period of swell waves', 'units': 's'},
            {'abbr': 10,
             'code': 10,
             'title': 'Primary wave direction',
             'units': 'degree true'},
            {'abbr': 11, 'code': 11, 'title': 'Primary wave mean period', 'units': 's'},
            {'abbr': 12,
             'code': 12,
             'title': 'Secondary wave direction',
             'units': 'degree true'},
            {'abbr': 13, 'code': 13, 'title': 'Secondary wave mean period', 'units': 's'},
            {'abbr': 14,
             'code': 14,
             'title': 'Direction of combined wind waves and swell',
             'units': 'degree true'},
            {'abbr': 15,
             'code': 15,
             'title': 'Mean period of combined wind waves and swell',
             'units': 's'},
            {'abbr': 16,
             'code': 16,
             'title': 'Coefficient of drag with waves',
             'units': '-'},
            {'abbr': 17, 'code': 17, 'title': 'Friction velocity', 'units': 'm/s'},
            {'abbr': 18, 'code': 18, 'title': 'Wave stress', 'units': 'N m-2'},
            {'abbr': 19, 'code': 19, 'title': 'Normalized wave stress', 'units': '-'},
            {'abbr': 20, 'code': 20, 'title': 'Mean square slope of waves', 'units': '-'},
            {'abbr': 21,
             'code': 21,
             'title': 'u-component surface Stokes drift',
             'units': 'm/s'},
            {'abbr': 22,
             'code': 22,
             'title': 'v-component surface Stokes drift',
             'units': 'm/s'},
            {'abbr': 23,
             'code': 23,
             'title': 'Period of maximum individual wave height',
             'units': 's'},
            {'abbr': 24,
             'code': 24,
             'title': 'Maximum individual wave height',
             'units': 'm'},
            {'abbr': 25, 'code': 25, 'title': 'Inverse mean wave frequency', 'units': 's'},
            {'abbr': 26,
             'code': 26,
             'title': 'Inverse mean frequency of wind waves',
             'units': 's'},
            {'abbr': 27,
             'code': 27,
             'title': 'Inverse mean frequency of total swell',
             'units': 's'},
            {'abbr': 28,
             'code': 28,
             'title': 'Mean zero-crossing wave period',
             'units': 's'},
            {'abbr': 29,
             'code': 29,
             'title': 'Mean zero-crossing period of wind waves',
             'units': 's'},
            {'abbr': 30,
             'code': 30,
             'title': 'Mean zero-crossing period of total swell',
             'units': 's'},
            {'abbr': 31, 'code': 31, 'title': 'Wave directional width', 'units': '-'},
            {'abbr': 32,
             'code': 32,
             'title': 'Directional width of wind waves',
             'units': '-'},
            {'abbr': 33,
             'code': 33,
             'title': 'Directional width of total swell',
             'units': '-'},
            {'abbr': 34, 'code': 34, 'title': 'Peak wave period', 'units': 's'},
            {'abbr': 35, 'code': 35, 'title': 'Peak period of wind waves', 'units': 's'},
            {'abbr': 36, 'code': 36, 'title': 'Peak period of total swell', 'units': 's'},
            {'abbr': 37, 'code': 37, 'title': 'Altimeter wave height', 'units': 'm'},
            {'abbr': 38,
             'code': 38,
             'title': 'Altimeter corrected wave height',
             'units': 'm'},
            {'abbr': 39,
             'code': 39,
             'title': 'Altimeter range relative correction',
             'units': '-'},
            {'abbr': 40,
             'code': 40,
             'title': '10-metre neutral wind speed over waves',
             'units': 'm/s'},
            {'abbr': 41,
             'code': 41,
             'title': '10-metre wind direction over waves',
             'units': 'deg'},
            {'abbr': 42,
             'code': 42,
             'title': 'Wave energy spectrum',
             'units': 'm2 s rad-1'},
            {'abbr': 43,
             'code': 43,
             'title': 'Kurtosis of the sea-surface elevation due to waves',
             'units': '-'},
            {'abbr': 44, 'code': 44, 'title': 'Benjamin-Feir index', 'units': '-'},
            {'abbr': 45, 'code': 45, 'title': 'Spectral peakedness factor', 'units': '/s'},
            {'abbr': 46, 'code': 46, 'title': 'Peak wave direction', 'units': 'deg'},
            {'abbr': 47,
             'code': 47,
             'title': 'Significant wave height of first swell partition',
             'units': 'm'},
            {'abbr': 48,
             'code': 48,
             'title': 'Significant wave height of second swell partition',
             'units': 'm'},
            {'abbr': 49,
             'code': 49,
             'title': 'Significant wave height of third swell partition',
             'units': 'm'},
            {'abbr': 50,
             'code': 50,
             'title': 'Mean wave period of first swell partition',
             'units': 's'},
            {'abbr': 51,
             'code': 51,
             'title': 'Mean wave period of second swell partition',
             'units': 's'},
            {'abbr': 52,
             'code': 52,
             'title': 'Mean wave period of third swell partition',
             'units': 's'},
            {'abbr': 53,
             'code': 53,
             'title': 'Mean wave direction of first swell partition',
             'units': 'deg'},
            {'abbr': 54,
             'code': 54,
             'title': 'Mean wave direction of second swell partition',
             'units': 'deg'},
            {'abbr': 55,
             'code': 55,
             'title': 'Mean wave direction of third swell partition',
             'units': 'deg'},
            {'abbr': 56,
             'code': 56,
             'title': 'Wave directional width of first swell partition',
             'units': '-'},
            {'abbr': 57,
             'code': 57,
             'title': 'Wave directional width of second swell partition',
             'units': '-'},
            {'abbr': 58,
             'code': 58,
             'title': 'Wave directional width of third swell partition',
             'units': '-'},
            {'abbr': 59,
             'code': 59,
             'title': 'Wave frequency width of first swell partition',
             'units': '-'},
            {'abbr': 60,
             'code': 60,
             'title': 'Wave frequency width of second swell partition',
             'units': '-'},
            {'abbr': 61,
             'code': 61,
             'title': 'Wave frequency width of third swell partition',
             'units': '-'},
            {'abbr': 62, 'code': 62, 'title': 'Wave frequency width', 'units': '-'},
            {'abbr': 63,
             'code': 63,
             'title': 'Frequency width of wind waves',
             'units': '-'},
            {'abbr': 64,
             'code': 64,
             'title': 'Frequency width of total swell',
             'units': '-'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
