def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Specific humidity', 'units': 'kg kg-1'},
            {'abbr': 1, 'code': 1, 'title': 'Relative humidity', 'units': '%'},
            {'abbr': 2, 'code': 2, 'title': 'Humidity mixing ratio', 'units': 'kg kg-1'},
            {'abbr': 3, 'code': 3, 'title': 'Precipitable water', 'units': 'kg m-2'},
            {'abbr': 4, 'code': 4, 'title': 'Vapor pressure', 'units': 'Pa'},
            {'abbr': 5, 'code': 5, 'title': 'Saturation deficit', 'units': 'Pa'},
            {'abbr': 6, 'code': 6, 'title': 'Evaporation', 'units': 'kg m-2'},
            {'abbr': 7, 'code': 7, 'title': 'Precipitation rate', 'units': 'kg m-2 s-1'},
            {'abbr': 8, 'code': 8, 'title': 'Total precipitation', 'units': 'kg m-2'},
            {'abbr': 9,
             'code': 9,
             'title': 'Large scale precipitation (non-convective)',
             'units': 'kg m-2'},
            {'abbr': 10,
             'code': 10,
             'title': 'Convective precipitation',
             'units': 'kg m-2'},
            {'abbr': 11, 'code': 11, 'title': 'Snow depth', 'units': 'm'},
            {'abbr': 12,
             'code': 12,
             'title': 'Snowfall rate water equivalent',
             'units': 'kg m-2 s-1'},
            {'abbr': 13,
             'code': 13,
             'title': 'Water equivalent of accumulated snow depth',
             'units': 'kg m-2'},
            {'abbr': 14, 'code': 14, 'title': 'Convective snow', 'units': 'kg m-2'},
            {'abbr': 15, 'code': 15, 'title': 'Large scale snow', 'units': 'kg m-2'},
            {'abbr': 16, 'code': 16, 'title': 'Snow melt', 'units': 'kg m-2'},
            {'abbr': 17, 'code': 17, 'title': 'Snow age', 'units': 'day'},
            {'abbr': 18, 'code': 18, 'title': 'Absolute humidity', 'units': 'kg m-3'},
            {'abbr': 19,
             'code': 19,
             'title': 'Precipitation type (code table',
             'units': '4.201'},
            {'abbr': 20,
             'code': 20,
             'title': 'Integrated liquid water',
             'units': 'kg m-2'},
            {'abbr': 21, 'code': 21, 'title': 'Condensate', 'units': 'kg kg-1'},
            {'abbr': 22, 'code': 22, 'title': 'Cloud mixing ratio', 'units': 'kg kg-1'},
            {'abbr': 23,
             'code': 23,
             'title': 'Ice water mixing ratio',
             'units': 'kg kg-1'},
            {'abbr': 24, 'code': 24, 'title': 'Rain mixing ratio', 'units': 'kg kg-1'},
            {'abbr': 25, 'code': 25, 'title': 'Snow mixing ratio', 'units': 'kg kg-1'},
            {'abbr': 26,
             'code': 26,
             'title': 'Horizontal moisture convergence',
             'units': 'kg kg-1 s-1'},
            {'abbr': 27, 'code': 27, 'title': 'Maximum relative humidity', 'units': '%'},
            {'abbr': 28,
             'code': 28,
             'title': 'Maximum absolute humidity',
             'units': 'kg m-3'},
            {'abbr': 29, 'code': 29, 'title': 'Total snowfall', 'units': 'm'},
            {'abbr': 30,
             'code': 30,
             'title': 'Precipitable water category code table',
             'units': '4.202'},
            {'abbr': 31, 'code': 31, 'title': 'Hail', 'units': 'm'},
            {'abbr': 32,
             'code': 32,
             'title': 'Graupel (snow pellets)',
             'units': 'kg kg-1'},
            {'abbr': 33,
             'code': 33,
             'title': 'Categorical rain',
             'units': 'Code table 4.222'},
            {'abbr': 34,
             'code': 34,
             'title': 'Categorical freezing rain',
             'units': 'Code table 4.222'},
            {'abbr': 35,
             'code': 35,
             'title': 'Categorical ice pellets',
             'units': 'Code table 4.222'},
            {'abbr': 36,
             'code': 36,
             'title': 'Categorical snow',
             'units': 'Code table 4.222'},
            {'abbr': 37,
             'code': 37,
             'title': 'Convective precipitation rate',
             'units': 'kg m-2 s-1'},
            {'abbr': 38,
             'code': 38,
             'title': 'Horizontal moisture divergence',
             'units': 'kg kg-1 s-1'},
            {'abbr': 39,
             'code': 39,
             'title': 'Percent frozen precipitation',
             'units': '%'},
            {'abbr': 40, 'code': 40, 'title': 'Potential evaporation', 'units': 'kg m-2'},
            {'abbr': 41,
             'code': 41,
             'title': 'Potential evaporation rate',
             'units': 'W m-2'},
            {'abbr': 42, 'code': 42, 'title': 'Snow cover', 'units': '%'},
            {'abbr': 43,
             'code': 43,
             'title': 'Rain fraction of total cloud water',
             'units': 'Proportion'},
            {'abbr': 44, 'code': 44, 'title': 'Rime factor', 'units': 'Numeric'},
            {'abbr': 45,
             'code': 45,
             'title': 'Total column integrated rain',
             'units': 'kg m-2'},
            {'abbr': 46,
             'code': 46,
             'title': 'Total column integrated snow',
             'units': 'kg m-2'},
            {'abbr': 51, 'code': 51, 'title': 'Total column water', 'units': 'kg m-2'},
            {'abbr': 52,
             'code': 52,
             'title': 'Total precipitation rate',
             'units': 'kg m-2 s-1'},
            {'abbr': 53,
             'code': 53,
             'title': 'Total snowfall rate water equivalent',
             'units': 'kg m-2 s-1'},
            {'abbr': 54,
             'code': 54,
             'title': 'Large scale precipitation rate',
             'units': 'kg m-2 s-1'},
            {'abbr': 55,
             'code': 55,
             'title': 'Convective snowfall rate water equivalent',
             'units': 'kg m-2 s-1'},
            {'abbr': 56,
             'code': 56,
             'title': 'Large scale rate water equivalent',
             'units': 'kg m-2 s-1'},
            {'abbr': 57, 'code': 57, 'title': 'Total snowfall rate', 'units': 'm s-1'},
            {'abbr': 58,
             'code': 58,
             'title': 'Convective snowfall rate',
             'units': 'm s-1'},
            {'abbr': 59,
             'code': 59,
             'title': 'Large scale snowfall rate',
             'units': 'm s-1'},
            {'abbr': 60,
             'code': 60,
             'title': 'Snow depth water equivalent',
             'units': 'kg m-2'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
