def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Ozone'},
            {'abbr': 1, 'code': 1, 'title': 'Water vapour'},
            {'abbr': 2, 'code': 2, 'title': 'Methane'},
            {'abbr': 3, 'code': 3, 'title': 'Carbon dioxide'},
            {'abbr': 4, 'code': 4, 'title': 'Carbon monoxide'},
            {'abbr': 5, 'code': 5, 'title': 'Nitrogen dioxide'},
            {'abbr': 6, 'code': 6, 'title': 'Nitrous oxide'},
            {'abbr': 7, 'code': 7, 'title': 'Formaldehyde'},
            {'abbr': 8, 'code': 8, 'title': 'Sulphur dioxide'},
            {'abbr': 9, 'code': 9, 'title': 'Ammonia'},
            {'abbr': 10, 'code': 10, 'title': 'Ammonium'},
            {'abbr': 11, 'code': 11, 'title': 'Nitrogen monoxide'},
            {'abbr': 12, 'code': 12, 'title': 'Atomic oxygen'},
            {'abbr': 13, 'code': 13, 'title': 'Nitrate radical'},
            {'abbr': 14, 'code': 14, 'title': 'Hydroperoxyl radical'},
            {'abbr': 15, 'code': 15, 'title': 'Dinitrogen pentoxide'},
            {'abbr': 16, 'code': 16, 'title': 'Nitrous acid'},
            {'abbr': 17, 'code': 17, 'title': 'Nitric acid'},
            {'abbr': 18, 'code': 18, 'title': 'Peroxynitric acid'},
            {'abbr': 19, 'code': 19, 'title': 'Hydrogen peroxide'},
            {'abbr': 20, 'code': 20, 'title': 'Molecular hydrogen'},
            {'abbr': 21, 'code': 21, 'title': 'Atomic nitrogen'},
            {'abbr': 22, 'code': 22, 'title': 'Sulphate'},
            {'abbr': 23, 'code': 23, 'title': 'Radon'},
            {'abbr': 24, 'code': 24, 'title': 'Elemental mercury'},
            {'abbr': 25, 'code': 25, 'title': 'Divalent mercury'},
            {'abbr': 26, 'code': 26, 'title': 'Atomic chlorine'},
            {'abbr': 27, 'code': 27, 'title': 'Chlorine monoxide'},
            {'abbr': 28, 'code': 28, 'title': 'Dichlorine peroxide'},
            {'abbr': 29, 'code': 29, 'title': 'Hypochlorous acid'},
            {'abbr': 30, 'code': 30, 'title': 'Chlorine nitrate'},
            {'abbr': 31, 'code': 31, 'title': 'Chlorine dioxide'},
            {'abbr': 32, 'code': 32, 'title': 'Atomic bromine'},
            {'abbr': 33, 'code': 33, 'title': 'Bromine monoxide'},
            {'abbr': 34, 'code': 34, 'title': 'Bromine chloride'},
            {'abbr': 35, 'code': 35, 'title': 'Hydrogen bromide'},
            {'abbr': 36, 'code': 36, 'title': 'Hypobromous acid'},
            {'abbr': 37, 'code': 37, 'title': 'Bromine nitrate'},
            {'abbr': 10000, 'code': 10000, 'title': 'Hydroxyl radical'},
            {'abbr': 10001, 'code': 10001, 'title': 'Methyl peroxy radical'},
            {'abbr': 10002, 'code': 10002, 'title': 'Methyl hydroperoxide'},
            {'abbr': 10004, 'code': 10004, 'title': 'Methanol'},
            {'abbr': 10005, 'code': 10005, 'title': 'Formic acid'},
            {'abbr': 10006, 'code': 10006, 'title': 'Hydrogen Cyanide'},
            {'abbr': 10007, 'code': 10007, 'title': 'Aceto nitrile'},
            {'abbr': 10008, 'code': 10008, 'title': 'Ethane'},
            {'abbr': 10009, 'code': 10009, 'title': 'Ethene', 'units': '= Ethylene'},
            {'abbr': 10010, 'code': 10010, 'title': 'Ethyne', 'units': '= Acetylene'},
            {'abbr': 10011, 'code': 10011, 'title': 'Ethanol'},
            {'abbr': 10012, 'code': 10012, 'title': 'Acetic acid'},
            {'abbr': 10013, 'code': 10013, 'title': 'Peroxyacetyl nitrate'},
            {'abbr': 10014, 'code': 10014, 'title': 'Propane'},
            {'abbr': 10015, 'code': 10015, 'title': 'Propene'},
            {'abbr': 10016, 'code': 10016, 'title': 'Butanes'},
            {'abbr': 10017, 'code': 10017, 'title': 'Isoprene'},
            {'abbr': 10018, 'code': 10018, 'title': 'Alpha pinene'},
            {'abbr': 10019, 'code': 10019, 'title': 'Beta pinene'},
            {'abbr': 10020, 'code': 10020, 'title': 'Limonene'},
            {'abbr': 10021, 'code': 10021, 'title': 'Benzene'},
            {'abbr': 10022, 'code': 10022, 'title': 'Toluene'},
            {'abbr': 10023, 'code': 10023, 'title': 'Xylene'},
            {'abbr': 10500, 'code': 10500, 'title': 'Dimethyl sulphide'},
            {'abbr': 20001, 'code': 20001, 'title': 'Hydrogen chloride'},
            {'abbr': 20002, 'code': 20002, 'title': 'CFC-11'},
            {'abbr': 20003, 'code': 20003, 'title': 'CFC-12'},
            {'abbr': 20004, 'code': 20004, 'title': 'CFC-113'},
            {'abbr': 20005, 'code': 20005, 'title': 'CFC-113a'},
            {'abbr': 20006, 'code': 20006, 'title': 'CFC-114'},
            {'abbr': 20007, 'code': 20007, 'title': 'CFC-115'},
            {'abbr': 20008, 'code': 20008, 'title': 'HCFC-22'},
            {'abbr': 20009, 'code': 20009, 'title': 'HCFC-141b'},
            {'abbr': 20010, 'code': 20010, 'title': 'HCFC-142b'},
            {'abbr': 20011, 'code': 20011, 'title': 'Halon-1202'},
            {'abbr': 20012, 'code': 20012, 'title': 'Halon-1211'},
            {'abbr': 20013, 'code': 20013, 'title': 'Halon-1301'},
            {'abbr': 20014, 'code': 20014, 'title': 'Halon-2402'},
            {'abbr': 20015, 'code': 20015, 'title': 'Methyl chloride', 'units': 'HCC-40'},
            {'abbr': 20016,
             'code': 20016,
             'title': 'Carbon tetrachloride',
             'units': 'HCC-10'},
            {'abbr': 20017, 'code': 20017, 'title': 'HCC-140a'},
            {'abbr': 20018, 'code': 20018, 'title': 'Methyl bromide', 'units': 'HBC-40B1'},
            {'abbr': 20019,
             'code': 20019,
             'title': 'Hexachlorocyclohexane',
             'units': 'HCH'},
            {'abbr': 20020, 'code': 20020, 'title': 'Alpha hexachlorocyclohexane'},
            {'abbr': 20021,
             'code': 20021,
             'title': 'Hexachlorobiphenyl',
             'units': 'PCB-153'},
            {'abbr': 60000, 'code': 60000, 'title': 'HOx radical', 'units': 'OH+HO2'},
            {'abbr': 60001,
             'code': 60001,
             'title': 'Total inorganic and organic peroxy radicals',
             'units': 'HO2 + RO2'},
            {'abbr': 60002, 'code': 60002, 'title': 'Passive Ozone'},
            {'abbr': 60003, 'code': 60003, 'title': 'NOx expressed as nitrogen'},
            {'abbr': 60004,
             'code': 60004,
             'title': 'All nitrogen oxides (NOy) expressed as nitrogen'},
            {'abbr': 60005, 'code': 60005, 'title': 'Total inorganic chlorine'},
            {'abbr': 60006, 'code': 60006, 'title': 'Total inorganic bromine'},
            {'abbr': 60007,
             'code': 60007,
             'title': 'Total inorganic chlorine except HCl, ClONO2: ClOx'},
            {'abbr': 60008,
             'code': 60008,
             'title': 'Total inorganic bromine except HBr, BrONO2: BrOx'},
            {'abbr': 60009, 'code': 60009, 'title': 'Lumped Alkanes'},
            {'abbr': 60010, 'code': 60010, 'title': 'Lumped Alkenes'},
            {'abbr': 60011, 'code': 60011, 'title': 'Lumped Aromatic Compounds'},
            {'abbr': 60012, 'code': 60012, 'title': 'Lumped Terpenes'},
            {'abbr': 60013,
             'code': 60013,
             'title': 'Non-methane volatile organic compounds expressed as carbon'},
            {'abbr': 60014,
             'code': 60014,
             'title': 'Anthropogenic non-methane volatile organic compounds expressed as '
                      'carbon'},
            {'abbr': 60015,
             'code': 60015,
             'title': 'Biogenic non-methane volatile organic compounds expressed as '
                      'carbon'},
            {'abbr': 60016, 'code': 60016, 'title': 'Lumped oxygenated hydrocarbons'},
            {'abbr': 62000, 'code': 62000, 'title': 'Total aerosol'},
            {'abbr': 62001, 'code': 62001, 'title': 'Dust dry'},
            {'abbr': 62002, 'code': 62002, 'title': 'Water in ambient'},
            {'abbr': 62003, 'code': 62003, 'title': 'Ammonium dry'},
            {'abbr': 62004, 'code': 62004, 'title': 'Nitrate dry'},
            {'abbr': 62005, 'code': 62005, 'title': 'Nitric acid trihydrate'},
            {'abbr': 62006, 'code': 62006, 'title': 'Sulphate dry'},
            {'abbr': 62007, 'code': 62007, 'title': 'Mercury dry'},
            {'abbr': 62008, 'code': 62008, 'title': 'Sea salt dry'},
            {'abbr': 62009, 'code': 62009, 'title': 'Black carbon dry'},
            {'abbr': 62010, 'code': 62010, 'title': 'Particulate organic matter dry'},
            {'abbr': 62011,
             'code': 62011,
             'title': 'Primary particulate organic matter dry'},
            {'abbr': 62012,
             'code': 62012,
             'title': 'Secondary particulate organic matter dry'},
            {'abbr': 65535, 'code': 65535, 'title': 'Missing'})
