def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Reserved'},
            {'abbr': 'sfc', 'code': 1, 'title': 'Ground or water surface'},
            {'abbr': 2, 'code': 2, 'title': 'Cloud base level'},
            {'abbr': 3, 'code': 3, 'title': 'Level of cloud tops'},
            {'abbr': 4, 'code': 4, 'title': 'Level of 0 degree C isotherm'},
            {'abbr': 5,
             'code': 5,
             'title': 'Level of adiabatic condensation lifted from the surface'},
            {'abbr': 6, 'code': 6, 'title': 'Maximum wind level'},
            {'abbr': 7, 'code': 7, 'title': 'Tropopause'},
            {'abbr': 'sfc', 'code': 8, 'title': 'Nominal top of the atmosphere'},
            {'abbr': 9, 'code': 9, 'title': 'Sea bottom'},
            {'abbr': 10, 'code': 10, 'title': 'Entire atmosphere'},
            {'abbr': 11, 'code': 11, 'title': 'Cumulonimbus (CB) base', 'units': 'm'},
            {'abbr': 12, 'code': 12, 'title': 'Cumulonimbus (CB) top', 'units': 'm'},
            {'abbr': 20, 'code': 20, 'title': 'Isothermal level', 'units': 'K'},
            {'abbr': 'pl', 'code': 100, 'title': 'Isobaric surface', 'units': 'Pa'},
            {'abbr': 'sfc', 'code': 101, 'title': 'Mean sea level'},
            {'abbr': 102,
             'code': 102,
             'title': 'Specific altitude above mean sea level',
             'units': 'm'},
            {'abbr': 'sfc',
             'code': 103,
             'title': 'Specified height level above ground',
             'units': 'm'},
            {'abbr': 104, 'code': 104, 'title': 'Sigma level', 'units': 'sigma value'},
            {'abbr': 'ml', 'code': 105, 'title': 'Hybrid level'},
            {'abbr': 'sfc',
             'code': 106,
             'title': 'Depth below land surface',
             'units': 'm'},
            {'abbr': 'pt', 'code': 107, 'title': 'Isentropic (theta) level', 'units': 'K'},
            {'abbr': 108,
             'code': 108,
             'title': 'Level at specified pressure difference from ground to level',
             'units': 'Pa'},
            {'abbr': 'pv',
             'code': 109,
             'title': 'Potential vorticity surface',
             'units': 'K m2 kg-1 s-1'},
            {'abbr': 110, 'code': 110, 'title': 'Reserved'},
            {'abbr': 111, 'code': 111, 'title': 'Eta level'},
            {'abbr': 112, 'code': 112, 'title': 'Reserved'},
            {'abbr': 113, 'code': 113, 'title': 'Logarithmic hybrid level'},
            {'abbr': 117, 'code': 117, 'title': 'Mixed layer depth', 'units': 'm'},
            {'abbr': 'hhl', 'code': 118, 'title': 'Hybrid height level'},
            {'abbr': 'hpl', 'code': 119, 'title': 'Hybrid pressure level'},
            {'abbr': 150, 'code': 150, 'title': 'Generalized vertical height coordinate'},
            {'abbr': 160, 'code': 160, 'title': 'Depth below sea level m'},
            {'abbr': 161, 'code': 161, 'title': 'Depth below water surface', 'units': 'm'},
            {'abbr': 162, 'code': 162, 'title': 'Lake or river bottom'},
            {'abbr': 163, 'code': 163, 'title': 'Bottom of sediment layer'},
            {'abbr': 164,
             'code': 164,
             'title': 'Bottom of thermally active sediment layer'},
            {'abbr': 165,
             'code': 165,
             'title': 'Bottom of sediment layer penetrated by thermal wave'},
            {'abbr': 166, 'code': 166, 'title': 'Mixing layer'},
            {'abbr': None, 'code': 255, 'title': 'Missing'})
