def load(h):
    return ({'abbr': 'TIROS-N', 'code': 1, 'title': 'TIROS-N'},
            {'abbr': 'NOAA-6/HIRS', 'code': 2, 'title': 'NOAA-6/HIRS'},
            {'abbr': 'NOAA-7/HIRS', 'code': 3, 'title': 'NOAA-7/HIRS'},
            {'abbr': 'NOAA-8/HIRS', 'code': 4, 'title': 'NOAA-8/HIRS'},
            {'abbr': 'NOAA-9/HIRS', 'code': 5, 'title': 'NOAA-9/HIRS'},
            {'abbr': 'NOAA-10/HIRS', 'code': 6, 'title': 'NOAA-10/HIRS'},
            {'abbr': 'NOAA-11/HIRS', 'code': 7, 'title': 'NOAA-11/HIRS'},
            {'abbr': 'NOAA-12/HIRS', 'code': 8, 'title': 'NOAA-12/HIRS'},
            {'abbr': 'NOAA-14/HIRS', 'code': 9, 'title': 'NOAA-14/HIRS'},
            {'abbr': 'NOAA-15/HIRS', 'code': 10, 'title': 'NOAA-15/HIRS'},
            {'abbr': 'NOAA-16/HIRS', 'code': 11, 'title': 'NOAA-16/HIRS'},
            {'abbr': 'NOAA-17/HIRS', 'code': 12, 'title': 'NOAA-17/HIRS'},
            {'abbr': 'NOAA-18/HIRS', 'code': 13, 'title': 'NOAA-18/HIRS'},
            {'abbr': 'NOAA-19/HIRS', 'code': 14, 'title': 'NOAA-19/HIRS'},
            {'abbr': 'METOP-A/HIRS', 'code': 15, 'title': 'METOP-A/HIRS'},
            {'abbr': 'NOAA-15/AMSUA', 'code': 1001, 'title': 'NOAA-15/AMSUA'},
            {'abbr': 'NOAA-16/AMSUA', 'code': 1002, 'title': 'NOAA-16/AMSUA'},
            {'abbr': 'NOAA-17/AMSUA', 'code': 1003, 'title': 'NOAA-17/AMSUA'},
            {'abbr': 'NOAA-18/AMSUA', 'code': 1004, 'title': 'NOAA-18/AMSUA'},
            {'abbr': 'NOAA-19/AMSUA', 'code': 1005, 'title': 'NOAA-19/AMSUA'},
            {'abbr': 'NOAA-19/AMSUA', 'code': 1006, 'title': 'NOAA-19/AMSUA'},
            {'abbr': 'METOP-A/AMSUA', 'code': 1007, 'title': 'METOP-A/AMSUA'},
            {'abbr': 'AQUA/AMSUA', 'code': 1008, 'title': 'AQUA/AMSUA'},
            {'abbr': 'NOAA-15/AMSUB', 'code': 2001, 'title': 'NOAA-15/AMSUB'},
            {'abbr': 'NOAA-16/AMSUB', 'code': 2002, 'title': 'NOAA-16/AMSUB'},
            {'abbr': 'NOAA-17/AMSUB', 'code': 2003, 'title': 'NOAA-17/AMSUB'},
            {'abbr': 'NOAA-18/AMSUB', 'code': 2004, 'title': 'NOAA-18/AMSUB'},
            {'abbr': 'NOAA-18/AMSUB', 'code': 2005, 'title': 'NOAA-18/AMSUB'},
            {'abbr': 'NOAA-19/MHS', 'code': 3001, 'title': 'NOAA-19/MHS'},
            {'abbr': 'METOP-A/MHS', 'code': 3002, 'title': 'METOP-A/MHS'},
            {'abbr': 'GOES-5/IMAGER', 'code': 4001, 'title': 'GOES-5/IMAGER'},
            {'abbr': 'GOES-8/IMAGER', 'code': 4002, 'title': 'GOES-8/IMAGER'},
            {'abbr': 'GOES-9/IMAGER', 'code': 4003, 'title': 'GOES-9/IMAGER'},
            {'abbr': 'GOES-10/IMAGER', 'code': 4004, 'title': 'GOES-10/IMAGER'},
            {'abbr': 'GOES-11/IMAGER', 'code': 4005, 'title': 'GOES-11/IMAGER'},
            {'abbr': 'GOES-12/IMAGER', 'code': 4006, 'title': 'GOES-12/IMAGER'},
            {'abbr': 'METEOSAT-7/MVIRI', 'code': 4007, 'title': 'METEOSAT-7/MVIRI'},
            {'abbr': 'METEOSAT-8/SEVIRI', 'code': 4008, 'title': 'METEOSAT-8/SEVIRI'},
            {'abbr': 'METEOSAT-9/SEVIRI', 'code': 4009, 'title': 'METEOSAT-9/SEVIRI'},
            {'abbr': 'MTSAT-1R/IMAGER', 'code': 4010, 'title': 'MTSAT-1R/IMAGER'},
            {'abbr': 'ERS-2/GOME', 'code': 5001, 'title': 'ERS-2/GOME'},
            {'abbr': 'METEOSAT-8/SEVIRI', 'code': 5002, 'title': 'METEOSAT-8/SEVIRI'},
            {'abbr': 'METEOSAT-9/SEVIRI', 'code': 5003, 'title': 'METEOSAT-9/SEVIRI'},
            {'abbr': 'AURA/MLS', 'code': 5004, 'title': 'AURA/MLS'},
            {'abbr': 'AURA/OMI', 'code': 5005, 'title': 'AURA/OMI'},
            {'abbr': 'NOAA-9/SBUV', 'code': 5006, 'title': 'NOAA-9/SBUV'},
            {'abbr': 'NOAA-11/SBUV', 'code': 5007, 'title': 'NOAA-11/SBUV'},
            {'abbr': 'NOAA-14/SBUV', 'code': 5008, 'title': 'NOAA-14/SBUV'},
            {'abbr': 'NOAA-16/SBUV', 'code': 5009, 'title': 'NOAA-16/SBUV'},
            {'abbr': 'NOAA-17/SBUV', 'code': 5010, 'title': 'NOAA-17/SBUV'},
            {'abbr': 'NOAA-18/SBUV', 'code': 5011, 'title': 'NOAA-18/SBUV'},
            {'abbr': 'NOAA-19/SBUV', 'code': 5012, 'title': 'NOAA-19/SBUV'},
            {'abbr': 'METOP-A/GOME-2', 'code': 5013, 'title': 'METOP-A/GOME-2'},
            {'abbr': 'ENVISAT/SCIAMACHY', 'code': 5014, 'title': 'ENVISAT/SCIAMACHY'},
            {'abbr': 'ENVISAT/GOMOS', 'code': 5015, 'title': 'ENVISAT/GOMOS'},
            {'abbr': 'ENVISAT/MIPAS', 'code': 5016, 'title': 'ENVISAT/MIPAS'},
            {'abbr': 'Metror-3/TOMS', 'code': 5017, 'title': 'Metror-3/TOMS'},
            {'abbr': 'Nimbus-7/TOMS', 'code': 5018, 'title': 'Nimbus-7/TOMS'},
            {'abbr': 'ENVISAT/GOMOS', 'code': 6001, 'title': 'ENVISAT/GOMOS'},
            {'abbr': 'ENVISAT/MERIS', 'code': 6002, 'title': 'ENVISAT/MERIS'},
            {'abbr': 'METOP-A/GRAS', 'code': 7001, 'title': 'METOP-A/GRAS'},
            {'abbr': 'CHAMP', 'code': 7002, 'title': 'CHAMP'},
            {'abbr': 'GRACE-A', 'code': 7003, 'title': 'GRACE-A'},
            {'abbr': 'COSMIC-1', 'code': 7004, 'title': 'COSMIC-1'},
            {'abbr': 'COSMIC-2', 'code': 7005, 'title': 'COSMIC-2'},
            {'abbr': 'COSMIC-3', 'code': 7006, 'title': 'COSMIC-3'},
            {'abbr': 'COSMIC-4', 'code': 7007, 'title': 'COSMIC-4'},
            {'abbr': 'COSMIC-5', 'code': 7008, 'title': 'COSMIC-5'},
            {'abbr': 'COSMIC-6', 'code': 7009, 'title': 'COSMIC-6'},
            {'abbr': 'METEOSAT-2/AMV', 'code': 8001, 'title': 'METEOSAT-2/AMV'},
            {'abbr': 'METEOSAT-3/AMV', 'code': 8002, 'title': 'METEOSAT-3/AMV'},
            {'abbr': 'METEOSAT-4/AMV', 'code': 8003, 'title': 'METEOSAT-4/AMV'},
            {'abbr': 'METEOSAT-5/AMV', 'code': 8014, 'title': 'METEOSAT-5/AMV'},
            {'abbr': 'METEOSAT-6/AMV', 'code': 8005, 'title': 'METEOSAT-6/AMV'},
            {'abbr': 'METEOSAT-7/AMV', 'code': 8006, 'title': 'METEOSAT-7/AMV'},
            {'abbr': 'METEOSAT-8/AMV', 'code': 8007, 'title': 'METEOSAT-8/AMV'},
            {'abbr': 'METEOSAT-9/AMV', 'code': 8008, 'title': 'METEOSAT-9/AMV'},
            {'abbr': 'GMS-5/AMV', 'code': 8009, 'title': 'GMS-5/AMV'},
            {'abbr': 'MTSAT-1R/AMV', 'code': 8010, 'title': 'MTSAT-1R/AMV'},
            {'abbr': 'GOES-9/WV', 'code': 8011, 'title': 'GOES-9/WV'},
            {'abbr': 'GOES-10/AMV', 'code': 8012, 'title': 'GOES-10/AMV'},
            {'abbr': 'GOES-11/AMV', 'code': 8013, 'title': 'GOES-11/AMV'},
            {'abbr': 'GOES-12/AMV', 'code': 8014, 'title': 'GOES-12/AMV'},
            {'abbr': 'NOAA-15/AVHRR', 'code': 8015, 'title': 'NOAA-15/AVHRR'},
            {'abbr': 'NOAA-16/AVHRR', 'code': 8016, 'title': 'NOAA-16/AVHRR'},
            {'abbr': 'NOAA-17/AVHRR', 'code': 8017, 'title': 'NOAA-17/AVHRR'},
            {'abbr': 'NOAA-18/AVHRR', 'code': 8018, 'title': 'NOAA-18/AVHRR'},
            {'abbr': 'NOAA-19/AVHRR', 'code': 8019, 'title': 'NOAA-19/AVHRR'},
            {'abbr': 'TERRA/MODIS', 'code': 8020, 'title': 'TERRA/MODIS'},
            {'abbr': 'AQUA/MODIS', 'code': 8021, 'title': 'AQUA/MODIS'},
            {'abbr': 'FY-2C/IR', 'code': 8022, 'title': 'FY-2C/IR'},
            {'abbr': 'ERS/SCATT', 'code': 9001, 'title': 'ERS/SCATT'},
            {'abbr': 'ERS/SCATT', 'code': 9002, 'title': 'ERS/SCATT'},
            {'abbr': 'ERS-2/SCATT', 'code': 9003, 'title': 'ERS-2/SCATT'},
            {'abbr': 'QuickSCAT/SeaWind', 'code': 9004, 'title': 'QuickSCAT/SeaWind'},
            {'abbr': 'METOP-A/ASCAT', 'code': 9005, 'title': 'METOP-A/ASCAT'},
            {'abbr': 'DSMP-7/SSMI', 'code': 10001, 'title': 'DSMP-7/SSMI'},
            {'abbr': 'DSMP-8/SSMI', 'code': 10002, 'title': 'DSMP-8/SSMI'},
            {'abbr': 'DSMP-9/SSMI', 'code': 10003, 'title': 'DSMP-9/SSMI'},
            {'abbr': 'DSMP-10/SSMI', 'code': 10004, 'title': 'DSMP-10/SSMI'},
            {'abbr': 'DSMP-11/SSMI', 'code': 10005, 'title': 'DSMP-11/SSMI'},
            {'abbr': 'DSMP-13/SSMI', 'code': 10006, 'title': 'DSMP-13/SSMI'},
            {'abbr': 'DSMP-14/SSMI', 'code': 10007, 'title': 'DSMP-14/SSMI'},
            {'abbr': 'DSMP-15/SSMI', 'code': 10008, 'title': 'DSMP-15/SSMI'},
            {'abbr': 'DSMP-8/SSMI', 'code': 10009, 'title': 'DSMP-8/SSMI'},
            {'abbr': 'DSMP-9/SSMI', 'code': 10010, 'title': 'DSMP-9/SSMI'},
            {'abbr': 'DSMP-10/SSMI', 'code': 10011, 'title': 'DSMP-10/SSMI'},
            {'abbr': 'DSMP-11/SSMI', 'code': 10012, 'title': 'DSMP-11/SSMI'},
            {'abbr': 'DSMP-13/SSMI', 'code': 10013, 'title': 'DSMP-13/SSMI'},
            {'abbr': 'DSMP-14/SSMI', 'code': 10014, 'title': 'DSMP-14/SSMI'},
            {'abbr': 'DSMP-15/SSMI', 'code': 10015, 'title': 'DSMP-15/SSMI'},
            {'abbr': 'METOP-A/IASI', 'code': 11001, 'title': 'METOP-A/IASI'},
            {'abbr': 'AQUA/AIRS', 'code': 12001, 'title': 'AQUA/AIRS'},
            {'abbr': 'DMSP-16/SSMIS', 'code': 13001, 'title': 'DMSP-16/SSMIS'},
            {'abbr': 'TRMM/TMI', 'code': 14001, 'title': 'TRMM/TMI'},
            {'abbr': 'AQUA/AMSRE', 'code': 15001, 'title': 'AQUA/AMSRE'},
            {'abbr': 'Automatic-Land', 'code': 16001, 'title': 'Automatic-Land'},
            {'abbr': 'Manual-Land', 'code': 16002, 'title': 'Manual-Land'},
            {'abbr': 'Abbreviated-SYNOP', 'code': 16003, 'title': 'Abbreviated-SYNOP'},
            {'abbr': 'METAR', 'code': 16004, 'title': 'METAR'},
            {'abbr': 'DRIBU', 'code': 16005, 'title': 'DRIBU'},
            {'abbr': 'Automatic-SHIP', 'code': 16006, 'title': 'Automatic-SHIP'},
            {'abbr': 'Reduced-SHIP', 'code': 16007, 'title': 'Reduced-SHIP'},
            {'abbr': 'SHIP', 'code': 16008, 'title': 'SHIP'},
            {'abbr': 'Abbreviated-SHIP', 'code': 16009, 'title': 'Abbreviated-SHIP'},
            {'abbr': 'DRIBU-BATHY', 'code': 16010, 'title': 'DRIBU-BATHY'},
            {'abbr': 'DRIBU-TESAC', 'code': 16011, 'title': 'DRIBU-TESAC'},
            {'abbr': 'Ground-Based-GPS', 'code': 16012, 'title': 'Ground-Based-GPS'},
            {'abbr': 'Land-PILOT', 'code': 16013, 'title': 'Land-PILOT'},
            {'abbr': 'PILOT-SHIP', 'code': 16014, 'title': 'PILOT-SHIP'},
            {'abbr': 'American-WindProfilers',
             'code': 16015,
             'title': 'American-WindProfilers'},
            {'abbr': 'American-WindProfilers',
             'code': 16016,
             'title': 'American-WindProfilers'},
            {'abbr': 'European-WindProfilers',
             'code': 16017,
             'title': 'European-WindProfilers'},
            {'abbr': 'Japanese-WindProfilers',
             'code': 16018,
             'title': 'Japanese-WindProfilers'},
            {'abbr': 'TEMP-SHIP', 'code': 16019, 'title': 'TEMP-SHIP'},
            {'abbr': 'DROP-Sonde', 'code': 16020, 'title': 'DROP-Sonde'},
            {'abbr': 'Mobile-TEMP', 'code': 16021, 'title': 'Mobile-TEMP'},
            {'abbr': 'Land-TEMP', 'code': 16022, 'title': 'Land-TEMP'},
            {'abbr': 'ROCOB-TEMP', 'code': 16023, 'title': 'ROCOB-TEMP'},
            {'abbr': 'SHIP-ROCOB', 'code': 16024, 'title': 'SHIP-ROCOB'},
            {'abbr': 'European-WindProfilers',
             'code': 16025,
             'title': 'European-WindProfilers'},
            {'abbr': 'AIREP', 'code': 16026, 'title': 'AIREP'},
            {'abbr': 'CODAR', 'code': 16027, 'title': 'CODAR'},
            {'abbr': 'COLBA', 'code': 16028, 'title': 'COLBA'},
            {'abbr': 'AMDAR', 'code': 16029, 'title': 'AMDAR'},
            {'abbr': 'ACARS', 'code': 16030, 'title': 'ACARS'},
            {'abbr': 'PAOB', 'code': 16031, 'title': 'PAOB'},
            {'abbr': 'PAOB', 'code': 16032, 'title': 'PAOB'},
            {'abbr': 'SATOB_Temperature', 'code': 16033, 'title': 'SATOB_Temperature'},
            {'abbr': 'SATOB_Wind', 'code': 16034, 'title': 'SATOB_Wind'},
            {'abbr': 'SATOB_Temperature', 'code': 16035, 'title': 'SATOB_Temperature'},
            {'abbr': 'SATOB_Temperature', 'code': 16036, 'title': 'SATOB_Temperature'},
            {'abbr': 'SATEM_500km', 'code': 16037, 'title': 'SATEM_500km'},
            {'abbr': 'SATEM_500km', 'code': 16038, 'title': 'SATEM_500km'},
            {'abbr': 'SATEM_500km', 'code': 16039, 'title': 'SATEM_500km'},
            {'abbr': 'SATEM_500km', 'code': 16040, 'title': 'SATEM_500km'},
            {'abbr': 'SATEM_250km', 'code': 16041, 'title': 'SATEM_250km'},
            {'abbr': 'SATEM_250km', 'code': 16042, 'title': 'SATEM_250km'},
            {'abbr': 'SATEM_250km', 'code': 16043, 'title': 'SATEM_250km'},
            {'abbr': 'SATEM_250km', 'code': 16044, 'title': 'SATEM_250km'},
            {'abbr': 'Automatic_Land', 'code': 17001, 'title': 'Automatic_Land'},
            {'abbr': 'Manual_Land', 'code': 17002, 'title': 'Manual_Land'},
            {'abbr': 'Abbreviated_SYNOP', 'code': 17003, 'title': 'Abbreviated_SYNOP'},
            {'abbr': 'METAR', 'code': 17004, 'title': 'METAR'},
            {'abbr': 'DRIBU', 'code': 17005, 'title': 'DRIBU'},
            {'abbr': 'Automatic_SHIP', 'code': 17006, 'title': 'Automatic_SHIP'},
            {'abbr': 'Reduced_SHIP', 'code': 17007, 'title': 'Reduced_SHIP'},
            {'abbr': 'SHIP', 'code': 17008, 'title': 'SHIP'},
            {'abbr': 'Abbreviated-SHIP', 'code': 17009, 'title': 'Abbreviated-SHIP'},
            {'abbr': 'DRIBU-BATHY', 'code': 17010, 'title': 'DRIBU-BATHY'},
            {'abbr': 'DRIBU-TESAC', 'code': 17011, 'title': 'DRIBU-TESAC'},
            {'abbr': 'Ground-Based_GPS', 'code': 17012, 'title': 'Ground-Based_GPS'},
            {'abbr': 'Land-PILOT', 'code': 17013, 'title': 'Land-PILOT'},
            {'abbr': 'PILOT-SHIP', 'code': 17014, 'title': 'PILOT-SHIP'},
            {'abbr': 'American-Wind', 'code': 17015, 'title': 'American-Wind'},
            {'abbr': 'American-Wind', 'code': 17016, 'title': 'American-Wind'},
            {'abbr': 'European-Wind', 'code': 17017, 'title': 'European-Wind'},
            {'abbr': 'Japanese-Wind', 'code': 17018, 'title': 'Japanese-Wind'},
            {'abbr': 'TEMP-SHIP', 'code': 17019, 'title': 'TEMP-SHIP'},
            {'abbr': 'DROP-Sonde', 'code': 17020, 'title': 'DROP-Sonde'},
            {'abbr': 'Mobile-TEMP', 'code': 17021, 'title': 'Mobile-TEMP'},
            {'abbr': 'Land-TEMP', 'code': 17022, 'title': 'Land-TEMP'},
            {'abbr': 'ROCOB-TEMP', 'code': 17023, 'title': 'ROCOB-TEMP'},
            {'abbr': 'SHIP-ROCOB', 'code': 17024, 'title': 'SHIP-ROCOB'})
