def load(h):
    return ({'abbr': 'P', 'code': 110, 'title': 'Pressure', 'units': 'Pa'},
            {'abbr': 'Z', 'code': 1, 'title': 'Geopotential height', 'units': 'm'},
            {'abbr': 'Z', 'code': 57, 'title': 'Geopotential height', 'units': 'm'},
            {'abbr': 'U', 'code': 3, 'title': 'zonal component of wind', 'units': 'm/s'},
            {'abbr': 'V',
             'code': 4,
             'title': 'meridional component of wind',
             'units': 'm/s'},
            {'abbr': '10mU',
             'code': 41,
             'title': '10 m zonal component of wind',
             'units': 'm/s'},
            {'abbr': '10mV',
             'code': 42,
             'title': '10 m meridional component of wind',
             'units': 'm/s'},
            {'abbr': 'Amb_10mU',
             'code': 125,
             'title': '10 m zonal ambiguous component of wind',
             'units': 'm/s'},
            {'abbr': 'Amb_10mV',
             'code': 124,
             'title': '10 m meridional ambiguous component of wind',
             'units': 'm/s'},
            {'abbr': 'DD', 'code': 111, 'title': 'wind direction (DD) degree'},
            {'abbr': 'FF', 'code': 112, 'title': 'wind speed (FF) m/s'},
            {'abbr': 'T', 'code': 2, 'title': 'Temperature', 'units': 'K'},
            {'abbr': 'T2m', 'code': 39, 'title': '2m temperature', 'units': 'K'},
            {'abbr': 'DewPT', 'code': 59, 'title': 'Dew point temperature', 'units': 'K'},
            {'abbr': 'BT', 'code': 119, 'title': 'Brightness temperature', 'units': 'K'},
            {'abbr': 'SHU', 'code': 7, 'title': 'specific humidity', 'units': 'Kg/kg'},
            {'abbr': 'PWC',
             'code': 9,
             'title': 'precipitable water content',
             'units': 'Kg/m2'},
            {'abbr': 'RH', 'code': 58, 'title': '2m relative humidity', 'units': '%'},
            {'abbr': 'LWC',
             'code': 123,
             'title': 'liquid water content',
             'units': 'Kg/m2'},
            {'abbr': 'Ozone', 'code': 206, 'title': 'integrated ozone density (O3) DU'},
            {'abbr': 'Path_delay', 'code': 128, 'title': 'Atmospheric path delay'},
            {'abbr': 'Bending_Angle',
             'code': 162,
             'title': 'Bending Angle (Alpha) Radians'},
            {'abbr': 'Aerosol', 'code': 174, 'title': 'Aerosol'},
            {'abbr': 'NO2', 'code': 181, 'title': 'Nitrogen dioxide', 'units': 'NO2'},
            {'abbr': 'SO2', 'code': 182, 'title': 'Sulphur dioxide', 'units': 'SO2'},
            {'abbr': 'CO', 'code': 183, 'title': 'Carbon monoxide', 'units': 'CO'},
            {'abbr': 'HCHO', 'code': 184, 'title': 'Formaldehyde', 'units': 'HCHO'},
            {'abbr': 'GO3', 'code': 185, 'title': 'GEMS ozone', 'units': 'GO3'},
            {'abbr': 'CO2', 'code': 186, 'title': 'Carbone dioxide', 'units': 'CO2'},
            {'abbr': 'CH4', 'code': 188, 'title': 'Methane', 'units': 'CH4'})
