def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Unknown'},
            {'abbr': 'od', 'code': 1, 'title': 'Operational archive'},
            {'abbr': 'rd', 'code': 2, 'title': 'Research department'},
            {'abbr': 'er', 'code': 3, 'title': '15 years reanalysis', 'units': 'ERA15'},
            {'abbr': 'cs', 'code': 4, 'title': 'ECSN'},
            {'abbr': 'e4', 'code': 5, 'title': '40 years reanalysis', 'units': 'ERA40'},
            {'abbr': 'dm', 'code': 6, 'title': 'DEMETER'},
            {'abbr': 'pv', 'code': 7, 'title': 'PROVOST'},
            {'abbr': 'el', 'code': 8, 'title': 'ELDAS'},
            {'abbr': 'to', 'code': 9, 'title': 'TOST'},
            {'abbr': 'co', 'code': 10, 'title': 'COSMO-LEPS'},
            {'abbr': 'en', 'code': 11, 'title': 'ENSEMBLES'},
            {'abbr': 'ti', 'code': 12, 'title': 'TIGGE'},
            {'abbr': 'me', 'code': 13, 'title': 'MERSEA'},
            {'abbr': 'ei', 'code': 14, 'title': 'ERA Interim'},
            {'abbr': 'sr', 'code': 15, 'title': 'Short-Range Ensemble Prediction System'},
            {'abbr': 'dt', 'code': 16, 'title': 'Data Targeting System'},
            {'abbr': 'la', 'code': 17, 'title': 'ALADIN-LAEF'},
            {'abbr': 'yt', 'code': 18, 'title': 'YOTC'},
            {'abbr': 'mc',
             'code': 19,
             'title': 'Copernicus Atmosphere Monitoring Service',
             'units': 'CAMS, previously MACC'},
            {'abbr': 'pe', 'code': 20, 'title': 'Permanent experiments'},
            {'abbr': 'em',
             'code': 21,
             'title': 'ERA-CLIM model integration for the 20th-century',
             'units': 'ERA-20CM'},
            {'abbr': 'e2',
             'code': 22,
             'title': 'ERA-CLIM reanalysis of the 20th-century using surface observations '
                      'only',
             'units': 'ERA-20C'},
            {'abbr': 'ea', 'code': 23, 'title': 'ERA5'},
            {'abbr': 'ep',
             'code': 24,
             'title': 'ERA-CLIM2 coupled reanalysis of the 20th-century',
             'units': 'CERA-20C'},
            {'abbr': 'rm', 'code': 25, 'title': 'EURO4M'},
            {'abbr': 'nr',
             'code': 26,
             'title': 'NOAA/CIRES 20th Century Reanalysis version II'},
            {'abbr': 's2',
             'code': 27,
             'title': 'Sub-seasonal to seasonal prediction project',
             'units': 'S2S'},
            {'abbr': 'j5',
             'code': 28,
             'title': 'Japanese 55 year Reanalysis',
             'units': 'JRA55'},
            {'abbr': 'ur', 'code': 29, 'title': 'UERRA'},
            {'abbr': 'et',
             'code': 30,
             'title': 'ERA-CLIM2 coupled reanalysis of the satellite era',
             'units': 'CERA-SAT'},
            {'abbr': 'c3',
             'code': 31,
             'title': 'Copernicus Climate Change Service',
             'units': 'C3S'},
            {'abbr': 'yp', 'code': 32, 'title': 'YOPP'},
            {'abbr': 'l5', 'code': 33, 'title': 'ERA5/LAND'},
            {'abbr': 'lw',
             'code': 34,
             'title': 'WMO Lead Centre Wave Forecast Verification'},
            {'abbr': 'ce',
             'code': 35,
             'title': 'Copernicus Emergency Management Service',
             'units': 'CEMS'},
            {'abbr': 'cr',
             'code': 36,
             'title': 'Copernicus Atmosphere Monitoring Service (CAMS) Research'},
            {'abbr': 'rr',
             'code': 37,
             'title': 'Copernicus Regional ReAnalysis',
             'units': 'CARRA/CERRA'},
            {'abbr': 'te', 'code': 99, 'title': 'Test'},
            {'abbr': 'at', 'code': 100, 'title': 'Austria'},
            {'abbr': 'be', 'code': 101, 'title': 'Belgium'},
            {'abbr': 'hr', 'code': 102, 'title': 'Croatia'},
            {'abbr': 'dk', 'code': 103, 'title': 'Denmark'},
            {'abbr': 'fi', 'code': 104, 'title': 'Finland'},
            {'abbr': 'fr', 'code': 105, 'title': 'France'},
            {'abbr': 'de', 'code': 106, 'title': 'Germany'},
            {'abbr': 'gr', 'code': 107, 'title': 'Greece'},
            {'abbr': 'hu', 'code': 108, 'title': 'Hungary'},
            {'abbr': 'is', 'code': 109, 'title': 'Iceland'},
            {'abbr': 'ie', 'code': 110, 'title': 'Ireland'},
            {'abbr': 'it', 'code': 111, 'title': 'Italy'},
            {'abbr': 'nl', 'code': 112, 'title': 'Netherlands'},
            {'abbr': 'no', 'code': 113, 'title': 'Norway'},
            {'abbr': 'pt', 'code': 114, 'title': 'Portugal'},
            {'abbr': 'si', 'code': 115, 'title': 'Slovenia'},
            {'abbr': 'es', 'code': 116, 'title': 'Spain'},
            {'abbr': 'se', 'code': 117, 'title': 'Sweden'},
            {'abbr': 'ch', 'code': 118, 'title': 'Switzerland'},
            {'abbr': 'tr', 'code': 119, 'title': 'Turkey'},
            {'abbr': 'uk', 'code': 120, 'title': 'United Kingdom'},
            {'abbr': 'ms', 'code': 121, 'title': 'Member States projects'},
            {'abbr': 'ma', 'code': 199, 'title': 'Metaps'})
