def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Unknown'},
            {'abbr': 'fsob',
             'code': 1022,
             'title': 'Forecast sensitivity to observations'},
            {'abbr': 'fsow',
             'code': 1023,
             'title': 'Forecast sensitivity to observations wave'},
            {'abbr': 'dahc', 'code': 1024, 'title': 'Daily archive hindcast'},
            {'abbr': 'oper', 'code': 1025, 'title': 'Atmospheric model'},
            {'abbr': 'scda',
             'code': 1026,
             'title': 'Atmospheric model',
             'units': 'short cutoff'},
            {'abbr': 'scwv', 'code': 1027, 'title': 'Wave model', 'units': 'short cutoff'},
            {'abbr': 'dcda',
             'code': 1028,
             'title': 'Atmospheric model',
             'units': 'delayed cutoff'},
            {'abbr': 'dcwv',
             'code': 1029,
             'title': 'Wave model',
             'units': 'delayed cutoff'},
            {'abbr': 'enda', 'code': 1030, 'title': 'Ensemble data assimilation'},
            {'abbr': 'efho', 'code': 1032, 'title': 'Ensemble forecast hindcast overlap'},
            {'abbr': 'enfh', 'code': 1033, 'title': 'Ensemble forecast hindcasts'},
            {'abbr': 'efov', 'code': 1034, 'title': 'Ensemble forecast overlap'},
            {'abbr': 'enfo', 'code': 1035, 'title': 'Ensemble prediction system'},
            {'abbr': 'sens', 'code': 1036, 'title': 'Sensitivity forecast'},
            {'abbr': 'maed', 'code': 1037, 'title': 'Multianalysis ensemble data'},
            {'abbr': 'amap', 'code': 1038, 'title': 'Analysis for multianalysis project'},
            {'abbr': 'efhc',
             'code': 1039,
             'title': 'Ensemble forecast hindcasts',
             'units': 'obsolete'},
            {'abbr': 'efhs',
             'code': 1040,
             'title': 'Ensemble forecast hindcast statistics'},
            {'abbr': 'toga', 'code': 1041, 'title': 'TOGA'},
            {'abbr': 'cher', 'code': 1042, 'title': 'Chernobyl'},
            {'abbr': 'mnth', 'code': 1043, 'title': 'Monthly means'},
            {'abbr': 'supd', 'code': 1044, 'title': 'Deterministic supplementary data'},
            {'abbr': 'wave', 'code': 1045, 'title': 'Wave model'},
            {'abbr': 'ocea', 'code': 1046, 'title': 'Ocean'},
            {'abbr': 'fgge', 'code': 1047, 'title': 'FGGE'},
            {'abbr': 'egrr', 'code': 1050, 'title': 'Bracknell'},
            {'abbr': 'kwbc', 'code': 1051, 'title': 'Washington'},
            {'abbr': 'edzw', 'code': 1052, 'title': 'Offenbach'},
            {'abbr': 'lfpw', 'code': 1053, 'title': 'Toulouse'},
            {'abbr': 'rjtd', 'code': 1054, 'title': 'Tokyo'},
            {'abbr': 'cwao', 'code': 1055, 'title': 'Montreal'},
            {'abbr': 'ammc', 'code': 1056, 'title': 'Melbourne'},
            {'abbr': 'efas',
             'code': 1057,
             'title': 'European Flood Awareness System',
             'units': 'EFAS'},
            {'abbr': 'efse',
             'code': 1058,
             'title': 'European Flood Awareness System (EFAS) seasonal forecasts'},
            {'abbr': 'efcl',
             'code': 1059,
             'title': 'European Flood Awareness System (EFAS) climatology'},
            {'abbr': 'wfas',
             'code': 1060,
             'title': 'Global flood awareness system',
             'units': 'GLOFAS'},
            {'abbr': 'wfcl',
             'code': 1061,
             'title': 'Global flood awareness system (GLOFAS) climatology'},
            {'abbr': 'msdc',
             'code': 1070,
             'title': 'Monthly standard deviation and covariance'},
            {'abbr': 'moda', 'code': 1071, 'title': 'Monthly means of daily means'},
            {'abbr': 'monr',
             'code': 1072,
             'title': "Monthly means using G. Boer's step function"},
            {'abbr': 'mnvr',
             'code': 1073,
             'title': "Monthly variance and covariance data using G. Boer's step "
                      'function'},
            {'abbr': 'msda',
             'code': 1074,
             'title': 'Monthly standard deviation and covariance of daily means'},
            {'abbr': 'mdfa',
             'code': 1075,
             'title': 'Monthly means of daily forecast accumulations'},
            {'abbr': 'dacl', 'code': 1076, 'title': 'Daily climatology'},
            {'abbr': 'wehs',
             'code': 1077,
             'title': 'Wave ensemble forecast hindcast statistics'},
            {'abbr': 'ewho',
             'code': 1078,
             'title': 'Ensemble forecast wave hindcast overlap'},
            {'abbr': 'enwh', 'code': 1079, 'title': 'Ensemble forecast wave hindcasts'},
            {'abbr': 'wamo', 'code': 1080, 'title': 'Wave monthly means'},
            {'abbr': 'waef', 'code': 1081, 'title': 'Wave ensemble forecast'},
            {'abbr': 'wasf', 'code': 1082, 'title': 'Wave seasonal forecast'},
            {'abbr': 'mawv', 'code': 1083, 'title': 'Multianalysis wave data'},
            {'abbr': 'ewhc',
             'code': 1084,
             'title': 'Wave ensemble forecast hindcast',
             'units': 'obsolete'},
            {'abbr': 'wvhc', 'code': 1085, 'title': 'Wave hindcast'},
            {'abbr': 'weov', 'code': 1086, 'title': 'Wave ensemble forecast overlap'},
            {'abbr': 'wavm', 'code': 1087, 'title': 'Wave model', 'units': 'standalone'},
            {'abbr': 'ewda', 'code': 1088, 'title': 'Ensemble wave data assimilation'},
            {'abbr': 'dacw', 'code': 1089, 'title': 'Daily climatology wave'},
            {'abbr': 'seas', 'code': 1090, 'title': 'Seasonal forecast'},
            {'abbr': 'sfmm',
             'code': 1091,
             'title': 'Seasonal forecast atmospheric monthly means'},
            {'abbr': 'swmm',
             'code': 1092,
             'title': 'Seasonal forecast wave monthly means'},
            {'abbr': 'mofc', 'code': 1093, 'title': 'Monthly forecast'},
            {'abbr': 'mofm', 'code': 1094, 'title': 'Monthly forecast means'},
            {'abbr': 'wamf', 'code': 1095, 'title': 'Wave monthly forecast'},
            {'abbr': 'wmfm', 'code': 1096, 'title': 'Wave monthly forecast means'},
            {'abbr': 'smma', 'code': 1097, 'title': 'Seasonal monthly means anomalies'},
            {'abbr': 'seap', 'code': 1110, 'title': 'Sensitive area prediction'},
            {'abbr': 'mnfc', 'code': 1200, 'title': 'Real-time'},
            {'abbr': 'mnfh', 'code': 1201, 'title': 'Hindcasts'},
            {'abbr': 'mnfa', 'code': 1202, 'title': 'Anomalies'},
            {'abbr': 'mnfw', 'code': 1203, 'title': 'Wave real-time'},
            {'abbr': 'mfhw', 'code': 1204, 'title': 'Monthly forecast hindcasts wave'},
            {'abbr': 'mfaw', 'code': 1205, 'title': 'Wave anomalies'},
            {'abbr': 'mnfm', 'code': 1206, 'title': 'Real-time means'},
            {'abbr': 'mfhm', 'code': 1207, 'title': 'Hindcast means'},
            {'abbr': 'mfam', 'code': 1208, 'title': 'Anomaly means'},
            {'abbr': 'mfwm', 'code': 1209, 'title': 'Wave real-time means'},
            {'abbr': 'mhwm', 'code': 1210, 'title': 'Wave hindcast means'},
            {'abbr': 'mawm', 'code': 1211, 'title': 'Wave anomaly means'},
            {'abbr': 'mmsf', 'code': 1220, 'title': 'Multi-model seasonal forecast'},
            {'abbr': 'msmm',
             'code': 1221,
             'title': 'Multi-model seasonal forecast atmospheric monthly means'},
            {'abbr': 'wams', 'code': 1222, 'title': 'Multi-model seasonal forecast wave'},
            {'abbr': 'mswm',
             'code': 1223,
             'title': 'Multi-model seasonal forecast wave monthly means'},
            {'abbr': 'mmsa',
             'code': 1224,
             'title': 'Multi-model seasonal forecast monthly anomalies'},
            {'abbr': 'mmaf', 'code': 1230, 'title': 'Multi-model multi-annual forecast'},
            {'abbr': 'mmam',
             'code': 1231,
             'title': 'Multi-model multi-annual forecast means'},
            {'abbr': 'mmaw',
             'code': 1232,
             'title': 'Multi-model multi-annual forecast wave'},
            {'abbr': 'mmwm',
             'code': 1233,
             'title': 'Multi-model multi-annual forecast wave means'},
            {'abbr': 'esmm', 'code': 1240, 'title': 'Combined multi-model monthly means'},
            {'abbr': 'ehmm',
             'code': 1241,
             'title': 'Combined multi-model hindcast monthly means'},
            {'abbr': 'edmm',
             'code': 1242,
             'title': 'Ensemble data assimilation monthly means'},
            {'abbr': 'edmo',
             'code': 1243,
             'title': 'Ensemble data assimilation monthly means of daily means'},
            {'abbr': 'ewmo',
             'code': 1244,
             'title': 'Ensemble wave data assimilation monthly means of daily means'},
            {'abbr': 'ewmm',
             'code': 1245,
             'title': 'Ensemble wave data assimilation monthly means'},
            {'abbr': 'espd', 'code': 1246, 'title': 'Ensemble supplementary data'},
            {'abbr': 'lwda', 'code': 1247, 'title': 'Long window daily archive'},
            {'abbr': 'lwwv', 'code': 1248, 'title': 'Long window wave'},
            {'abbr': 'elda',
             'code': 1249,
             'title': 'Ensemble Long window Data Assimilation'},
            {'abbr': 'ewla',
             'code': 1250,
             'title': 'Ensemble Wave Long window data Assimilation'},
            {'abbr': 'wamd', 'code': 1251, 'title': 'Wave monthly means of daily means'},
            {'abbr': 'gfas', 'code': 1252, 'title': 'Global fire assimilation system'},
            {'abbr': 'cnrm', 'code': 2231, 'title': 'Meteo France climate centre'},
            {'abbr': 'mpic', 'code': 2232, 'title': 'Max Plank Institute'},
            {'abbr': 'ukmo', 'code': 2233, 'title': 'UKMO climate centre'})
