def load(h):
    return ({'abbr': 0, 'code': 0, 'title': 'Unknown'},
            {'abbr': 'fg', 'code': 1, 'title': 'First guess'},
            {'abbr': 'an', 'code': 2, 'title': 'Analysis'},
            {'abbr': 'ia', 'code': 3, 'title': 'Initialised analysis'},
            {'abbr': 'oi', 'code': 4, 'title': 'Oi analysis'},
            {'abbr': '3v', 'code': 5, 'title': '3d variational analysis'},
            {'abbr': '4v', 'code': 6, 'title': '4d variational analysis'},
            {'abbr': '3g', 'code': 7, 'title': '3d variational gradients'},
            {'abbr': '4g', 'code': 8, 'title': '4d variational gradients'},
            {'abbr': 'fc', 'code': 9, 'title': 'Forecast'},
            {'abbr': 'cf', 'code': 10, 'title': 'Control forecast'},
            {'abbr': 'pf', 'code': 11, 'title': 'Perturbed forecast'},
            {'abbr': 'ef', 'code': 12, 'title': 'Errors in first guess'},
            {'abbr': 'ea', 'code': 13, 'title': 'Errors in analysis'},
            {'abbr': 'cm', 'code': 14, 'title': 'Cluster means'},
            {'abbr': 'cs', 'code': 15, 'title': 'Cluster std deviations'},
            {'abbr': 'fp', 'code': 16, 'title': 'Forecast probability'},
            {'abbr': 'em', 'code': 17, 'title': 'Ensemble mean'},
            {'abbr': 'es', 'code': 18, 'title': 'Ensemble standard deviation'},
            {'abbr': 'fa', 'code': 19, 'title': 'Forecast accumulation'},
            {'abbr': 'cl', 'code': 20, 'title': 'Climatology'},
            {'abbr': 'si', 'code': 21, 'title': 'Climate simulation'},
            {'abbr': 's3', 'code': 22, 'title': 'Climate 30 days simulation'},
            {'abbr': 'ed', 'code': 23, 'title': 'Empirical distribution'},
            {'abbr': 'tu', 'code': 24, 'title': 'Tubes'},
            {'abbr': 'ff', 'code': 25, 'title': 'Flux forcing realtime'},
            {'abbr': 'of', 'code': 26, 'title': 'Ocean forward'},
            {'abbr': 'efi', 'code': 27, 'title': 'Extreme forecast index'},
            {'abbr': 'efic', 'code': 28, 'title': 'Extreme forecast index control'},
            {'abbr': 'pb', 'code': 29, 'title': 'Probability boundaries'},
            {'abbr': 'ep', 'code': 30, 'title': 'Event probability'},
            {'abbr': 'bf', 'code': 31, 'title': 'Bias-corrected forecast'},
            {'abbr': 'cd', 'code': 32, 'title': 'Climate distribution'},
            {'abbr': '4i', 'code': 33, 'title': '4D analysis increments'},
            {'abbr': 'go', 'code': 34, 'title': 'Gridded observations'},
            {'abbr': 'me', 'code': 35, 'title': 'Model errors'},
            {'abbr': 'pd', 'code': 36, 'title': 'Probability distribution'},
            {'abbr': 'ci', 'code': 37, 'title': 'Cluster information'},
            {'abbr': 'sot', 'code': 38, 'title': 'Shift of Tail'},
            {'abbr': 'im', 'code': 40, 'title': 'Images'},
            {'abbr': 'sim', 'code': 42, 'title': 'Simulated images'},
            {'abbr': 'wem', 'code': 43, 'title': 'Weighted ensemble mean'},
            {'abbr': 'wes', 'code': 44, 'title': 'Weighted ensemble standard deviation'},
            {'abbr': 'cr', 'code': 45, 'title': 'Cluster representative'},
            {'abbr': 'ses', 'code': 46, 'title': 'Scaled ensemble standard deviation'},
            {'abbr': 'taem', 'code': 47, 'title': 'Time average ensemble mean'},
            {'abbr': 'taes',
             'code': 48,
             'title': 'Time average ensemble standard deviation'},
            {'abbr': 'sg', 'code': 50, 'title': 'Sensitivity gradient'},
            {'abbr': 'sf', 'code': 52, 'title': 'Sensitivity forecast'},
            {'abbr': 'pa', 'code': 60, 'title': 'Perturbed analysis'},
            {'abbr': 'icp', 'code': 61, 'title': 'Initial condition perturbation'},
            {'abbr': 'sv', 'code': 62, 'title': 'Singular vector'},
            {'abbr': 'as', 'code': 63, 'title': 'Adjoint singular vector'},
            {'abbr': 'svar', 'code': 64, 'title': 'Signal variance'},
            {'abbr': 'cv', 'code': 65, 'title': 'Calibration/Validation forecast'},
            {'abbr': 'or', 'code': 70, 'title': 'Ocean reanalysis'},
            {'abbr': 'fx', 'code': 71, 'title': 'Flux forcing'},
            {'abbr': 'fu', 'code': 72, 'title': 'Fill-up'},
            {'abbr': 'sfo', 'code': 73, 'title': 'Simulations with forcing'},
            {'abbr': 'fcmean', 'code': 80, 'title': 'Forecast mean'},
            {'abbr': 'fcmax', 'code': 81, 'title': 'Forecast maximum'},
            {'abbr': 'fcmin', 'code': 82, 'title': 'Forecast minimum'},
            {'abbr': 'fcstdev', 'code': 83, 'title': 'Forecast standard deviation'},
            {'abbr': 'emtm', 'code': 84, 'title': 'Ensemble mean of temporal mean'},
            {'abbr': 'estdtm',
             'code': 85,
             'title': 'Ensemble standard deviation of temporal mean'},
            {'abbr': 'hcmean', 'code': 86, 'title': 'Hindcast climate mean'},
            {'abbr': 'ssd', 'code': 87, 'title': 'Simulated satellite data'},
            {'abbr': 'gsd', 'code': 88, 'title': 'Gridded satellite data'},
            {'abbr': 'ga', 'code': 89, 'title': 'GFAS analysis'},
            {'abbr': 'gai', 'code': 90, 'title': 'Gridded analysis input'})
